/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "configparser.yy"

/* parser for config file (bison generated)
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2003-2024 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "wdefines.h"
#include "wconfig.h"
#include "wcdoubleshortkey.hh"
#include "wcpath.hh"
#include "wcfiletype.hh"
#include "wchotkey.hh"
#include "wcbutton.hh"
#include <stdlib.h>
#include <string.h>
#include "worker_commands.h"
#include "configheader.h"
#include <list>
#include "verzeichnis.hh"
#include <map>
#include "dirfiltersettings.hh"
#include "layoutsettings.hh"
#include "simplelist.hh"
#include "worker_types.h"
#include "wconfig_types.hh"

using namespace CopyParams;

int lconfig_side;
int lconfig_pos;
List *lconfig_listp,
     *lconfig_listb,
     *lconfig_listft,
     *lconfig_listh,
     *lconfig_listsk;
std::list< WConfigTypes::dont_check_dir > lconfig_ignorelist;
WConfigTypes::dont_check_dir lconfig_ignore_dir;
command_list_t lconfig_listcom;
std::list< std::string > lconfig_pathjump_allow;
std::map< std::string, struct directory_presets > dir_presets;
std::string path;
struct directory_presets dir_preset;
NM_Filter dir_preset_filter;
WCButton *lconfig_bt1;
WCFiletype *lconfig_ft1, *old_lconfig_ft1;
std::list<WCFiletype*> filetypehier;
WCHotkey *lconfig_hk1;
WCDoubleShortkey *lconfig_dk;
WCPath *lconfig_p1;
int lconfig_id;
KeySym lconfig_nkeysym;
unsigned int lconfig_keymod;
char *lconfig_tstr;
std::shared_ptr< FunctionProto > lconfig_fp1;
char lconfig_error[256];
std::map<std::string, WConfig::ColorDef::label_colors_t> lconfig_labelcolors;
WConfig::ColorDef::label_colors_t lconfig_labelcolor;
std::string lconfig_labelcolor_name;
LayoutSettings layout_sets;
std::string lconfig_face_name;
int lconfig_face_color;
std::list< std::pair< std::string, int > > lconfig_faces_list;
std::vector< WorkerTypes::listcol_t > columns;

extern WConfig *lconfig;

extern int yyerror( const char *s );

void lconfig_parseinit(void)
{
  lconfig_listp = NULL;
  lconfig_listb = NULL;
  lconfig_listft = NULL;
  lconfig_listh = NULL;
  lconfig_listsk = NULL;
  lconfig_listcom = {};
  lconfig_ignorelist.clear();
  lconfig_bt1 = NULL;
  lconfig_ft1 = NULL;
  lconfig_hk1 = NULL;
  lconfig_dk = NULL;
  lconfig_p1 = NULL;
  lconfig_tstr = NULL;
  lconfig_fp1 = NULL;
}

void lconfig_cleanup(void)
{
  // free all stuff in the list
  if ( lconfig_fp1 ) {
    lconfig_fp1.reset();
  }
  if ( lconfig_tstr != NULL ) {
    _freesafe( lconfig_tstr );
    lconfig_tstr = NULL;
  }
  if ( lconfig_p1 != NULL ) {
    delete lconfig_p1;
    lconfig_p1 = NULL;
  }
  if ( lconfig_dk != NULL ) {
    delete lconfig_dk;
    lconfig_dk = NULL;
  }
  if ( lconfig_hk1 != NULL ) {
    delete lconfig_hk1;
    lconfig_hk1 = NULL;
  }
  if ( lconfig_ft1 != NULL ) {
    delete lconfig_ft1;
    lconfig_ft1 = NULL;
  }
  if ( lconfig_bt1 != NULL ) {
    delete lconfig_bt1;
    lconfig_bt1 = NULL;
  }
  if ( lconfig_listp != NULL ) {
    lconfig_id = lconfig_listp->initEnum();
    lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
    while ( lconfig_p1 != NULL ) {
      delete lconfig_p1;
      lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
    }
    lconfig_listp->closeEnum( lconfig_id );
    delete lconfig_listp;
    lconfig_listp = NULL;
  }
  if ( lconfig_listb != NULL ) {
    lconfig_id = lconfig_listb->initEnum();
    lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
    while ( lconfig_bt1 != NULL ) {
      delete lconfig_bt1;
      lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
    }
    lconfig_listb->closeEnum( lconfig_id );
    delete lconfig_listb;
    lconfig_listb = NULL;
  }
  if ( lconfig_listft != NULL ) {
    lconfig_id = lconfig_listft->initEnum();
    lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
    while ( lconfig_ft1 != NULL ) {
      delete lconfig_ft1;
      lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
    }
    lconfig_listft->closeEnum( lconfig_id );
    delete lconfig_listft;
    lconfig_listft = NULL;
  }

  while ( filetypehier.size() > 0 ) {
      lconfig_ft1 = filetypehier.back();
      filetypehier.pop_back();
      delete lconfig_ft1;
      lconfig_ft1 = NULL;
  }

  if ( lconfig_listh != NULL ) {
    lconfig_id = lconfig_listh->initEnum();
    lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
    while ( lconfig_hk1 != NULL ) {
      delete lconfig_hk1;
      lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
    }
    lconfig_listh->closeEnum( lconfig_id );
    delete lconfig_listh;
    lconfig_listh = NULL;
  }
  if ( lconfig_listsk != NULL ) {
    lconfig_id = lconfig_listsk->initEnum();
    lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    while ( lconfig_dk != NULL ) {
      delete lconfig_dk;
      lconfig_listsk->removeFirstElement();
      lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    }
    lconfig_listsk->closeEnum( lconfig_id );
    delete lconfig_listsk;
    lconfig_listsk = NULL;
  }
  lconfig_listcom.clear();
  lconfig_ignorelist.clear();
}

/*#define YYERROR_VERBOSE*/


#line 275 "configparser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_CONFIGPARSER_HH_INCLUDED
# define YY_YY_CONFIGPARSER_HH_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    LEFTBRACE_WCP = 258,           /* LEFTBRACE_WCP  */
    RIGHTBRACE_WCP = 259,          /* RIGHTBRACE_WCP  */
    GLOBAL_WCP = 260,              /* GLOBAL_WCP  */
    COLORS_WCP = 261,              /* COLORS_WCP  */
    LANG_WCP = 262,                /* LANG_WCP  */
    PALETTE_WCP = 263,             /* PALETTE_WCP  */
    OWNOP_WCP = 264,               /* OWNOP_WCP  */
    LISTERSETS_WCP = 265,          /* LISTERSETS_WCP  */
    YES_WCP = 266,                 /* YES_WCP  */
    NO_WCP = 267,                  /* NO_WCP  */
    LEFT_WCP = 268,                /* LEFT_WCP  */
    RIGHT_WCP = 269,               /* RIGHT_WCP  */
    HBARTOP_WCP = 270,             /* HBARTOP_WCP  */
    HBARHEIGHT_WCP = 271,          /* HBARHEIGHT_WCP  */
    VBARLEFT_WCP = 272,            /* VBARLEFT_WCP  */
    VBARWIDTH_WCP = 273,           /* VBARWIDTH_WCP  */
    DISPLAYSETS_WCP = 274,         /* DISPLAYSETS_WCP  */
    NAME_WCP = 275,                /* NAME_WCP  */
    SIZE_WCP = 276,                /* SIZE_WCP  */
    TYPE_WCP = 277,                /* TYPE_WCP  */
    PERMISSION_WCP = 278,          /* PERMISSION_WCP  */
    OWNER_WCP = 279,               /* OWNER_WCP  */
    DESTINATION_WCP = 280,         /* DESTINATION_WCP  */
    MODTIME_WCP = 281,             /* MODTIME_WCP  */
    ACCTIME_WCP = 282,             /* ACCTIME_WCP  */
    CHGTIME_WCP = 283,             /* CHGTIME_WCP  */
    ROWS_WCP = 284,                /* ROWS_WCP  */
    COLUMNS_WCP = 285,             /* COLUMNS_WCP  */
    CACHESIZE_WCP = 286,           /* CACHESIZE_WCP  */
    OWNERSTYLE_WCP = 287,          /* OWNERSTYLE_WCP  */
    TERMINAL_WCP = 288,            /* TERMINAL_WCP  */
    USESTRINGFORDIRSIZE_WCP = 289, /* USESTRINGFORDIRSIZE_WCP  */
    TIMESETS_WCP = 290,            /* TIMESETS_WCP  */
    STYLE1_WCP = 291,              /* STYLE1_WCP  */
    STYLE2_WCP = 292,              /* STYLE2_WCP  */
    STYLE3_WCP = 293,              /* STYLE3_WCP  */
    DATE_WCP = 294,                /* DATE_WCP  */
    TIME_WCP = 295,                /* TIME_WCP  */
    DATESUBSTITUTION_WCP = 296,    /* DATESUBSTITUTION_WCP  */
    DATEBEFORETIME_WCP = 297,      /* DATEBEFORETIME_WCP  */
    STATEBAR_WCP = 298,            /* STATEBAR_WCP  */
    SELLVBAR_WCP = 299,            /* SELLVBAR_WCP  */
    UNSELLVBAR_WCP = 300,          /* UNSELLVBAR_WCP  */
    CLOCKBAR_WCP = 301,            /* CLOCKBAR_WCP  */
    REQUESTER_WCP = 302,           /* REQUESTER_WCP  */
    UNSELDIR_WCP = 303,            /* UNSELDIR_WCP  */
    SELDIR_WCP = 304,              /* SELDIR_WCP  */
    UNSELFILE_WCP = 305,           /* UNSELFILE_WCP  */
    SELFILE_WCP = 306,             /* SELFILE_WCP  */
    UNSELACTDIR_WCP = 307,         /* UNSELACTDIR_WCP  */
    SELACTDIR_WCP = 308,           /* SELACTDIR_WCP  */
    UNSELACTFILE_WCP = 309,        /* UNSELACTFILE_WCP  */
    SELACTFILE_WCP = 310,          /* SELACTFILE_WCP  */
    LVBG_WCP = 311,                /* LVBG_WCP  */
    STARTUP_WCP = 312,             /* STARTUP_WCP  */
    BUTTON_WCP = 313,              /* BUTTON_WCP  */
    BUTTONS_WCP = 314,             /* BUTTONS_WCP  */
    POSITION_WCP = 315,            /* POSITION_WCP  */
    TITLE_WCP = 316,               /* TITLE_WCP  */
    COMMANDS_WCP = 317,            /* COMMANDS_WCP  */
    SHORTKEYS_WCP = 318,           /* SHORTKEYS_WCP  */
    PATHS_WCP = 319,               /* PATHS_WCP  */
    PATH_WCP = 320,                /* PATH_WCP  */
    FILETYPES_WCP = 321,           /* FILETYPES_WCP  */
    FILETYPE_WCP = 322,            /* FILETYPE_WCP  */
    NORMAL_WCP = 323,              /* NORMAL_WCP  */
    NOTYETCHECKED_WCP = 324,       /* NOTYETCHECKED_WCP  */
    UNKNOWN_WCP = 325,             /* UNKNOWN_WCP  */
    NOSELECT_WCP = 326,            /* NOSELECT_WCP  */
    DIR_WCP = 327,                 /* DIR_WCP  */
    USEPATTERN_WCP = 328,          /* USEPATTERN_WCP  */
    USECONTENT_WCP = 329,          /* USECONTENT_WCP  */
    PATTERN_WCP = 330,             /* PATTERN_WCP  */
    CONTENT_WCP = 331,             /* CONTENT_WCP  */
    FTCOMMANDS_WCP = 332,          /* FTCOMMANDS_WCP  */
    DND_WCP = 333,                 /* DND_WCP  */
    DC_WCP = 334,                  /* DC_WCP  */
    SHOW_WCP = 335,                /* SHOW_WCP  */
    RAWSHOW_WCP = 336,             /* RAWSHOW_WCP  */
    USER_WCP = 337,                /* USER_WCP  */
    FLAGS_WCP = 338,               /* FLAGS_WCP  */
    IGNOREDIRS_WCP = 339,          /* IGNOREDIRS_WCP  */
    HOTKEYS_WCP = 340,             /* HOTKEYS_WCP  */
    HOTKEY_WCP = 341,              /* HOTKEY_WCP  */
    FONTS_WCP = 342,               /* FONTS_WCP  */
    GLOBALFONT_WCP = 343,          /* GLOBALFONT_WCP  */
    BUTTONFONT_WCP = 344,          /* BUTTONFONT_WCP  */
    LEFTFONT_WCP = 345,            /* LEFTFONT_WCP  */
    RIGHTFONT_WCP = 346,           /* RIGHTFONT_WCP  */
    TEXTVIEWFONT_WCP = 347,        /* TEXTVIEWFONT_WCP  */
    STATEBARFONT_WCP = 348,        /* STATEBARFONT_WCP  */
    TEXTVIEWALTFONT_WCP = 349,     /* TEXTVIEWALTFONT_WCP  */
    CLOCKBARSETS_WCP = 350,        /* CLOCKBARSETS_WCP  */
    MODUS_WCP = 351,               /* MODUS_WCP  */
    TIMESPACE_WCP = 352,           /* TIMESPACE_WCP  */
    VERSION_WCP = 353,             /* VERSION_WCP  */
    EXTERN_WCP = 354,              /* EXTERN_WCP  */
    UPDATETIME_WCP = 355,          /* UPDATETIME_WCP  */
    PROGRAM_WCP = 356,             /* PROGRAM_WCP  */
    SHOWHINTS_WCP = 357,           /* SHOWHINTS_WCP  */
    KEY_WCP = 358,                 /* KEY_WCP  */
    DOUBLE_WCP = 359,              /* DOUBLE_WCP  */
    MOD_WCP = 360,                 /* MOD_WCP  */
    CONTROL_WCP = 361,             /* CONTROL_WCP  */
    SHIFT_WCP = 362,               /* SHIFT_WCP  */
    LOCK_WCP = 363,                /* LOCK_WCP  */
    MOD1_WCP = 364,                /* MOD1_WCP  */
    MOD2_WCP = 365,                /* MOD2_WCP  */
    MOD3_WCP = 366,                /* MOD3_WCP  */
    MOD4_WCP = 367,                /* MOD4_WCP  */
    MOD5_WCP = 368,                /* MOD5_WCP  */
    DNDACTION_WCP = 369,           /* DNDACTION_WCP  */
    DCACTION_WCP = 370,            /* DCACTION_WCP  */
    SHOWACTION_WCP = 371,          /* SHOWACTION_WCP  */
    RSHOWACTION_WCP = 372,         /* RSHOWACTION_WCP  */
    USERACTION_WCP = 373,          /* USERACTION_WCP  */
    ROWUP_WCP = 374,               /* ROWUP_WCP  */
    ROWDOWN_WCP = 375,             /* ROWDOWN_WCP  */
    CHANGEHIDDENFLAG_WCP = 376,    /* CHANGEHIDDENFLAG_WCP  */
    COPYOP_WCP = 377,              /* COPYOP_WCP  */
    FIRSTROW_WCP = 378,            /* FIRSTROW_WCP  */
    LASTROW_WCP = 379,             /* LASTROW_WCP  */
    PAGEUP_WCP = 380,              /* PAGEUP_WCP  */
    PAGEDOWN_WCP = 381,            /* PAGEDOWN_WCP  */
    SELECTOP_WCP = 382,            /* SELECTOP_WCP  */
    SELECTALLOP_WCP = 383,         /* SELECTALLOP_WCP  */
    SELECTNONEOP_WCP = 384,        /* SELECTNONEOP_WCP  */
    INVERTALLOP_WCP = 385,         /* INVERTALLOP_WCP  */
    PARENTDIROP_WCP = 386,         /* PARENTDIROP_WCP  */
    ENTERDIROP_WCP = 387,          /* ENTERDIROP_WCP  */
    CHANGELISTERSETOP_WCP = 388,   /* CHANGELISTERSETOP_WCP  */
    SWITCHLISTEROP_WCP = 389,      /* SWITCHLISTEROP_WCP  */
    FILTERSELECTOP_WCP = 390,      /* FILTERSELECTOP_WCP  */
    FILTERUNSELECTOP_WCP = 391,    /* FILTERUNSELECTOP_WCP  */
    PATHTOOTHERSIDEOP_WCP = 392,   /* PATHTOOTHERSIDEOP_WCP  */
    QUITOP_WCP = 393,              /* QUITOP_WCP  */
    DELETEOP_WCP = 394,            /* DELETEOP_WCP  */
    RELOADOP_WCP = 395,            /* RELOADOP_WCP  */
    MAKEDIROP_WCP = 396,           /* MAKEDIROP_WCP  */
    RENAMEOP_WCP = 397,            /* RENAMEOP_WCP  */
    DIRSIZEOP_WCP = 398,           /* DIRSIZEOP_WCP  */
    SIMDDOP_WCP = 399,             /* SIMDDOP_WCP  */
    STARTPROGOP_WCP = 400,         /* STARTPROGOP_WCP  */
    SEARCHENTRYOP_WCP = 401,       /* SEARCHENTRYOP_WCP  */
    ENTERPATHOP_WCP = 402,         /* ENTERPATHOP_WCP  */
    SCROLLLISTEROP_WCP = 403,      /* SCROLLLISTEROP_WCP  */
    CREATESYMLINKOP_WCP = 404,     /* CREATESYMLINKOP_WCP  */
    CHANGESYMLINKOP_WCP = 405,     /* CHANGESYMLINKOP_WCP  */
    CHMODOP_WCP = 406,             /* CHMODOP_WCP  */
    TOGGLELISTERMODEOP_WCP = 407,  /* TOGGLELISTERMODEOP_WCP  */
    SETSORTMODEOP_WCP = 408,       /* SETSORTMODEOP_WCP  */
    SETFILTEROP_WCP = 409,         /* SETFILTEROP_WCP  */
    SHORTKEYFROMLISTOP_WCP = 410,  /* SHORTKEYFROMLISTOP_WCP  */
    CHOWNOP_WCP = 411,             /* CHOWNOP_WCP  */
    WORKERCONFIG_WCP = 412,        /* WORKERCONFIG_WCP  */
    USERSTYLE_WCP = 413,           /* USERSTYLE_WCP  */
    DATESTRING_WCP = 414,          /* DATESTRING_WCP  */
    TIMESTRING_WCP = 415,          /* TIMESTRING_WCP  */
    COLOR_WCP = 416,               /* COLOR_WCP  */
    PATTERNIGNORECASE_WCP = 417,   /* PATTERNIGNORECASE_WCP  */
    PATTERNUSEREGEXP_WCP = 418,    /* PATTERNUSEREGEXP_WCP  */
    PATTERNUSEFULLNAME_WCP = 419,  /* PATTERNUSEFULLNAME_WCP  */
    COM_WCP = 420,                 /* COM_WCP  */
    SEPARATEEACHENTRY_WCP = 421,   /* SEPARATEEACHENTRY_WCP  */
    RECURSIVE_WCP = 422,           /* RECURSIVE_WCP  */
    START_WCP = 423,               /* START_WCP  */
    TERMINALWAIT_WCP = 424,        /* TERMINALWAIT_WCP  */
    SHOWOUTPUT_WCP = 425,          /* SHOWOUTPUT_WCP  */
    VIEWSTR_WCP = 426,             /* VIEWSTR_WCP  */
    SHOWOUTPUTINT_WCP = 427,       /* SHOWOUTPUTINT_WCP  */
    SHOWOUTPUTOTHERSIDE_WCP = 428, /* SHOWOUTPUTOTHERSIDE_WCP  */
    SHOWOUTPUTCUSTOMATTRIBUTE_WCP = 429, /* SHOWOUTPUTCUSTOMATTRIBUTE_WCP  */
    INBACKGROUND_WCP = 430,        /* INBACKGROUND_WCP  */
    TAKEDIRS_WCP = 431,            /* TAKEDIRS_WCP  */
    ACTIONNUMBER_WCP = 432,        /* ACTIONNUMBER_WCP  */
    HIDDENFILES_WCP = 433,         /* HIDDENFILES_WCP  */
    HIDE_WCP = 434,                /* HIDE_WCP  */
    TOGGLE_WCP = 435,              /* TOGGLE_WCP  */
    FOLLOWSYMLINKS_WCP = 436,      /* FOLLOWSYMLINKS_WCP  */
    MOVE_WCP = 437,                /* MOVE_WCP  */
    RENAME_WCP = 438,              /* RENAME_WCP  */
    SAMEDIR_WCP = 439,             /* SAMEDIR_WCP  */
    REQUESTDEST_WCP = 440,         /* REQUESTDEST_WCP  */
    REQUESTFLAGS_WCP = 441,        /* REQUESTFLAGS_WCP  */
    OVERWRITE_WCP = 442,           /* OVERWRITE_WCP  */
    ALWAYS_WCP = 443,              /* ALWAYS_WCP  */
    NEVER_WCP = 444,               /* NEVER_WCP  */
    COPYMODE_WCP = 445,            /* COPYMODE_WCP  */
    FAST_WCP = 446,                /* FAST_WCP  */
    PRESERVEATTR_WCP = 447,        /* PRESERVEATTR_WCP  */
    MODE_WCP = 448,                /* MODE_WCP  */
    ACTIVE_WCP = 449,              /* ACTIVE_WCP  */
    ACTIVE2OTHER_WCP = 450,        /* ACTIVE2OTHER_WCP  */
    SPECIAL_WCP = 451,             /* SPECIAL_WCP  */
    REQUEST_WCP = 452,             /* REQUEST_WCP  */
    CURRENT_WCP = 453,             /* CURRENT_WCP  */
    OTHER_WCP = 454,               /* OTHER_WCP  */
    FILTER_WCP = 455,              /* FILTER_WCP  */
    QUICK_WCP = 456,               /* QUICK_WCP  */
    ALSOACTIVE_WCP = 457,          /* ALSOACTIVE_WCP  */
    RESETDIRSIZES_WCP = 458,       /* RESETDIRSIZES_WCP  */
    KEEPFILETYPES_WCP = 459,       /* KEEPFILETYPES_WCP  */
    RELATIVE_WCP = 460,            /* RELATIVE_WCP  */
    ONFILES_WCP = 461,             /* ONFILES_WCP  */
    ONDIRS_WCP = 462,              /* ONDIRS_WCP  */
    SORTBY_WCP = 463,              /* SORTBY_WCP  */
    SORTFLAG_WCP = 464,            /* SORTFLAG_WCP  */
    REVERSE_WCP = 465,             /* REVERSE_WCP  */
    DIRLAST_WCP = 466,             /* DIRLAST_WCP  */
    DIRMIXED_WCP = 467,            /* DIRMIXED_WCP  */
    EXCLUDE_WCP = 468,             /* EXCLUDE_WCP  */
    INCLUDE_WCP = 469,             /* INCLUDE_WCP  */
    UNSET_WCP = 470,               /* UNSET_WCP  */
    UNSETALL_WCP = 471,            /* UNSETALL_WCP  */
    SCRIPTOP_WCP = 472,            /* SCRIPTOP_WCP  */
    NOP_WCP = 473,                 /* NOP_WCP  */
    PUSH_WCP = 474,                /* PUSH_WCP  */
    LABEL_WCP = 475,               /* LABEL_WCP  */
    IF_WCP = 476,                  /* IF_WCP  */
    END_WCP = 477,                 /* END_WCP  */
    POP_WCP = 478,                 /* POP_WCP  */
    SETTINGS_WCP = 479,            /* SETTINGS_WCP  */
    WINDOW_WCP = 480,              /* WINDOW_WCP  */
    GOTO_WCP = 481,                /* GOTO_WCP  */
    PUSHUSEOUTPUT_WCP = 482,       /* PUSHUSEOUTPUT_WCP  */
    DODEBUG_WCP = 483,             /* DODEBUG_WCP  */
    WPURECURSIVE_WCP = 484,        /* WPURECURSIVE_WCP  */
    WPUTAKEDIRS_WCP = 485,         /* WPUTAKEDIRS_WCP  */
    STACKNR_WCP = 486,             /* STACKNR_WCP  */
    PUSHSTRING_WCP = 487,          /* PUSHSTRING_WCP  */
    PUSHOUTPUTRETURNCODE_WCP = 488, /* PUSHOUTPUTRETURNCODE_WCP  */
    IFTEST_WCP = 489,              /* IFTEST_WCP  */
    IFLABEL_WCP = 490,             /* IFLABEL_WCP  */
    WINTYPE_WCP = 491,             /* WINTYPE_WCP  */
    OPEN_WCP = 492,                /* OPEN_WCP  */
    CLOSE_WCP = 493,               /* CLOSE_WCP  */
    LEAVE_WCP = 494,               /* LEAVE_WCP  */
    CHANGEPROGRESS_WCP = 495,      /* CHANGEPROGRESS_WCP  */
    CHANGETEXT_WCP = 496,          /* CHANGETEXT_WCP  */
    PROGRESSUSEOUTPUT_WCP = 497,   /* PROGRESSUSEOUTPUT_WCP  */
    WINTEXTUSEOUTPUT_WCP = 498,    /* WINTEXTUSEOUTPUT_WCP  */
    PROGRESS_WCP = 499,            /* PROGRESS_WCP  */
    WINTEXT_WCP = 500,             /* WINTEXT_WCP  */
    SHOWDIRCACHEOP_WCP = 501,      /* SHOWDIRCACHEOP_WCP  */
    INODE_WCP = 502,               /* INODE_WCP  */
    NLINK_WCP = 503,               /* NLINK_WCP  */
    BLOCKS_WCP = 504,              /* BLOCKS_WCP  */
    SHOWHEADER_WCP = 505,          /* SHOWHEADER_WCP  */
    LVHEADER_WCP = 506,            /* LVHEADER_WCP  */
    IGNORECASE_WCP = 507,          /* IGNORECASE_WCP  */
    LISTVIEWS_WCP = 508,           /* LISTVIEWS_WCP  */
    BLL_WCP = 509,                 /* BLL_WCP  */
    LBL_WCP = 510,                 /* LBL_WCP  */
    LLB_WCP = 511,                 /* LLB_WCP  */
    BL_WCP = 512,                  /* BL_WCP  */
    LB_WCP = 513,                  /* LB_WCP  */
    LAYOUT_WCP = 514,              /* LAYOUT_WCP  */
    BUTTONSVERT_WCP = 515,         /* BUTTONSVERT_WCP  */
    LISTVIEWSVERT_WCP = 516,       /* LISTVIEWSVERT_WCP  */
    LISTVIEWWEIGHT_WCP = 517,      /* LISTVIEWWEIGHT_WCP  */
    WEIGHTTOACTIVE_WCP = 518,      /* WEIGHTTOACTIVE_WCP  */
    EXTCOND_WCP = 519,             /* EXTCOND_WCP  */
    USEEXTCOND_WCP = 520,          /* USEEXTCOND_WCP  */
    SUBTYPE_WCP = 521,             /* SUBTYPE_WCP  */
    PARENTACTIONOP_WCP = 522,      /* PARENTACTIONOP_WCP  */
    NOOPERATIONOP_WCP = 523,       /* NOOPERATIONOP_WCP  */
    COLORMODE_WCP = 524,           /* COLORMODE_WCP  */
    DEFAULT_WCP = 525,             /* DEFAULT_WCP  */
    CUSTOM_WCP = 526,              /* CUSTOM_WCP  */
    UNSELECTCOLOR_WCP = 527,       /* UNSELECTCOLOR_WCP  */
    SELECTCOLOR_WCP = 528,         /* SELECTCOLOR_WCP  */
    UNSELECTACTIVECOLOR_WCP = 529, /* UNSELECTACTIVECOLOR_WCP  */
    SELECTACTIVECOLOR_WCP = 530,   /* SELECTACTIVECOLOR_WCP  */
    COLOREXTERNPROG_WCP = 531,     /* COLOREXTERNPROG_WCP  */
    PARENT_WCP = 532,              /* PARENT_WCP  */
    DONTCD_WCP = 533,              /* DONTCD_WCP  */
    DONTCHECKVIRTUAL_WCP = 534,    /* DONTCHECKVIRTUAL_WCP  */
    GOFTPOP_WCP = 535,             /* GOFTPOP_WCP  */
    HOSTNAME_WCP = 536,            /* HOSTNAME_WCP  */
    USERNAME_WCP = 537,            /* USERNAME_WCP  */
    PASSWORD_WCP = 538,            /* PASSWORD_WCP  */
    DONTENTERFTP_WCP = 539,        /* DONTENTERFTP_WCP  */
    ALWAYSSTOREPW_WCP = 540,       /* ALWAYSSTOREPW_WCP  */
    INTERNALVIEWOP_WCP = 541,      /* INTERNALVIEWOP_WCP  */
    CUSTOMFILES_WCP = 542,         /* CUSTOMFILES_WCP  */
    SHOWMODE_WCP = 543,            /* SHOWMODE_WCP  */
    SELECTED_WCP = 544,            /* SELECTED_WCP  */
    REVERSESEARCH_WCP = 545,       /* REVERSESEARCH_WCP  */
    MOUSECONF_WCP = 546,           /* MOUSECONF_WCP  */
    SELECTBUTTON_WCP = 547,        /* SELECTBUTTON_WCP  */
    ACTIVATEBUTTON_WCP = 548,      /* ACTIVATEBUTTON_WCP  */
    SCROLLBUTTON_WCP = 549,        /* SCROLLBUTTON_WCP  */
    SELECTMETHOD_WCP = 550,        /* SELECTMETHOD_WCP  */
    ALTERNATIVE_WCP = 551,         /* ALTERNATIVE_WCP  */
    SEARCHOP_WCP = 552,            /* SEARCHOP_WCP  */
    EDITCOMMAND_WCP = 553,         /* EDITCOMMAND_WCP  */
    SHOWPREVRESULTS_WCP = 554,     /* SHOWPREVRESULTS_WCP  */
    TEXTVIEW_WCP = 555,            /* TEXTVIEW_WCP  */
    TEXTVIEWHIGHLIGHTED_WCP = 556, /* TEXTVIEWHIGHLIGHTED_WCP  */
    TEXTVIEWSELECTION_WCP = 557,   /* TEXTVIEWSELECTION_WCP  */
    DIRBOOKMARKOP_WCP = 558,       /* DIRBOOKMARKOP_WCP  */
    OPENCONTEXTMENUOP_WCP = 559,   /* OPENCONTEXTMENUOP_WCP  */
    RUNCUSTOMACTION_WCP = 560,     /* RUNCUSTOMACTION_WCP  */
    CUSTOMNAME_WCP = 561,          /* CUSTOMNAME_WCP  */
    CONTEXTBUTTON_WCP = 562,       /* CONTEXTBUTTON_WCP  */
    ACTIVATEMOD_WCP = 563,         /* ACTIVATEMOD_WCP  */
    SCROLLMOD_WCP = 564,           /* SCROLLMOD_WCP  */
    CONTEXTMOD_WCP = 565,          /* CONTEXTMOD_WCP  */
    NONE_WCP = 566,                /* NONE_WCP  */
    CUSTOMACTION_WCP = 567,        /* CUSTOMACTION_WCP  */
    SAVE_WORKER_STATE_ON_EXIT_WCP = 568, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
    OPENWORKERMENUOP_WCP = 569,    /* OPENWORKERMENUOP_WCP  */
    CHANGELABELOP_WCP = 570,       /* CHANGELABELOP_WCP  */
    ASKFORLABEL_WCP = 571,         /* ASKFORLABEL_WCP  */
    LABELCOLORS_WCP = 572,         /* LABELCOLORS_WCP  */
    BOOKMARKLABEL_WCP = 573,       /* BOOKMARKLABEL_WCP  */
    BOOKMARKFILTER_WCP = 574,      /* BOOKMARKFILTER_WCP  */
    SHOWONLYBOOKMARKS_WCP = 575,   /* SHOWONLYBOOKMARKS_WCP  */
    SHOWONLYLABEL_WCP = 576,       /* SHOWONLYLABEL_WCP  */
    SHOWALL_WCP = 577,             /* SHOWALL_WCP  */
    OPTIONMODE_WCP = 578,          /* OPTIONMODE_WCP  */
    INVERT_WCP = 579,              /* INVERT_WCP  */
    SET_WCP = 580,                 /* SET_WCP  */
    CHANGEFILTERS_WCP = 581,       /* CHANGEFILTERS_WCP  */
    CHANGEBOOKMARKS_WCP = 582,     /* CHANGEBOOKMARKS_WCP  */
    QUERYLABEL_WCP = 583,          /* QUERYLABEL_WCP  */
    MODIFYTABSOP_WCP = 584,        /* MODIFYTABSOP_WCP  */
    TABACTION_WCP = 585,           /* TABACTION_WCP  */
    NEWTAB_WCP = 586,              /* NEWTAB_WCP  */
    CLOSECURRENTTAB_WCP = 587,     /* CLOSECURRENTTAB_WCP  */
    NEXTTAB_WCP = 588,             /* NEXTTAB_WCP  */
    PREVTAB_WCP = 589,             /* PREVTAB_WCP  */
    TOGGLELOCKSTATE_WCP = 590,     /* TOGGLELOCKSTATE_WCP  */
    MOVETABLEFT_WCP = 591,         /* MOVETABLEFT_WCP  */
    MOVETABRIGHT_WCP = 592,        /* MOVETABRIGHT_WCP  */
    CHANGELAYOUTOP_WCP = 593,      /* CHANGELAYOUTOP_WCP  */
    INFIXSEARCH_WCP = 594,         /* INFIXSEARCH_WCP  */
    VOLUMEMANAGEROP_WCP = 595,     /* VOLUMEMANAGEROP_WCP  */
    ERROR = 596,                   /* ERROR  */
    ACTIVESIDE_WCP = 597,          /* ACTIVESIDE_WCP  */
    SHOWFREESPACE_WCP = 598,       /* SHOWFREESPACE_WCP  */
    ACTIVEMODE_WCP = 599,          /* ACTIVEMODE_WCP  */
    ASK_WCP = 600,                 /* ASK_WCP  */
    SSHALLOW_WCP = 601,            /* SSHALLOW_WCP  */
    FIELD_WIDTH_WCP = 602,         /* FIELD_WIDTH_WCP  */
    QUICKSEARCHENABLED_WCP = 603,  /* QUICKSEARCHENABLED_WCP  */
    FILTEREDSEARCHENABLED_WCP = 604, /* FILTEREDSEARCHENABLED_WCP  */
    XFTFONTS_WCP = 605,            /* XFTFONTS_WCP  */
    USEMAGIC_WCP = 606,            /* USEMAGIC_WCP  */
    MAGICPATTERN_WCP = 607,        /* MAGICPATTERN_WCP  */
    MAGICCOMPRESSED_WCP = 608,     /* MAGICCOMPRESSED_WCP  */
    MAGICMIME_WCP = 609,           /* MAGICMIME_WCP  */
    VOLUMEMANAGER_WCP = 610,       /* VOLUMEMANAGER_WCP  */
    MOUNTCOMMAND_WCP = 611,        /* MOUNTCOMMAND_WCP  */
    UNMOUNTCOMMAND_WCP = 612,      /* UNMOUNTCOMMAND_WCP  */
    FSTABFILE_WCP = 613,           /* FSTABFILE_WCP  */
    MTABFILE_WCP = 614,            /* MTABFILE_WCP  */
    PARTFILE_WCP = 615,            /* PARTFILE_WCP  */
    REQUESTACTION_WCP = 616,       /* REQUESTACTION_WCP  */
    SIZEH_WCP = 617,               /* SIZEH_WCP  */
    NEXTAGING_WCP = 618,           /* NEXTAGING_WCP  */
    ENTRY_WCP = 619,               /* ENTRY_WCP  */
    PREFIX_WCP = 620,              /* PREFIX_WCP  */
    VALUE_WCP = 621,               /* VALUE_WCP  */
    EXTENSION_WCP = 622,           /* EXTENSION_WCP  */
    EJECTCOMMAND_WCP = 623,        /* EJECTCOMMAND_WCP  */
    CLOSETRAYCOMMAND_WCP = 624,    /* CLOSETRAYCOMMAND_WCP  */
    AVFSMODULE_WCP = 625,          /* AVFSMODULE_WCP  */
    FLEXIBLEMATCH_WCP = 626,       /* FLEXIBLEMATCH_WCP  */
    USE_VERSION_STRING_COMPARE_WCP = 627, /* USE_VERSION_STRING_COMPARE_WCP  */
    SWITCHBUTTONBANKOP_WCP = 628,  /* SWITCHBUTTONBANKOP_WCP  */
    SWITCHTONEXTBANK_WCP = 629,    /* SWITCHTONEXTBANK_WCP  */
    SWITCHTOPREVBANK_WCP = 630,    /* SWITCHTOPREVBANK_WCP  */
    SWITCHTOBANKNR_WCP = 631,      /* SWITCHTOBANKNR_WCP  */
    BANKNR_WCP = 632,              /* BANKNR_WCP  */
    USE_VIRTUAL_TEMP_COPIES_WCP = 633, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
    PATHJUMPOP_WCP = 634,          /* PATHJUMPOP_WCP  */
    PATHJUMPALLOWDIRS_WCP = 635,   /* PATHJUMPALLOWDIRS_WCP  */
    CLIPBOARDOP_WCP = 636,         /* CLIPBOARDOP_WCP  */
    CLIPBOARDSTRING_WCP = 637,     /* CLIPBOARDSTRING_WCP  */
    COMMANDSTRING_WCP = 638,       /* COMMANDSTRING_WCP  */
    EVALCOMMAND_WCP = 639,         /* EVALCOMMAND_WCP  */
    WATCHMODE_WCP = 640,           /* WATCHMODE_WCP  */
    APPLY_WINDOW_DIALOG_TYPE_WCP = 641, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
    FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 642, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
    COMMANDMENUOP_WCP = 643,       /* COMMANDMENUOP_WCP  */
    SEARCHMODEONKEYPRESS_WCP = 644, /* SEARCHMODEONKEYPRESS_WCP  */
    PATHENTRYONTOP_WCP = 645,      /* PATHENTRYONTOP_WCP  */
    STORE_FILES_ALWAYS_WCP = 646,  /* STORE_FILES_ALWAYS_WCP  */
    PATHJUMPSETS_WCP = 647,        /* PATHJUMPSETS_WCP  */
    SHOWDOTDOT_WCP = 648,          /* SHOWDOTDOT_WCP  */
    SHOWBREADCRUMB_WCP = 649,      /* SHOWBREADCRUMB_WCP  */
    FACES_WCP = 650,               /* FACES_WCP  */
    FACE_WCP = 651,                /* FACE_WCP  */
    ENABLE_INFO_LINE_WCP = 652,    /* ENABLE_INFO_LINE_WCP  */
    INFO_LINE_LUA_MODE_WCP = 653,  /* INFO_LINE_LUA_MODE_WCP  */
    INFO_LINE_CONTENT_WCP = 654,   /* INFO_LINE_CONTENT_WCP  */
    RESTORE_TABS_MODE_WCP = 655,   /* RESTORE_TABS_MODE_WCP  */
    STORE_TABS_MODE_WCP = 656,     /* STORE_TABS_MODE_WCP  */
    AS_EXIT_STATE_WCP = 657,       /* AS_EXIT_STATE_WCP  */
    USE_EXTENDED_REGEX_WCP = 658,  /* USE_EXTENDED_REGEX_WCP  */
    HIGHLIGHT_USER_ACTION_WCP = 659, /* HIGHLIGHT_USER_ACTION_WCP  */
    CHTIMEOP_WCP = 660,            /* CHTIMEOP_WCP  */
    ADJUSTRELATIVESYMLINKS_WCP = 661, /* ADJUSTRELATIVESYMLINKS_WCP  */
    OUTSIDE_WCP = 662,             /* OUTSIDE_WCP  */
    EDIT_WCP = 663,                /* EDIT_WCP  */
    MAKEABSOLUTE_WCP = 664,        /* MAKEABSOLUTE_WCP  */
    MAKERELATIVE_WCP = 665,        /* MAKERELATIVE_WCP  */
    MAGICIGNORECASE_WCP = 666,     /* MAGICIGNORECASE_WCP  */
    ENSURE_FILE_PERMISSIONS_WCP = 667, /* ENSURE_FILE_PERMISSIONS_WCP  */
    USER_RW_WCP = 668,             /* USER_RW_WCP  */
    USER_RW_GROUP_R_WCP = 669,     /* USER_RW_GROUP_R_WCP  */
    USER_RW_ALL_R_WCP = 670,       /* USER_RW_ALL_R_WCP  */
    LEAVE_UNMODIFIED_WCP = 671,    /* LEAVE_UNMODIFIED_WCP  */
    PREFERUDISKSVERSION_WCP = 672, /* PREFERUDISKSVERSION_WCP  */
    CHANGECOLUMNSOP_WCP = 673,     /* CHANGECOLUMNSOP_WCP  */
    PATTERNISCOMMASEPARATED_WCP = 674, /* PATTERNISCOMMASEPARATED_WCP  */
    STRCASECMP_WCP = 675,          /* STRCASECMP_WCP  */
    USE_STRING_COMPARE_MODE_WCP = 676, /* USE_STRING_COMPARE_MODE_WCP  */
    VIEWNEWESTFILESOP_WCP = 677,   /* VIEWNEWESTFILESOP_WCP  */
    SHOWRECENT_WCP = 678,          /* SHOWRECENT_WCP  */
    DIRCOMPAREOP_WCP = 679,        /* DIRCOMPAREOP_WCP  */
    TABPROFILESOP_WCP = 680,       /* TABPROFILESOP_WCP  */
    EXTERNALVDIROP_WCP = 681,      /* EXTERNALVDIROP_WCP  */
    VDIR_PRESERVE_DIR_STRUCTURE_WCP = 682, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
    OPENTABMENUOP_WCP = 683,       /* OPENTABMENUOP_WCP  */
    INITIALTAB_WCP = 684,          /* INITIALTAB_WCP  */
    SHOWBYTIME_WCP = 685,          /* SHOWBYTIME_WCP  */
    SHOWBYFILTER_WCP = 686,        /* SHOWBYFILTER_WCP  */
    SHOWBYPROGRAM_WCP = 687,       /* SHOWBYPROGRAM_WCP  */
    TERMINAL_RETURNS_EARLY_WCP = 688, /* TERMINAL_RETURNS_EARLY_WCP  */
    DIRECTORYPRESETS_WCP = 689,    /* DIRECTORYPRESETS_WCP  */
    DIRECTORYPRESET_WCP = 690,     /* DIRECTORYPRESET_WCP  */
    HELPOP_WCP = 691,              /* HELPOP_WCP  */
    PRIORITY_WCP = 692,            /* PRIORITY_WCP  */
    AUTOFILTER_WCP = 693,          /* AUTOFILTER_WCP  */
    ENABLE_CUSTOM_LVB_LINE_WCP = 694, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
    CUSTOM_LVB_LINE_WCP = 695,     /* CUSTOM_LVB_LINE_WCP  */
    CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 696, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
    IMMEDIATE_FILTER_APPLY_WCP = 697, /* IMMEDIATE_FILTER_APPLY_WCP  */
    DISABLEBGCHECKPREFIX_WCP = 698, /* DISABLEBGCHECKPREFIX_WCP  */
    DISPLAYMODE_WCP = 699,         /* DISPLAYMODE_WCP  */
    SHOWSUBDIRS_WCP = 700,         /* SHOWSUBDIRS_WCP  */
    SHOWDIRECTSUBDIRS_WCP = 701,   /* SHOWDIRECTSUBDIRS_WCP  */
    INCLUDEALL_WCP = 702,          /* INCLUDEALL_WCP  */
    APPLYMODE_WCP = 703,           /* APPLYMODE_WCP  */
    ADD_WCP = 704,                 /* ADD_WCP  */
    REMOVE_WCP = 705,              /* REMOVE_WCP  */
    HIDENONEXISTING_WCP = 706,     /* HIDENONEXISTING_WCP  */
    VIEWCOMMANDLOGOP_WCP = 707,    /* VIEWCOMMANDLOGOP_WCP  */
    LOCKONCURRENTDIR_WCP = 708,    /* LOCKONCURRENTDIR_WCP  */
    STARTNODE_WCP = 709,           /* STARTNODE_WCP  */
    MENUS_WCP = 710,               /* MENUS_WCP  */
    LVMODES_WCP = 711,             /* LVMODES_WCP  */
    LVCOMMANDS_WCP = 712,          /* LVCOMMANDS_WCP  */
    TOPLEVEL_WCP = 713,            /* TOPLEVEL_WCP  */
    FOLLOWACTIVE_WCP = 714,        /* FOLLOWACTIVE_WCP  */
    WATCHFILE_WCP = 715,           /* WATCHFILE_WCP  */
    ACTIVATETEXTVIEWMODEOP_WCP = 716, /* ACTIVATETEXTVIEWMODEOP_WCP  */
    SOURCEMODE_WCP = 717,          /* SOURCEMODE_WCP  */
    ACTIVEFILE_WCP = 718,          /* ACTIVEFILE_WCP  */
    FILETYPEACTION_WCP = 719,      /* FILETYPEACTION_WCP  */
    IGNOREDIRS2_WCP = 720,         /* IGNOREDIRS2_WCP  */
    IGNOREDIR_WCP = 721,           /* IGNOREDIR_WCP  */
    CUSTOMATTRIBUTE_WCP = 722,     /* CUSTOMATTRIBUTE_WCP  */
    STARTSEARCHSTRING_WCP = 723,   /* STARTSEARCHSTRING_WCP  */
    APPLYONLY_WCP = 724,           /* APPLYONLY_WCP  */
    STRING_WCP = 725,              /* STRING_WCP  */
    NUM_WCP = 726                  /* NUM_WCP  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define LEFTBRACE_WCP 258
#define RIGHTBRACE_WCP 259
#define GLOBAL_WCP 260
#define COLORS_WCP 261
#define LANG_WCP 262
#define PALETTE_WCP 263
#define OWNOP_WCP 264
#define LISTERSETS_WCP 265
#define YES_WCP 266
#define NO_WCP 267
#define LEFT_WCP 268
#define RIGHT_WCP 269
#define HBARTOP_WCP 270
#define HBARHEIGHT_WCP 271
#define VBARLEFT_WCP 272
#define VBARWIDTH_WCP 273
#define DISPLAYSETS_WCP 274
#define NAME_WCP 275
#define SIZE_WCP 276
#define TYPE_WCP 277
#define PERMISSION_WCP 278
#define OWNER_WCP 279
#define DESTINATION_WCP 280
#define MODTIME_WCP 281
#define ACCTIME_WCP 282
#define CHGTIME_WCP 283
#define ROWS_WCP 284
#define COLUMNS_WCP 285
#define CACHESIZE_WCP 286
#define OWNERSTYLE_WCP 287
#define TERMINAL_WCP 288
#define USESTRINGFORDIRSIZE_WCP 289
#define TIMESETS_WCP 290
#define STYLE1_WCP 291
#define STYLE2_WCP 292
#define STYLE3_WCP 293
#define DATE_WCP 294
#define TIME_WCP 295
#define DATESUBSTITUTION_WCP 296
#define DATEBEFORETIME_WCP 297
#define STATEBAR_WCP 298
#define SELLVBAR_WCP 299
#define UNSELLVBAR_WCP 300
#define CLOCKBAR_WCP 301
#define REQUESTER_WCP 302
#define UNSELDIR_WCP 303
#define SELDIR_WCP 304
#define UNSELFILE_WCP 305
#define SELFILE_WCP 306
#define UNSELACTDIR_WCP 307
#define SELACTDIR_WCP 308
#define UNSELACTFILE_WCP 309
#define SELACTFILE_WCP 310
#define LVBG_WCP 311
#define STARTUP_WCP 312
#define BUTTON_WCP 313
#define BUTTONS_WCP 314
#define POSITION_WCP 315
#define TITLE_WCP 316
#define COMMANDS_WCP 317
#define SHORTKEYS_WCP 318
#define PATHS_WCP 319
#define PATH_WCP 320
#define FILETYPES_WCP 321
#define FILETYPE_WCP 322
#define NORMAL_WCP 323
#define NOTYETCHECKED_WCP 324
#define UNKNOWN_WCP 325
#define NOSELECT_WCP 326
#define DIR_WCP 327
#define USEPATTERN_WCP 328
#define USECONTENT_WCP 329
#define PATTERN_WCP 330
#define CONTENT_WCP 331
#define FTCOMMANDS_WCP 332
#define DND_WCP 333
#define DC_WCP 334
#define SHOW_WCP 335
#define RAWSHOW_WCP 336
#define USER_WCP 337
#define FLAGS_WCP 338
#define IGNOREDIRS_WCP 339
#define HOTKEYS_WCP 340
#define HOTKEY_WCP 341
#define FONTS_WCP 342
#define GLOBALFONT_WCP 343
#define BUTTONFONT_WCP 344
#define LEFTFONT_WCP 345
#define RIGHTFONT_WCP 346
#define TEXTVIEWFONT_WCP 347
#define STATEBARFONT_WCP 348
#define TEXTVIEWALTFONT_WCP 349
#define CLOCKBARSETS_WCP 350
#define MODUS_WCP 351
#define TIMESPACE_WCP 352
#define VERSION_WCP 353
#define EXTERN_WCP 354
#define UPDATETIME_WCP 355
#define PROGRAM_WCP 356
#define SHOWHINTS_WCP 357
#define KEY_WCP 358
#define DOUBLE_WCP 359
#define MOD_WCP 360
#define CONTROL_WCP 361
#define SHIFT_WCP 362
#define LOCK_WCP 363
#define MOD1_WCP 364
#define MOD2_WCP 365
#define MOD3_WCP 366
#define MOD4_WCP 367
#define MOD5_WCP 368
#define DNDACTION_WCP 369
#define DCACTION_WCP 370
#define SHOWACTION_WCP 371
#define RSHOWACTION_WCP 372
#define USERACTION_WCP 373
#define ROWUP_WCP 374
#define ROWDOWN_WCP 375
#define CHANGEHIDDENFLAG_WCP 376
#define COPYOP_WCP 377
#define FIRSTROW_WCP 378
#define LASTROW_WCP 379
#define PAGEUP_WCP 380
#define PAGEDOWN_WCP 381
#define SELECTOP_WCP 382
#define SELECTALLOP_WCP 383
#define SELECTNONEOP_WCP 384
#define INVERTALLOP_WCP 385
#define PARENTDIROP_WCP 386
#define ENTERDIROP_WCP 387
#define CHANGELISTERSETOP_WCP 388
#define SWITCHLISTEROP_WCP 389
#define FILTERSELECTOP_WCP 390
#define FILTERUNSELECTOP_WCP 391
#define PATHTOOTHERSIDEOP_WCP 392
#define QUITOP_WCP 393
#define DELETEOP_WCP 394
#define RELOADOP_WCP 395
#define MAKEDIROP_WCP 396
#define RENAMEOP_WCP 397
#define DIRSIZEOP_WCP 398
#define SIMDDOP_WCP 399
#define STARTPROGOP_WCP 400
#define SEARCHENTRYOP_WCP 401
#define ENTERPATHOP_WCP 402
#define SCROLLLISTEROP_WCP 403
#define CREATESYMLINKOP_WCP 404
#define CHANGESYMLINKOP_WCP 405
#define CHMODOP_WCP 406
#define TOGGLELISTERMODEOP_WCP 407
#define SETSORTMODEOP_WCP 408
#define SETFILTEROP_WCP 409
#define SHORTKEYFROMLISTOP_WCP 410
#define CHOWNOP_WCP 411
#define WORKERCONFIG_WCP 412
#define USERSTYLE_WCP 413
#define DATESTRING_WCP 414
#define TIMESTRING_WCP 415
#define COLOR_WCP 416
#define PATTERNIGNORECASE_WCP 417
#define PATTERNUSEREGEXP_WCP 418
#define PATTERNUSEFULLNAME_WCP 419
#define COM_WCP 420
#define SEPARATEEACHENTRY_WCP 421
#define RECURSIVE_WCP 422
#define START_WCP 423
#define TERMINALWAIT_WCP 424
#define SHOWOUTPUT_WCP 425
#define VIEWSTR_WCP 426
#define SHOWOUTPUTINT_WCP 427
#define SHOWOUTPUTOTHERSIDE_WCP 428
#define SHOWOUTPUTCUSTOMATTRIBUTE_WCP 429
#define INBACKGROUND_WCP 430
#define TAKEDIRS_WCP 431
#define ACTIONNUMBER_WCP 432
#define HIDDENFILES_WCP 433
#define HIDE_WCP 434
#define TOGGLE_WCP 435
#define FOLLOWSYMLINKS_WCP 436
#define MOVE_WCP 437
#define RENAME_WCP 438
#define SAMEDIR_WCP 439
#define REQUESTDEST_WCP 440
#define REQUESTFLAGS_WCP 441
#define OVERWRITE_WCP 442
#define ALWAYS_WCP 443
#define NEVER_WCP 444
#define COPYMODE_WCP 445
#define FAST_WCP 446
#define PRESERVEATTR_WCP 447
#define MODE_WCP 448
#define ACTIVE_WCP 449
#define ACTIVE2OTHER_WCP 450
#define SPECIAL_WCP 451
#define REQUEST_WCP 452
#define CURRENT_WCP 453
#define OTHER_WCP 454
#define FILTER_WCP 455
#define QUICK_WCP 456
#define ALSOACTIVE_WCP 457
#define RESETDIRSIZES_WCP 458
#define KEEPFILETYPES_WCP 459
#define RELATIVE_WCP 460
#define ONFILES_WCP 461
#define ONDIRS_WCP 462
#define SORTBY_WCP 463
#define SORTFLAG_WCP 464
#define REVERSE_WCP 465
#define DIRLAST_WCP 466
#define DIRMIXED_WCP 467
#define EXCLUDE_WCP 468
#define INCLUDE_WCP 469
#define UNSET_WCP 470
#define UNSETALL_WCP 471
#define SCRIPTOP_WCP 472
#define NOP_WCP 473
#define PUSH_WCP 474
#define LABEL_WCP 475
#define IF_WCP 476
#define END_WCP 477
#define POP_WCP 478
#define SETTINGS_WCP 479
#define WINDOW_WCP 480
#define GOTO_WCP 481
#define PUSHUSEOUTPUT_WCP 482
#define DODEBUG_WCP 483
#define WPURECURSIVE_WCP 484
#define WPUTAKEDIRS_WCP 485
#define STACKNR_WCP 486
#define PUSHSTRING_WCP 487
#define PUSHOUTPUTRETURNCODE_WCP 488
#define IFTEST_WCP 489
#define IFLABEL_WCP 490
#define WINTYPE_WCP 491
#define OPEN_WCP 492
#define CLOSE_WCP 493
#define LEAVE_WCP 494
#define CHANGEPROGRESS_WCP 495
#define CHANGETEXT_WCP 496
#define PROGRESSUSEOUTPUT_WCP 497
#define WINTEXTUSEOUTPUT_WCP 498
#define PROGRESS_WCP 499
#define WINTEXT_WCP 500
#define SHOWDIRCACHEOP_WCP 501
#define INODE_WCP 502
#define NLINK_WCP 503
#define BLOCKS_WCP 504
#define SHOWHEADER_WCP 505
#define LVHEADER_WCP 506
#define IGNORECASE_WCP 507
#define LISTVIEWS_WCP 508
#define BLL_WCP 509
#define LBL_WCP 510
#define LLB_WCP 511
#define BL_WCP 512
#define LB_WCP 513
#define LAYOUT_WCP 514
#define BUTTONSVERT_WCP 515
#define LISTVIEWSVERT_WCP 516
#define LISTVIEWWEIGHT_WCP 517
#define WEIGHTTOACTIVE_WCP 518
#define EXTCOND_WCP 519
#define USEEXTCOND_WCP 520
#define SUBTYPE_WCP 521
#define PARENTACTIONOP_WCP 522
#define NOOPERATIONOP_WCP 523
#define COLORMODE_WCP 524
#define DEFAULT_WCP 525
#define CUSTOM_WCP 526
#define UNSELECTCOLOR_WCP 527
#define SELECTCOLOR_WCP 528
#define UNSELECTACTIVECOLOR_WCP 529
#define SELECTACTIVECOLOR_WCP 530
#define COLOREXTERNPROG_WCP 531
#define PARENT_WCP 532
#define DONTCD_WCP 533
#define DONTCHECKVIRTUAL_WCP 534
#define GOFTPOP_WCP 535
#define HOSTNAME_WCP 536
#define USERNAME_WCP 537
#define PASSWORD_WCP 538
#define DONTENTERFTP_WCP 539
#define ALWAYSSTOREPW_WCP 540
#define INTERNALVIEWOP_WCP 541
#define CUSTOMFILES_WCP 542
#define SHOWMODE_WCP 543
#define SELECTED_WCP 544
#define REVERSESEARCH_WCP 545
#define MOUSECONF_WCP 546
#define SELECTBUTTON_WCP 547
#define ACTIVATEBUTTON_WCP 548
#define SCROLLBUTTON_WCP 549
#define SELECTMETHOD_WCP 550
#define ALTERNATIVE_WCP 551
#define SEARCHOP_WCP 552
#define EDITCOMMAND_WCP 553
#define SHOWPREVRESULTS_WCP 554
#define TEXTVIEW_WCP 555
#define TEXTVIEWHIGHLIGHTED_WCP 556
#define TEXTVIEWSELECTION_WCP 557
#define DIRBOOKMARKOP_WCP 558
#define OPENCONTEXTMENUOP_WCP 559
#define RUNCUSTOMACTION_WCP 560
#define CUSTOMNAME_WCP 561
#define CONTEXTBUTTON_WCP 562
#define ACTIVATEMOD_WCP 563
#define SCROLLMOD_WCP 564
#define CONTEXTMOD_WCP 565
#define NONE_WCP 566
#define CUSTOMACTION_WCP 567
#define SAVE_WORKER_STATE_ON_EXIT_WCP 568
#define OPENWORKERMENUOP_WCP 569
#define CHANGELABELOP_WCP 570
#define ASKFORLABEL_WCP 571
#define LABELCOLORS_WCP 572
#define BOOKMARKLABEL_WCP 573
#define BOOKMARKFILTER_WCP 574
#define SHOWONLYBOOKMARKS_WCP 575
#define SHOWONLYLABEL_WCP 576
#define SHOWALL_WCP 577
#define OPTIONMODE_WCP 578
#define INVERT_WCP 579
#define SET_WCP 580
#define CHANGEFILTERS_WCP 581
#define CHANGEBOOKMARKS_WCP 582
#define QUERYLABEL_WCP 583
#define MODIFYTABSOP_WCP 584
#define TABACTION_WCP 585
#define NEWTAB_WCP 586
#define CLOSECURRENTTAB_WCP 587
#define NEXTTAB_WCP 588
#define PREVTAB_WCP 589
#define TOGGLELOCKSTATE_WCP 590
#define MOVETABLEFT_WCP 591
#define MOVETABRIGHT_WCP 592
#define CHANGELAYOUTOP_WCP 593
#define INFIXSEARCH_WCP 594
#define VOLUMEMANAGEROP_WCP 595
#define ERROR 596
#define ACTIVESIDE_WCP 597
#define SHOWFREESPACE_WCP 598
#define ACTIVEMODE_WCP 599
#define ASK_WCP 600
#define SSHALLOW_WCP 601
#define FIELD_WIDTH_WCP 602
#define QUICKSEARCHENABLED_WCP 603
#define FILTEREDSEARCHENABLED_WCP 604
#define XFTFONTS_WCP 605
#define USEMAGIC_WCP 606
#define MAGICPATTERN_WCP 607
#define MAGICCOMPRESSED_WCP 608
#define MAGICMIME_WCP 609
#define VOLUMEMANAGER_WCP 610
#define MOUNTCOMMAND_WCP 611
#define UNMOUNTCOMMAND_WCP 612
#define FSTABFILE_WCP 613
#define MTABFILE_WCP 614
#define PARTFILE_WCP 615
#define REQUESTACTION_WCP 616
#define SIZEH_WCP 617
#define NEXTAGING_WCP 618
#define ENTRY_WCP 619
#define PREFIX_WCP 620
#define VALUE_WCP 621
#define EXTENSION_WCP 622
#define EJECTCOMMAND_WCP 623
#define CLOSETRAYCOMMAND_WCP 624
#define AVFSMODULE_WCP 625
#define FLEXIBLEMATCH_WCP 626
#define USE_VERSION_STRING_COMPARE_WCP 627
#define SWITCHBUTTONBANKOP_WCP 628
#define SWITCHTONEXTBANK_WCP 629
#define SWITCHTOPREVBANK_WCP 630
#define SWITCHTOBANKNR_WCP 631
#define BANKNR_WCP 632
#define USE_VIRTUAL_TEMP_COPIES_WCP 633
#define PATHJUMPOP_WCP 634
#define PATHJUMPALLOWDIRS_WCP 635
#define CLIPBOARDOP_WCP 636
#define CLIPBOARDSTRING_WCP 637
#define COMMANDSTRING_WCP 638
#define EVALCOMMAND_WCP 639
#define WATCHMODE_WCP 640
#define APPLY_WINDOW_DIALOG_TYPE_WCP 641
#define FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP 642
#define COMMANDMENUOP_WCP 643
#define SEARCHMODEONKEYPRESS_WCP 644
#define PATHENTRYONTOP_WCP 645
#define STORE_FILES_ALWAYS_WCP 646
#define PATHJUMPSETS_WCP 647
#define SHOWDOTDOT_WCP 648
#define SHOWBREADCRUMB_WCP 649
#define FACES_WCP 650
#define FACE_WCP 651
#define ENABLE_INFO_LINE_WCP 652
#define INFO_LINE_LUA_MODE_WCP 653
#define INFO_LINE_CONTENT_WCP 654
#define RESTORE_TABS_MODE_WCP 655
#define STORE_TABS_MODE_WCP 656
#define AS_EXIT_STATE_WCP 657
#define USE_EXTENDED_REGEX_WCP 658
#define HIGHLIGHT_USER_ACTION_WCP 659
#define CHTIMEOP_WCP 660
#define ADJUSTRELATIVESYMLINKS_WCP 661
#define OUTSIDE_WCP 662
#define EDIT_WCP 663
#define MAKEABSOLUTE_WCP 664
#define MAKERELATIVE_WCP 665
#define MAGICIGNORECASE_WCP 666
#define ENSURE_FILE_PERMISSIONS_WCP 667
#define USER_RW_WCP 668
#define USER_RW_GROUP_R_WCP 669
#define USER_RW_ALL_R_WCP 670
#define LEAVE_UNMODIFIED_WCP 671
#define PREFERUDISKSVERSION_WCP 672
#define CHANGECOLUMNSOP_WCP 673
#define PATTERNISCOMMASEPARATED_WCP 674
#define STRCASECMP_WCP 675
#define USE_STRING_COMPARE_MODE_WCP 676
#define VIEWNEWESTFILESOP_WCP 677
#define SHOWRECENT_WCP 678
#define DIRCOMPAREOP_WCP 679
#define TABPROFILESOP_WCP 680
#define EXTERNALVDIROP_WCP 681
#define VDIR_PRESERVE_DIR_STRUCTURE_WCP 682
#define OPENTABMENUOP_WCP 683
#define INITIALTAB_WCP 684
#define SHOWBYTIME_WCP 685
#define SHOWBYFILTER_WCP 686
#define SHOWBYPROGRAM_WCP 687
#define TERMINAL_RETURNS_EARLY_WCP 688
#define DIRECTORYPRESETS_WCP 689
#define DIRECTORYPRESET_WCP 690
#define HELPOP_WCP 691
#define PRIORITY_WCP 692
#define AUTOFILTER_WCP 693
#define ENABLE_CUSTOM_LVB_LINE_WCP 694
#define CUSTOM_LVB_LINE_WCP 695
#define CUSTOM_DIRECTORY_INFO_COMMAND_WCP 696
#define IMMEDIATE_FILTER_APPLY_WCP 697
#define DISABLEBGCHECKPREFIX_WCP 698
#define DISPLAYMODE_WCP 699
#define SHOWSUBDIRS_WCP 700
#define SHOWDIRECTSUBDIRS_WCP 701
#define INCLUDEALL_WCP 702
#define APPLYMODE_WCP 703
#define ADD_WCP 704
#define REMOVE_WCP 705
#define HIDENONEXISTING_WCP 706
#define VIEWCOMMANDLOGOP_WCP 707
#define LOCKONCURRENTDIR_WCP 708
#define STARTNODE_WCP 709
#define MENUS_WCP 710
#define LVMODES_WCP 711
#define LVCOMMANDS_WCP 712
#define TOPLEVEL_WCP 713
#define FOLLOWACTIVE_WCP 714
#define WATCHFILE_WCP 715
#define ACTIVATETEXTVIEWMODEOP_WCP 716
#define SOURCEMODE_WCP 717
#define ACTIVEFILE_WCP 718
#define FILETYPEACTION_WCP 719
#define IGNOREDIRS2_WCP 720
#define IGNOREDIR_WCP 721
#define CUSTOMATTRIBUTE_WCP 722
#define STARTSEARCHSTRING_WCP 723
#define APPLYONLY_WCP 724
#define STRING_WCP 725
#define NUM_WCP 726

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 205 "configparser.yy"

  int num;
  char *strptr;

#line 1275 "configparser.cc"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;


int yyparse (void);


#endif /* !YY_YY_CONFIGPARSER_HH_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_LEFTBRACE_WCP = 3,              /* LEFTBRACE_WCP  */
  YYSYMBOL_RIGHTBRACE_WCP = 4,             /* RIGHTBRACE_WCP  */
  YYSYMBOL_GLOBAL_WCP = 5,                 /* GLOBAL_WCP  */
  YYSYMBOL_COLORS_WCP = 6,                 /* COLORS_WCP  */
  YYSYMBOL_LANG_WCP = 7,                   /* LANG_WCP  */
  YYSYMBOL_PALETTE_WCP = 8,                /* PALETTE_WCP  */
  YYSYMBOL_OWNOP_WCP = 9,                  /* OWNOP_WCP  */
  YYSYMBOL_LISTERSETS_WCP = 10,            /* LISTERSETS_WCP  */
  YYSYMBOL_YES_WCP = 11,                   /* YES_WCP  */
  YYSYMBOL_NO_WCP = 12,                    /* NO_WCP  */
  YYSYMBOL_LEFT_WCP = 13,                  /* LEFT_WCP  */
  YYSYMBOL_RIGHT_WCP = 14,                 /* RIGHT_WCP  */
  YYSYMBOL_HBARTOP_WCP = 15,               /* HBARTOP_WCP  */
  YYSYMBOL_HBARHEIGHT_WCP = 16,            /* HBARHEIGHT_WCP  */
  YYSYMBOL_VBARLEFT_WCP = 17,              /* VBARLEFT_WCP  */
  YYSYMBOL_VBARWIDTH_WCP = 18,             /* VBARWIDTH_WCP  */
  YYSYMBOL_DISPLAYSETS_WCP = 19,           /* DISPLAYSETS_WCP  */
  YYSYMBOL_NAME_WCP = 20,                  /* NAME_WCP  */
  YYSYMBOL_SIZE_WCP = 21,                  /* SIZE_WCP  */
  YYSYMBOL_TYPE_WCP = 22,                  /* TYPE_WCP  */
  YYSYMBOL_PERMISSION_WCP = 23,            /* PERMISSION_WCP  */
  YYSYMBOL_OWNER_WCP = 24,                 /* OWNER_WCP  */
  YYSYMBOL_DESTINATION_WCP = 25,           /* DESTINATION_WCP  */
  YYSYMBOL_MODTIME_WCP = 26,               /* MODTIME_WCP  */
  YYSYMBOL_ACCTIME_WCP = 27,               /* ACCTIME_WCP  */
  YYSYMBOL_CHGTIME_WCP = 28,               /* CHGTIME_WCP  */
  YYSYMBOL_ROWS_WCP = 29,                  /* ROWS_WCP  */
  YYSYMBOL_COLUMNS_WCP = 30,               /* COLUMNS_WCP  */
  YYSYMBOL_CACHESIZE_WCP = 31,             /* CACHESIZE_WCP  */
  YYSYMBOL_OWNERSTYLE_WCP = 32,            /* OWNERSTYLE_WCP  */
  YYSYMBOL_TERMINAL_WCP = 33,              /* TERMINAL_WCP  */
  YYSYMBOL_USESTRINGFORDIRSIZE_WCP = 34,   /* USESTRINGFORDIRSIZE_WCP  */
  YYSYMBOL_TIMESETS_WCP = 35,              /* TIMESETS_WCP  */
  YYSYMBOL_STYLE1_WCP = 36,                /* STYLE1_WCP  */
  YYSYMBOL_STYLE2_WCP = 37,                /* STYLE2_WCP  */
  YYSYMBOL_STYLE3_WCP = 38,                /* STYLE3_WCP  */
  YYSYMBOL_DATE_WCP = 39,                  /* DATE_WCP  */
  YYSYMBOL_TIME_WCP = 40,                  /* TIME_WCP  */
  YYSYMBOL_DATESUBSTITUTION_WCP = 41,      /* DATESUBSTITUTION_WCP  */
  YYSYMBOL_DATEBEFORETIME_WCP = 42,        /* DATEBEFORETIME_WCP  */
  YYSYMBOL_STATEBAR_WCP = 43,              /* STATEBAR_WCP  */
  YYSYMBOL_SELLVBAR_WCP = 44,              /* SELLVBAR_WCP  */
  YYSYMBOL_UNSELLVBAR_WCP = 45,            /* UNSELLVBAR_WCP  */
  YYSYMBOL_CLOCKBAR_WCP = 46,              /* CLOCKBAR_WCP  */
  YYSYMBOL_REQUESTER_WCP = 47,             /* REQUESTER_WCP  */
  YYSYMBOL_UNSELDIR_WCP = 48,              /* UNSELDIR_WCP  */
  YYSYMBOL_SELDIR_WCP = 49,                /* SELDIR_WCP  */
  YYSYMBOL_UNSELFILE_WCP = 50,             /* UNSELFILE_WCP  */
  YYSYMBOL_SELFILE_WCP = 51,               /* SELFILE_WCP  */
  YYSYMBOL_UNSELACTDIR_WCP = 52,           /* UNSELACTDIR_WCP  */
  YYSYMBOL_SELACTDIR_WCP = 53,             /* SELACTDIR_WCP  */
  YYSYMBOL_UNSELACTFILE_WCP = 54,          /* UNSELACTFILE_WCP  */
  YYSYMBOL_SELACTFILE_WCP = 55,            /* SELACTFILE_WCP  */
  YYSYMBOL_LVBG_WCP = 56,                  /* LVBG_WCP  */
  YYSYMBOL_STARTUP_WCP = 57,               /* STARTUP_WCP  */
  YYSYMBOL_BUTTON_WCP = 58,                /* BUTTON_WCP  */
  YYSYMBOL_BUTTONS_WCP = 59,               /* BUTTONS_WCP  */
  YYSYMBOL_POSITION_WCP = 60,              /* POSITION_WCP  */
  YYSYMBOL_TITLE_WCP = 61,                 /* TITLE_WCP  */
  YYSYMBOL_COMMANDS_WCP = 62,              /* COMMANDS_WCP  */
  YYSYMBOL_SHORTKEYS_WCP = 63,             /* SHORTKEYS_WCP  */
  YYSYMBOL_PATHS_WCP = 64,                 /* PATHS_WCP  */
  YYSYMBOL_PATH_WCP = 65,                  /* PATH_WCP  */
  YYSYMBOL_FILETYPES_WCP = 66,             /* FILETYPES_WCP  */
  YYSYMBOL_FILETYPE_WCP = 67,              /* FILETYPE_WCP  */
  YYSYMBOL_NORMAL_WCP = 68,                /* NORMAL_WCP  */
  YYSYMBOL_NOTYETCHECKED_WCP = 69,         /* NOTYETCHECKED_WCP  */
  YYSYMBOL_UNKNOWN_WCP = 70,               /* UNKNOWN_WCP  */
  YYSYMBOL_NOSELECT_WCP = 71,              /* NOSELECT_WCP  */
  YYSYMBOL_DIR_WCP = 72,                   /* DIR_WCP  */
  YYSYMBOL_USEPATTERN_WCP = 73,            /* USEPATTERN_WCP  */
  YYSYMBOL_USECONTENT_WCP = 74,            /* USECONTENT_WCP  */
  YYSYMBOL_PATTERN_WCP = 75,               /* PATTERN_WCP  */
  YYSYMBOL_CONTENT_WCP = 76,               /* CONTENT_WCP  */
  YYSYMBOL_FTCOMMANDS_WCP = 77,            /* FTCOMMANDS_WCP  */
  YYSYMBOL_DND_WCP = 78,                   /* DND_WCP  */
  YYSYMBOL_DC_WCP = 79,                    /* DC_WCP  */
  YYSYMBOL_SHOW_WCP = 80,                  /* SHOW_WCP  */
  YYSYMBOL_RAWSHOW_WCP = 81,               /* RAWSHOW_WCP  */
  YYSYMBOL_USER_WCP = 82,                  /* USER_WCP  */
  YYSYMBOL_FLAGS_WCP = 83,                 /* FLAGS_WCP  */
  YYSYMBOL_IGNOREDIRS_WCP = 84,            /* IGNOREDIRS_WCP  */
  YYSYMBOL_HOTKEYS_WCP = 85,               /* HOTKEYS_WCP  */
  YYSYMBOL_HOTKEY_WCP = 86,                /* HOTKEY_WCP  */
  YYSYMBOL_FONTS_WCP = 87,                 /* FONTS_WCP  */
  YYSYMBOL_GLOBALFONT_WCP = 88,            /* GLOBALFONT_WCP  */
  YYSYMBOL_BUTTONFONT_WCP = 89,            /* BUTTONFONT_WCP  */
  YYSYMBOL_LEFTFONT_WCP = 90,              /* LEFTFONT_WCP  */
  YYSYMBOL_RIGHTFONT_WCP = 91,             /* RIGHTFONT_WCP  */
  YYSYMBOL_TEXTVIEWFONT_WCP = 92,          /* TEXTVIEWFONT_WCP  */
  YYSYMBOL_STATEBARFONT_WCP = 93,          /* STATEBARFONT_WCP  */
  YYSYMBOL_TEXTVIEWALTFONT_WCP = 94,       /* TEXTVIEWALTFONT_WCP  */
  YYSYMBOL_CLOCKBARSETS_WCP = 95,          /* CLOCKBARSETS_WCP  */
  YYSYMBOL_MODUS_WCP = 96,                 /* MODUS_WCP  */
  YYSYMBOL_TIMESPACE_WCP = 97,             /* TIMESPACE_WCP  */
  YYSYMBOL_VERSION_WCP = 98,               /* VERSION_WCP  */
  YYSYMBOL_EXTERN_WCP = 99,                /* EXTERN_WCP  */
  YYSYMBOL_UPDATETIME_WCP = 100,           /* UPDATETIME_WCP  */
  YYSYMBOL_PROGRAM_WCP = 101,              /* PROGRAM_WCP  */
  YYSYMBOL_SHOWHINTS_WCP = 102,            /* SHOWHINTS_WCP  */
  YYSYMBOL_KEY_WCP = 103,                  /* KEY_WCP  */
  YYSYMBOL_DOUBLE_WCP = 104,               /* DOUBLE_WCP  */
  YYSYMBOL_MOD_WCP = 105,                  /* MOD_WCP  */
  YYSYMBOL_CONTROL_WCP = 106,              /* CONTROL_WCP  */
  YYSYMBOL_SHIFT_WCP = 107,                /* SHIFT_WCP  */
  YYSYMBOL_LOCK_WCP = 108,                 /* LOCK_WCP  */
  YYSYMBOL_MOD1_WCP = 109,                 /* MOD1_WCP  */
  YYSYMBOL_MOD2_WCP = 110,                 /* MOD2_WCP  */
  YYSYMBOL_MOD3_WCP = 111,                 /* MOD3_WCP  */
  YYSYMBOL_MOD4_WCP = 112,                 /* MOD4_WCP  */
  YYSYMBOL_MOD5_WCP = 113,                 /* MOD5_WCP  */
  YYSYMBOL_DNDACTION_WCP = 114,            /* DNDACTION_WCP  */
  YYSYMBOL_DCACTION_WCP = 115,             /* DCACTION_WCP  */
  YYSYMBOL_SHOWACTION_WCP = 116,           /* SHOWACTION_WCP  */
  YYSYMBOL_RSHOWACTION_WCP = 117,          /* RSHOWACTION_WCP  */
  YYSYMBOL_USERACTION_WCP = 118,           /* USERACTION_WCP  */
  YYSYMBOL_ROWUP_WCP = 119,                /* ROWUP_WCP  */
  YYSYMBOL_ROWDOWN_WCP = 120,              /* ROWDOWN_WCP  */
  YYSYMBOL_CHANGEHIDDENFLAG_WCP = 121,     /* CHANGEHIDDENFLAG_WCP  */
  YYSYMBOL_COPYOP_WCP = 122,               /* COPYOP_WCP  */
  YYSYMBOL_FIRSTROW_WCP = 123,             /* FIRSTROW_WCP  */
  YYSYMBOL_LASTROW_WCP = 124,              /* LASTROW_WCP  */
  YYSYMBOL_PAGEUP_WCP = 125,               /* PAGEUP_WCP  */
  YYSYMBOL_PAGEDOWN_WCP = 126,             /* PAGEDOWN_WCP  */
  YYSYMBOL_SELECTOP_WCP = 127,             /* SELECTOP_WCP  */
  YYSYMBOL_SELECTALLOP_WCP = 128,          /* SELECTALLOP_WCP  */
  YYSYMBOL_SELECTNONEOP_WCP = 129,         /* SELECTNONEOP_WCP  */
  YYSYMBOL_INVERTALLOP_WCP = 130,          /* INVERTALLOP_WCP  */
  YYSYMBOL_PARENTDIROP_WCP = 131,          /* PARENTDIROP_WCP  */
  YYSYMBOL_ENTERDIROP_WCP = 132,           /* ENTERDIROP_WCP  */
  YYSYMBOL_CHANGELISTERSETOP_WCP = 133,    /* CHANGELISTERSETOP_WCP  */
  YYSYMBOL_SWITCHLISTEROP_WCP = 134,       /* SWITCHLISTEROP_WCP  */
  YYSYMBOL_FILTERSELECTOP_WCP = 135,       /* FILTERSELECTOP_WCP  */
  YYSYMBOL_FILTERUNSELECTOP_WCP = 136,     /* FILTERUNSELECTOP_WCP  */
  YYSYMBOL_PATHTOOTHERSIDEOP_WCP = 137,    /* PATHTOOTHERSIDEOP_WCP  */
  YYSYMBOL_QUITOP_WCP = 138,               /* QUITOP_WCP  */
  YYSYMBOL_DELETEOP_WCP = 139,             /* DELETEOP_WCP  */
  YYSYMBOL_RELOADOP_WCP = 140,             /* RELOADOP_WCP  */
  YYSYMBOL_MAKEDIROP_WCP = 141,            /* MAKEDIROP_WCP  */
  YYSYMBOL_RENAMEOP_WCP = 142,             /* RENAMEOP_WCP  */
  YYSYMBOL_DIRSIZEOP_WCP = 143,            /* DIRSIZEOP_WCP  */
  YYSYMBOL_SIMDDOP_WCP = 144,              /* SIMDDOP_WCP  */
  YYSYMBOL_STARTPROGOP_WCP = 145,          /* STARTPROGOP_WCP  */
  YYSYMBOL_SEARCHENTRYOP_WCP = 146,        /* SEARCHENTRYOP_WCP  */
  YYSYMBOL_ENTERPATHOP_WCP = 147,          /* ENTERPATHOP_WCP  */
  YYSYMBOL_SCROLLLISTEROP_WCP = 148,       /* SCROLLLISTEROP_WCP  */
  YYSYMBOL_CREATESYMLINKOP_WCP = 149,      /* CREATESYMLINKOP_WCP  */
  YYSYMBOL_CHANGESYMLINKOP_WCP = 150,      /* CHANGESYMLINKOP_WCP  */
  YYSYMBOL_CHMODOP_WCP = 151,              /* CHMODOP_WCP  */
  YYSYMBOL_TOGGLELISTERMODEOP_WCP = 152,   /* TOGGLELISTERMODEOP_WCP  */
  YYSYMBOL_SETSORTMODEOP_WCP = 153,        /* SETSORTMODEOP_WCP  */
  YYSYMBOL_SETFILTEROP_WCP = 154,          /* SETFILTEROP_WCP  */
  YYSYMBOL_SHORTKEYFROMLISTOP_WCP = 155,   /* SHORTKEYFROMLISTOP_WCP  */
  YYSYMBOL_CHOWNOP_WCP = 156,              /* CHOWNOP_WCP  */
  YYSYMBOL_WORKERCONFIG_WCP = 157,         /* WORKERCONFIG_WCP  */
  YYSYMBOL_USERSTYLE_WCP = 158,            /* USERSTYLE_WCP  */
  YYSYMBOL_DATESTRING_WCP = 159,           /* DATESTRING_WCP  */
  YYSYMBOL_TIMESTRING_WCP = 160,           /* TIMESTRING_WCP  */
  YYSYMBOL_COLOR_WCP = 161,                /* COLOR_WCP  */
  YYSYMBOL_PATTERNIGNORECASE_WCP = 162,    /* PATTERNIGNORECASE_WCP  */
  YYSYMBOL_PATTERNUSEREGEXP_WCP = 163,     /* PATTERNUSEREGEXP_WCP  */
  YYSYMBOL_PATTERNUSEFULLNAME_WCP = 164,   /* PATTERNUSEFULLNAME_WCP  */
  YYSYMBOL_COM_WCP = 165,                  /* COM_WCP  */
  YYSYMBOL_SEPARATEEACHENTRY_WCP = 166,    /* SEPARATEEACHENTRY_WCP  */
  YYSYMBOL_RECURSIVE_WCP = 167,            /* RECURSIVE_WCP  */
  YYSYMBOL_START_WCP = 168,                /* START_WCP  */
  YYSYMBOL_TERMINALWAIT_WCP = 169,         /* TERMINALWAIT_WCP  */
  YYSYMBOL_SHOWOUTPUT_WCP = 170,           /* SHOWOUTPUT_WCP  */
  YYSYMBOL_VIEWSTR_WCP = 171,              /* VIEWSTR_WCP  */
  YYSYMBOL_SHOWOUTPUTINT_WCP = 172,        /* SHOWOUTPUTINT_WCP  */
  YYSYMBOL_SHOWOUTPUTOTHERSIDE_WCP = 173,  /* SHOWOUTPUTOTHERSIDE_WCP  */
  YYSYMBOL_SHOWOUTPUTCUSTOMATTRIBUTE_WCP = 174, /* SHOWOUTPUTCUSTOMATTRIBUTE_WCP  */
  YYSYMBOL_INBACKGROUND_WCP = 175,         /* INBACKGROUND_WCP  */
  YYSYMBOL_TAKEDIRS_WCP = 176,             /* TAKEDIRS_WCP  */
  YYSYMBOL_ACTIONNUMBER_WCP = 177,         /* ACTIONNUMBER_WCP  */
  YYSYMBOL_HIDDENFILES_WCP = 178,          /* HIDDENFILES_WCP  */
  YYSYMBOL_HIDE_WCP = 179,                 /* HIDE_WCP  */
  YYSYMBOL_TOGGLE_WCP = 180,               /* TOGGLE_WCP  */
  YYSYMBOL_FOLLOWSYMLINKS_WCP = 181,       /* FOLLOWSYMLINKS_WCP  */
  YYSYMBOL_MOVE_WCP = 182,                 /* MOVE_WCP  */
  YYSYMBOL_RENAME_WCP = 183,               /* RENAME_WCP  */
  YYSYMBOL_SAMEDIR_WCP = 184,              /* SAMEDIR_WCP  */
  YYSYMBOL_REQUESTDEST_WCP = 185,          /* REQUESTDEST_WCP  */
  YYSYMBOL_REQUESTFLAGS_WCP = 186,         /* REQUESTFLAGS_WCP  */
  YYSYMBOL_OVERWRITE_WCP = 187,            /* OVERWRITE_WCP  */
  YYSYMBOL_ALWAYS_WCP = 188,               /* ALWAYS_WCP  */
  YYSYMBOL_NEVER_WCP = 189,                /* NEVER_WCP  */
  YYSYMBOL_COPYMODE_WCP = 190,             /* COPYMODE_WCP  */
  YYSYMBOL_FAST_WCP = 191,                 /* FAST_WCP  */
  YYSYMBOL_PRESERVEATTR_WCP = 192,         /* PRESERVEATTR_WCP  */
  YYSYMBOL_MODE_WCP = 193,                 /* MODE_WCP  */
  YYSYMBOL_ACTIVE_WCP = 194,               /* ACTIVE_WCP  */
  YYSYMBOL_ACTIVE2OTHER_WCP = 195,         /* ACTIVE2OTHER_WCP  */
  YYSYMBOL_SPECIAL_WCP = 196,              /* SPECIAL_WCP  */
  YYSYMBOL_REQUEST_WCP = 197,              /* REQUEST_WCP  */
  YYSYMBOL_CURRENT_WCP = 198,              /* CURRENT_WCP  */
  YYSYMBOL_OTHER_WCP = 199,                /* OTHER_WCP  */
  YYSYMBOL_FILTER_WCP = 200,               /* FILTER_WCP  */
  YYSYMBOL_QUICK_WCP = 201,                /* QUICK_WCP  */
  YYSYMBOL_ALSOACTIVE_WCP = 202,           /* ALSOACTIVE_WCP  */
  YYSYMBOL_RESETDIRSIZES_WCP = 203,        /* RESETDIRSIZES_WCP  */
  YYSYMBOL_KEEPFILETYPES_WCP = 204,        /* KEEPFILETYPES_WCP  */
  YYSYMBOL_RELATIVE_WCP = 205,             /* RELATIVE_WCP  */
  YYSYMBOL_ONFILES_WCP = 206,              /* ONFILES_WCP  */
  YYSYMBOL_ONDIRS_WCP = 207,               /* ONDIRS_WCP  */
  YYSYMBOL_SORTBY_WCP = 208,               /* SORTBY_WCP  */
  YYSYMBOL_SORTFLAG_WCP = 209,             /* SORTFLAG_WCP  */
  YYSYMBOL_REVERSE_WCP = 210,              /* REVERSE_WCP  */
  YYSYMBOL_DIRLAST_WCP = 211,              /* DIRLAST_WCP  */
  YYSYMBOL_DIRMIXED_WCP = 212,             /* DIRMIXED_WCP  */
  YYSYMBOL_EXCLUDE_WCP = 213,              /* EXCLUDE_WCP  */
  YYSYMBOL_INCLUDE_WCP = 214,              /* INCLUDE_WCP  */
  YYSYMBOL_UNSET_WCP = 215,                /* UNSET_WCP  */
  YYSYMBOL_UNSETALL_WCP = 216,             /* UNSETALL_WCP  */
  YYSYMBOL_SCRIPTOP_WCP = 217,             /* SCRIPTOP_WCP  */
  YYSYMBOL_NOP_WCP = 218,                  /* NOP_WCP  */
  YYSYMBOL_PUSH_WCP = 219,                 /* PUSH_WCP  */
  YYSYMBOL_LABEL_WCP = 220,                /* LABEL_WCP  */
  YYSYMBOL_IF_WCP = 221,                   /* IF_WCP  */
  YYSYMBOL_END_WCP = 222,                  /* END_WCP  */
  YYSYMBOL_POP_WCP = 223,                  /* POP_WCP  */
  YYSYMBOL_SETTINGS_WCP = 224,             /* SETTINGS_WCP  */
  YYSYMBOL_WINDOW_WCP = 225,               /* WINDOW_WCP  */
  YYSYMBOL_GOTO_WCP = 226,                 /* GOTO_WCP  */
  YYSYMBOL_PUSHUSEOUTPUT_WCP = 227,        /* PUSHUSEOUTPUT_WCP  */
  YYSYMBOL_DODEBUG_WCP = 228,              /* DODEBUG_WCP  */
  YYSYMBOL_WPURECURSIVE_WCP = 229,         /* WPURECURSIVE_WCP  */
  YYSYMBOL_WPUTAKEDIRS_WCP = 230,          /* WPUTAKEDIRS_WCP  */
  YYSYMBOL_STACKNR_WCP = 231,              /* STACKNR_WCP  */
  YYSYMBOL_PUSHSTRING_WCP = 232,           /* PUSHSTRING_WCP  */
  YYSYMBOL_PUSHOUTPUTRETURNCODE_WCP = 233, /* PUSHOUTPUTRETURNCODE_WCP  */
  YYSYMBOL_IFTEST_WCP = 234,               /* IFTEST_WCP  */
  YYSYMBOL_IFLABEL_WCP = 235,              /* IFLABEL_WCP  */
  YYSYMBOL_WINTYPE_WCP = 236,              /* WINTYPE_WCP  */
  YYSYMBOL_OPEN_WCP = 237,                 /* OPEN_WCP  */
  YYSYMBOL_CLOSE_WCP = 238,                /* CLOSE_WCP  */
  YYSYMBOL_LEAVE_WCP = 239,                /* LEAVE_WCP  */
  YYSYMBOL_CHANGEPROGRESS_WCP = 240,       /* CHANGEPROGRESS_WCP  */
  YYSYMBOL_CHANGETEXT_WCP = 241,           /* CHANGETEXT_WCP  */
  YYSYMBOL_PROGRESSUSEOUTPUT_WCP = 242,    /* PROGRESSUSEOUTPUT_WCP  */
  YYSYMBOL_WINTEXTUSEOUTPUT_WCP = 243,     /* WINTEXTUSEOUTPUT_WCP  */
  YYSYMBOL_PROGRESS_WCP = 244,             /* PROGRESS_WCP  */
  YYSYMBOL_WINTEXT_WCP = 245,              /* WINTEXT_WCP  */
  YYSYMBOL_SHOWDIRCACHEOP_WCP = 246,       /* SHOWDIRCACHEOP_WCP  */
  YYSYMBOL_INODE_WCP = 247,                /* INODE_WCP  */
  YYSYMBOL_NLINK_WCP = 248,                /* NLINK_WCP  */
  YYSYMBOL_BLOCKS_WCP = 249,               /* BLOCKS_WCP  */
  YYSYMBOL_SHOWHEADER_WCP = 250,           /* SHOWHEADER_WCP  */
  YYSYMBOL_LVHEADER_WCP = 251,             /* LVHEADER_WCP  */
  YYSYMBOL_IGNORECASE_WCP = 252,           /* IGNORECASE_WCP  */
  YYSYMBOL_LISTVIEWS_WCP = 253,            /* LISTVIEWS_WCP  */
  YYSYMBOL_BLL_WCP = 254,                  /* BLL_WCP  */
  YYSYMBOL_LBL_WCP = 255,                  /* LBL_WCP  */
  YYSYMBOL_LLB_WCP = 256,                  /* LLB_WCP  */
  YYSYMBOL_BL_WCP = 257,                   /* BL_WCP  */
  YYSYMBOL_LB_WCP = 258,                   /* LB_WCP  */
  YYSYMBOL_LAYOUT_WCP = 259,               /* LAYOUT_WCP  */
  YYSYMBOL_BUTTONSVERT_WCP = 260,          /* BUTTONSVERT_WCP  */
  YYSYMBOL_LISTVIEWSVERT_WCP = 261,        /* LISTVIEWSVERT_WCP  */
  YYSYMBOL_LISTVIEWWEIGHT_WCP = 262,       /* LISTVIEWWEIGHT_WCP  */
  YYSYMBOL_WEIGHTTOACTIVE_WCP = 263,       /* WEIGHTTOACTIVE_WCP  */
  YYSYMBOL_EXTCOND_WCP = 264,              /* EXTCOND_WCP  */
  YYSYMBOL_USEEXTCOND_WCP = 265,           /* USEEXTCOND_WCP  */
  YYSYMBOL_SUBTYPE_WCP = 266,              /* SUBTYPE_WCP  */
  YYSYMBOL_PARENTACTIONOP_WCP = 267,       /* PARENTACTIONOP_WCP  */
  YYSYMBOL_NOOPERATIONOP_WCP = 268,        /* NOOPERATIONOP_WCP  */
  YYSYMBOL_COLORMODE_WCP = 269,            /* COLORMODE_WCP  */
  YYSYMBOL_DEFAULT_WCP = 270,              /* DEFAULT_WCP  */
  YYSYMBOL_CUSTOM_WCP = 271,               /* CUSTOM_WCP  */
  YYSYMBOL_UNSELECTCOLOR_WCP = 272,        /* UNSELECTCOLOR_WCP  */
  YYSYMBOL_SELECTCOLOR_WCP = 273,          /* SELECTCOLOR_WCP  */
  YYSYMBOL_UNSELECTACTIVECOLOR_WCP = 274,  /* UNSELECTACTIVECOLOR_WCP  */
  YYSYMBOL_SELECTACTIVECOLOR_WCP = 275,    /* SELECTACTIVECOLOR_WCP  */
  YYSYMBOL_COLOREXTERNPROG_WCP = 276,      /* COLOREXTERNPROG_WCP  */
  YYSYMBOL_PARENT_WCP = 277,               /* PARENT_WCP  */
  YYSYMBOL_DONTCD_WCP = 278,               /* DONTCD_WCP  */
  YYSYMBOL_DONTCHECKVIRTUAL_WCP = 279,     /* DONTCHECKVIRTUAL_WCP  */
  YYSYMBOL_GOFTPOP_WCP = 280,              /* GOFTPOP_WCP  */
  YYSYMBOL_HOSTNAME_WCP = 281,             /* HOSTNAME_WCP  */
  YYSYMBOL_USERNAME_WCP = 282,             /* USERNAME_WCP  */
  YYSYMBOL_PASSWORD_WCP = 283,             /* PASSWORD_WCP  */
  YYSYMBOL_DONTENTERFTP_WCP = 284,         /* DONTENTERFTP_WCP  */
  YYSYMBOL_ALWAYSSTOREPW_WCP = 285,        /* ALWAYSSTOREPW_WCP  */
  YYSYMBOL_INTERNALVIEWOP_WCP = 286,       /* INTERNALVIEWOP_WCP  */
  YYSYMBOL_CUSTOMFILES_WCP = 287,          /* CUSTOMFILES_WCP  */
  YYSYMBOL_SHOWMODE_WCP = 288,             /* SHOWMODE_WCP  */
  YYSYMBOL_SELECTED_WCP = 289,             /* SELECTED_WCP  */
  YYSYMBOL_REVERSESEARCH_WCP = 290,        /* REVERSESEARCH_WCP  */
  YYSYMBOL_MOUSECONF_WCP = 291,            /* MOUSECONF_WCP  */
  YYSYMBOL_SELECTBUTTON_WCP = 292,         /* SELECTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEBUTTON_WCP = 293,       /* ACTIVATEBUTTON_WCP  */
  YYSYMBOL_SCROLLBUTTON_WCP = 294,         /* SCROLLBUTTON_WCP  */
  YYSYMBOL_SELECTMETHOD_WCP = 295,         /* SELECTMETHOD_WCP  */
  YYSYMBOL_ALTERNATIVE_WCP = 296,          /* ALTERNATIVE_WCP  */
  YYSYMBOL_SEARCHOP_WCP = 297,             /* SEARCHOP_WCP  */
  YYSYMBOL_EDITCOMMAND_WCP = 298,          /* EDITCOMMAND_WCP  */
  YYSYMBOL_SHOWPREVRESULTS_WCP = 299,      /* SHOWPREVRESULTS_WCP  */
  YYSYMBOL_TEXTVIEW_WCP = 300,             /* TEXTVIEW_WCP  */
  YYSYMBOL_TEXTVIEWHIGHLIGHTED_WCP = 301,  /* TEXTVIEWHIGHLIGHTED_WCP  */
  YYSYMBOL_TEXTVIEWSELECTION_WCP = 302,    /* TEXTVIEWSELECTION_WCP  */
  YYSYMBOL_DIRBOOKMARKOP_WCP = 303,        /* DIRBOOKMARKOP_WCP  */
  YYSYMBOL_OPENCONTEXTMENUOP_WCP = 304,    /* OPENCONTEXTMENUOP_WCP  */
  YYSYMBOL_RUNCUSTOMACTION_WCP = 305,      /* RUNCUSTOMACTION_WCP  */
  YYSYMBOL_CUSTOMNAME_WCP = 306,           /* CUSTOMNAME_WCP  */
  YYSYMBOL_CONTEXTBUTTON_WCP = 307,        /* CONTEXTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEMOD_WCP = 308,          /* ACTIVATEMOD_WCP  */
  YYSYMBOL_SCROLLMOD_WCP = 309,            /* SCROLLMOD_WCP  */
  YYSYMBOL_CONTEXTMOD_WCP = 310,           /* CONTEXTMOD_WCP  */
  YYSYMBOL_NONE_WCP = 311,                 /* NONE_WCP  */
  YYSYMBOL_CUSTOMACTION_WCP = 312,         /* CUSTOMACTION_WCP  */
  YYSYMBOL_SAVE_WORKER_STATE_ON_EXIT_WCP = 313, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
  YYSYMBOL_OPENWORKERMENUOP_WCP = 314,     /* OPENWORKERMENUOP_WCP  */
  YYSYMBOL_CHANGELABELOP_WCP = 315,        /* CHANGELABELOP_WCP  */
  YYSYMBOL_ASKFORLABEL_WCP = 316,          /* ASKFORLABEL_WCP  */
  YYSYMBOL_LABELCOLORS_WCP = 317,          /* LABELCOLORS_WCP  */
  YYSYMBOL_BOOKMARKLABEL_WCP = 318,        /* BOOKMARKLABEL_WCP  */
  YYSYMBOL_BOOKMARKFILTER_WCP = 319,       /* BOOKMARKFILTER_WCP  */
  YYSYMBOL_SHOWONLYBOOKMARKS_WCP = 320,    /* SHOWONLYBOOKMARKS_WCP  */
  YYSYMBOL_SHOWONLYLABEL_WCP = 321,        /* SHOWONLYLABEL_WCP  */
  YYSYMBOL_SHOWALL_WCP = 322,              /* SHOWALL_WCP  */
  YYSYMBOL_OPTIONMODE_WCP = 323,           /* OPTIONMODE_WCP  */
  YYSYMBOL_INVERT_WCP = 324,               /* INVERT_WCP  */
  YYSYMBOL_SET_WCP = 325,                  /* SET_WCP  */
  YYSYMBOL_CHANGEFILTERS_WCP = 326,        /* CHANGEFILTERS_WCP  */
  YYSYMBOL_CHANGEBOOKMARKS_WCP = 327,      /* CHANGEBOOKMARKS_WCP  */
  YYSYMBOL_QUERYLABEL_WCP = 328,           /* QUERYLABEL_WCP  */
  YYSYMBOL_MODIFYTABSOP_WCP = 329,         /* MODIFYTABSOP_WCP  */
  YYSYMBOL_TABACTION_WCP = 330,            /* TABACTION_WCP  */
  YYSYMBOL_NEWTAB_WCP = 331,               /* NEWTAB_WCP  */
  YYSYMBOL_CLOSECURRENTTAB_WCP = 332,      /* CLOSECURRENTTAB_WCP  */
  YYSYMBOL_NEXTTAB_WCP = 333,              /* NEXTTAB_WCP  */
  YYSYMBOL_PREVTAB_WCP = 334,              /* PREVTAB_WCP  */
  YYSYMBOL_TOGGLELOCKSTATE_WCP = 335,      /* TOGGLELOCKSTATE_WCP  */
  YYSYMBOL_MOVETABLEFT_WCP = 336,          /* MOVETABLEFT_WCP  */
  YYSYMBOL_MOVETABRIGHT_WCP = 337,         /* MOVETABRIGHT_WCP  */
  YYSYMBOL_CHANGELAYOUTOP_WCP = 338,       /* CHANGELAYOUTOP_WCP  */
  YYSYMBOL_INFIXSEARCH_WCP = 339,          /* INFIXSEARCH_WCP  */
  YYSYMBOL_VOLUMEMANAGEROP_WCP = 340,      /* VOLUMEMANAGEROP_WCP  */
  YYSYMBOL_ERROR = 341,                    /* ERROR  */
  YYSYMBOL_ACTIVESIDE_WCP = 342,           /* ACTIVESIDE_WCP  */
  YYSYMBOL_SHOWFREESPACE_WCP = 343,        /* SHOWFREESPACE_WCP  */
  YYSYMBOL_ACTIVEMODE_WCP = 344,           /* ACTIVEMODE_WCP  */
  YYSYMBOL_ASK_WCP = 345,                  /* ASK_WCP  */
  YYSYMBOL_SSHALLOW_WCP = 346,             /* SSHALLOW_WCP  */
  YYSYMBOL_FIELD_WIDTH_WCP = 347,          /* FIELD_WIDTH_WCP  */
  YYSYMBOL_QUICKSEARCHENABLED_WCP = 348,   /* QUICKSEARCHENABLED_WCP  */
  YYSYMBOL_FILTEREDSEARCHENABLED_WCP = 349, /* FILTEREDSEARCHENABLED_WCP  */
  YYSYMBOL_XFTFONTS_WCP = 350,             /* XFTFONTS_WCP  */
  YYSYMBOL_USEMAGIC_WCP = 351,             /* USEMAGIC_WCP  */
  YYSYMBOL_MAGICPATTERN_WCP = 352,         /* MAGICPATTERN_WCP  */
  YYSYMBOL_MAGICCOMPRESSED_WCP = 353,      /* MAGICCOMPRESSED_WCP  */
  YYSYMBOL_MAGICMIME_WCP = 354,            /* MAGICMIME_WCP  */
  YYSYMBOL_VOLUMEMANAGER_WCP = 355,        /* VOLUMEMANAGER_WCP  */
  YYSYMBOL_MOUNTCOMMAND_WCP = 356,         /* MOUNTCOMMAND_WCP  */
  YYSYMBOL_UNMOUNTCOMMAND_WCP = 357,       /* UNMOUNTCOMMAND_WCP  */
  YYSYMBOL_FSTABFILE_WCP = 358,            /* FSTABFILE_WCP  */
  YYSYMBOL_MTABFILE_WCP = 359,             /* MTABFILE_WCP  */
  YYSYMBOL_PARTFILE_WCP = 360,             /* PARTFILE_WCP  */
  YYSYMBOL_REQUESTACTION_WCP = 361,        /* REQUESTACTION_WCP  */
  YYSYMBOL_SIZEH_WCP = 362,                /* SIZEH_WCP  */
  YYSYMBOL_NEXTAGING_WCP = 363,            /* NEXTAGING_WCP  */
  YYSYMBOL_ENTRY_WCP = 364,                /* ENTRY_WCP  */
  YYSYMBOL_PREFIX_WCP = 365,               /* PREFIX_WCP  */
  YYSYMBOL_VALUE_WCP = 366,                /* VALUE_WCP  */
  YYSYMBOL_EXTENSION_WCP = 367,            /* EXTENSION_WCP  */
  YYSYMBOL_EJECTCOMMAND_WCP = 368,         /* EJECTCOMMAND_WCP  */
  YYSYMBOL_CLOSETRAYCOMMAND_WCP = 369,     /* CLOSETRAYCOMMAND_WCP  */
  YYSYMBOL_AVFSMODULE_WCP = 370,           /* AVFSMODULE_WCP  */
  YYSYMBOL_FLEXIBLEMATCH_WCP = 371,        /* FLEXIBLEMATCH_WCP  */
  YYSYMBOL_USE_VERSION_STRING_COMPARE_WCP = 372, /* USE_VERSION_STRING_COMPARE_WCP  */
  YYSYMBOL_SWITCHBUTTONBANKOP_WCP = 373,   /* SWITCHBUTTONBANKOP_WCP  */
  YYSYMBOL_SWITCHTONEXTBANK_WCP = 374,     /* SWITCHTONEXTBANK_WCP  */
  YYSYMBOL_SWITCHTOPREVBANK_WCP = 375,     /* SWITCHTOPREVBANK_WCP  */
  YYSYMBOL_SWITCHTOBANKNR_WCP = 376,       /* SWITCHTOBANKNR_WCP  */
  YYSYMBOL_BANKNR_WCP = 377,               /* BANKNR_WCP  */
  YYSYMBOL_USE_VIRTUAL_TEMP_COPIES_WCP = 378, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
  YYSYMBOL_PATHJUMPOP_WCP = 379,           /* PATHJUMPOP_WCP  */
  YYSYMBOL_PATHJUMPALLOWDIRS_WCP = 380,    /* PATHJUMPALLOWDIRS_WCP  */
  YYSYMBOL_CLIPBOARDOP_WCP = 381,          /* CLIPBOARDOP_WCP  */
  YYSYMBOL_CLIPBOARDSTRING_WCP = 382,      /* CLIPBOARDSTRING_WCP  */
  YYSYMBOL_COMMANDSTRING_WCP = 383,        /* COMMANDSTRING_WCP  */
  YYSYMBOL_EVALCOMMAND_WCP = 384,          /* EVALCOMMAND_WCP  */
  YYSYMBOL_WATCHMODE_WCP = 385,            /* WATCHMODE_WCP  */
  YYSYMBOL_APPLY_WINDOW_DIALOG_TYPE_WCP = 386, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
  YYSYMBOL_FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 387, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
  YYSYMBOL_COMMANDMENUOP_WCP = 388,        /* COMMANDMENUOP_WCP  */
  YYSYMBOL_SEARCHMODEONKEYPRESS_WCP = 389, /* SEARCHMODEONKEYPRESS_WCP  */
  YYSYMBOL_PATHENTRYONTOP_WCP = 390,       /* PATHENTRYONTOP_WCP  */
  YYSYMBOL_STORE_FILES_ALWAYS_WCP = 391,   /* STORE_FILES_ALWAYS_WCP  */
  YYSYMBOL_PATHJUMPSETS_WCP = 392,         /* PATHJUMPSETS_WCP  */
  YYSYMBOL_SHOWDOTDOT_WCP = 393,           /* SHOWDOTDOT_WCP  */
  YYSYMBOL_SHOWBREADCRUMB_WCP = 394,       /* SHOWBREADCRUMB_WCP  */
  YYSYMBOL_FACES_WCP = 395,                /* FACES_WCP  */
  YYSYMBOL_FACE_WCP = 396,                 /* FACE_WCP  */
  YYSYMBOL_ENABLE_INFO_LINE_WCP = 397,     /* ENABLE_INFO_LINE_WCP  */
  YYSYMBOL_INFO_LINE_LUA_MODE_WCP = 398,   /* INFO_LINE_LUA_MODE_WCP  */
  YYSYMBOL_INFO_LINE_CONTENT_WCP = 399,    /* INFO_LINE_CONTENT_WCP  */
  YYSYMBOL_RESTORE_TABS_MODE_WCP = 400,    /* RESTORE_TABS_MODE_WCP  */
  YYSYMBOL_STORE_TABS_MODE_WCP = 401,      /* STORE_TABS_MODE_WCP  */
  YYSYMBOL_AS_EXIT_STATE_WCP = 402,        /* AS_EXIT_STATE_WCP  */
  YYSYMBOL_USE_EXTENDED_REGEX_WCP = 403,   /* USE_EXTENDED_REGEX_WCP  */
  YYSYMBOL_HIGHLIGHT_USER_ACTION_WCP = 404, /* HIGHLIGHT_USER_ACTION_WCP  */
  YYSYMBOL_CHTIMEOP_WCP = 405,             /* CHTIMEOP_WCP  */
  YYSYMBOL_ADJUSTRELATIVESYMLINKS_WCP = 406, /* ADJUSTRELATIVESYMLINKS_WCP  */
  YYSYMBOL_OUTSIDE_WCP = 407,              /* OUTSIDE_WCP  */
  YYSYMBOL_EDIT_WCP = 408,                 /* EDIT_WCP  */
  YYSYMBOL_MAKEABSOLUTE_WCP = 409,         /* MAKEABSOLUTE_WCP  */
  YYSYMBOL_MAKERELATIVE_WCP = 410,         /* MAKERELATIVE_WCP  */
  YYSYMBOL_MAGICIGNORECASE_WCP = 411,      /* MAGICIGNORECASE_WCP  */
  YYSYMBOL_ENSURE_FILE_PERMISSIONS_WCP = 412, /* ENSURE_FILE_PERMISSIONS_WCP  */
  YYSYMBOL_USER_RW_WCP = 413,              /* USER_RW_WCP  */
  YYSYMBOL_USER_RW_GROUP_R_WCP = 414,      /* USER_RW_GROUP_R_WCP  */
  YYSYMBOL_USER_RW_ALL_R_WCP = 415,        /* USER_RW_ALL_R_WCP  */
  YYSYMBOL_LEAVE_UNMODIFIED_WCP = 416,     /* LEAVE_UNMODIFIED_WCP  */
  YYSYMBOL_PREFERUDISKSVERSION_WCP = 417,  /* PREFERUDISKSVERSION_WCP  */
  YYSYMBOL_CHANGECOLUMNSOP_WCP = 418,      /* CHANGECOLUMNSOP_WCP  */
  YYSYMBOL_PATTERNISCOMMASEPARATED_WCP = 419, /* PATTERNISCOMMASEPARATED_WCP  */
  YYSYMBOL_STRCASECMP_WCP = 420,           /* STRCASECMP_WCP  */
  YYSYMBOL_USE_STRING_COMPARE_MODE_WCP = 421, /* USE_STRING_COMPARE_MODE_WCP  */
  YYSYMBOL_VIEWNEWESTFILESOP_WCP = 422,    /* VIEWNEWESTFILESOP_WCP  */
  YYSYMBOL_SHOWRECENT_WCP = 423,           /* SHOWRECENT_WCP  */
  YYSYMBOL_DIRCOMPAREOP_WCP = 424,         /* DIRCOMPAREOP_WCP  */
  YYSYMBOL_TABPROFILESOP_WCP = 425,        /* TABPROFILESOP_WCP  */
  YYSYMBOL_EXTERNALVDIROP_WCP = 426,       /* EXTERNALVDIROP_WCP  */
  YYSYMBOL_VDIR_PRESERVE_DIR_STRUCTURE_WCP = 427, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
  YYSYMBOL_OPENTABMENUOP_WCP = 428,        /* OPENTABMENUOP_WCP  */
  YYSYMBOL_INITIALTAB_WCP = 429,           /* INITIALTAB_WCP  */
  YYSYMBOL_SHOWBYTIME_WCP = 430,           /* SHOWBYTIME_WCP  */
  YYSYMBOL_SHOWBYFILTER_WCP = 431,         /* SHOWBYFILTER_WCP  */
  YYSYMBOL_SHOWBYPROGRAM_WCP = 432,        /* SHOWBYPROGRAM_WCP  */
  YYSYMBOL_TERMINAL_RETURNS_EARLY_WCP = 433, /* TERMINAL_RETURNS_EARLY_WCP  */
  YYSYMBOL_DIRECTORYPRESETS_WCP = 434,     /* DIRECTORYPRESETS_WCP  */
  YYSYMBOL_DIRECTORYPRESET_WCP = 435,      /* DIRECTORYPRESET_WCP  */
  YYSYMBOL_HELPOP_WCP = 436,               /* HELPOP_WCP  */
  YYSYMBOL_PRIORITY_WCP = 437,             /* PRIORITY_WCP  */
  YYSYMBOL_AUTOFILTER_WCP = 438,           /* AUTOFILTER_WCP  */
  YYSYMBOL_ENABLE_CUSTOM_LVB_LINE_WCP = 439, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_LVB_LINE_WCP = 440,      /* CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 441, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
  YYSYMBOL_IMMEDIATE_FILTER_APPLY_WCP = 442, /* IMMEDIATE_FILTER_APPLY_WCP  */
  YYSYMBOL_DISABLEBGCHECKPREFIX_WCP = 443, /* DISABLEBGCHECKPREFIX_WCP  */
  YYSYMBOL_DISPLAYMODE_WCP = 444,          /* DISPLAYMODE_WCP  */
  YYSYMBOL_SHOWSUBDIRS_WCP = 445,          /* SHOWSUBDIRS_WCP  */
  YYSYMBOL_SHOWDIRECTSUBDIRS_WCP = 446,    /* SHOWDIRECTSUBDIRS_WCP  */
  YYSYMBOL_INCLUDEALL_WCP = 447,           /* INCLUDEALL_WCP  */
  YYSYMBOL_APPLYMODE_WCP = 448,            /* APPLYMODE_WCP  */
  YYSYMBOL_ADD_WCP = 449,                  /* ADD_WCP  */
  YYSYMBOL_REMOVE_WCP = 450,               /* REMOVE_WCP  */
  YYSYMBOL_HIDENONEXISTING_WCP = 451,      /* HIDENONEXISTING_WCP  */
  YYSYMBOL_VIEWCOMMANDLOGOP_WCP = 452,     /* VIEWCOMMANDLOGOP_WCP  */
  YYSYMBOL_LOCKONCURRENTDIR_WCP = 453,     /* LOCKONCURRENTDIR_WCP  */
  YYSYMBOL_STARTNODE_WCP = 454,            /* STARTNODE_WCP  */
  YYSYMBOL_MENUS_WCP = 455,                /* MENUS_WCP  */
  YYSYMBOL_LVMODES_WCP = 456,              /* LVMODES_WCP  */
  YYSYMBOL_LVCOMMANDS_WCP = 457,           /* LVCOMMANDS_WCP  */
  YYSYMBOL_TOPLEVEL_WCP = 458,             /* TOPLEVEL_WCP  */
  YYSYMBOL_FOLLOWACTIVE_WCP = 459,         /* FOLLOWACTIVE_WCP  */
  YYSYMBOL_WATCHFILE_WCP = 460,            /* WATCHFILE_WCP  */
  YYSYMBOL_ACTIVATETEXTVIEWMODEOP_WCP = 461, /* ACTIVATETEXTVIEWMODEOP_WCP  */
  YYSYMBOL_SOURCEMODE_WCP = 462,           /* SOURCEMODE_WCP  */
  YYSYMBOL_ACTIVEFILE_WCP = 463,           /* ACTIVEFILE_WCP  */
  YYSYMBOL_FILETYPEACTION_WCP = 464,       /* FILETYPEACTION_WCP  */
  YYSYMBOL_IGNOREDIRS2_WCP = 465,          /* IGNOREDIRS2_WCP  */
  YYSYMBOL_IGNOREDIR_WCP = 466,            /* IGNOREDIR_WCP  */
  YYSYMBOL_CUSTOMATTRIBUTE_WCP = 467,      /* CUSTOMATTRIBUTE_WCP  */
  YYSYMBOL_STARTSEARCHSTRING_WCP = 468,    /* STARTSEARCHSTRING_WCP  */
  YYSYMBOL_APPLYONLY_WCP = 469,            /* APPLYONLY_WCP  */
  YYSYMBOL_STRING_WCP = 470,               /* STRING_WCP  */
  YYSYMBOL_NUM_WCP = 471,                  /* NUM_WCP  */
  YYSYMBOL_472_ = 472,                     /* '.'  */
  YYSYMBOL_473_ = 473,                     /* ';'  */
  YYSYMBOL_474_ = 474,                     /* '='  */
  YYSYMBOL_475_ = 475,                     /* ','  */
  YYSYMBOL_YYACCEPT = 476,                 /* $accept  */
  YYSYMBOL_S = 477,                        /* S  */
  YYSYMBOL_478_1 = 478,                    /* $@1  */
  YYSYMBOL_479_2 = 479,                    /* $@2  */
  YYSYMBOL_start = 480,                    /* start  */
  YYSYMBOL_481_3 = 481,                    /* $@3  */
  YYSYMBOL_482_4 = 482,                    /* $@4  */
  YYSYMBOL_483_5 = 483,                    /* $@5  */
  YYSYMBOL_484_6 = 484,                    /* $@6  */
  YYSYMBOL_485_7 = 485,                    /* $@7  */
  YYSYMBOL_486_8 = 486,                    /* $@8  */
  YYSYMBOL_487_9 = 487,                    /* $@9  */
  YYSYMBOL_488_10 = 488,                   /* $@10  */
  YYSYMBOL_489_11 = 489,                   /* $@11  */
  YYSYMBOL_490_12 = 490,                   /* $@12  */
  YYSYMBOL_491_13 = 491,                   /* $@13  */
  YYSYMBOL_492_14 = 492,                   /* $@14  */
  YYSYMBOL_493_15 = 493,                   /* $@15  */
  YYSYMBOL_494_16 = 494,                   /* $@16  */
  YYSYMBOL_pjallowdirs = 495,              /* pjallowdirs  */
  YYSYMBOL_496_17 = 496,                   /* $@17  */
  YYSYMBOL_pathjumpsets = 497,             /* pathjumpsets  */
  YYSYMBOL_498_18 = 498,                   /* $@18  */
  YYSYMBOL_glb = 499,                      /* glb  */
  YYSYMBOL_500_19 = 500,                   /* $@19  */
  YYSYMBOL_501_20 = 501,                   /* $@20  */
  YYSYMBOL_502_21 = 502,                   /* $@21  */
  YYSYMBOL_503_22 = 503,                   /* $@22  */
  YYSYMBOL_504_23 = 504,                   /* $@23  */
  YYSYMBOL_505_24 = 505,                   /* $@24  */
  YYSYMBOL_506_25 = 506,                   /* $@25  */
  YYSYMBOL_507_26 = 507,                   /* $@26  */
  YYSYMBOL_508_27 = 508,                   /* $@27  */
  YYSYMBOL_509_28 = 509,                   /* $@28  */
  YYSYMBOL_510_29 = 510,                   /* $@29  */
  YYSYMBOL_511_30 = 511,                   /* $@30  */
  YYSYMBOL_512_31 = 512,                   /* $@31  */
  YYSYMBOL_513_32 = 513,                   /* $@32  */
  YYSYMBOL_514_33 = 514,                   /* $@33  */
  YYSYMBOL_515_34 = 515,                   /* $@34  */
  YYSYMBOL_516_35 = 516,                   /* $@35  */
  YYSYMBOL_layout = 517,                   /* layout  */
  YYSYMBOL_518_36 = 518,                   /* $@36  */
  YYSYMBOL_519_37 = 519,                   /* $@37  */
  YYSYMBOL_520_38 = 520,                   /* $@38  */
  YYSYMBOL_521_39 = 521,                   /* $@39  */
  YYSYMBOL_522_40 = 522,                   /* $@40  */
  YYSYMBOL_523_41 = 523,                   /* $@41  */
  YYSYMBOL_524_42 = 524,                   /* $@42  */
  YYSYMBOL_525_43 = 525,                   /* $@43  */
  YYSYMBOL_526_44 = 526,                   /* $@44  */
  YYSYMBOL_527_45 = 527,                   /* $@45  */
  YYSYMBOL_528_46 = 528,                   /* $@46  */
  YYSYMBOL_529_47 = 529,                   /* $@47  */
  YYSYMBOL_530_48 = 530,                   /* $@48  */
  YYSYMBOL_pal = 531,                      /* pal  */
  YYSYMBOL_532_49 = 532,                   /* $@49  */
  YYSYMBOL_listersets = 533,               /* listersets  */
  YYSYMBOL_534_50 = 534,                   /* $@50  */
  YYSYMBOL_535_51 = 535,                   /* $@51  */
  YYSYMBOL_listersets2 = 536,              /* listersets2  */
  YYSYMBOL_537_52 = 537,                   /* $@52  */
  YYSYMBOL_538_53 = 538,                   /* $@53  */
  YYSYMBOL_539_54 = 539,                   /* $@54  */
  YYSYMBOL_540_55 = 540,                   /* $@55  */
  YYSYMBOL_541_56 = 541,                   /* $@56  */
  YYSYMBOL_542_57 = 542,                   /* $@57  */
  YYSYMBOL_543_58 = 543,                   /* $@58  */
  YYSYMBOL_displaysets = 544,              /* displaysets  */
  YYSYMBOL_545_59 = 545,                   /* $@59  */
  YYSYMBOL_546_60 = 546,                   /* $@60  */
  YYSYMBOL_547_61 = 547,                   /* $@61  */
  YYSYMBOL_548_62 = 548,                   /* $@62  */
  YYSYMBOL_549_63 = 549,                   /* $@63  */
  YYSYMBOL_550_64 = 550,                   /* $@64  */
  YYSYMBOL_551_65 = 551,                   /* $@65  */
  YYSYMBOL_552_66 = 552,                   /* $@66  */
  YYSYMBOL_553_67 = 553,                   /* $@67  */
  YYSYMBOL_554_68 = 554,                   /* $@68  */
  YYSYMBOL_555_69 = 555,                   /* $@69  */
  YYSYMBOL_556_70 = 556,                   /* $@70  */
  YYSYMBOL_557_71 = 557,                   /* $@71  */
  YYSYMBOL_558_72 = 558,                   /* $@72  */
  YYSYMBOL_559_73 = 559,                   /* $@73  */
  YYSYMBOL_timesets = 560,                 /* timesets  */
  YYSYMBOL_561_74 = 561,                   /* $@74  */
  YYSYMBOL_562_75 = 562,                   /* $@75  */
  YYSYMBOL_563_76 = 563,                   /* $@76  */
  YYSYMBOL_564_77 = 564,                   /* $@77  */
  YYSYMBOL_565_78 = 565,                   /* $@78  */
  YYSYMBOL_566_79 = 566,                   /* $@79  */
  YYSYMBOL_567_80 = 567,                   /* $@80  */
  YYSYMBOL_568_81 = 568,                   /* $@81  */
  YYSYMBOL_569_82 = 569,                   /* $@82  */
  YYSYMBOL_570_83 = 570,                   /* $@83  */
  YYSYMBOL_571_84 = 571,                   /* $@84  */
  YYSYMBOL_mouseconf = 572,                /* mouseconf  */
  YYSYMBOL_573_85 = 573,                   /* $@85  */
  YYSYMBOL_574_86 = 574,                   /* $@86  */
  YYSYMBOL_575_87 = 575,                   /* $@87  */
  YYSYMBOL_576_88 = 576,                   /* $@88  */
  YYSYMBOL_577_89 = 577,                   /* $@89  */
  YYSYMBOL_578_90 = 578,                   /* $@90  */
  YYSYMBOL_579_91 = 579,                   /* $@91  */
  YYSYMBOL_580_92 = 580,                   /* $@92  */
  YYSYMBOL_581_93 = 581,                   /* $@93  */
  YYSYMBOL_582_94 = 582,                   /* $@94  */
  YYSYMBOL_583_95 = 583,                   /* $@95  */
  YYSYMBOL_584_96 = 584,                   /* $@96  */
  YYSYMBOL_cols = 585,                     /* cols  */
  YYSYMBOL_586_97 = 586,                   /* $@97  */
  YYSYMBOL_587_98 = 587,                   /* $@98  */
  YYSYMBOL_588_99 = 588,                   /* $@99  */
  YYSYMBOL_589_100 = 589,                  /* $@100  */
  YYSYMBOL_590_101 = 590,                  /* $@101  */
  YYSYMBOL_591_102 = 591,                  /* $@102  */
  YYSYMBOL_592_103 = 592,                  /* $@103  */
  YYSYMBOL_593_104 = 593,                  /* $@104  */
  YYSYMBOL_594_105 = 594,                  /* $@105  */
  YYSYMBOL_595_106 = 595,                  /* $@106  */
  YYSYMBOL_596_107 = 596,                  /* $@107  */
  YYSYMBOL_597_108 = 597,                  /* $@108  */
  YYSYMBOL_598_109 = 598,                  /* $@109  */
  YYSYMBOL_599_110 = 599,                  /* $@110  */
  YYSYMBOL_600_111 = 600,                  /* $@111  */
  YYSYMBOL_601_112 = 601,                  /* $@112  */
  YYSYMBOL_602_113 = 602,                  /* $@113  */
  YYSYMBOL_603_114 = 603,                  /* $@114  */
  YYSYMBOL_604_115 = 604,                  /* $@115  */
  YYSYMBOL_605_116 = 605,                  /* $@116  */
  YYSYMBOL_labelcolors = 606,              /* labelcolors  */
  YYSYMBOL_607_117 = 607,                  /* $@117  */
  YYSYMBOL_608_118 = 608,                  /* $@118  */
  YYSYMBOL_labelcolor = 609,               /* labelcolor  */
  YYSYMBOL_610_119 = 610,                  /* $@119  */
  YYSYMBOL_611_120 = 611,                  /* $@120  */
  YYSYMBOL_612_121 = 612,                  /* $@121  */
  YYSYMBOL_faces = 613,                    /* faces  */
  YYSYMBOL_614_122 = 614,                  /* $@122  */
  YYSYMBOL_615_123 = 615,                  /* $@123  */
  YYSYMBOL_face = 616,                     /* face  */
  YYSYMBOL_617_124 = 617,                  /* $@124  */
  YYSYMBOL_618_125 = 618,                  /* $@125  */
  YYSYMBOL_startup = 619,                  /* startup  */
  YYSYMBOL_620_126 = 620,                  /* $@126  */
  YYSYMBOL_621_127 = 621,                  /* $@127  */
  YYSYMBOL_622_128 = 622,                  /* $@128  */
  YYSYMBOL_623_129 = 623,                  /* $@129  */
  YYSYMBOL_624_130 = 624,                  /* $@130  */
  YYSYMBOL_625_131 = 625,                  /* $@131  */
  YYSYMBOL_626_132 = 626,                  /* $@132  */
  YYSYMBOL_627_133 = 627,                  /* $@133  */
  YYSYMBOL_628_134 = 628,                  /* $@134  */
  YYSYMBOL_paths = 629,                    /* paths  */
  YYSYMBOL_630_135 = 630,                  /* $@135  */
  YYSYMBOL_631_136 = 631,                  /* $@136  */
  YYSYMBOL_path = 632,                     /* path  */
  YYSYMBOL_633_137 = 633,                  /* $@137  */
  YYSYMBOL_634_138 = 634,                  /* $@138  */
  YYSYMBOL_635_139 = 635,                  /* $@139  */
  YYSYMBOL_636_140 = 636,                  /* $@140  */
  YYSYMBOL_637_141 = 637,                  /* $@141  */
  YYSYMBOL_638_142 = 638,                  /* $@142  */
  YYSYMBOL_keylist = 639,                  /* keylist  */
  YYSYMBOL_640_143 = 640,                  /* $@143  */
  YYSYMBOL_641_144 = 641,                  /* $@144  */
  YYSYMBOL_642_145 = 642,                  /* $@145  */
  YYSYMBOL_643_146 = 643,                  /* $@146  */
  YYSYMBOL_644_147 = 644,                  /* $@147  */
  YYSYMBOL_645_148 = 645,                  /* $@148  */
  YYSYMBOL_646_149 = 646,                  /* $@149  */
  YYSYMBOL_647_150 = 647,                  /* $@150  */
  YYSYMBOL_648_151 = 648,                  /* $@151  */
  YYSYMBOL_649_152 = 649,                  /* $@152  */
  YYSYMBOL_mods = 650,                     /* mods  */
  YYSYMBOL_651_153 = 651,                  /* $@153  */
  YYSYMBOL_652_154 = 652,                  /* $@154  */
  YYSYMBOL_653_155 = 653,                  /* $@155  */
  YYSYMBOL_654_156 = 654,                  /* $@156  */
  YYSYMBOL_655_157 = 655,                  /* $@157  */
  YYSYMBOL_656_158 = 656,                  /* $@158  */
  YYSYMBOL_657_159 = 657,                  /* $@159  */
  YYSYMBOL_658_160 = 658,                  /* $@160  */
  YYSYMBOL_filetypes = 659,                /* filetypes  */
  YYSYMBOL_660_161 = 660,                  /* $@161  */
  YYSYMBOL_661_162 = 661,                  /* $@162  */
  YYSYMBOL_662_163 = 662,                  /* $@163  */
  YYSYMBOL_663_164 = 663,                  /* $@164  */
  YYSYMBOL_664_165 = 664,                  /* $@165  */
  YYSYMBOL_665_166 = 665,                  /* $@166  */
  YYSYMBOL_666_167 = 666,                  /* $@167  */
  YYSYMBOL_ignoredirs = 667,               /* ignoredirs  */
  YYSYMBOL_668_168 = 668,                  /* $@168  */
  YYSYMBOL_ignoredirs2 = 669,              /* ignoredirs2  */
  YYSYMBOL_670_169 = 670,                  /* $@169  */
  YYSYMBOL_671_170 = 671,                  /* $@170  */
  YYSYMBOL_ignoredir = 672,                /* ignoredir  */
  YYSYMBOL_673_171 = 673,                  /* $@171  */
  YYSYMBOL_subfiletypes = 674,             /* subfiletypes  */
  YYSYMBOL_675_172 = 675,                  /* $@172  */
  YYSYMBOL_676_173 = 676,                  /* $@173  */
  YYSYMBOL_filetype = 677,                 /* filetype  */
  YYSYMBOL_678_174 = 678,                  /* $@174  */
  YYSYMBOL_679_175 = 679,                  /* $@175  */
  YYSYMBOL_680_176 = 680,                  /* $@176  */
  YYSYMBOL_681_177 = 681,                  /* $@177  */
  YYSYMBOL_682_178 = 682,                  /* $@178  */
  YYSYMBOL_683_179 = 683,                  /* $@179  */
  YYSYMBOL_684_180 = 684,                  /* $@180  */
  YYSYMBOL_685_181 = 685,                  /* $@181  */
  YYSYMBOL_686_182 = 686,                  /* $@182  */
  YYSYMBOL_687_183 = 687,                  /* $@183  */
  YYSYMBOL_688_184 = 688,                  /* $@184  */
  YYSYMBOL_689_185 = 689,                  /* $@185  */
  YYSYMBOL_690_186 = 690,                  /* $@186  */
  YYSYMBOL_691_187 = 691,                  /* $@187  */
  YYSYMBOL_692_188 = 692,                  /* $@188  */
  YYSYMBOL_693_189 = 693,                  /* $@189  */
  YYSYMBOL_694_190 = 694,                  /* $@190  */
  YYSYMBOL_695_191 = 695,                  /* $@191  */
  YYSYMBOL_696_192 = 696,                  /* $@192  */
  YYSYMBOL_697_193 = 697,                  /* $@193  */
  YYSYMBOL_698_194 = 698,                  /* $@194  */
  YYSYMBOL_699_195 = 699,                  /* $@195  */
  YYSYMBOL_700_196 = 700,                  /* $@196  */
  YYSYMBOL_701_197 = 701,                  /* $@197  */
  YYSYMBOL_702_198 = 702,                  /* $@198  */
  YYSYMBOL_703_199 = 703,                  /* $@199  */
  YYSYMBOL_704_200 = 704,                  /* $@200  */
  YYSYMBOL_filecontent = 705,              /* filecontent  */
  YYSYMBOL_706_201 = 706,                  /* $@201  */
  YYSYMBOL_ft_type = 707,                  /* ft_type  */
  YYSYMBOL_ftcommands = 708,               /* ftcommands  */
  YYSYMBOL_709_202 = 709,                  /* $@202  */
  YYSYMBOL_710_203 = 710,                  /* $@203  */
  YYSYMBOL_711_204 = 711,                  /* $@204  */
  YYSYMBOL_712_205 = 712,                  /* $@205  */
  YYSYMBOL_713_206 = 713,                  /* $@206  */
  YYSYMBOL_714_207 = 714,                  /* $@207  */
  YYSYMBOL_715_208 = 715,                  /* $@208  */
  YYSYMBOL_716_209 = 716,                  /* $@209  */
  YYSYMBOL_717_210 = 717,                  /* $@210  */
  YYSYMBOL_718_211 = 718,                  /* $@211  */
  YYSYMBOL_719_212 = 719,                  /* $@212  */
  YYSYMBOL_720_213 = 720,                  /* $@213  */
  YYSYMBOL_commands = 721,                 /* commands  */
  YYSYMBOL_flags = 722,                    /* flags  */
  YYSYMBOL_hotkeys = 723,                  /* hotkeys  */
  YYSYMBOL_724_214 = 724,                  /* $@214  */
  YYSYMBOL_725_215 = 725,                  /* $@215  */
  YYSYMBOL_hotkey = 726,                   /* hotkey  */
  YYSYMBOL_727_216 = 727,                  /* $@216  */
  YYSYMBOL_728_217 = 728,                  /* $@217  */
  YYSYMBOL_729_218 = 729,                  /* $@218  */
  YYSYMBOL_730_219 = 730,                  /* $@219  */
  YYSYMBOL_731_220 = 731,                  /* $@220  */
  YYSYMBOL_buttons = 732,                  /* buttons  */
  YYSYMBOL_733_221 = 733,                  /* $@221  */
  YYSYMBOL_734_222 = 734,                  /* $@222  */
  YYSYMBOL_button = 735,                   /* button  */
  YYSYMBOL_736_223 = 736,                  /* $@223  */
  YYSYMBOL_737_224 = 737,                  /* $@224  */
  YYSYMBOL_738_225 = 738,                  /* $@225  */
  YYSYMBOL_739_226 = 739,                  /* $@226  */
  YYSYMBOL_740_227 = 740,                  /* $@227  */
  YYSYMBOL_741_228 = 741,                  /* $@228  */
  YYSYMBOL_742_229 = 742,                  /* $@229  */
  YYSYMBOL_fonts = 743,                    /* fonts  */
  YYSYMBOL_744_230 = 744,                  /* $@230  */
  YYSYMBOL_745_231 = 745,                  /* $@231  */
  YYSYMBOL_746_232 = 746,                  /* $@232  */
  YYSYMBOL_747_233 = 747,                  /* $@233  */
  YYSYMBOL_748_234 = 748,                  /* $@234  */
  YYSYMBOL_749_235 = 749,                  /* $@235  */
  YYSYMBOL_750_236 = 750,                  /* $@236  */
  YYSYMBOL_xftfonts = 751,                 /* xftfonts  */
  YYSYMBOL_752_237 = 752,                  /* $@237  */
  YYSYMBOL_753_238 = 753,                  /* $@238  */
  YYSYMBOL_754_239 = 754,                  /* $@239  */
  YYSYMBOL_755_240 = 755,                  /* $@240  */
  YYSYMBOL_756_241 = 756,                  /* $@241  */
  YYSYMBOL_757_242 = 757,                  /* $@242  */
  YYSYMBOL_758_243 = 758,                  /* $@243  */
  YYSYMBOL_volumemanager = 759,            /* volumemanager  */
  YYSYMBOL_760_244 = 760,                  /* $@244  */
  YYSYMBOL_761_245 = 761,                  /* $@245  */
  YYSYMBOL_762_246 = 762,                  /* $@246  */
  YYSYMBOL_763_247 = 763,                  /* $@247  */
  YYSYMBOL_764_248 = 764,                  /* $@248  */
  YYSYMBOL_765_249 = 765,                  /* $@249  */
  YYSYMBOL_766_250 = 766,                  /* $@250  */
  YYSYMBOL_767_251 = 767,                  /* $@251  */
  YYSYMBOL_768_252 = 768,                  /* $@252  */
  YYSYMBOL_clockbarsets = 769,             /* clockbarsets  */
  YYSYMBOL_770_253 = 770,                  /* $@253  */
  YYSYMBOL_771_254 = 771,                  /* $@254  */
  YYSYMBOL_772_255 = 772,                  /* $@255  */
  YYSYMBOL_773_256 = 773,                  /* $@256  */
  YYSYMBOL_774_257 = 774,                  /* $@257  */
  YYSYMBOL_775_258 = 775,                  /* $@258  */
  YYSYMBOL_776_259 = 776,                  /* $@259  */
  YYSYMBOL_bool = 777,                     /* bool  */
  YYSYMBOL_command = 778,                  /* command  */
  YYSYMBOL_ownop = 779,                    /* ownop  */
  YYSYMBOL_780_260 = 780,                  /* $@260  */
  YYSYMBOL_ownopbody = 781,                /* ownopbody  */
  YYSYMBOL_782_261 = 782,                  /* $@261  */
  YYSYMBOL_783_262 = 783,                  /* $@262  */
  YYSYMBOL_784_263 = 784,                  /* $@263  */
  YYSYMBOL_785_264 = 785,                  /* $@264  */
  YYSYMBOL_786_265 = 786,                  /* $@265  */
  YYSYMBOL_787_266 = 787,                  /* $@266  */
  YYSYMBOL_788_267 = 788,                  /* $@267  */
  YYSYMBOL_789_268 = 789,                  /* $@268  */
  YYSYMBOL_790_269 = 790,                  /* $@269  */
  YYSYMBOL_791_270 = 791,                  /* $@270  */
  YYSYMBOL_792_271 = 792,                  /* $@271  */
  YYSYMBOL_793_272 = 793,                  /* $@272  */
  YYSYMBOL_794_273 = 794,                  /* $@273  */
  YYSYMBOL_795_274 = 795,                  /* $@274  */
  YYSYMBOL_796_275 = 796,                  /* $@275  */
  YYSYMBOL_797_276 = 797,                  /* $@276  */
  YYSYMBOL_798_277 = 798,                  /* $@277  */
  YYSYMBOL_799_278 = 799,                  /* $@278  */
  YYSYMBOL_dndaction = 800,                /* dndaction  */
  YYSYMBOL_801_279 = 801,                  /* $@279  */
  YYSYMBOL_dcaction = 802,                 /* dcaction  */
  YYSYMBOL_803_280 = 803,                  /* $@280  */
  YYSYMBOL_showaction = 804,               /* showaction  */
  YYSYMBOL_805_281 = 805,                  /* $@281  */
  YYSYMBOL_rshowaction = 806,              /* rshowaction  */
  YYSYMBOL_807_282 = 807,                  /* $@282  */
  YYSYMBOL_useraction = 808,               /* useraction  */
  YYSYMBOL_809_283 = 809,                  /* $@283  */
  YYSYMBOL_useractionbody = 810,           /* useractionbody  */
  YYSYMBOL_811_284 = 811,                  /* $@284  */
  YYSYMBOL_rowup = 812,                    /* rowup  */
  YYSYMBOL_813_285 = 813,                  /* $@285  */
  YYSYMBOL_rowdown = 814,                  /* rowdown  */
  YYSYMBOL_815_286 = 815,                  /* $@286  */
  YYSYMBOL_changehiddenflag = 816,         /* changehiddenflag  */
  YYSYMBOL_817_287 = 817,                  /* $@287  */
  YYSYMBOL_changehiddenflagbody = 818,     /* changehiddenflagbody  */
  YYSYMBOL_819_288 = 819,                  /* $@288  */
  YYSYMBOL_820_289 = 820,                  /* $@289  */
  YYSYMBOL_821_290 = 821,                  /* $@290  */
  YYSYMBOL_copyop = 822,                   /* copyop  */
  YYSYMBOL_823_291 = 823,                  /* $@291  */
  YYSYMBOL_copyopbody = 824,               /* copyopbody  */
  YYSYMBOL_825_292 = 825,                  /* $@292  */
  YYSYMBOL_826_293 = 826,                  /* $@293  */
  YYSYMBOL_827_294 = 827,                  /* $@294  */
  YYSYMBOL_828_295 = 828,                  /* $@295  */
  YYSYMBOL_829_296 = 829,                  /* $@296  */
  YYSYMBOL_830_297 = 830,                  /* $@297  */
  YYSYMBOL_831_298 = 831,                  /* $@298  */
  YYSYMBOL_832_299 = 832,                  /* $@299  */
  YYSYMBOL_833_300 = 833,                  /* $@300  */
  YYSYMBOL_834_301 = 834,                  /* $@301  */
  YYSYMBOL_835_302 = 835,                  /* $@302  */
  YYSYMBOL_836_303 = 836,                  /* $@303  */
  YYSYMBOL_837_304 = 837,                  /* $@304  */
  YYSYMBOL_838_305 = 838,                  /* $@305  */
  YYSYMBOL_839_306 = 839,                  /* $@306  */
  YYSYMBOL_840_307 = 840,                  /* $@307  */
  YYSYMBOL_841_308 = 841,                  /* $@308  */
  YYSYMBOL_842_309 = 842,                  /* $@309  */
  YYSYMBOL_843_310 = 843,                  /* $@310  */
  YYSYMBOL_844_311 = 844,                  /* $@311  */
  YYSYMBOL_firstrow = 845,                 /* firstrow  */
  YYSYMBOL_846_312 = 846,                  /* $@312  */
  YYSYMBOL_lastrow = 847,                  /* lastrow  */
  YYSYMBOL_848_313 = 848,                  /* $@313  */
  YYSYMBOL_pageup = 849,                   /* pageup  */
  YYSYMBOL_850_314 = 850,                  /* $@314  */
  YYSYMBOL_pagedown = 851,                 /* pagedown  */
  YYSYMBOL_852_315 = 852,                  /* $@315  */
  YYSYMBOL_selectop = 853,                 /* selectop  */
  YYSYMBOL_854_316 = 854,                  /* $@316  */
  YYSYMBOL_selectallop = 855,              /* selectallop  */
  YYSYMBOL_856_317 = 856,                  /* $@317  */
  YYSYMBOL_selectnoneop = 857,             /* selectnoneop  */
  YYSYMBOL_858_318 = 858,                  /* $@318  */
  YYSYMBOL_invertallop = 859,              /* invertallop  */
  YYSYMBOL_860_319 = 860,                  /* $@319  */
  YYSYMBOL_parentdirop = 861,              /* parentdirop  */
  YYSYMBOL_862_320 = 862,                  /* $@320  */
  YYSYMBOL_enterdirop = 863,               /* enterdirop  */
  YYSYMBOL_864_321 = 864,                  /* $@321  */
  YYSYMBOL_enterdiropbody = 865,           /* enterdiropbody  */
  YYSYMBOL_866_322 = 866,                  /* $@322  */
  YYSYMBOL_867_323 = 867,                  /* $@323  */
  YYSYMBOL_868_324 = 868,                  /* $@324  */
  YYSYMBOL_869_325 = 869,                  /* $@325  */
  YYSYMBOL_870_326 = 870,                  /* $@326  */
  YYSYMBOL_changelistersetop = 871,        /* changelistersetop  */
  YYSYMBOL_872_327 = 872,                  /* $@327  */
  YYSYMBOL_changelistersetopbody = 873,    /* changelistersetopbody  */
  YYSYMBOL_874_328 = 874,                  /* $@328  */
  YYSYMBOL_875_329 = 875,                  /* $@329  */
  YYSYMBOL_876_330 = 876,                  /* $@330  */
  YYSYMBOL_877_331 = 877,                  /* $@331  */
  YYSYMBOL_switchlisterop = 878,           /* switchlisterop  */
  YYSYMBOL_879_332 = 879,                  /* $@332  */
  YYSYMBOL_filterselectop = 880,           /* filterselectop  */
  YYSYMBOL_881_333 = 881,                  /* $@333  */
  YYSYMBOL_filterselectopbody = 882,       /* filterselectopbody  */
  YYSYMBOL_883_334 = 883,                  /* $@334  */
  YYSYMBOL_884_335 = 884,                  /* $@335  */
  YYSYMBOL_885_336 = 885,                  /* $@336  */
  YYSYMBOL_filterunselectop = 886,         /* filterunselectop  */
  YYSYMBOL_887_337 = 887,                  /* $@337  */
  YYSYMBOL_filterunselectopbody = 888,     /* filterunselectopbody  */
  YYSYMBOL_889_338 = 889,                  /* $@338  */
  YYSYMBOL_890_339 = 890,                  /* $@339  */
  YYSYMBOL_891_340 = 891,                  /* $@340  */
  YYSYMBOL_pathtoothersideop = 892,        /* pathtoothersideop  */
  YYSYMBOL_893_341 = 893,                  /* $@341  */
  YYSYMBOL_quitop = 894,                   /* quitop  */
  YYSYMBOL_895_342 = 895,                  /* $@342  */
  YYSYMBOL_quitopbody = 896,               /* quitopbody  */
  YYSYMBOL_897_343 = 897,                  /* $@343  */
  YYSYMBOL_898_344 = 898,                  /* $@344  */
  YYSYMBOL_deleteop = 899,                 /* deleteop  */
  YYSYMBOL_900_345 = 900,                  /* $@345  */
  YYSYMBOL_deleteopbody = 901,             /* deleteopbody  */
  YYSYMBOL_902_346 = 902,                  /* $@346  */
  YYSYMBOL_reloadop = 903,                 /* reloadop  */
  YYSYMBOL_904_347 = 904,                  /* $@347  */
  YYSYMBOL_reloadopbody = 905,             /* reloadopbody  */
  YYSYMBOL_906_348 = 906,                  /* $@348  */
  YYSYMBOL_907_349 = 907,                  /* $@349  */
  YYSYMBOL_908_350 = 908,                  /* $@350  */
  YYSYMBOL_909_351 = 909,                  /* $@351  */
  YYSYMBOL_910_352 = 910,                  /* $@352  */
  YYSYMBOL_911_353 = 911,                  /* $@353  */
  YYSYMBOL_makedirop = 912,                /* makedirop  */
  YYSYMBOL_913_354 = 913,                  /* $@354  */
  YYSYMBOL_renameop = 914,                 /* renameop  */
  YYSYMBOL_915_355 = 915,                  /* $@355  */
  YYSYMBOL_dirsizeop = 916,                /* dirsizeop  */
  YYSYMBOL_917_356 = 917,                  /* $@356  */
  YYSYMBOL_simddop = 918,                  /* simddop  */
  YYSYMBOL_919_357 = 919,                  /* $@357  */
  YYSYMBOL_startprogop = 920,              /* startprogop  */
  YYSYMBOL_921_358 = 921,                  /* $@358  */
  YYSYMBOL_startprogopbody = 922,          /* startprogopbody  */
  YYSYMBOL_923_359 = 923,                  /* $@359  */
  YYSYMBOL_924_360 = 924,                  /* $@360  */
  YYSYMBOL_925_361 = 925,                  /* $@361  */
  YYSYMBOL_926_362 = 926,                  /* $@362  */
  YYSYMBOL_927_363 = 927,                  /* $@363  */
  YYSYMBOL_928_364 = 928,                  /* $@364  */
  YYSYMBOL_929_365 = 929,                  /* $@365  */
  YYSYMBOL_930_366 = 930,                  /* $@366  */
  YYSYMBOL_931_367 = 931,                  /* $@367  */
  YYSYMBOL_932_368 = 932,                  /* $@368  */
  YYSYMBOL_933_369 = 933,                  /* $@369  */
  YYSYMBOL_934_370 = 934,                  /* $@370  */
  YYSYMBOL_935_371 = 935,                  /* $@371  */
  YYSYMBOL_936_372 = 936,                  /* $@372  */
  YYSYMBOL_937_373 = 937,                  /* $@373  */
  YYSYMBOL_searchentryop = 938,            /* searchentryop  */
  YYSYMBOL_939_374 = 939,                  /* $@374  */
  YYSYMBOL_searchentryopbody = 940,        /* searchentryopbody  */
  YYSYMBOL_941_375 = 941,                  /* $@375  */
  YYSYMBOL_942_376 = 942,                  /* $@376  */
  YYSYMBOL_943_377 = 943,                  /* $@377  */
  YYSYMBOL_944_378 = 944,                  /* $@378  */
  YYSYMBOL_945_379 = 945,                  /* $@379  */
  YYSYMBOL_946_380 = 946,                  /* $@380  */
  YYSYMBOL_enterpathop = 947,              /* enterpathop  */
  YYSYMBOL_948_381 = 948,                  /* $@381  */
  YYSYMBOL_enterpathopbody = 949,          /* enterpathopbody  */
  YYSYMBOL_950_382 = 950,                  /* $@382  */
  YYSYMBOL_951_383 = 951,                  /* $@383  */
  YYSYMBOL_952_384 = 952,                  /* $@384  */
  YYSYMBOL_953_385 = 953,                  /* $@385  */
  YYSYMBOL_scrolllisterop = 954,           /* scrolllisterop  */
  YYSYMBOL_955_386 = 955,                  /* $@386  */
  YYSYMBOL_scrolllisteropbody = 956,       /* scrolllisteropbody  */
  YYSYMBOL_957_387 = 957,                  /* $@387  */
  YYSYMBOL_958_388 = 958,                  /* $@388  */
  YYSYMBOL_createsymlinkop = 959,          /* createsymlinkop  */
  YYSYMBOL_960_389 = 960,                  /* $@389  */
  YYSYMBOL_createsymlinkopbody = 961,      /* createsymlinkopbody  */
  YYSYMBOL_962_390 = 962,                  /* $@390  */
  YYSYMBOL_963_391 = 963,                  /* $@391  */
  YYSYMBOL_964_392 = 964,                  /* $@392  */
  YYSYMBOL_changesymlinkop = 965,          /* changesymlinkop  */
  YYSYMBOL_966_393 = 966,                  /* $@393  */
  YYSYMBOL_changesymlinkopbody = 967,      /* changesymlinkopbody  */
  YYSYMBOL_968_394 = 968,                  /* $@394  */
  YYSYMBOL_969_395 = 969,                  /* $@395  */
  YYSYMBOL_970_396 = 970,                  /* $@396  */
  YYSYMBOL_chmodop = 971,                  /* chmodop  */
  YYSYMBOL_972_397 = 972,                  /* $@397  */
  YYSYMBOL_chmodopbody = 973,              /* chmodopbody  */
  YYSYMBOL_974_398 = 974,                  /* $@398  */
  YYSYMBOL_975_399 = 975,                  /* $@399  */
  YYSYMBOL_976_400 = 976,                  /* $@400  */
  YYSYMBOL_977_401 = 977,                  /* $@401  */
  YYSYMBOL_978_402 = 978,                  /* $@402  */
  YYSYMBOL_979_403 = 979,                  /* $@403  */
  YYSYMBOL_980_404 = 980,                  /* $@404  */
  YYSYMBOL_981_405 = 981,                  /* $@405  */
  YYSYMBOL_982_406 = 982,                  /* $@406  */
  YYSYMBOL_chtimeop = 983,                 /* chtimeop  */
  YYSYMBOL_984_407 = 984,                  /* $@407  */
  YYSYMBOL_chtimeopbody = 985,             /* chtimeopbody  */
  YYSYMBOL_986_408 = 986,                  /* $@408  */
  YYSYMBOL_987_409 = 987,                  /* $@409  */
  YYSYMBOL_988_410 = 988,                  /* $@410  */
  YYSYMBOL_989_411 = 989,                  /* $@411  */
  YYSYMBOL_togglelistermodeop = 990,       /* togglelistermodeop  */
  YYSYMBOL_991_412 = 991,                  /* $@412  */
  YYSYMBOL_togglelistermodeopbody = 992,   /* togglelistermodeopbody  */
  YYSYMBOL_993_413 = 993,                  /* $@413  */
  YYSYMBOL_setsortmodeop = 994,            /* setsortmodeop  */
  YYSYMBOL_995_414 = 995,                  /* $@414  */
  YYSYMBOL_setsortmodeopbody = 996,        /* setsortmodeopbody  */
  YYSYMBOL_997_415 = 997,                  /* $@415  */
  YYSYMBOL_998_416 = 998,                  /* $@416  */
  YYSYMBOL_999_417 = 999,                  /* $@417  */
  YYSYMBOL_1000_418 = 1000,                /* $@418  */
  YYSYMBOL_1001_419 = 1001,                /* $@419  */
  YYSYMBOL_1002_420 = 1002,                /* $@420  */
  YYSYMBOL_1003_421 = 1003,                /* $@421  */
  YYSYMBOL_1004_422 = 1004,                /* $@422  */
  YYSYMBOL_1005_423 = 1005,                /* $@423  */
  YYSYMBOL_1006_424 = 1006,                /* $@424  */
  YYSYMBOL_1007_425 = 1007,                /* $@425  */
  YYSYMBOL_1008_426 = 1008,                /* $@426  */
  YYSYMBOL_1009_427 = 1009,                /* $@427  */
  YYSYMBOL_1010_428 = 1010,                /* $@428  */
  YYSYMBOL_1011_429 = 1011,                /* $@429  */
  YYSYMBOL_setfilterop = 1012,             /* setfilterop  */
  YYSYMBOL_1013_430 = 1013,                /* $@430  */
  YYSYMBOL_setfilteropbody = 1014,         /* setfilteropbody  */
  YYSYMBOL_1015_431 = 1015,                /* $@431  */
  YYSYMBOL_1016_432 = 1016,                /* $@432  */
  YYSYMBOL_1017_433 = 1017,                /* $@433  */
  YYSYMBOL_1018_434 = 1018,                /* $@434  */
  YYSYMBOL_1019_435 = 1019,                /* $@435  */
  YYSYMBOL_1020_436 = 1020,                /* $@436  */
  YYSYMBOL_1021_437 = 1021,                /* $@437  */
  YYSYMBOL_1022_438 = 1022,                /* $@438  */
  YYSYMBOL_1023_439 = 1023,                /* $@439  */
  YYSYMBOL_1024_440 = 1024,                /* $@440  */
  YYSYMBOL_1025_441 = 1025,                /* $@441  */
  YYSYMBOL_1026_442 = 1026,                /* $@442  */
  YYSYMBOL_1027_443 = 1027,                /* $@443  */
  YYSYMBOL_1028_444 = 1028,                /* $@444  */
  YYSYMBOL_1029_445 = 1029,                /* $@445  */
  YYSYMBOL_shortkeyfromlistop = 1030,      /* shortkeyfromlistop  */
  YYSYMBOL_1031_446 = 1031,                /* $@446  */
  YYSYMBOL_chownop = 1032,                 /* chownop  */
  YYSYMBOL_1033_447 = 1033,                /* $@447  */
  YYSYMBOL_chownopbody = 1034,             /* chownopbody  */
  YYSYMBOL_1035_448 = 1035,                /* $@448  */
  YYSYMBOL_1036_449 = 1036,                /* $@449  */
  YYSYMBOL_1037_450 = 1037,                /* $@450  */
  YYSYMBOL_1038_451 = 1038,                /* $@451  */
  YYSYMBOL_scriptop = 1039,                /* scriptop  */
  YYSYMBOL_1040_452 = 1040,                /* $@452  */
  YYSYMBOL_scriptopbody = 1041,            /* scriptopbody  */
  YYSYMBOL_1042_453 = 1042,                /* $@453  */
  YYSYMBOL_1043_454 = 1043,                /* $@454  */
  YYSYMBOL_1044_455 = 1044,                /* $@455  */
  YYSYMBOL_1045_456 = 1045,                /* $@456  */
  YYSYMBOL_1046_457 = 1046,                /* $@457  */
  YYSYMBOL_1047_458 = 1047,                /* $@458  */
  YYSYMBOL_1048_459 = 1048,                /* $@459  */
  YYSYMBOL_1049_460 = 1049,                /* $@460  */
  YYSYMBOL_1050_461 = 1050,                /* $@461  */
  YYSYMBOL_1051_462 = 1051,                /* $@462  */
  YYSYMBOL_1052_463 = 1052,                /* $@463  */
  YYSYMBOL_1053_464 = 1053,                /* $@464  */
  YYSYMBOL_1054_465 = 1054,                /* $@465  */
  YYSYMBOL_1055_466 = 1055,                /* $@466  */
  YYSYMBOL_1056_467 = 1056,                /* $@467  */
  YYSYMBOL_1057_468 = 1057,                /* $@468  */
  YYSYMBOL_1058_469 = 1058,                /* $@469  */
  YYSYMBOL_1059_470 = 1059,                /* $@470  */
  YYSYMBOL_1060_471 = 1060,                /* $@471  */
  YYSYMBOL_1061_472 = 1061,                /* $@472  */
  YYSYMBOL_1062_473 = 1062,                /* $@473  */
  YYSYMBOL_1063_474 = 1063,                /* $@474  */
  YYSYMBOL_1064_475 = 1064,                /* $@475  */
  YYSYMBOL_1065_476 = 1065,                /* $@476  */
  YYSYMBOL_1066_477 = 1066,                /* $@477  */
  YYSYMBOL_1067_478 = 1067,                /* $@478  */
  YYSYMBOL_1068_479 = 1068,                /* $@479  */
  YYSYMBOL_1069_480 = 1069,                /* $@480  */
  YYSYMBOL_1070_481 = 1070,                /* $@481  */
  YYSYMBOL_1071_482 = 1071,                /* $@482  */
  YYSYMBOL_showdircacheop = 1072,          /* showdircacheop  */
  YYSYMBOL_1073_483 = 1073,                /* $@483  */
  YYSYMBOL_parentactionop = 1074,          /* parentactionop  */
  YYSYMBOL_1075_484 = 1075,                /* $@484  */
  YYSYMBOL_nooperationop = 1076,           /* nooperationop  */
  YYSYMBOL_1077_485 = 1077,                /* $@485  */
  YYSYMBOL_goftpop = 1078,                 /* goftpop  */
  YYSYMBOL_1079_486 = 1079,                /* $@486  */
  YYSYMBOL_goftpopbody = 1080,             /* goftpopbody  */
  YYSYMBOL_1081_487 = 1081,                /* $@487  */
  YYSYMBOL_1082_488 = 1082,                /* $@488  */
  YYSYMBOL_1083_489 = 1083,                /* $@489  */
  YYSYMBOL_1084_490 = 1084,                /* $@490  */
  YYSYMBOL_1085_491 = 1085,                /* $@491  */
  YYSYMBOL_1086_492 = 1086,                /* $@492  */
  YYSYMBOL_1087_493 = 1087,                /* $@493  */
  YYSYMBOL_internalviewop = 1088,          /* internalviewop  */
  YYSYMBOL_1089_494 = 1089,                /* $@494  */
  YYSYMBOL_internalviewopbody = 1090,      /* internalviewopbody  */
  YYSYMBOL_1091_495 = 1091,                /* $@495  */
  YYSYMBOL_1092_496 = 1092,                /* $@496  */
  YYSYMBOL_1093_497 = 1093,                /* $@497  */
  YYSYMBOL_1094_498 = 1094,                /* $@498  */
  YYSYMBOL_clipboardop = 1095,             /* clipboardop  */
  YYSYMBOL_1096_499 = 1096,                /* $@499  */
  YYSYMBOL_clipboardopbody = 1097,         /* clipboardopbody  */
  YYSYMBOL_1098_500 = 1098,                /* $@500  */
  YYSYMBOL_searchop = 1099,                /* searchop  */
  YYSYMBOL_1100_501 = 1100,                /* $@501  */
  YYSYMBOL_searchopbody = 1101,            /* searchopbody  */
  YYSYMBOL_1102_502 = 1102,                /* $@502  */
  YYSYMBOL_1103_503 = 1103,                /* $@503  */
  YYSYMBOL_dirbookmarkop = 1104,           /* dirbookmarkop  */
  YYSYMBOL_1105_504 = 1105,                /* $@504  */
  YYSYMBOL_opencontextmenuop = 1106,       /* opencontextmenuop  */
  YYSYMBOL_1107_505 = 1107,                /* $@505  */
  YYSYMBOL_opencontextmenuopbody = 1108,   /* opencontextmenuopbody  */
  YYSYMBOL_1109_506 = 1109,                /* $@506  */
  YYSYMBOL_runcustomaction = 1110,         /* runcustomaction  */
  YYSYMBOL_1111_507 = 1111,                /* $@507  */
  YYSYMBOL_runcustomactionbody = 1112,     /* runcustomactionbody  */
  YYSYMBOL_1113_508 = 1113,                /* $@508  */
  YYSYMBOL_openworkermenuop = 1114,        /* openworkermenuop  */
  YYSYMBOL_1115_509 = 1115,                /* $@509  */
  YYSYMBOL_changelabelop = 1116,           /* changelabelop  */
  YYSYMBOL_1117_510 = 1117,                /* $@510  */
  YYSYMBOL_changelabelopbody = 1118,       /* changelabelopbody  */
  YYSYMBOL_1119_511 = 1119,                /* $@511  */
  YYSYMBOL_1120_512 = 1120,                /* $@512  */
  YYSYMBOL_modifytabsop = 1121,            /* modifytabsop  */
  YYSYMBOL_1122_513 = 1122,                /* $@513  */
  YYSYMBOL_modifytabsopbody = 1123,        /* modifytabsopbody  */
  YYSYMBOL_1124_514 = 1124,                /* $@514  */
  YYSYMBOL_1125_515 = 1125,                /* $@515  */
  YYSYMBOL_1126_516 = 1126,                /* $@516  */
  YYSYMBOL_1127_517 = 1127,                /* $@517  */
  YYSYMBOL_1128_518 = 1128,                /* $@518  */
  YYSYMBOL_1129_519 = 1129,                /* $@519  */
  YYSYMBOL_1130_520 = 1130,                /* $@520  */
  YYSYMBOL_changelayoutop = 1131,          /* changelayoutop  */
  YYSYMBOL_1132_521 = 1132,                /* $@521  */
  YYSYMBOL_changelayoutopbody = 1133,      /* changelayoutopbody  */
  YYSYMBOL_1134_522 = 1134,                /* $@522  */
  YYSYMBOL_1135_523 = 1135,                /* $@523  */
  YYSYMBOL_1136_524 = 1136,                /* $@524  */
  YYSYMBOL_1137_525 = 1137,                /* $@525  */
  YYSYMBOL_1138_526 = 1138,                /* $@526  */
  YYSYMBOL_1139_527 = 1139,                /* $@527  */
  YYSYMBOL_1140_528 = 1140,                /* $@528  */
  YYSYMBOL_1141_529 = 1141,                /* $@529  */
  YYSYMBOL_1142_530 = 1142,                /* $@530  */
  YYSYMBOL_1143_531 = 1143,                /* $@531  */
  YYSYMBOL_1144_532 = 1144,                /* $@532  */
  YYSYMBOL_1145_533 = 1145,                /* $@533  */
  YYSYMBOL_1146_534 = 1146,                /* $@534  */
  YYSYMBOL_changecolumnsop = 1147,         /* changecolumnsop  */
  YYSYMBOL_1148_535 = 1148,                /* $@535  */
  YYSYMBOL_changecolumnsopbody = 1149,     /* changecolumnsopbody  */
  YYSYMBOL_1150_536 = 1150,                /* $@536  */
  YYSYMBOL_1151_537 = 1151,                /* $@537  */
  YYSYMBOL_1152_538 = 1152,                /* $@538  */
  YYSYMBOL_1153_539 = 1153,                /* $@539  */
  YYSYMBOL_1154_540 = 1154,                /* $@540  */
  YYSYMBOL_1155_541 = 1155,                /* $@541  */
  YYSYMBOL_1156_542 = 1156,                /* $@542  */
  YYSYMBOL_1157_543 = 1157,                /* $@543  */
  YYSYMBOL_1158_544 = 1158,                /* $@544  */
  YYSYMBOL_1159_545 = 1159,                /* $@545  */
  YYSYMBOL_1160_546 = 1160,                /* $@546  */
  YYSYMBOL_1161_547 = 1161,                /* $@547  */
  YYSYMBOL_1162_548 = 1162,                /* $@548  */
  YYSYMBOL_1163_549 = 1163,                /* $@549  */
  YYSYMBOL_1164_550 = 1164,                /* $@550  */
  YYSYMBOL_volumemanagerop = 1165,         /* volumemanagerop  */
  YYSYMBOL_1166_551 = 1166,                /* $@551  */
  YYSYMBOL_switchbuttonbankop = 1167,      /* switchbuttonbankop  */
  YYSYMBOL_1168_552 = 1168,                /* $@552  */
  YYSYMBOL_switchbuttonbankopbody = 1169,  /* switchbuttonbankopbody  */
  YYSYMBOL_1170_553 = 1170,                /* $@553  */
  YYSYMBOL_1171_554 = 1171,                /* $@554  */
  YYSYMBOL_1172_555 = 1172,                /* $@555  */
  YYSYMBOL_1173_556 = 1173,                /* $@556  */
  YYSYMBOL_pathjumpop = 1174,              /* pathjumpop  */
  YYSYMBOL_1175_557 = 1175,                /* $@557  */
  YYSYMBOL_pathjumpopbody = 1176,          /* pathjumpopbody  */
  YYSYMBOL_1177_558 = 1177,                /* $@558  */
  YYSYMBOL_1178_559 = 1178,                /* $@559  */
  YYSYMBOL_1179_560 = 1179,                /* $@560  */
  YYSYMBOL_1180_561 = 1180,                /* $@561  */
  YYSYMBOL_1181_562 = 1181,                /* $@562  */
  YYSYMBOL_1182_563 = 1182,                /* $@563  */
  YYSYMBOL_1183_564 = 1183,                /* $@564  */
  YYSYMBOL_1184_565 = 1184,                /* $@565  */
  YYSYMBOL_1185_566 = 1185,                /* $@566  */
  YYSYMBOL_commandmenuop = 1186,           /* commandmenuop  */
  YYSYMBOL_1187_567 = 1187,                /* $@567  */
  YYSYMBOL_commandmenuopbody = 1188,       /* commandmenuopbody  */
  YYSYMBOL_1189_568 = 1189,                /* $@568  */
  YYSYMBOL_1190_569 = 1190,                /* $@569  */
  YYSYMBOL_1191_570 = 1191,                /* $@570  */
  YYSYMBOL_1192_571 = 1192,                /* $@571  */
  YYSYMBOL_1193_572 = 1193,                /* $@572  */
  YYSYMBOL_1194_573 = 1194,                /* $@573  */
  YYSYMBOL_1195_574 = 1195,                /* $@574  */
  YYSYMBOL_1196_575 = 1196,                /* $@575  */
  YYSYMBOL_1197_576 = 1197,                /* $@576  */
  YYSYMBOL_viewnewestfilesop = 1198,       /* viewnewestfilesop  */
  YYSYMBOL_1199_577 = 1199,                /* $@577  */
  YYSYMBOL_dircompareop = 1200,            /* dircompareop  */
  YYSYMBOL_1201_578 = 1201,                /* $@578  */
  YYSYMBOL_tabprofilesop = 1202,           /* tabprofilesop  */
  YYSYMBOL_1203_579 = 1203,                /* $@579  */
  YYSYMBOL_externalvdirop = 1204,          /* externalvdirop  */
  YYSYMBOL_1205_580 = 1205,                /* $@580  */
  YYSYMBOL_externalvdiropbody = 1206,      /* externalvdiropbody  */
  YYSYMBOL_1207_581 = 1207,                /* $@581  */
  YYSYMBOL_opentabmenuop = 1208,           /* opentabmenuop  */
  YYSYMBOL_1209_582 = 1209,                /* $@582  */
  YYSYMBOL_directorypresets = 1210,        /* directorypresets  */
  YYSYMBOL_1211_583 = 1211,                /* $@583  */
  YYSYMBOL_1212_584 = 1212,                /* $@584  */
  YYSYMBOL_directorypreset = 1213,         /* directorypreset  */
  YYSYMBOL_1214_585 = 1214,                /* $@585  */
  YYSYMBOL_1215_586 = 1215,                /* $@586  */
  YYSYMBOL_1216_587 = 1216,                /* $@587  */
  YYSYMBOL_1217_588 = 1217,                /* $@588  */
  YYSYMBOL_1218_589 = 1218,                /* $@589  */
  YYSYMBOL_1219_590 = 1219,                /* $@590  */
  YYSYMBOL_1220_591 = 1220,                /* $@591  */
  YYSYMBOL_1221_592 = 1221,                /* $@592  */
  YYSYMBOL_1222_593 = 1222,                /* $@593  */
  YYSYMBOL_1223_594 = 1223,                /* $@594  */
  YYSYMBOL_1224_595 = 1224,                /* $@595  */
  YYSYMBOL_1225_596 = 1225,                /* $@596  */
  YYSYMBOL_1226_597 = 1226,                /* $@597  */
  YYSYMBOL_1227_598 = 1227,                /* $@598  */
  YYSYMBOL_1228_599 = 1228,                /* $@599  */
  YYSYMBOL_1229_600 = 1229,                /* $@600  */
  YYSYMBOL_1230_601 = 1230,                /* $@601  */
  YYSYMBOL_1231_602 = 1231,                /* $@602  */
  YYSYMBOL_1232_603 = 1232,                /* $@603  */
  YYSYMBOL_1233_604 = 1233,                /* $@604  */
  YYSYMBOL_directorypreset_filter = 1234,  /* directorypreset_filter  */
  YYSYMBOL_1235_605 = 1235,                /* $@605  */
  YYSYMBOL_1236_606 = 1236,                /* $@606  */
  YYSYMBOL_1237_607 = 1237,                /* $@607  */
  YYSYMBOL_helpop = 1238,                  /* helpop  */
  YYSYMBOL_1239_608 = 1239,                /* $@608  */
  YYSYMBOL_viewcommandlogop = 1240,        /* viewcommandlogop  */
  YYSYMBOL_1241_609 = 1241,                /* $@609  */
  YYSYMBOL_activatetextviewmodeop = 1242,  /* activatetextviewmodeop  */
  YYSYMBOL_1243_610 = 1243,                /* $@610  */
  YYSYMBOL_activatetextviewmodeopbody = 1244, /* activatetextviewmodeopbody  */
  YYSYMBOL_1245_611 = 1245,                /* $@611  */
  YYSYMBOL_1246_612 = 1246,                /* $@612  */
  YYSYMBOL_1247_613 = 1247,                /* $@613  */
  YYSYMBOL_1248_614 = 1248,                /* $@614  */
  YYSYMBOL_1249_615 = 1249,                /* $@615  */
  YYSYMBOL_1250_616 = 1250,                /* $@616  */
  YYSYMBOL_1251_617 = 1251,                /* $@617  */
  YYSYMBOL_1252_618 = 1252,                /* $@618  */
  YYSYMBOL_1253_619 = 1253                 /* $@619  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2778

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  476
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  778
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1372
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3259

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   726


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   475,     2,   472,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   473,
       2,   474,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   331,   331,   331,   331,   334,   335,   336,   335,   339,
     340,   341,   340,   352,   353,   352,   364,   365,   364,   376,
     377,   376,   388,   389,   390,   391,   392,   393,   392,   396,
     397,   396,   399,   401,   401,   402,   404,   404,   405,   407,
     407,   408,   408,   409,   409,   410,   410,   411,   412,   412,
     413,   413,   414,   414,   415,   415,   416,   416,   418,   419,
     419,   420,   420,   421,   422,   422,   423,   423,   424,   424,
     425,   425,   426,   426,   427,   428,   428,   429,   431,   431,
     432,   432,   433,   433,   434,   434,   435,   435,   436,   436,
     437,   437,   438,   438,   439,   439,   440,   440,   441,   441,
     442,   442,   443,   443,   444,   446,   446,   447,   449,   449,
     450,   450,   451,   453,   453,   454,   454,   455,   455,   456,
     456,   457,   457,   458,   458,   459,   459,   460,   462,   462,
     463,   463,   464,   464,   465,   465,   466,   466,   467,   467,
     468,   468,   469,   469,   470,   470,   471,   471,   472,   472,
     473,   473,   474,   474,   475,   475,   476,   476,   477,   479,
     479,   480,   480,   481,   481,   482,   482,   483,   483,   484,
     484,   485,   485,   486,   486,   487,   487,   488,   488,   489,
     489,   490,   492,   492,   493,   493,   494,   494,   495,   495,
     496,   496,   497,   497,   498,   499,   498,   500,   501,   500,
     502,   503,   502,   504,   506,   506,   510,   510,   514,   514,
     518,   518,   522,   522,   526,   526,   530,   530,   534,   534,
     538,   538,   542,   542,   546,   546,   550,   550,   554,   554,
     558,   558,   562,   562,   565,   565,   569,   569,   573,   573,
     577,   578,   577,   583,   585,   587,   594,   587,   597,   599,
     599,   603,   603,   607,   607,   608,   610,   614,   610,   617,
     619,   619,   622,   622,   623,   625,   625,   626,   626,   627,
     627,   628,   628,   629,   629,   630,   630,   631,   631,   632,
     632,   633,   633,   634,   636,   637,   636,   643,   645,   645,
     649,   649,   650,   650,   653,   653,   654,   655,   654,   667,
     669,   672,   677,   678,   669,   680,   683,   688,   689,   694,
     695,   680,   697,   699,   699,   700,   700,   701,   701,   702,
     702,   703,   703,   704,   704,   705,   705,   706,   706,   707,
     709,   712,   709,   715,   716,   715,   718,   719,   718,   721,
     721,   722,   724,   724,   725,   727,   728,   727,   729,   731,
     731,   732,   734,   737,   734,   746,   748,   748,   749,   749,
     750,   750,   751,   751,   752,   752,   754,   754,   755,   755,
     756,   756,   757,   757,   758,   759,   759,   760,   760,   761,
     762,   762,   765,   765,   768,   768,   771,   771,   774,   774,
     775,   775,   776,   776,   777,   777,   778,   778,   779,   779,
     780,   780,   781,   781,   782,   782,   783,   783,   784,   784,
     785,   785,   786,   788,   788,   789,   791,   792,   793,   794,
     795,   798,   799,   798,   802,   803,   802,   806,   807,   806,
     810,   811,   810,   814,   815,   814,   818,   821,   818,   824,
     826,   827,   828,   830,   832,   833,   832,   836,   838,   838,
     839,   840,   839,   843,   844,   843,   856,   858,   859,   858,
     865,   867,   867,   871,   871,   872,   872,   875,   876,   875,
     879,   880,   879,   892,   895,   894,   902,   901,   909,   908,
     916,   915,   923,   922,   930,   929,   937,   936,   943,   946,
     945,   953,   952,   960,   959,   967,   966,   974,   973,   981,
     980,   988,   987,   994,   997,   996,  1001,  1000,  1005,  1004,
    1009,  1008,  1013,  1012,  1017,  1016,  1021,  1020,  1025,  1024,
    1029,  1028,  1032,  1034,  1034,  1035,  1035,  1036,  1036,  1037,
    1037,  1038,  1038,  1039,  1039,  1040,  1040,  1041,  1043,  1044,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,  1053,  1054,  1055,
    1056,  1057,  1058,  1059,  1060,  1061,  1062,  1063,  1064,  1065,
    1066,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,  1082,  1083,  1084,  1085,
    1086,  1087,  1088,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,  1097,  1098,  1099,  1100,  1101,  1102,  1103,  1104,  1105,
    1106,  1107,  1108,  1109,  1110,  1111,  1112,  1113,  1114,  1115,
    1116,  1117,  1118,  1120,  1120,  1123,  1123,  1124,  1124,  1125,
    1125,  1126,  1126,  1127,  1127,  1128,  1128,  1129,  1129,  1130,
    1130,  1131,  1131,  1132,  1132,  1133,  1133,  1134,  1134,  1135,
    1135,  1136,  1136,  1137,  1137,  1138,  1138,  1139,  1139,  1140,
    1140,  1141,  1143,  1143,  1146,  1146,  1149,  1149,  1152,  1152,
    1155,  1155,  1158,  1158,  1159,  1161,  1161,  1168,  1168,  1175,
    1175,  1178,  1178,  1179,  1179,  1180,  1180,  1181,  1183,  1183,
    1186,  1186,  1187,  1187,  1188,  1188,  1189,  1189,  1190,  1190,
    1191,  1191,  1192,  1192,  1193,  1193,  1194,  1194,  1195,  1195,
    1196,  1196,  1197,  1197,  1198,  1198,  1199,  1199,  1200,  1200,
    1201,  1201,  1202,  1202,  1203,  1203,  1204,  1204,  1205,  1205,
    1206,  1208,  1208,  1215,  1215,  1222,  1222,  1229,  1229,  1236,
    1236,  1243,  1243,  1250,  1250,  1257,  1257,  1264,  1264,  1271,
    1271,  1274,  1274,  1275,  1275,  1276,  1276,  1277,  1277,  1278,
    1278,  1279,  1281,  1281,  1284,  1284,  1285,  1285,  1286,  1286,
    1287,  1287,  1288,  1290,  1290,  1293,  1293,  1296,  1296,  1297,
    1297,  1298,  1298,  1299,  1301,  1301,  1304,  1304,  1305,  1305,
    1306,  1306,  1307,  1309,  1309,  1312,  1312,  1315,  1315,  1316,
    1316,  1317,  1319,  1319,  1322,  1322,  1323,  1325,  1325,  1328,
    1328,  1329,  1329,  1330,  1330,  1331,  1331,  1332,  1332,  1333,
    1333,  1334,  1336,  1336,  1339,  1339,  1342,  1342,  1345,  1345,
    1352,  1352,  1355,  1355,  1356,  1356,  1357,  1357,  1358,  1358,
    1359,  1359,  1360,  1360,  1361,  1361,  1362,  1362,  1363,  1363,
    1364,  1364,  1365,  1365,  1366,  1366,  1367,  1367,  1368,  1368,
    1369,  1369,  1370,  1372,  1372,  1375,  1375,  1376,  1376,  1377,
    1377,  1378,  1378,  1379,  1379,  1380,  1380,  1381,  1383,  1383,
    1386,  1386,  1387,  1387,  1388,  1388,  1389,  1389,  1390,  1392,
    1392,  1395,  1395,  1396,  1396,  1397,  1399,  1399,  1402,  1402,
    1403,  1403,  1404,  1404,  1405,  1407,  1407,  1410,  1410,  1411,
    1411,  1412,  1412,  1413,  1415,  1415,  1418,  1418,  1419,  1419,
    1420,  1420,  1421,  1421,  1422,  1422,  1423,  1423,  1424,  1424,
    1425,  1425,  1426,  1426,  1427,  1429,  1429,  1432,  1432,  1433,
    1433,  1434,  1434,  1435,  1435,  1436,  1438,  1438,  1441,  1441,
    1442,  1444,  1444,  1449,  1449,  1450,  1450,  1451,  1451,  1452,
    1452,  1453,  1453,  1454,  1454,  1455,  1455,  1456,  1456,  1457,
    1457,  1458,  1458,  1459,  1459,  1460,  1460,  1461,  1461,  1462,
    1462,  1463,  1463,  1464,  1466,  1466,  1469,  1469,  1470,  1470,
    1471,  1471,  1472,  1472,  1473,  1473,  1474,  1474,  1475,  1475,
    1476,  1476,  1477,  1477,  1478,  1478,  1479,  1479,  1480,  1480,
    1481,  1481,  1482,  1482,  1483,  1483,  1484,  1486,  1486,  1489,
    1489,  1492,  1492,  1493,  1493,  1494,  1494,  1495,  1495,  1496,
    1498,  1498,  1501,  1501,  1502,  1502,  1503,  1503,  1504,  1504,
    1505,  1505,  1506,  1506,  1507,  1507,  1508,  1508,  1509,  1509,
    1510,  1510,  1511,  1511,  1512,  1512,  1513,  1513,  1514,  1514,
    1515,  1515,  1516,  1516,  1517,  1517,  1518,  1518,  1519,  1519,
    1520,  1520,  1521,  1521,  1522,  1522,  1523,  1523,  1524,  1524,
    1525,  1525,  1526,  1526,  1527,  1527,  1528,  1528,  1529,  1529,
    1530,  1530,  1531,  1533,  1533,  1536,  1536,  1539,  1539,  1542,
    1542,  1545,  1545,  1546,  1546,  1547,  1547,  1548,  1548,  1549,
    1549,  1550,  1550,  1551,  1551,  1552,  1554,  1554,  1557,  1557,
    1558,  1558,  1559,  1559,  1560,  1560,  1562,  1564,  1564,  1567,
    1567,  1568,  1570,  1570,  1573,  1573,  1574,  1574,  1575,  1577,
    1577,  1580,  1580,  1583,  1583,  1584,  1586,  1586,  1589,  1589,
    1590,  1592,  1592,  1595,  1595,  1598,  1598,  1599,  1599,  1600,
    1602,  1602,  1605,  1605,  1606,  1606,  1607,  1607,  1608,  1608,
    1609,  1609,  1610,  1610,  1611,  1611,  1612,  1614,  1614,  1622,
    1622,  1623,  1623,  1624,  1624,  1625,  1625,  1626,  1626,  1627,
    1627,  1628,  1628,  1629,  1629,  1630,  1630,  1631,  1631,  1632,
    1632,  1633,  1633,  1634,  1634,  1635,  1637,  1637,  1645,  1645,
    1646,  1646,  1647,  1647,  1648,  1648,  1649,  1649,  1650,  1650,
    1651,  1651,  1652,  1652,  1653,  1653,  1654,  1654,  1655,  1655,
    1656,  1656,  1657,  1657,  1658,  1658,  1659,  1659,  1660,  1662,
    1662,  1665,  1665,  1668,  1668,  1669,  1669,  1670,  1670,  1671,
    1671,  1672,  1674,  1674,  1677,  1677,  1678,  1678,  1679,  1679,
    1680,  1680,  1681,  1681,  1682,  1682,  1683,  1683,  1684,  1684,
    1685,  1685,  1686,  1688,  1688,  1691,  1691,  1692,  1692,  1693,
    1693,  1694,  1694,  1695,  1695,  1696,  1696,  1697,  1697,  1698,
    1698,  1699,  1699,  1700,  1702,  1702,  1705,  1705,  1708,  1708,
    1711,  1711,  1714,  1714,  1715,  1717,  1717,  1724,  1725,  1724,
    1727,  1729,  1729,  1730,  1730,  1731,  1731,  1732,  1732,  1733,
    1733,  1734,  1734,  1735,  1735,  1736,  1736,  1737,  1737,  1738,
    1738,  1739,  1739,  1740,  1740,  1741,  1741,  1742,  1742,  1743,
    1743,  1744,  1744,  1745,  1745,  1746,  1746,  1747,  1748,  1747,
    1749,  1751,  1751,  1752,  1752,  1753,  1753,  1754,  1756,  1756,
    1761,  1761,  1766,  1766,  1769,  1769,  1770,  1770,  1771,  1771,
    1772,  1772,  1773,  1773,  1774,  1774,  1775,  1775,  1776,  1776,
    1777,  1777,  1778
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "LEFTBRACE_WCP",
  "RIGHTBRACE_WCP", "GLOBAL_WCP", "COLORS_WCP", "LANG_WCP", "PALETTE_WCP",
  "OWNOP_WCP", "LISTERSETS_WCP", "YES_WCP", "NO_WCP", "LEFT_WCP",
  "RIGHT_WCP", "HBARTOP_WCP", "HBARHEIGHT_WCP", "VBARLEFT_WCP",
  "VBARWIDTH_WCP", "DISPLAYSETS_WCP", "NAME_WCP", "SIZE_WCP", "TYPE_WCP",
  "PERMISSION_WCP", "OWNER_WCP", "DESTINATION_WCP", "MODTIME_WCP",
  "ACCTIME_WCP", "CHGTIME_WCP", "ROWS_WCP", "COLUMNS_WCP", "CACHESIZE_WCP",
  "OWNERSTYLE_WCP", "TERMINAL_WCP", "USESTRINGFORDIRSIZE_WCP",
  "TIMESETS_WCP", "STYLE1_WCP", "STYLE2_WCP", "STYLE3_WCP", "DATE_WCP",
  "TIME_WCP", "DATESUBSTITUTION_WCP", "DATEBEFORETIME_WCP", "STATEBAR_WCP",
  "SELLVBAR_WCP", "UNSELLVBAR_WCP", "CLOCKBAR_WCP", "REQUESTER_WCP",
  "UNSELDIR_WCP", "SELDIR_WCP", "UNSELFILE_WCP", "SELFILE_WCP",
  "UNSELACTDIR_WCP", "SELACTDIR_WCP", "UNSELACTFILE_WCP", "SELACTFILE_WCP",
  "LVBG_WCP", "STARTUP_WCP", "BUTTON_WCP", "BUTTONS_WCP", "POSITION_WCP",
  "TITLE_WCP", "COMMANDS_WCP", "SHORTKEYS_WCP", "PATHS_WCP", "PATH_WCP",
  "FILETYPES_WCP", "FILETYPE_WCP", "NORMAL_WCP", "NOTYETCHECKED_WCP",
  "UNKNOWN_WCP", "NOSELECT_WCP", "DIR_WCP", "USEPATTERN_WCP",
  "USECONTENT_WCP", "PATTERN_WCP", "CONTENT_WCP", "FTCOMMANDS_WCP",
  "DND_WCP", "DC_WCP", "SHOW_WCP", "RAWSHOW_WCP", "USER_WCP", "FLAGS_WCP",
  "IGNOREDIRS_WCP", "HOTKEYS_WCP", "HOTKEY_WCP", "FONTS_WCP",
  "GLOBALFONT_WCP", "BUTTONFONT_WCP", "LEFTFONT_WCP", "RIGHTFONT_WCP",
  "TEXTVIEWFONT_WCP", "STATEBARFONT_WCP", "TEXTVIEWALTFONT_WCP",
  "CLOCKBARSETS_WCP", "MODUS_WCP", "TIMESPACE_WCP", "VERSION_WCP",
  "EXTERN_WCP", "UPDATETIME_WCP", "PROGRAM_WCP", "SHOWHINTS_WCP",
  "KEY_WCP", "DOUBLE_WCP", "MOD_WCP", "CONTROL_WCP", "SHIFT_WCP",
  "LOCK_WCP", "MOD1_WCP", "MOD2_WCP", "MOD3_WCP", "MOD4_WCP", "MOD5_WCP",
  "DNDACTION_WCP", "DCACTION_WCP", "SHOWACTION_WCP", "RSHOWACTION_WCP",
  "USERACTION_WCP", "ROWUP_WCP", "ROWDOWN_WCP", "CHANGEHIDDENFLAG_WCP",
  "COPYOP_WCP", "FIRSTROW_WCP", "LASTROW_WCP", "PAGEUP_WCP",
  "PAGEDOWN_WCP", "SELECTOP_WCP", "SELECTALLOP_WCP", "SELECTNONEOP_WCP",
  "INVERTALLOP_WCP", "PARENTDIROP_WCP", "ENTERDIROP_WCP",
  "CHANGELISTERSETOP_WCP", "SWITCHLISTEROP_WCP", "FILTERSELECTOP_WCP",
  "FILTERUNSELECTOP_WCP", "PATHTOOTHERSIDEOP_WCP", "QUITOP_WCP",
  "DELETEOP_WCP", "RELOADOP_WCP", "MAKEDIROP_WCP", "RENAMEOP_WCP",
  "DIRSIZEOP_WCP", "SIMDDOP_WCP", "STARTPROGOP_WCP", "SEARCHENTRYOP_WCP",
  "ENTERPATHOP_WCP", "SCROLLLISTEROP_WCP", "CREATESYMLINKOP_WCP",
  "CHANGESYMLINKOP_WCP", "CHMODOP_WCP", "TOGGLELISTERMODEOP_WCP",
  "SETSORTMODEOP_WCP", "SETFILTEROP_WCP", "SHORTKEYFROMLISTOP_WCP",
  "CHOWNOP_WCP", "WORKERCONFIG_WCP", "USERSTYLE_WCP", "DATESTRING_WCP",
  "TIMESTRING_WCP", "COLOR_WCP", "PATTERNIGNORECASE_WCP",
  "PATTERNUSEREGEXP_WCP", "PATTERNUSEFULLNAME_WCP", "COM_WCP",
  "SEPARATEEACHENTRY_WCP", "RECURSIVE_WCP", "START_WCP",
  "TERMINALWAIT_WCP", "SHOWOUTPUT_WCP", "VIEWSTR_WCP", "SHOWOUTPUTINT_WCP",
  "SHOWOUTPUTOTHERSIDE_WCP", "SHOWOUTPUTCUSTOMATTRIBUTE_WCP",
  "INBACKGROUND_WCP", "TAKEDIRS_WCP", "ACTIONNUMBER_WCP",
  "HIDDENFILES_WCP", "HIDE_WCP", "TOGGLE_WCP", "FOLLOWSYMLINKS_WCP",
  "MOVE_WCP", "RENAME_WCP", "SAMEDIR_WCP", "REQUESTDEST_WCP",
  "REQUESTFLAGS_WCP", "OVERWRITE_WCP", "ALWAYS_WCP", "NEVER_WCP",
  "COPYMODE_WCP", "FAST_WCP", "PRESERVEATTR_WCP", "MODE_WCP", "ACTIVE_WCP",
  "ACTIVE2OTHER_WCP", "SPECIAL_WCP", "REQUEST_WCP", "CURRENT_WCP",
  "OTHER_WCP", "FILTER_WCP", "QUICK_WCP", "ALSOACTIVE_WCP",
  "RESETDIRSIZES_WCP", "KEEPFILETYPES_WCP", "RELATIVE_WCP", "ONFILES_WCP",
  "ONDIRS_WCP", "SORTBY_WCP", "SORTFLAG_WCP", "REVERSE_WCP", "DIRLAST_WCP",
  "DIRMIXED_WCP", "EXCLUDE_WCP", "INCLUDE_WCP", "UNSET_WCP",
  "UNSETALL_WCP", "SCRIPTOP_WCP", "NOP_WCP", "PUSH_WCP", "LABEL_WCP",
  "IF_WCP", "END_WCP", "POP_WCP", "SETTINGS_WCP", "WINDOW_WCP", "GOTO_WCP",
  "PUSHUSEOUTPUT_WCP", "DODEBUG_WCP", "WPURECURSIVE_WCP",
  "WPUTAKEDIRS_WCP", "STACKNR_WCP", "PUSHSTRING_WCP",
  "PUSHOUTPUTRETURNCODE_WCP", "IFTEST_WCP", "IFLABEL_WCP", "WINTYPE_WCP",
  "OPEN_WCP", "CLOSE_WCP", "LEAVE_WCP", "CHANGEPROGRESS_WCP",
  "CHANGETEXT_WCP", "PROGRESSUSEOUTPUT_WCP", "WINTEXTUSEOUTPUT_WCP",
  "PROGRESS_WCP", "WINTEXT_WCP", "SHOWDIRCACHEOP_WCP", "INODE_WCP",
  "NLINK_WCP", "BLOCKS_WCP", "SHOWHEADER_WCP", "LVHEADER_WCP",
  "IGNORECASE_WCP", "LISTVIEWS_WCP", "BLL_WCP", "LBL_WCP", "LLB_WCP",
  "BL_WCP", "LB_WCP", "LAYOUT_WCP", "BUTTONSVERT_WCP", "LISTVIEWSVERT_WCP",
  "LISTVIEWWEIGHT_WCP", "WEIGHTTOACTIVE_WCP", "EXTCOND_WCP",
  "USEEXTCOND_WCP", "SUBTYPE_WCP", "PARENTACTIONOP_WCP",
  "NOOPERATIONOP_WCP", "COLORMODE_WCP", "DEFAULT_WCP", "CUSTOM_WCP",
  "UNSELECTCOLOR_WCP", "SELECTCOLOR_WCP", "UNSELECTACTIVECOLOR_WCP",
  "SELECTACTIVECOLOR_WCP", "COLOREXTERNPROG_WCP", "PARENT_WCP",
  "DONTCD_WCP", "DONTCHECKVIRTUAL_WCP", "GOFTPOP_WCP", "HOSTNAME_WCP",
  "USERNAME_WCP", "PASSWORD_WCP", "DONTENTERFTP_WCP", "ALWAYSSTOREPW_WCP",
  "INTERNALVIEWOP_WCP", "CUSTOMFILES_WCP", "SHOWMODE_WCP", "SELECTED_WCP",
  "REVERSESEARCH_WCP", "MOUSECONF_WCP", "SELECTBUTTON_WCP",
  "ACTIVATEBUTTON_WCP", "SCROLLBUTTON_WCP", "SELECTMETHOD_WCP",
  "ALTERNATIVE_WCP", "SEARCHOP_WCP", "EDITCOMMAND_WCP",
  "SHOWPREVRESULTS_WCP", "TEXTVIEW_WCP", "TEXTVIEWHIGHLIGHTED_WCP",
  "TEXTVIEWSELECTION_WCP", "DIRBOOKMARKOP_WCP", "OPENCONTEXTMENUOP_WCP",
  "RUNCUSTOMACTION_WCP", "CUSTOMNAME_WCP", "CONTEXTBUTTON_WCP",
  "ACTIVATEMOD_WCP", "SCROLLMOD_WCP", "CONTEXTMOD_WCP", "NONE_WCP",
  "CUSTOMACTION_WCP", "SAVE_WORKER_STATE_ON_EXIT_WCP",
  "OPENWORKERMENUOP_WCP", "CHANGELABELOP_WCP", "ASKFORLABEL_WCP",
  "LABELCOLORS_WCP", "BOOKMARKLABEL_WCP", "BOOKMARKFILTER_WCP",
  "SHOWONLYBOOKMARKS_WCP", "SHOWONLYLABEL_WCP", "SHOWALL_WCP",
  "OPTIONMODE_WCP", "INVERT_WCP", "SET_WCP", "CHANGEFILTERS_WCP",
  "CHANGEBOOKMARKS_WCP", "QUERYLABEL_WCP", "MODIFYTABSOP_WCP",
  "TABACTION_WCP", "NEWTAB_WCP", "CLOSECURRENTTAB_WCP", "NEXTTAB_WCP",
  "PREVTAB_WCP", "TOGGLELOCKSTATE_WCP", "MOVETABLEFT_WCP",
  "MOVETABRIGHT_WCP", "CHANGELAYOUTOP_WCP", "INFIXSEARCH_WCP",
  "VOLUMEMANAGEROP_WCP", "ERROR", "ACTIVESIDE_WCP", "SHOWFREESPACE_WCP",
  "ACTIVEMODE_WCP", "ASK_WCP", "SSHALLOW_WCP", "FIELD_WIDTH_WCP",
  "QUICKSEARCHENABLED_WCP", "FILTEREDSEARCHENABLED_WCP", "XFTFONTS_WCP",
  "USEMAGIC_WCP", "MAGICPATTERN_WCP", "MAGICCOMPRESSED_WCP",
  "MAGICMIME_WCP", "VOLUMEMANAGER_WCP", "MOUNTCOMMAND_WCP",
  "UNMOUNTCOMMAND_WCP", "FSTABFILE_WCP", "MTABFILE_WCP", "PARTFILE_WCP",
  "REQUESTACTION_WCP", "SIZEH_WCP", "NEXTAGING_WCP", "ENTRY_WCP",
  "PREFIX_WCP", "VALUE_WCP", "EXTENSION_WCP", "EJECTCOMMAND_WCP",
  "CLOSETRAYCOMMAND_WCP", "AVFSMODULE_WCP", "FLEXIBLEMATCH_WCP",
  "USE_VERSION_STRING_COMPARE_WCP", "SWITCHBUTTONBANKOP_WCP",
  "SWITCHTONEXTBANK_WCP", "SWITCHTOPREVBANK_WCP", "SWITCHTOBANKNR_WCP",
  "BANKNR_WCP", "USE_VIRTUAL_TEMP_COPIES_WCP", "PATHJUMPOP_WCP",
  "PATHJUMPALLOWDIRS_WCP", "CLIPBOARDOP_WCP", "CLIPBOARDSTRING_WCP",
  "COMMANDSTRING_WCP", "EVALCOMMAND_WCP", "WATCHMODE_WCP",
  "APPLY_WINDOW_DIALOG_TYPE_WCP", "FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP",
  "COMMANDMENUOP_WCP", "SEARCHMODEONKEYPRESS_WCP", "PATHENTRYONTOP_WCP",
  "STORE_FILES_ALWAYS_WCP", "PATHJUMPSETS_WCP", "SHOWDOTDOT_WCP",
  "SHOWBREADCRUMB_WCP", "FACES_WCP", "FACE_WCP", "ENABLE_INFO_LINE_WCP",
  "INFO_LINE_LUA_MODE_WCP", "INFO_LINE_CONTENT_WCP",
  "RESTORE_TABS_MODE_WCP", "STORE_TABS_MODE_WCP", "AS_EXIT_STATE_WCP",
  "USE_EXTENDED_REGEX_WCP", "HIGHLIGHT_USER_ACTION_WCP", "CHTIMEOP_WCP",
  "ADJUSTRELATIVESYMLINKS_WCP", "OUTSIDE_WCP", "EDIT_WCP",
  "MAKEABSOLUTE_WCP", "MAKERELATIVE_WCP", "MAGICIGNORECASE_WCP",
  "ENSURE_FILE_PERMISSIONS_WCP", "USER_RW_WCP", "USER_RW_GROUP_R_WCP",
  "USER_RW_ALL_R_WCP", "LEAVE_UNMODIFIED_WCP", "PREFERUDISKSVERSION_WCP",
  "CHANGECOLUMNSOP_WCP", "PATTERNISCOMMASEPARATED_WCP", "STRCASECMP_WCP",
  "USE_STRING_COMPARE_MODE_WCP", "VIEWNEWESTFILESOP_WCP", "SHOWRECENT_WCP",
  "DIRCOMPAREOP_WCP", "TABPROFILESOP_WCP", "EXTERNALVDIROP_WCP",
  "VDIR_PRESERVE_DIR_STRUCTURE_WCP", "OPENTABMENUOP_WCP", "INITIALTAB_WCP",
  "SHOWBYTIME_WCP", "SHOWBYFILTER_WCP", "SHOWBYPROGRAM_WCP",
  "TERMINAL_RETURNS_EARLY_WCP", "DIRECTORYPRESETS_WCP",
  "DIRECTORYPRESET_WCP", "HELPOP_WCP", "PRIORITY_WCP", "AUTOFILTER_WCP",
  "ENABLE_CUSTOM_LVB_LINE_WCP", "CUSTOM_LVB_LINE_WCP",
  "CUSTOM_DIRECTORY_INFO_COMMAND_WCP", "IMMEDIATE_FILTER_APPLY_WCP",
  "DISABLEBGCHECKPREFIX_WCP", "DISPLAYMODE_WCP", "SHOWSUBDIRS_WCP",
  "SHOWDIRECTSUBDIRS_WCP", "INCLUDEALL_WCP", "APPLYMODE_WCP", "ADD_WCP",
  "REMOVE_WCP", "HIDENONEXISTING_WCP", "VIEWCOMMANDLOGOP_WCP",
  "LOCKONCURRENTDIR_WCP", "STARTNODE_WCP", "MENUS_WCP", "LVMODES_WCP",
  "LVCOMMANDS_WCP", "TOPLEVEL_WCP", "FOLLOWACTIVE_WCP", "WATCHFILE_WCP",
  "ACTIVATETEXTVIEWMODEOP_WCP", "SOURCEMODE_WCP", "ACTIVEFILE_WCP",
  "FILETYPEACTION_WCP", "IGNOREDIRS2_WCP", "IGNOREDIR_WCP",
  "CUSTOMATTRIBUTE_WCP", "STARTSEARCHSTRING_WCP", "APPLYONLY_WCP",
  "STRING_WCP", "NUM_WCP", "'.'", "';'", "'='", "','", "$accept", "S",
  "$@1", "$@2", "start", "$@3", "$@4", "$@5", "$@6", "$@7", "$@8", "$@9",
  "$@10", "$@11", "$@12", "$@13", "$@14", "$@15", "$@16", "pjallowdirs",
  "$@17", "pathjumpsets", "$@18", "glb", "$@19", "$@20", "$@21", "$@22",
  "$@23", "$@24", "$@25", "$@26", "$@27", "$@28", "$@29", "$@30", "$@31",
  "$@32", "$@33", "$@34", "$@35", "layout", "$@36", "$@37", "$@38", "$@39",
  "$@40", "$@41", "$@42", "$@43", "$@44", "$@45", "$@46", "$@47", "$@48",
  "pal", "$@49", "listersets", "$@50", "$@51", "listersets2", "$@52",
  "$@53", "$@54", "$@55", "$@56", "$@57", "$@58", "displaysets", "$@59",
  "$@60", "$@61", "$@62", "$@63", "$@64", "$@65", "$@66", "$@67", "$@68",
  "$@69", "$@70", "$@71", "$@72", "$@73", "timesets", "$@74", "$@75",
  "$@76", "$@77", "$@78", "$@79", "$@80", "$@81", "$@82", "$@83", "$@84",
  "mouseconf", "$@85", "$@86", "$@87", "$@88", "$@89", "$@90", "$@91",
  "$@92", "$@93", "$@94", "$@95", "$@96", "cols", "$@97", "$@98", "$@99",
  "$@100", "$@101", "$@102", "$@103", "$@104", "$@105", "$@106", "$@107",
  "$@108", "$@109", "$@110", "$@111", "$@112", "$@113", "$@114", "$@115",
  "$@116", "labelcolors", "$@117", "$@118", "labelcolor", "$@119", "$@120",
  "$@121", "faces", "$@122", "$@123", "face", "$@124", "$@125", "startup",
  "$@126", "$@127", "$@128", "$@129", "$@130", "$@131", "$@132", "$@133",
  "$@134", "paths", "$@135", "$@136", "path", "$@137", "$@138", "$@139",
  "$@140", "$@141", "$@142", "keylist", "$@143", "$@144", "$@145", "$@146",
  "$@147", "$@148", "$@149", "$@150", "$@151", "$@152", "mods", "$@153",
  "$@154", "$@155", "$@156", "$@157", "$@158", "$@159", "$@160",
  "filetypes", "$@161", "$@162", "$@163", "$@164", "$@165", "$@166",
  "$@167", "ignoredirs", "$@168", "ignoredirs2", "$@169", "$@170",
  "ignoredir", "$@171", "subfiletypes", "$@172", "$@173", "filetype",
  "$@174", "$@175", "$@176", "$@177", "$@178", "$@179", "$@180", "$@181",
  "$@182", "$@183", "$@184", "$@185", "$@186", "$@187", "$@188", "$@189",
  "$@190", "$@191", "$@192", "$@193", "$@194", "$@195", "$@196", "$@197",
  "$@198", "$@199", "$@200", "filecontent", "$@201", "ft_type",
  "ftcommands", "$@202", "$@203", "$@204", "$@205", "$@206", "$@207",
  "$@208", "$@209", "$@210", "$@211", "$@212", "$@213", "commands",
  "flags", "hotkeys", "$@214", "$@215", "hotkey", "$@216", "$@217",
  "$@218", "$@219", "$@220", "buttons", "$@221", "$@222", "button",
  "$@223", "$@224", "$@225", "$@226", "$@227", "$@228", "$@229", "fonts",
  "$@230", "$@231", "$@232", "$@233", "$@234", "$@235", "$@236",
  "xftfonts", "$@237", "$@238", "$@239", "$@240", "$@241", "$@242",
  "$@243", "volumemanager", "$@244", "$@245", "$@246", "$@247", "$@248",
  "$@249", "$@250", "$@251", "$@252", "clockbarsets", "$@253", "$@254",
  "$@255", "$@256", "$@257", "$@258", "$@259", "bool", "command", "ownop",
  "$@260", "ownopbody", "$@261", "$@262", "$@263", "$@264", "$@265",
  "$@266", "$@267", "$@268", "$@269", "$@270", "$@271", "$@272", "$@273",
  "$@274", "$@275", "$@276", "$@277", "$@278", "dndaction", "$@279",
  "dcaction", "$@280", "showaction", "$@281", "rshowaction", "$@282",
  "useraction", "$@283", "useractionbody", "$@284", "rowup", "$@285",
  "rowdown", "$@286", "changehiddenflag", "$@287", "changehiddenflagbody",
  "$@288", "$@289", "$@290", "copyop", "$@291", "copyopbody", "$@292",
  "$@293", "$@294", "$@295", "$@296", "$@297", "$@298", "$@299", "$@300",
  "$@301", "$@302", "$@303", "$@304", "$@305", "$@306", "$@307", "$@308",
  "$@309", "$@310", "$@311", "firstrow", "$@312", "lastrow", "$@313",
  "pageup", "$@314", "pagedown", "$@315", "selectop", "$@316",
  "selectallop", "$@317", "selectnoneop", "$@318", "invertallop", "$@319",
  "parentdirop", "$@320", "enterdirop", "$@321", "enterdiropbody", "$@322",
  "$@323", "$@324", "$@325", "$@326", "changelistersetop", "$@327",
  "changelistersetopbody", "$@328", "$@329", "$@330", "$@331",
  "switchlisterop", "$@332", "filterselectop", "$@333",
  "filterselectopbody", "$@334", "$@335", "$@336", "filterunselectop",
  "$@337", "filterunselectopbody", "$@338", "$@339", "$@340",
  "pathtoothersideop", "$@341", "quitop", "$@342", "quitopbody", "$@343",
  "$@344", "deleteop", "$@345", "deleteopbody", "$@346", "reloadop",
  "$@347", "reloadopbody", "$@348", "$@349", "$@350", "$@351", "$@352",
  "$@353", "makedirop", "$@354", "renameop", "$@355", "dirsizeop", "$@356",
  "simddop", "$@357", "startprogop", "$@358", "startprogopbody", "$@359",
  "$@360", "$@361", "$@362", "$@363", "$@364", "$@365", "$@366", "$@367",
  "$@368", "$@369", "$@370", "$@371", "$@372", "$@373", "searchentryop",
  "$@374", "searchentryopbody", "$@375", "$@376", "$@377", "$@378",
  "$@379", "$@380", "enterpathop", "$@381", "enterpathopbody", "$@382",
  "$@383", "$@384", "$@385", "scrolllisterop", "$@386",
  "scrolllisteropbody", "$@387", "$@388", "createsymlinkop", "$@389",
  "createsymlinkopbody", "$@390", "$@391", "$@392", "changesymlinkop",
  "$@393", "changesymlinkopbody", "$@394", "$@395", "$@396", "chmodop",
  "$@397", "chmodopbody", "$@398", "$@399", "$@400", "$@401", "$@402",
  "$@403", "$@404", "$@405", "$@406", "chtimeop", "$@407", "chtimeopbody",
  "$@408", "$@409", "$@410", "$@411", "togglelistermodeop", "$@412",
  "togglelistermodeopbody", "$@413", "setsortmodeop", "$@414",
  "setsortmodeopbody", "$@415", "$@416", "$@417", "$@418", "$@419",
  "$@420", "$@421", "$@422", "$@423", "$@424", "$@425", "$@426", "$@427",
  "$@428", "$@429", "setfilterop", "$@430", "setfilteropbody", "$@431",
  "$@432", "$@433", "$@434", "$@435", "$@436", "$@437", "$@438", "$@439",
  "$@440", "$@441", "$@442", "$@443", "$@444", "$@445",
  "shortkeyfromlistop", "$@446", "chownop", "$@447", "chownopbody",
  "$@448", "$@449", "$@450", "$@451", "scriptop", "$@452", "scriptopbody",
  "$@453", "$@454", "$@455", "$@456", "$@457", "$@458", "$@459", "$@460",
  "$@461", "$@462", "$@463", "$@464", "$@465", "$@466", "$@467", "$@468",
  "$@469", "$@470", "$@471", "$@472", "$@473", "$@474", "$@475", "$@476",
  "$@477", "$@478", "$@479", "$@480", "$@481", "$@482", "showdircacheop",
  "$@483", "parentactionop", "$@484", "nooperationop", "$@485", "goftpop",
  "$@486", "goftpopbody", "$@487", "$@488", "$@489", "$@490", "$@491",
  "$@492", "$@493", "internalviewop", "$@494", "internalviewopbody",
  "$@495", "$@496", "$@497", "$@498", "clipboardop", "$@499",
  "clipboardopbody", "$@500", "searchop", "$@501", "searchopbody", "$@502",
  "$@503", "dirbookmarkop", "$@504", "opencontextmenuop", "$@505",
  "opencontextmenuopbody", "$@506", "runcustomaction", "$@507",
  "runcustomactionbody", "$@508", "openworkermenuop", "$@509",
  "changelabelop", "$@510", "changelabelopbody", "$@511", "$@512",
  "modifytabsop", "$@513", "modifytabsopbody", "$@514", "$@515", "$@516",
  "$@517", "$@518", "$@519", "$@520", "changelayoutop", "$@521",
  "changelayoutopbody", "$@522", "$@523", "$@524", "$@525", "$@526",
  "$@527", "$@528", "$@529", "$@530", "$@531", "$@532", "$@533", "$@534",
  "changecolumnsop", "$@535", "changecolumnsopbody", "$@536", "$@537",
  "$@538", "$@539", "$@540", "$@541", "$@542", "$@543", "$@544", "$@545",
  "$@546", "$@547", "$@548", "$@549", "$@550", "volumemanagerop", "$@551",
  "switchbuttonbankop", "$@552", "switchbuttonbankopbody", "$@553",
  "$@554", "$@555", "$@556", "pathjumpop", "$@557", "pathjumpopbody",
  "$@558", "$@559", "$@560", "$@561", "$@562", "$@563", "$@564", "$@565",
  "$@566", "commandmenuop", "$@567", "commandmenuopbody", "$@568", "$@569",
  "$@570", "$@571", "$@572", "$@573", "$@574", "$@575", "$@576",
  "viewnewestfilesop", "$@577", "dircompareop", "$@578", "tabprofilesop",
  "$@579", "externalvdirop", "$@580", "externalvdiropbody", "$@581",
  "opentabmenuop", "$@582", "directorypresets", "$@583", "$@584",
  "directorypreset", "$@585", "$@586", "$@587", "$@588", "$@589", "$@590",
  "$@591", "$@592", "$@593", "$@594", "$@595", "$@596", "$@597", "$@598",
  "$@599", "$@600", "$@601", "$@602", "$@603", "$@604",
  "directorypreset_filter", "$@605", "$@606", "$@607", "helpop", "$@608",
  "viewcommandlogop", "$@609", "activatetextviewmodeop", "$@610",
  "activatetextviewmodeopbody", "$@611", "$@612", "$@613", "$@614",
  "$@615", "$@616", "$@617", "$@618", "$@619", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-2388)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -2388,    71,   -58, -2388,  -370,  -347,  -342,  -327,  -314,  -310,
   -2388,   226,   156,   174,   176,   182,   188,   190,   201,   206,
     208,   223,   236,   244,   253, -2388,   445, -2388,    65, -2388,
   -2388, -2388, -2388,   912,   305,  1022, -2388,  -122, -2388,  -208,
     290,   299,  -165,  -162,  -160,  -157,  -155,  -152,   322,   325,
     330,  -138,   350,  -103,  -101,   -99,   -88,   -71,    10,   357,
      87,    15,    17,    19,    24,   531,   501,   479,   -11,   469,
     107,   113,   116,   126,   131,   145,   157,   559,   159,   162,
     178,   179,   644,   185,   192,   194,   200,   202,   203,   207,
     646,   210,   209,   683,   256,   222, -2388,   231,   158,   235,
     242,   237,   245,   277,   497, -2388,   432,   277,   452,   277,
     277,   277,   287,   277,   247,   226,   254,   255,   263,   264,
     279,   280,   288,   301,   302,   306,   313,   324,   333,   341,
     342,   344,   345,   348,   765,   796, -2388,   297,   356,   -61,
    -135,   226,   827,   843,   852,   854,   853,   856,   391,   864,
     885,   865,   886,   424,   468,   473,   502,   503,   514,   565,
     226,   257,   450,   566,   277,   226,   589,   591,   593,   594,
     638,   804,   805,   226,   803,  1273,   277,   226,  1275,  1276,
     806,   810, -2388, -2388,  1278,   811,   812,   813,   814,   815,
     816, -2388, -2388,   817,   809,   818,   819,   820,   821,   822,
    1287,   440,   823,   824,   825,   826,   828,  1298,  1300,  1301,
    1302,   832,   833,   834,   835,   836,   837,   838,   839,   840,
     841,  1312,   844,   845,   846,   847,   848,   849, -2388,   855,
     857,   858,   859,   860,   861,   862,   863,   866,   867,   868,
     869,   870,   871,   872,   874,   875,   876, -2388,   927,  1320,
     877,   878,   879,   880,   881,   882,   883,   884,   887, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388,   277, -2388, -2388, -2388,
   -2388,   888,   889,   890,   891,   892,   893,   894, -2388,   895,
     896,   897,   898,   899,   900,   901, -2388,   902,   903,   904,
     905,   906,   907,   908, -2388, -2388, -2388,   909, -2388, -2388,
   -2388, -2388,   851,  1323,  1332,  1333,   445, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,   431,    40,   277,   277,   913,   914,
     445,   915,   916,   917,   918,   919,   920,   921,   922,   923,
     911,   924,   925,   926,  1340,   930,   931,   932,   -16,   933,
   -2388, -2388, -2388,   445, -2388,   935,   936,   937,   938,   939,
     277,   940,   941,   942,   445, -2388, -2388, -2388, -2388, -2388,
   -2388,   943,   944,   945,   946,   947,   948,   949,   950,   951,
     952,   953,   954,   955,   958,   957,   959,   960,   961,  1187,
    1346,  1354,   226, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388,   486,   226,   493,   226,   588,   963,   964,   972,
     226,   120,   226, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,   210,   226, -2388,   292,   226,   445,
     968,   445,    66,    66, -2388,   445,   445,   445,   445,   445,
     445,   445,   967,   969,   970,   971,   973,   974,   975,   976,
     977,   978,   979, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388,   277,   277,   982,   277,   445,   981,   983,
     984,   985,   986,   987,  1254,  1254,  1254, -2388,   445,   988,
     989,   990,   991,   992,   993,   994,   995,   996, -2388,   445,
     445,   445,   445,   445,   445,   999,  1000,  1001,  1002,  1003,
    1004,  1005,  1006,  1007,  1008,  1009,  1010,  1011, -2388,  1012,
    1013,  1014,  1015,  1383,  1393, -2388,    87, -2388,    65,    65,
      65,    65,    65,    65,    65,    65,    65,  1016,  1017,  1384,
    1409,  1018,  1410, -2388,  1019,  1020,  1412,  1021,  1023,  1413,
   -2388,  1024,  1025,  1026,  1027,  1028,  1438,  1442,  1029,  1030,
    1031,  1032,  1033,  1452,  1034,  1035,  1036,  1037,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,  1483,  1048,  1484,
   -2388,  1486,  1492, -2388,  1049,  1519,  1521,  1522, -2388,   912,
     912,   912,   912,   912,   912,   912,   305,   305,   305,   305,
     305,   305,   305,  1022,  1022,  1022,  1022,  1022,  1022,  1022,
   -2388, -2388,  -122,  1051,  1053,  1525,  1055,  1056,  1527, -2388,
   -2388,  1057, -2388,  1059,  1060,  1061,  1062,  1534,  1064,  1065,
    1536,  1537, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
     440,   440,   440,   440,   440,   440,   440,   440,   440,  1069,
    1070,  1071,  1072, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
    1073,  1542,  1544,  1545, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
    1077,  1078,  1079,  1080,  1081,  1082,  1083,  1084,  1085,  1086,
    1087,  1088,  1089,    87,  1090,  1091,  1092,  1093, -2388, -2388,
      44, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388,  1096,  1098, -2388, -2388,  1099, -2388,  1100,  1102, -2388,
    1103,  1104, -2388,   663,  1106,   277,   277,  1107, -2388,     8,
     277,   277,   277,  1108,   277,  1349,    81,  1109,  1110,  1111,
    1112,  1114,   277,  1115,   277,   277,   277,   277,  1116, -2388,
   -2388, -2388,   -11, -2388, -2388,  1118, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388,  1119,    18, -2388,    84,   261, -2388,  1120,   277,  1121,
     277,  1122, -2388,   277,   277,   231,   231,   497,   497,   497,
     497,   497,   497,   497,   497,   497,   497,   497, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388,   432,   432,   432,   432,   432,   432,   764, -2388, -2388,
   -2388,   452,   452,   452,   452,   452,   452,   452,   452,   452,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,   124,    87,
    1095,  1105,  1570,  1113,  1117,   294,    50,  1123,   501,  1124,
    1126,    50,  1127,  1128,   479, -2388, -2388, -2388, -2388, -2388,
    1129,  1131,  1132,  1133,  1134,  1125,  1591,  1592,  1598,  1605,
    1138,  1607,  1608,  1140,  1141,  1142,  1143,  1144,  1615,  1616,
    1146,  1148,  1149,  1150,  1136,  1151,  1152,  1153,  1156,  1157,
    1158,  1159,  1160,  1161,  1162,  1163,   -11,   963,   -11, -2388,
    1549,   -11,  1164,   294,    50,   469,  1165,  1166,  1167,    -6,
    1168,  1169,  1170,  1171,  1172,  1173,  1174,  1175,  1176,  1177,
    1178,  1179,  1180,  1181,  1182,   256,  1183,  1184,  1186,  1188,
    1189,    14,  1190,  1191, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388,   440,   440,   440,
     440, -2388, -2388, -2388, -2388, -2388, -2388,  1192,  1193,  1194,
    1195,  1196,  1197,  1198,  1199,   432,   432,   432, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388,    87,    87,    87,
      87,    87,    87,    87,    87,    87,    87,    87,    87,    87,
      87,    87,    87,    87,  1200,  1201,  1202,  1621, -2388,  1203,
    1185, -2388, -2388, -2388,  1657,  1674,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,  1682,  1683,  1684,  1685,  1686,  1687,  1688,
    1689,  1690,  1691,  1692,  1693,  1694,  1695,  1696,  1697,  1698,
    1699,  1700,  1701,  1702,  1703,  1704,  1705,  1706,  1707,  1708,
    1709,  1710,  1711,  1712,  1713,  1714,  1715,  1716,  1717,  1718,
    1719,  1720,  1721,  1722,  1723,  1724,  1725,  1726,  1727,  1728,
    1729,  1730,  1731,  1732,  1733,  1734,  1735,  1736,  1737,  1738,
    1739,  1740,  1741,  1742,  1743,  1744,  1745,  1746,  1747,   294,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388,  1749,  1750,  1751,  1279, -2388, -2388, -2388,
    1752, -2388,  1283, -2388, -2388, -2388, -2388, -2388, -2388,  1284,
    1753, -2388, -2388, -2388, -2388,  1756, -2388,   588, -2388, -2388,
   -2388, -2388, -2388, -2388,   588, -2388, -2388, -2388, -2388,  1289,
    1290,  1291,  1292, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,  1293,  1760, -2388, -2388,  1761,  1762,
   -2388, -2388, -2388, -2388,  1294,  1295,  1766, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388,  1303, -2388, -2388, -2388, -2388,  1299,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,  1311,  1313,  1314,  1315,
    1316,  1317,  1318,  1767, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,  1322,  1324,
    1325, -2388,  1321,  1326,   927,   486,   486, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388,  1327,   493,   493, -2388,
     493,  1328,   588,   588,   588,   588,   588,  1331,   588,   294,
     294,   294,   294, -2388,  1755, -2388,   588,   588,   588,   588,
     588,   588, -2388,   588,   588,   588,   588,  1330,  1334,  1335,
    1336,   588,   588,   588,   588,   588,   588,   588,   588,  1341,
   -2388,   120, -2388, -2388,   292,   292,   292,  1342,   166, -2388,
     292,   292,   292,   292,   292,   292,   292,   292,   292,   292,
     292,   292,   292,   292,   292,  1337,    66,    66,    66,    66,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388,    66,    66,    66,  1254,  1254,
    1254,  1254,  1254,  1254,  1254,  1254,  1343,  1329,  1338,  1187,
   -2388, -2388, -2388, -2388, -2388,   436,  1769,  1772,  1781,  1789,
    1793,  1628,  1794,  1802,  1636,   -34,  1811,  1813,  1814,  1815,
    1816,  1817,  1818,  1819,  1820,    31,  1632,  1822,  -143,  -142,
    1823,  1635,  1627,   101,  1826,  1827,  1828,  1829,    28,  -193,
    1641,  1642,     2,  1643,     9,  1644,   155,   451,  1834,   410,
     561,  1835,  1836,  1837,   115,   -60,    85,  1838,  1439,  1538,
    1841,   -59,  1516,   662,  1843,  -113,   135,  1466,  -299,   472,
      23,  1845,  1846,  1847,  1469,  1849,  1850,  1851,  -125,   486,
    1754,  1757,   486, -2388, -2388, -2388,   493, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,  1385, -2388,  1852,  1855,  1857,  1858,
     294,  1389, -2388, -2388, -2388, -2388, -2388,  1860, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,  1392,   972, -2388,   120,   120, -2388,
   -2388, -2388,  1394,  1395,  1396,   292, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388,    14,    14,    14,    14,
      14,    14,    14,    14,    14,    14,    14,    14,    14,    14,
      14, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388,  1399,  1400, -2388,    44,    44,  1398,  1401,
    1404,  1405,  1414,  1415,  1416,  1417,  1418,  1425,  1426,  1428,
    1862,   294, -2388, -2388, -2388, -2388,  1429,  1869, -2388, -2388,
    1431,  1870,  1432,  1433,  1434,  1435,  1436,  1437,  1440,  1441,
    1444,  1445,  1446,  1448,  1883, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,  1449,  1455,  1922,  1456,  1932, -2388,
    1467,  1470,  1471,  1939,  1472,  1473,  1477,  1948, -2388,  1479,
    1950,  1485,  1956,  1487,  1488,  1489,  1960, -2388, -2388, -2388,
   -2388,  1491,  1493,  1494,  1495,  1496,  1497,  1501,  1506,  1507,
    1978,  1513,  1514,  1517,  1518,  1523,  1524,  1986,  1526,  1995,
    1528,  1999,  1530,  1533,  1539,  2004,  1541,  2006,  1543,  1546,
    1548,  1550,  1551,  1552,  2007,  1553,  2008,  1554,  1555,  2014,
    1556,  1557,  1558,  1559,  1562,  1564,  1565,  1566,  1567,  2015,
   -2388,  1568,  1569,  1573,  1574,  2019,  1575,  1577,  1578,  1583,
    1584,  1585,  1586,  1587,  1588,  1589,  1590,  1593,  1594,  1595,
    1596,  1597,  1599,  1600,  1601,  2061, -2388, -2388, -2388,  1604,
    1610,  1611,  1612,  1613,  1614,  1617,  2062,  1618,  1619,  1620,
    2068,  1622,  1623,  2077, -2388,  1624,  2078,  1625,  2085, -2388,
    1626,  1629,  2086,  1630,  2091,  1633,  1634,  1637,  1638,  1639,
    1640,  1645,  1646,  1647,  1631,  1648,  1649,  1650,  2097, -2388,
    1651,  1652,  2098,  1653,  1654,  1655,  1656,  1658,  2104,  1659,
    2105,  1660,  1661,  2110,  1662,  1663,  1664,  1665,  2111,  1667,
    1668,  1669,  1670,  1671,  1672,  1673,  1748,  1758,  1759,  1763,
    1764,  1765,  1768,  1770,  2112, -2388, -2388, -2388,  1771,  2113,
   -2388, -2388, -2388,  1773,  1774,  1775,  1776,  1777,  1778,  1779,
    2117, -2388,  1780,  1782, -2388,   486, -2388,   493, -2388, -2388,
   -2388, -2388, -2388,  2127,  1785, -2388,   588,   588,   588,   588,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,   810, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,   124,  1784,  1786, -2388, -2388,  1788,
     277,   277,   587,  1790,   277,   277,   277,   277,   277,   277,
     277, -2388, -2388,  1791, -2388,    22, -2388,   277,   277,   277,
     277,   277,   277,    41,    27,   277,  -126,    89,   277, -2388,
    1795,   398, -2388,    61, -2388,  1796,   277,   277, -2388,  1797,
     277,   277, -2388,    -1, -2388,   277, -2388,    79,   277,   277,
   -2388,   277,   277,   655,  1798,   277,   277,   277,   277,   277,
   -2388,   277,   277,   277,   277,  1799,   277, -2388,   109, -2388,
     378, -2388,   277,   277,   277, -2388,   100, -2388,  1800,   277,
     277,   277,   277,    57, -2388,  1801, -2388,    93,   355, -2388,
     277,   569,  1803,  1804,   293,    70,   277,   277,   277, -2388,
     277,   277,   277,   277, -2388,   -54,  1805,   277,   277,   277,
     277,  1792,  1806,   277,  1807,  1808,   506,   277,   277,   277,
     277,  1809,  1810,  1812, -2388,   277,  1821,  1824,  1825,   277,
     277,  1830, -2388,   277,  1831,   -98, -2388,  1832,   277, -2388,
     277, -2388,  1833, -2388,  1839,   277, -2388,   873, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,   277,   277,
    1840,   277, -2388,   335,  1842, -2388,   317,  -256,   277,   277,
     277, -2388,  1844, -2388,   277,     6, -2388,   277,   277,   277,
     277, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,  1848, -2388,
     277,   277,  1853,   277,   277,  -289,  1854, -2388,  1856,  1859,
   -2388, -2388,  1125,     8,     8,     8,     8, -2388,  1861,  1349,
   -2388, -2388, -2388, -2388,  1549,    -6,    -6,    -6, -2388, -2388,
   -2388, -2388,  1863,  1864,  1865,  1866,  1867,  1868,  1871,  1872,
    1873,  1874,  1875,  1876,  1877,  1878,  1879,  1880,  1881,  1882,
    1884,  1885,  1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,
    1894,  1895,  1896,  1897,  1898,  1899,  1900,  1901,  1902,  1903,
    1905,  1906,  1907,  1908,  1909,  1910,  1911,  1912,  1913,  1914,
    1916,  1917,  1918,  1919,  1920,  1921,  1923,  1924,  1925,  1926,
    1927,  1928,  1929,  1930,  1931,  1933,  1934,  1935,  1936,  1937,
    1938,  1940,  1941,  1942,  1943,  1944,  1945,  1946,  1947,  1949,
    1951,  1952,  1953,  1954,  1955,  1957,  1958,  1959,  1961,  1962,
    1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,
    1973,  1974,  1975,  1976,  1977,  1979,  1980,  1981,  1982,  1983,
    1984,  1985,  1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,
    1996,  1997,  1998,  2000,  2001,  2002,  2003,  2005,  2009,  2010,
    2011,  2012,  2013,  2016,  2017,  2018,  2020,  2021,  2022,  2023,
    2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,  2033,
    2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,
    2044,  2045,  2046,  2047,  2050,  2051,  2052,  2053,  2054,  2055,
    2056,  2057,  2058,  2059,  2060,  2063,  2064,  2065,  2066,  2067,
    2069,  2070,  2071,  2072,  2073,  2074,  2075,  2076,  2079,  2080,
    2081,  2082,  2083,  2084,  2087,  2088,  2089,  2090,  2092,   662,
     662,   662,   662,   662,   662,   662,   662,   662,  2093,  2094,
    2095,  2096,  2099,  2100,  2101,  2102,  2103,  2106,  2107,  2108,
    2109,  2114,  2115,  2116,  2118,  2119,  2120,  2121,  2122,  2123,
    2124,  2125,  2126,  2128,  2129,  2130,  2131,  2132,  2133,    23,
      23,    23,    23,    23,    23,    23,    23,    23,    23,    23,
      23,    23,    23,    23,  2134,  2135,  2136,  2137,  2138,  2139,
    2140,  2141,  2142,  2143,  2144,  2145, -2388, -2388, -2388, -2388,
   -2388,     8,  2146, -2388, -2388, -2388, -2388, -2388,   124,   124,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388,  2147, -2388, -2388,   436,   436,
     436,   436,   436,   436,   436,   436,   436,   436,   436,   436,
     436,   436,   436,   436,   436,   436,  1628,  1636,  1636,  1636,
     -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,
     -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,
      31,    31,    31,    31,    31,  1632,  1632,  1632,  1632,  -143,
    -143,  -143,  -142,  -142,  -142,  1635,  1635,  1627,   101,   101,
     101,   101,   101,   101,    28,    28,    28,    28,    28,    28,
      28,    28,    28,    28,    28,    28,    28,    28,    28,  -193,
    -193,  -193,  -193,  -193,  -193,  1641,  1641,  1641,  1641,  1642,
    1642,     2,     2,     2,  1643,  1643,  1643,     9,     9,     9,
       9,     9,     9,     9,     9,     9,  1644,   155,   155,   155,
     155,   155,   155,   155,   155,   155,   155,   155,   155,   155,
     155,   155,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   410,   410,   410,
     410,   561,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   561,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   561,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   115,   115,   115,   115,   115,   115,   115,   -60,   -60,
     -60,   -60,    85,    85,  1439,  1538,   -59,   -59,  1516,  1516,
    1516,  1516,  1516,  1516,  1516,   662,   662,   662,   662,  -113,
    -113,  -113,  -113,   135,   135,   135,   135,   135,   135,   135,
     135,   135,  1466,  -299,  -299,  -299,  -299,  -299,  -299,  -299,
    -299,  -299,   472,   472,   472,   472,  1469,  -125,  -125,  -125,
    -125,  -125,  -125,  -125,  -125,  -125,  1254,  1254,   294, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,  2148,
    2149,  2048,  2150, -2388,  1787, -2388,    50,  2151,     8, -2388,
    2152, -2388, -2388,  1254, -2388,  2153, -2388,    50, -2388
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       3,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,    77,     6,   283,    19,
      10,    13,    16,   488,   537,   503,    26,    38,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     244,     0,     0,     0,     0,     0,   460,   287,   341,   447,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,  1300,     0,    59,   112,     0,     0,
       0,     0,     0,     0,   181,    61,   203,     0,   522,     0,
       0,     0,     0,     0,     0,    32,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     7,     0,     0,     0,
       0,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      32,     0,     0,     0,     0,    32,     0,     0,     0,     0,
       0,     0,     0,    32,     0,     0,     0,    32,     0,     0,
       0,   107,   108,   110,     0,     0,     0,     0,     0,     0,
       0,   538,   539,     0,     0,     0,     0,     0,     0,     0,
       0,   104,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   240,   259,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     9,
     457,    20,   284,    11,   330,   333,     0,   336,    14,   444,
      17,     0,     0,     0,     0,     0,     0,     0,    22,     0,
       0,     0,     0,     0,     0,     0,    24,     0,     0,     0,
       0,     0,     0,     0,    23,    33,    27,     0,    25,  1297,
      30,    39,     0,     0,     0,     0,    77,    41,    43,    45,
      48,    50,    52,    56,     0,     0,     0,     0,     0,     0,
      77,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     194,   197,   200,    77,    64,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    77,    66,    70,    72,    68,    54,
      75,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   248,
       0,     0,    32,   265,   267,   271,   269,   273,   277,   275,
     281,   279,   473,    32,   299,    32,   412,   344,     0,   348,
      32,   456,    32,   474,   476,   478,   480,   482,   484,   486,
     525,   523,   527,   529,   531,   533,   535,   489,   491,   493,
     495,   497,   499,   501,    35,    32,    36,  1340,    32,    77,
       0,    77,   127,   127,    47,    77,    77,    77,    77,    77,
      77,    77,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    58,    78,    80,    82,    84,    86,    88,
      90,    92,    94,     0,     0,     0,     0,    77,     0,     0,
       0,     0,     0,     0,   329,   329,   329,    63,    77,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    74,    77,
      77,    77,    77,    77,    77,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,   256,   244,     8,   283,   283,
     283,   283,   283,   283,   283,   283,   283,     0,     0,     0,
       0,     0,     0,    21,     0,     0,     0,     0,     0,     0,
      12,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     339,     0,     0,    15,     0,     0,     0,     0,    18,   488,
     488,   488,   488,   488,   488,   488,   537,   537,   537,   537,
     537,   537,   537,   503,   503,   503,   503,   503,   503,   503,
      34,    28,    38,     0,     0,     0,     0,     0,     0,    31,
      40,     0,    60,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    42,    44,    46,    49,    51,    53,    57,   159,
     161,   163,   165,   171,   173,   175,   169,   179,   167,   177,
     104,   104,   104,   104,   104,   104,   104,   104,   104,     0,
       0,     0,     0,    62,   182,   184,   186,   188,   190,   192,
       0,     0,     0,     0,    65,   504,   506,   512,   514,   516,
     518,   508,   510,   520,    67,    71,    73,    69,    55,    76,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   244,     0,     0,     0,     0,   245,   241,
     264,   243,   266,   268,   272,   270,   274,   278,   276,   282,
     280,     0,     0,   467,   470,     0,   458,     0,     0,   296,
       0,     0,   285,     0,     0,     0,     0,     0,   364,   439,
       0,     0,     0,     0,     0,   355,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   331,
     342,   334,   341,   345,   337,     0,   450,   453,   445,   475,
     477,   479,   481,   483,   485,   487,   526,   524,   528,   530,
     532,   534,   536,   490,   492,   494,   496,   498,   500,   502,
      37,     0,     0,  1337,     0,     0,  1298,     0,     0,     0,
       0,     0,   121,     0,     0,   112,   112,   181,   181,   181,
     181,   181,   181,   181,   181,   181,   181,   181,    79,    81,
      83,    85,    87,    89,    91,    93,    95,    96,    98,   100,
     102,   203,   203,   203,   203,   203,   203,     0,   195,   198,
     201,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     204,   206,   208,   218,   220,   212,   210,   216,   214,   224,
     222,   228,   226,   233,   230,   234,   236,   238,   255,   244,
       0,     0,     0,     0,     0,   442,   312,     0,   460,     0,
       0,   312,     0,     0,   287,   416,   417,   418,   419,   420,
       0,     0,     0,     0,     0,   415,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   344,   341,   340,
     351,   341,     0,   442,   312,   447,     0,     0,     0,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1300,     0,     0,     0,     0,
       0,   158,     0,     0,   109,   111,   160,   162,   164,   166,
     172,   174,   176,   170,   180,   168,   178,   104,   104,   104,
     104,   183,   185,   187,   189,   191,   193,     0,     0,     0,
       0,     0,     0,     0,     0,   203,   203,   203,   505,   507,
     513,   515,   517,   519,   509,   511,   521,   244,   244,   244,
     244,   244,   244,   244,   244,   244,   244,   244,   244,   244,
     244,   244,   244,   244,     0,     0,     0,     0,   242,     0,
       0,   257,   461,   463,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   442,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   603,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   601,   590,   591,   592,   593,   594,   595,   596,   597,
     604,   598,   599,   600,   602,   605,   606,   607,   608,   609,
     610,   611,   612,     0,     0,     0,     0,   459,   288,   290,
       0,   294,     0,   286,   356,   358,   362,   366,   360,     0,
       0,   421,   424,   427,   430,     0,   436,   412,   368,   370,
     372,   375,   377,   352,   412,   394,   390,   392,   396,     0,
       0,     0,     0,   388,   400,   398,   402,   404,   406,   408,
     410,   332,   343,   335,     0,     0,   338,   448,     0,     0,
     446,  1301,  1333,  1335,     0,     0,     0,  1303,  1305,  1313,
    1321,  1315,  1309,  1307,  1311,  1317,  1319,  1329,  1331,  1323,
    1325,  1327,  1299,     0,   113,   115,   117,   119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   123,   125,    97,    99,   101,   103,
     313,   315,   317,   319,   321,   323,   325,   327,   196,   199,
     202,   205,   207,   209,   219,   221,   213,   211,   217,   215,
     225,   223,   229,   227,   231,   235,   237,   239,     0,     0,
       0,   246,     0,     0,   259,   473,   473,   613,   443,   652,
     654,   656,   658,   660,   665,   667,   669,   678,   721,   723,
     725,   727,   729,   731,   733,   735,   737,   739,   752,   763,
     765,   774,   783,   785,   792,   797,   812,   814,   816,   818,
     820,   853,   868,   879,   886,   895,   904,   936,   941,   974,
    1007,  1009,  1020,  1083,  1085,  1087,  1089,  1106,  1122,  1129,
    1131,  1136,  1141,  1143,  1150,  1167,  1229,  1231,  1242,  1117,
    1263,   925,  1196,  1284,  1286,  1288,  1290,  1295,  1348,  1350,
    1352,   468,   440,   300,   305,   471,     0,   299,   299,   297,
     299,     0,   412,   412,   412,   412,   412,     0,   412,   442,
     442,   442,   442,   433,     0,   374,   412,   412,   412,   412,
     412,   412,   379,   412,   412,   412,   412,     0,     0,     0,
       0,   412,   412,   412,   412,   412,   412,   412,   412,     0,
     346,   456,   451,   454,  1340,  1340,  1340,     0,     0,  1338,
    1340,  1340,  1340,  1340,  1340,  1340,  1340,  1340,  1340,  1340,
    1340,  1340,  1340,  1340,  1340,     0,   127,   127,   127,   127,
     128,   130,   132,   134,   136,   138,   140,   142,   144,   146,
     148,   150,   152,   154,   156,   127,   127,   127,   329,   329,
     329,   329,   329,   329,   329,   329,     0,     0,     0,   248,
     262,   260,   258,   462,   464,   651,     0,     0,     0,     0,
       0,   664,     0,     0,   677,   720,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   751,   762,     0,   773,   782,
       0,   791,   796,   811,     0,     0,     0,     0,   852,   867,
     878,   885,   894,   903,   924,   940,   973,  1006,     0,  1019,
    1082,     0,     0,     0,  1105,  1116,  1128,     0,  1135,  1140,
       0,  1149,  1166,  1195,     0,  1241,  1262,  1121,  1283,   935,
    1228,     0,     0,     0,  1294,     0,     0,     0,  1372,   473,
       0,     0,   473,   465,   289,   291,   299,   295,   292,   357,
     359,   363,   367,   361,     0,   365,     0,     0,     0,     0,
     442,     0,   369,   371,   373,   376,   378,     0,   395,   391,
     393,   397,   380,   382,   384,   386,   389,   401,   399,   403,
     405,   407,   409,   411,     0,   348,   449,   456,   456,  1302,
    1334,  1336,     0,     0,     0,  1340,  1304,  1306,  1314,  1322,
    1316,  1310,  1308,  1312,  1318,  1320,  1330,  1332,  1324,  1326,
    1328,   105,   114,   116,   118,   120,   158,   158,   158,   158,
     158,   158,   158,   158,   158,   158,   158,   158,   158,   158,
     158,   122,   124,   126,   314,   316,   318,   320,   322,   324,
     326,   328,   253,     0,     0,   247,   264,   264,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   442,   653,   655,   657,   659,     0,     0,   666,   668,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   722,   724,   726,   728,   730,
     732,   734,   736,   738,     0,     0,     0,     0,     0,   764,
       0,     0,     0,     0,     0,     0,     0,     0,   784,     0,
       0,     0,     0,     0,     0,     0,     0,   813,   815,   817,
     819,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1008,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1084,  1086,  1088,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1130,     0,     0,     0,     0,  1142,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1285,  1287,  1289,     0,     0,
    1296,  1349,  1351,     0,     0,     0,     0,     0,     0,     0,
       0,   469,     0,     0,   472,   473,   298,   299,   413,   422,
     425,   428,   431,     0,     0,   353,   412,   412,   412,   412,
     349,   347,   452,   455,  1341,  1343,  1345,  1339,   107,   129,
     131,   133,   135,   137,   139,   141,   143,   145,   147,   149,
     151,   153,   155,   157,   255,     0,     0,   263,   261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   614,   441,     0,   661,     0,   670,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   679,
       0,     0,   740,     0,   753,     0,     0,     0,   766,     0,
       0,     0,   775,     0,   786,     0,   793,     0,     0,     0,
     798,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     821,     0,     0,     0,     0,     0,     0,   854,     0,   869,
       0,   880,     0,     0,     0,   887,     0,   896,     0,     0,
       0,     0,     0,     0,   905,     0,   937,     0,     0,   942,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   975,
       0,     0,     0,     0,  1010,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1021,     0,     0,     0,     0,     0,
       0,     0,  1090,     0,     0,     0,  1107,     0,     0,  1123,
       0,  1132,     0,  1137,     0,     0,  1144,     0,  1151,  1169,
    1171,  1173,  1175,  1177,  1179,  1181,  1183,  1185,     0,     0,
       0,     0,  1168,     0,     0,  1232,     0,     0,     0,     0,
       0,  1243,     0,  1118,     0,     0,  1264,     0,     0,     0,
       0,   926,  1198,  1200,  1202,  1204,  1206,  1208,  1210,  1212,
    1214,  1216,  1218,  1220,  1222,  1224,  1226,  1197,     0,  1291,
       0,     0,     0,     0,     0,     0,     0,  1353,     0,     0,
     466,   293,   415,   439,   439,   439,   439,   434,     0,   355,
     381,   383,   385,   387,   351,  1347,  1347,  1347,   106,   254,
     249,   251,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   414,   423,   426,   429,
     432,   439,     0,   354,   350,  1342,  1344,  1346,   255,   255,
     615,   617,   619,   621,   633,   623,   625,   627,   629,   631,
     635,   637,   639,   641,   643,   645,   647,   649,   662,   671,
     673,   675,   680,   682,   684,   686,   688,   690,   696,   692,
     694,   698,   700,   702,   708,   704,   706,   712,   714,   716,
     710,   718,   741,   743,   745,   747,   749,   754,   756,   758,
     760,   767,   769,   771,   776,   778,   780,   787,   789,   794,
     799,   801,   803,   805,   807,   809,   838,   850,   822,   834,
     824,   826,   828,   830,   832,   836,   842,   840,   844,   846,
     848,   855,   857,   859,   861,   863,   865,   870,   872,   874,
     876,   881,   883,   888,   892,   890,   897,   899,   901,   922,
     910,   912,   906,   908,   916,   914,   918,   920,   938,   943,
     945,   953,   961,   955,   949,   947,   951,   957,   959,   969,
     971,   963,   965,   967,   976,   978,   980,   982,   984,   986,
     988,   990,   992,   994,   998,   996,  1000,  1002,  1004,  1015,
    1017,  1011,  1013,  1022,  1024,  1026,  1028,  1030,  1032,  1034,
    1036,  1038,  1040,  1054,  1042,  1046,  1048,  1050,  1052,  1056,
    1044,  1058,  1060,  1062,  1064,  1066,  1068,  1070,  1072,  1074,
    1076,  1078,  1080,  1091,  1093,  1095,  1097,  1099,  1101,  1103,
    1108,  1110,  1112,  1114,  1124,  1126,  1133,  1138,  1147,  1145,
    1152,  1154,  1156,  1158,  1160,  1162,  1164,  1170,  1172,  1174,
    1176,  1178,  1180,  1182,  1184,  1186,  1187,  1189,  1191,  1193,
    1233,  1235,  1237,  1239,  1244,  1246,  1248,  1250,  1252,  1254,
    1256,  1258,  1260,  1119,  1265,  1269,  1279,  1273,  1271,  1267,
    1275,  1277,  1281,   931,   933,   927,   929,  1199,  1201,  1203,
    1205,  1207,  1209,  1211,  1213,  1215,  1217,  1219,  1221,  1223,
    1225,  1227,  1292,  1370,  1354,  1362,  1366,  1368,  1358,  1356,
    1360,  1364,   301,   306,   435,     0,   250,   252,   651,   651,
     651,   651,   651,   651,   651,   651,   651,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   664,   677,   677,   677,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   720,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   720,
     751,   751,   751,   751,   751,   762,   762,   762,   762,   773,
     773,   773,   782,   782,   782,   791,   791,   796,   811,   811,
     811,   811,   811,   811,   852,   852,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   867,
     867,   867,   867,   867,   867,   878,   878,   878,   878,   885,
     885,   894,   894,   894,   903,   903,   903,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   940,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1019,  1019,  1019,
    1019,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,
    1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,
    1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,
    1082,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1116,  1116,
    1116,  1116,  1128,  1128,  1135,  1140,  1149,  1149,  1166,  1166,
    1166,  1166,  1166,  1166,  1166,  1195,  1195,  1195,  1195,  1241,
    1241,  1241,  1241,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1121,  1283,  1283,  1283,  1283,  1283,  1283,  1283,
    1283,  1283,   935,   935,   935,   935,  1294,  1372,  1372,  1372,
    1372,  1372,  1372,  1372,  1372,  1372,   329,   329,   442,   616,
     618,   620,   622,   634,   624,   626,   628,   630,   632,   636,
     638,   640,   642,   644,   646,   648,   650,   663,   672,   674,
     676,   681,   683,   685,   687,   689,   691,   697,   693,   695,
     699,   701,   703,   709,   705,   707,   713,   715,   717,   711,
     719,   742,   744,   746,   748,   750,   755,   757,   759,   761,
     768,   770,   772,   777,   779,   781,   788,   790,   795,   800,
     802,   804,   806,   808,   810,   839,   851,   823,   835,   825,
     827,   829,   831,   833,   837,   843,   841,   845,   847,   849,
     856,   858,   860,   862,   864,   866,   871,   873,   875,   877,
     882,   884,   889,   893,   891,   898,   900,   902,   923,   911,
     913,   907,   909,   917,   915,   919,   921,   939,   944,   946,
     954,   962,   956,   950,   948,   952,   958,   960,   970,   972,
     964,   966,   968,   977,   979,   981,   983,   985,   987,   989,
     991,   993,   995,   999,   997,  1001,  1003,  1005,  1016,  1018,
    1012,  1014,  1023,  1025,  1027,  1029,  1031,  1033,  1035,  1037,
    1039,  1041,  1055,  1043,  1047,  1049,  1051,  1053,  1057,  1045,
    1059,  1061,  1063,  1065,  1067,  1069,  1071,  1073,  1075,  1077,
    1079,  1081,  1092,  1094,  1096,  1098,  1100,  1102,  1104,  1109,
    1111,  1113,  1115,  1125,  1127,  1134,  1139,  1148,  1146,  1153,
    1155,  1157,  1159,  1161,  1163,  1165,  1188,  1190,  1192,  1194,
    1234,  1236,  1238,  1240,  1245,  1247,  1249,  1251,  1253,  1255,
    1257,  1259,  1261,  1120,  1266,  1270,  1280,  1274,  1272,  1268,
    1276,  1278,  1282,   932,   934,   928,   930,  1293,  1371,  1355,
    1363,  1367,  1369,  1359,  1357,  1361,  1365,   302,   307,     0,
       0,     0,     0,   303,     0,   437,   312,     0,   439,   304,
       0,   438,   308,   329,   309,     0,   310,   312,   311
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2388, -2388, -2388, -2388,   150, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,  1783,
   -2388,  1547, -2388,   631, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388,  -298, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388,   189, -2388,  -337, -2388, -2388,
    -429, -2388, -2388, -2388, -2388, -2388, -2388, -2388,  -824, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,   129, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388,  -456, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,  -485,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
     649, -2388, -2388, -1955, -2388, -2388, -2388,   842, -2388, -2388,
   -1145, -2388, -2388,   361, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388,  1281, -2388, -2388, -1380, -2388, -2388, -2388,
   -2388, -2388, -2388,  -869, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,  -475, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388,  -592, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388,  1241, -2388,   534, -2388, -2388,   -44, -2388,   -38, -2388,
   -2388, -1183, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,   -30,
   -2388, -2388, -2183, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388,  -915, -2388,  1238, -2388, -2388,
   -1341, -2388, -2388, -2388, -2388, -2388,  1296, -2388, -2388, -1300,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388,   632, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388,   625, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388,   144, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388,   639, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388,  -104, -2388, -2388, -2388, -1602, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388,  -611, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2006, -2388, -2388, -2388, -2388, -2388, -1828, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -1792,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -1810, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -1960, -2388, -2388, -2388,
   -2388, -2388, -1544, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2243, -2388, -2388, -2388, -2388,  -651, -2388, -2388, -2388, -1873,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -1783, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -1593, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -1824, -2388, -2388, -2388, -2388, -2388, -2388,
   -2265, -2388, -2388, -2388, -2388, -1939, -2388, -2388, -2388, -2388,
   -2388, -1737, -2388, -2388, -2388, -2388, -2388, -1871, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -1730,
   -2388, -2388, -2388, -2388, -2388, -2388,  -699, -2388, -2388, -2388,
   -1784, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -1708, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -1641, -2388,
   -2388, -2388, -2388, -2388, -2388, -1775, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -1699, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -1678, -2388, -2388, -2388, -2388, -2388,
   -2388,  -804, -2388, -2388, -2388, -2318, -2388, -2388, -2388, -2388,
   -2388, -2388,  -775, -2388, -2388, -2388,  -774, -2388, -2388, -2388,
   -2388, -2388, -2301, -2388, -2388, -2388, -2388, -1709, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2387, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -1260, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -1695, -2388, -2388, -2388, -2388, -2388, -2388,
   -1937, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -1900, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
    -816, -2388, -2388, -2388,  1227, -2388, -2388,  -553, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388,  -934, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388, -1888, -2388,
   -2388, -2388, -2388, -2388, -2388, -2388, -2388, -2388
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,     2,    11,    25,    60,   249,    67,   395,    68,
     400,    69,   402,    66,   393,    91,   425,    94,   428,   175,
     424,    93,   602,    59,   429,   435,   436,   437,   438,   439,
     440,   493,   441,   181,   201,   478,   489,   492,   490,   491,
     494,   334,   640,   641,   642,   643,   644,   645,   646,   647,
     648,   967,   968,   969,   970,   303,  1958,   184,   304,   305,
     620,  1466,  1467,  1468,  1469,   951,  1486,  1487,  1273,  1656,
    1657,  1658,  1659,  1660,  1661,  1662,  1663,  1664,  1665,  1666,
    1667,  1668,  1669,  1670,   200,   797,   798,   799,   800,   806,
     804,   801,   802,   803,   807,   805,   210,   821,   822,   823,
     824,   825,   826,   474,   985,   475,   986,   476,   987,   136,
     997,   998,   999,  1003,  1002,  1005,  1004,  1000,  1001,  1007,
    1006,  1009,  1008,  1010,   693,  1011,  1012,  1013,   379,   859,
     514,   858,  1499,  1017,  2488,  2489,  1974,   381,   700,  1314,
     862,  1687,  1686,    65,   518,   519,   521,   520,   522,   524,
     523,   526,   525,   145,   394,   874,   539,  1397,  1398,  1937,
    1400,   871,  1586,  1175,  1580,  2996,  3240,  3246,  1581,  2997,
    3241,  3253,  3255,  3257,   661,  1488,  1489,  1490,  1491,  1492,
    1493,  1494,  1495,   150,   396,   916,   397,   918,   399,   921,
     752,   569,   917,   572,   920,  1625,  1225,  2204,   899,  1421,
    2199,   567,  1402,  1403,  1406,  1404,   885,  1405,  1416,  1417,
    1418,  1419,  1420,  1946,  1947,  1948,  1949,  1431,  1424,  1425,
    1423,  1426,  1433,  1432,  1434,  1435,  1436,  1437,  1438,  1190,
    2192,   880,   892,  1409,  2193,  1410,  2194,  1411,  2195,  1412,
    2196,  1600,  2481,  1414,  3248,  1098,  1506,   152,   401,   925,
     577,  1441,   923,  1627,   924,  1628,   143,   392,   868,   532,
    1315,  1316,  1935,   865,  1579,   866,  1582,    77,   579,   580,
     581,   582,   583,   584,   585,    90,   593,   594,   595,   596,
     597,   598,   599,   221,   831,   832,   837,   838,   833,   834,
     835,   836,   839,    82,   587,   586,   588,   589,   590,   591,
     592,   193,  1099,  1100,  1505,  1700,  2758,  2759,  2760,  2761,
    2763,  2764,  2765,  2766,  2767,  2762,  2768,  2769,  2770,  2771,
    2772,  2773,  2774,  2775,  1101,  1507,  1102,  1508,  1103,  1509,
    1104,  1510,  1105,  1511,  1707,  2776,  1106,  1512,  1107,  1513,
    1108,  1514,  1711,  2777,  2778,  2779,  1109,  1515,  1724,  2780,
    2781,  2782,  2783,  2784,  2785,  2787,  2788,  2786,  2789,  2790,
    2791,  2793,  2794,  2792,  2798,  2795,  2796,  2797,  2799,  1110,
    1516,  1111,  1517,  1112,  1518,  1113,  1519,  1114,  1520,  1115,
    1521,  1116,  1522,  1117,  1523,  1118,  1524,  1119,  1525,  1736,
    2800,  2801,  2802,  2803,  2804,  1120,  1526,  1738,  2805,  2806,
    2807,  2808,  1121,  1527,  1122,  1528,  1743,  2809,  2810,  2811,
    1123,  1529,  1747,  2812,  2813,  2814,  1124,  1530,  1125,  1531,
    1750,  2815,  2816,  1126,  1532,  1752,  2817,  1127,  1533,  1756,
    2818,  2819,  2820,  2821,  2822,  2823,  1128,  1534,  1129,  1535,
    1130,  1536,  1131,  1537,  1132,  1538,  1770,  2826,  2828,  2829,
    2830,  2831,  2832,  2827,  2833,  2824,  2835,  2834,  2836,  2837,
    2838,  2825,  1133,  1539,  1777,  2839,  2840,  2841,  2842,  2843,
    2844,  1134,  1540,  1779,  2845,  2846,  2847,  2848,  1135,  1541,
    1781,  2849,  2850,  1136,  1542,  1785,  2851,  2853,  2852,  1137,
    1543,  1787,  2854,  2855,  2856,  1138,  1544,  1794,  2860,  2861,
    2858,  2859,  2863,  2862,  2864,  2865,  2857,  1139,  1569,  1898,
    2984,  2985,  2982,  2983,  1140,  1545,  1796,  2866,  1141,  1546,
    1799,  2867,  2868,  2873,  2872,  2874,  2869,  2871,  2875,  2876,
    2870,  2879,  2880,  2881,  2877,  2878,  1142,  1547,  1809,  2882,
    2883,  2884,  2885,  2886,  2887,  2888,  2889,  2890,  2891,  2893,
    2892,  2894,  2895,  2896,  1143,  1548,  1144,  1549,  1815,  2899,
    2900,  2897,  2898,  1145,  1550,  1835,  2901,  2902,  2903,  2904,
    2905,  2906,  2907,  2908,  2909,  2910,  2912,  2918,  2913,  2914,
    2915,  2916,  2911,  2917,  2919,  2920,  2921,  2922,  2923,  2924,
    2925,  2926,  2927,  2928,  2929,  2930,  1146,  1551,  1147,  1552,
    1148,  1553,  1149,  1554,  1846,  2931,  2932,  2933,  2934,  2935,
    2936,  2937,  1150,  1555,  1850,  2938,  2939,  2940,  2941,  1151,
    1567,  1890,  2972,  1152,  1556,  1853,  2942,  2943,  1153,  1557,
    1154,  1558,  1856,  2944,  1155,  1559,  1858,  2945,  1156,  1560,
    1157,  1561,  1862,  2947,  2946,  1158,  1562,  1864,  2948,  2949,
    2950,  2951,  2952,  2953,  2954,  1159,  1563,  1878,  2409,  2410,
    2411,  2412,  2413,  2414,  2415,  2416,  2417,  2955,  2956,  2957,
    2958,  1160,  1570,  1914,  2449,  2450,  2451,  2452,  2453,  2454,
    2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  1161,
    1564,  1162,  1565,  1882,  2959,  2960,  2961,  2962,  1163,  1566,
    1888,  2963,  2964,  2965,  2966,  2967,  2968,  2969,  2970,  2971,
    1164,  1568,  1893,  2973,  2978,  2974,  2977,  2976,  2979,  2980,
    2975,  2981,  1165,  1571,  1166,  1572,  1167,  1573,  1168,  1574,
    1919,  2986,  1169,  1575,   179,   427,   945,   608,  1444,  1450,
    1451,  1456,  1455,  1457,  1452,  1454,  1458,  1459,  1453,  1462,
    1463,  1464,  1460,  1461,  1445,  1446,   929,  1635,  1236,  2205,
    2206,  2207,  1170,  1576,  1171,  1577,  1172,  1578,  1930,  2988,
    2993,  2992,  2994,  2989,  2995,  2990,  2991,  2987
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     662,   663,  1180,   211,   621,   222,   223,   224,  1228,   226,
    2477,  2478,  2479,  2480,  1415,  1503,  1504,  1584,  1585,  2209,
    1587,  1422,  2687,  2688,  2689,  2690,  2691,  2692,  2693,  2694,
    2695,   701,  1788,  1761,  1258,  1259,  1260,  1261,  1262,  1263,
    1264,  1265,  1266,  1899,  1900,  1901,  1902,  1903,  1904,  1905,
    1906,  1907,   471,   255,   256,  1229,   146,  1740,  1744,  1771,
     285,  1923,  2246,  2247,   860,  2437,  2429,  2269,  2438,  1234,
    2439,     3,   297,   147,  2259,  2260,   446,   447,    61,    62,
    1880,   613,   614,   615,   616,   617,   886,   887,   888,   889,
     890,  2440,  2272,  2273,  2470,  2243,  2394,  1772,   927,     4,
    1626,     5,  2231,  1734,   930,   931,   932,   933,   934,  2240,
     935,   936,   937,  2321,  2322,  2323,  2324,  2325,  1173,  2326,
    2327,  2328,  2299,  2300,  1891,     6,  1847,   252,   253,     7,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,  1014,     8,  1773,  1712,  1713,  1714,
    1715,  1716,  1717,  1718,  1174,  1892,  1719,     9,  1720,    26,
     919,  1860,   398,    10,  2355,  2356,  2357,  2358,  2359,  2360,
    2361,  2362,  2363,  2395,  2471,  2472,  1789,    27,  1774,    28,
     900,   574,   575,   576,  1392,    29,  1782,  1235,  1783,  2430,
    2431,    30,  1015,    31,  1762,  1790,  1763,   928,   448,  1764,
    2270,  2232,  2233,  1765,    32,   861,  1936,  1784,   853,    33,
     257,    34,   449,   450,  1766,  1791,  1792,  1924,  2244,  1589,
    1590,  1591,  1592,  1593,  1735,  1595,    35,  1848,  1849,  2241,
    2242,    12,    13,  1602,  1603,  1604,  1605,  1606,  1607,    36,
    1608,  1609,  1610,  1611,   182,   183,   484,    37,  1616,  1617,
    1618,  1619,  1620,  1621,  1622,  1623,    38,  1861,  1925,  2261,
    2262,  1267,  1268,  1269,  1881,   228,    95,   258,   148,    92,
    1908,  1909,  1910,   188,   189,  1775,  1776,  2274,  2275,  1931,
     472,  2248,  1934,    14,   254,    15,  1952,  1953,   191,   192,
      16,   259,    17,    96,  1753,  1741,  1745,   279,  2754,  1742,
    1746,  1839,    97,  1024,  1754,  1755,  1767,  2301,  2302,    98,
     278,    18,    99,    19,   100,   286,   618,   101,  1016,   102,
     891,    20,   103,   294,  1221,   104,  1223,   298,   105,  1226,
    2364,   938,   939,   106,  1926,  1927,   107,  1928,   130,  1929,
    2329,  2330,   808,   809,   810,   811,   812,   813,   814,   815,
     816,   901,   902,   108,   280,   281,   282,   603,   903,   649,
     650,   115,   652,  1797,  1798,   971,   972,   973,   974,   975,
     976,   109,  1721,   110,  1018,   111,  1270,  1025,  1722,  1633,
    1634,  1271,  2316,  1851,  1852,  1911,   112,   131,   132,   133,
    1912,  2303,  2304,  1723,  2346,  2347,  1840,  1841,  1842,  1843,
    1844,    78,  2317,   113,   134,    79,    80,    81,  1026,  1027,
    1028,  1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,
    1058,  1059,  1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,
    1068,   940,    39,    40,   149,    41,   619,  1793,   954,   955,
    2331,  2441,  2442,  2443,  2444,    63,    64,   442,   443,   444,
     604,   942,   943,   944,    42,    43,    44,    45,    46,    47,
      48,  1272,   135,   321,   114,  1845,   322,  1768,  1769,   137,
    1913,   138,   605,   139,  1596,  1597,  1598,  1599,   140,   323,
     606,   607,  2249,  2250,  2251,  2252,  2318,  2319,  2308,  2309,
    2310,  1069,  1291,  1292,  1293,  1294,  1295,  1296,  1297,  1298,
    1299,  1300,  1301,  1302,  1303,  1304,  1305,  1306,  1307,  1288,
    1289,  1290,   517,  2756,  2757,   141,   194,   195,   196,   197,
    1070,  1977,  1978,   533,   144,   540,   527,   528,   529,   530,
     573,   941,   578,   534,   535,   151,   536,  2191,   537,   142,
    2332,  1071,  1072,   160,  1883,  2333,  2334,  2335,  3196,  3197,
    3198,  3199,  3056,  3057,  1073,   601,    21,  1811,   609,  1884,
    1074,   153,  1885,  1816,  3090,  3091,  1886,   154,  1887,   445,
     155,  1075,  2255,  2256,  2257,  2258,  1812,  1076,  1077,  1078,
     156,  1688,  1689,  1690,  1691,   157,    22,  1692,  1079,  1080,
     541,  1693,  1694,  2343,  2344,  2345,  1813,  1814,    23,   158,
    2215,   882,   883,  1081,  3183,  3184,   893,   894,   895,   185,
     897,   159,  1082,   161,  1083,  2190,   162,  1800,   909,  1894,
     911,   912,   913,   914,  1801,  3187,  3188,   531,   165,   542,
     173,  1802,   163,   164,   538,  2216,   198,   199,  1895,   166,
      24,   543,   544,   545,   546,   547,   167,  1084,   168,  1276,
    1277,  1278,  1279,  1085,   169,  1086,   170,   171,  1896,  1897,
     174,   172,  1087,   176,   947,  1943,   949,   177,  2280,   952,
     953,   178,   180,   324,   325,   326,   327,   328,   329,  1088,
     330,   331,   332,   333,    49,  1865,   186,   225,  1866,  2422,
    2423,  2424,  1089,   187,  1695,   190,  1090,   227,  1091,  1092,
    1093,  1867,  1094,  2281,   202,   203,   204,   205,   229,   230,
    1095,   875,   876,   877,   878,   879,    50,   231,   232,   206,
     207,   208,   209,  2375,  2376,  2377,  1096,  2426,  2427,  2428,
     548,   549,   550,   233,   234,  1097,  2217,  2218,    51,  2219,
    2220,  2221,   235,  2200,  2201,  2202,  2203,   250,   247,  1803,
    1804,  3018,  3019,  3020,  1805,   236,   237,  1806,  1807,  1808,
     238,  1817,  2337,  2338,  2339,  2340,  1992,   239,  1818,  1819,
    1820,  1821,  1822,  1823,  1824,  1825,  1826,  1827,   240,   248,
      52,  1828,  1829,  1830,  1831,  1832,  1833,   241,   212,   213,
     214,   215,   216,   217,  1696,   242,   243,    53,   244,   245,
     218,   219,   246,  1697,  2282,  2283,   251,  2284,  2285,  2286,
     260,    54,  1959,  1960,  1961,  1962,  1963,  1964,  1965,  1966,
    1967,  1968,  1969,  1970,  1971,  1972,  1973,   261,    55,  3050,
    3051,  3052,   551,   552,   553,   262,   264,   554,   263,   265,
     555,   556,   557,   558,   559,   266,    56,   267,   269,   220,
     977,   978,   979,   980,   981,   982,   983,   984,    57,   702,
     703,   704,   705,   706,   707,   708,   709,   710,    58,   268,
     270,  1629,  1630,  1631,   271,  1698,  1699,  1636,  1637,  1638,
    1639,  1640,  1641,  1642,  1643,  1644,  1645,  1646,  1647,  1648,
    1649,  1650,  3092,  3093,  3094,  1868,  1869,  1870,  1871,  1872,
    1873,   283,  1874,  1875,  1876,  1877,   956,   957,   958,   959,
     960,   961,   962,   963,   964,   965,   966,   434,   272,   560,
     561,   562,   563,   273,  1834,  3059,  3060,  3061,  3062,  3063,
    3064,   453,  3021,  3022,  3023,  3024,  3025,  3026,  3027,  3028,
    3029,  3030,  3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,
    3039,  3040,   274,   275,   477,   988,   989,   990,   991,   992,
     993,   994,   995,   996,   276,   488,  3098,  3099,  3100,  3101,
    3102,  3103,  3104,  3105,  3106,  3046,  3047,  3048,  3049,   564,
      70,    71,    72,    73,    74,    75,    76,   565,  3041,  3042,
    3043,  3044,  3045,  1674,  1675,  1676,  1677,  1678,  1679,  1680,
    1681,  3086,  3087,  3088,  3089,   566,  3204,  3205,  3206,  3207,
    3208,  3209,  3210,  3211,  3212,   277,   284,  1652,  1653,  1654,
    1655,  3065,  3066,  3067,  3068,  3069,  3070,  3071,  3072,  3073,
    3074,  3075,  3076,  3077,  3078,  3079,  1671,  1672,  1673,   287,
     610,   288,   612,   289,   290,  3251,   622,   623,   624,   625,
     626,   627,   628,  3214,  3215,  3216,  3217,  3218,  3219,  3220,
    3221,  3222,  1957,  3108,  3109,  3110,  3111,  3112,  3113,  3114,
    3115,  3116,  3117,  3118,  3119,  3120,  3121,  3122,   653,  3228,
    3229,  3230,  3231,  3232,  3233,  3234,  3235,  3236,   291,   664,
      83,    84,    85,    86,    87,    88,    89,  3095,  3096,  3097,
     674,   675,   676,   677,   678,   679,  3142,  3143,  3144,  3145,
    3146,  3147,  3148,  3149,  3150,  3151,  3152,  3153,  3154,  3155,
    3156,  3157,  3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,
    3166,  3167,  3168,  3169,  3170,  3171,  2999,  3000,  3001,  3002,
    3003,  3004,  3005,  3006,  3007,  3008,  3009,  3010,  3011,  3012,
    3013,  3014,  3015,  3016,  3123,  3124,  3125,  3126,  3127,  3128,
    3129,  3130,  3131,  3132,  3133,  3134,  3135,  3136,  3137,  2727,
    2728,  2729,  2730,  2731,  2732,  2733,  2734,  2735,  2736,  2737,
    2738,  2739,  2740,  2741,  2402,  2403,  2404,  2405,  2406,  2407,
    2408,   759,   760,   761,   762,   763,   764,   765,   773,   774,
     775,   776,   777,   778,   779,   766,   767,   768,   769,   770,
     771,   772,  3172,  3173,  3174,  3175,  3176,  3177,  3178,  3189,
    3190,  3191,  3192,  3193,  3194,  3195,  3080,  3081,  3082,  3083,
    3084,  3085,  3223,  3224,  3225,  3226,  3138,  3139,  3140,  3141,
    3179,  3180,  3181,  3182,  3200,  3201,  3202,  3203,  3053,  3054,
    3055,  2485,  2486,  2487,   292,   293,   295,   296,   299,   301,
     300,   302,   306,   314,   307,   308,   309,   310,   311,   312,
     313,   320,   315,   316,   317,   318,   319,   335,   336,   337,
     338,   340,   339,   341,   342,   344,   343,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   380,   382,   430,   361,   431,   362,   363,
     364,   365,   366,   367,   368,   432,   433,   369,   370,   371,
     372,   373,   374,   375,   467,   376,   377,   378,   513,   515,
     383,   384,   385,   386,   387,   388,   389,   390,   516,   660,
     391,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   426,   451,   452,   463,   698,   713,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   699,   464,   465,
     466,   468,   469,   470,   473,   479,   480,   481,   482,   483,
     485,   486,   714,   487,   716,   719,   898,   722,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   568,   510,   511,   512,   570,   571,   611,
     629,   728,   630,   631,   632,   729,   633,   634,   635,   636,
     637,   638,   639,   651,   654,   735,   655,   656,   657,   658,
     659,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   689,
     690,   691,   692,   694,   695,   696,   697,   749,   751,   753,
     711,   712,   715,   717,   718,   720,   754,   721,   723,   724,
     725,   726,   727,   730,   731,   732,   733,   734,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   746,   747,
     748,   750,   756,   755,   757,   781,   758,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   817,   818,   819,   820,   828,   827,   829,   830,
     840,   841,   842,   843,   844,   845,   846,   847,   848,   849,
     850,   851,   852,   854,   855,   856,   857,   863,   864,  1019,
     867,   869,   870,   872,  1021,   873,   881,   884,   896,  1020,
     904,   905,   906,   907,   908,   910,  1022,   915,   922,   926,
    1023,   946,   948,   950,  1191,  1192,  1189,  1178,  1176,  1179,
    1181,  1193,  1184,  1182,  1185,  1186,  1187,  1188,  1194,  1195,
    1196,  1209,  1197,  1198,  1199,  1200,  1201,  1202,  1203,  1205,
    1204,  1206,  1207,  1208,  1224,  1311,  1210,  1211,  1212,  1213,
    1214,  1215,  1216,  1217,  1218,  1219,  1220,  1227,  1231,  1232,
    1233,  1237,  1238,  1239,  1240,  1241,  1242,  1243,  1244,  1245,
    1246,  1247,  1248,  1249,  1250,  1251,  1313,  1254,  1253,  1255,
    1317,  1256,  1257,  1274,  1275,  1280,  1281,  1282,  1283,  1284,
    1285,  1286,  1287,  1312,  1308,  1309,  1310,  1318,  1319,  1320,
    1321,  1322,  1323,  1324,  1325,  1326,  1327,  1328,  1329,  1330,
    1331,  1332,  1333,  1334,  1335,  1336,  1337,  1338,  1339,  1340,
    1341,  1342,  1343,  1344,  1345,  1346,  1347,  1348,  1349,  1350,
    1351,  1352,  1353,  1354,  1355,  1356,  1357,  1358,  1359,  1360,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,  1368,  1369,  1370,
    1371,  1372,  1373,  1374,  1375,  1376,  1377,  1378,  1379,  1380,
    1381,  1382,  1383,  1384,  1385,  1386,  1387,  1388,  1389,  1390,
    1396,  1391,  1393,  1394,  1401,  1395,  1399,  1408,  1407,  1413,
    1427,  1428,  1429,  1430,  1440,  1442,  1443,  1439,  1447,  1448,
    1449,  1485,  1470,  1701,  1465,  1601,  1702,  1471,  1472,  1473,
    1474,  1475,  1476,  1477,  1478,  1703,  1479,  1480,  1481,  1482,
    1483,  1484,  1496,  1704,  1500,  1497,  1498,  1705,  1708,  1501,
    1583,  1588,  1594,  1612,  1683,  1706,  1709,  1613,  1614,  1615,
    1651,  1624,  1632,  1684,  1710,  1725,  1682,  1726,  1727,  1728,
    1729,  1730,  1731,  1732,  1733,  1737,  1739,  1748,  1749,  1751,
    1757,  1758,  1759,  1760,  1778,  1780,  1786,  1795,  1810,  1836,
    1837,  1838,  1854,  1855,  1857,  1859,  1863,  1879,  1889,  1915,
    1916,  1917,  1918,  1920,  1921,  1922,  1939,  1932,  1938,  1940,
    1933,  1941,  1942,  1944,  1945,  1950,  1991,  1954,  1955,  1956,
    1975,  1976,  1979,  1994,  1996,  1980,  2213,  2214,  1981,  1982,
    2223,  2224,  2225,  2226,  2227,  2228,  2229,  2009,  1983,  1984,
    1985,  1986,  1987,  2234,  2235,  2236,  2237,  2238,  2239,  1988,
    1989,  2245,  1990,  1993,  2253,  1995,  1997,  1998,  1999,  2000,
    2001,  2002,  2264,  2265,  2003,  2004,  2267,  2268,  2005,  2006,
    2007,  2271,  2008,  2010,  2276,  2277,  2012,  2278,  2279,  2011,
    2013,  2288,  2289,  2290,  2291,  2292,  2014,  2293,  2294,  2295,
    2296,  2015,  2298,  2018,  2016,  2017,  2019,  2020,  2305,  2306,
    2307,  2021,  2022,  2023,  2024,  2312,  2313,  2314,  2315,  2025,
    2026,  2027,  2028,  2029,  2030,  2031,  2336,  2032,  2033,  2034,
    2035,  2036,  2348,  2349,  2350,  2037,  2351,  2352,  2353,  2354,
    2038,  2039,  2040,  2366,  2367,  2368,  2369,  2041,  2042,  2372,
    2047,  2043,  2044,  2378,  2379,  2380,  2381,  2045,  2046,  2049,
    2048,  2385,  2050,  2051,  2052,  2389,  2390,  2053,  2055,  2392,
    2057,  2064,  2066,  2054,  2397,  2056,  2398,  2058,  2069,  2079,
    2059,  2401,  2060,  2084,  2061,  2062,  2063,  2065,  2067,  2068,
    2070,  2071,  2072,  2073,  2418,  2419,  2074,  2421,  2075,  2076,
    2077,  2078,  2080,  2081,  2432,  2433,  2434,  2082,  2083,  2085,
    2436,  2086,  2087,  2445,  2446,  2447,  2448,  2088,  2089,  2090,
    2091,  2092,  2093,  2094,  2095,  2104,  2112,  2096,  2097,  2098,
    2099,  2100,  2116,  2101,  2102,  2103,  2465,  2466,  2105,  2468,
    2469,  2119,  2121,  3239,  2106,  2107,  2108,  2109,  2110,  2123,
    2126,  2111,  2113,  2114,  2115,  2128,  2117,  2118,  2120,  2122,
    2124,  2142,  2145,  2125,  2127,  2138,  2129,  2130,  2151,  2153,
    2131,  2132,  2133,  2134,  2156,  2161,  2177,  2179,  2135,  2136,
    2137,  2187,  2139,  2140,  2141,  2143,  2144,  2146,  2147,  2148,
    2149,  2197,  2150,  2152,  2154,  2155,  2157,  2158,  2159,  2160,
    2162,  2163,  2164,  2165,  2166,  2167,  2168,  2208,  1685,   780,
    2998,  3244,  3242,  3243,  3245,  1183,  1502,  3256,  1222,  1951,
    2484,  2483,  2476,  1230,  1177,  3017,  3058,  3107,  3213,  3185,
    3227,  3186,  1252,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   600,  2755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2169,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2170,  2171,     0,     0,     0,  2172,  2173,  2174,     0,
       0,  2175,     0,  2176,     0,  2178,     0,  2180,  2181,  2182,
    2183,  2184,  2185,  2186,  2188,  2198,  2189,  2210,  2212,  2211,
    2222,  3247,  2230,  2370,     0,  2254,  2263,  2266,  2287,  2297,
    2311,  2320,     0,  2341,  2342,  2365,  2371,  2373,  2374,  2382,
    2383,     0,  2384,     0,     0,     0,     0,     0,     0,     0,
       0,  2386,     0,     0,  2387,  2388,     0,     0,     0,     0,
    2391,  2393,  2396,  2399,     0,     0,     0,     0,     0,  2400,
       0,  2420,     0,  2425,  2435,     0,     0,     0,  2464,     0,
       0,     0,     0,  2467,  2473,     0,  2474,     0,     0,  2475,
       0,     0,     0,     0,  2482,     0,  2490,  2491,  2492,  2493,
    2494,  2495,     0,     0,  2496,  2497,  2498,  2499,  2500,  2501,
    2502,  2503,  2504,  2505,  2506,  2507,     0,  2508,  2509,  2510,
    2511,  2512,  2513,  2514,  2515,  2516,  2517,  2518,  2519,  2520,
    2521,  2522,  2523,  2524,  2525,  2526,  2527,  3249,  2528,  2529,
    2530,  2531,  2532,  2533,  2534,  2535,  2536,  2537,  3258,  2538,
    2539,  2540,  2541,  2542,  2543,     0,  2544,  2545,  2546,  2547,
    2548,  2549,  2550,  2551,  2552,     0,  2553,  2554,  2555,  2556,
    2557,  2558,     0,  2559,  2560,  2561,  2562,  2563,  2564,  2565,
    2566,     0,  2567,     0,  2568,  2569,  2570,  2571,  2572,     0,
    2573,  2574,  2575,     0,  2576,  2577,  2578,  2579,  2580,  2581,
    2582,  2583,  2584,  2585,  2586,  2587,  2588,  2589,  2590,  2591,
    2592,     0,  2593,  2594,  2595,  2596,  2597,  2598,  2599,     0,
    2600,  2601,  2602,  2603,  2604,  2605,  2606,  2607,     0,  2608,
    2609,  2610,     0,  2611,  2612,  2613,  2614,     0,  2615,     0,
       0,     0,  2616,  2617,  2618,  2619,  2620,     0,     0,  2621,
    2622,  2623,     0,  2624,  2625,  2626,  2627,  2628,  2629,  2630,
    2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,  2639,  2640,
    2641,  2642,  2643,  2644,  2645,  2646,  2647,  2648,  2649,  2650,
    2651,  3237,  3238,  2652,  2653,  2654,  2655,  2656,  2657,  2658,
    2659,  2660,  2661,  2662,     0,     0,  2663,  2664,  2665,  2666,
    2667,     0,  2668,  2669,  2670,  2671,  2672,  2673,  2674,  2675,
       0,     0,  2676,  2677,  2678,  2679,  2680,  2681,     0,     0,
    2682,  2683,  2684,  2685,     0,  2686,  2696,  2697,  2698,  2699,
       0,     0,  2700,  2701,  2702,  2703,  2704,     0,     0,  2705,
    2706,  2707,  2708,     0,     0,     0,     0,  2709,  2710,  2711,
       0,  2712,  2713,  2714,  2715,  2716,  2717,  2718,  2719,  2720,
       0,  2721,  2722,  2723,  2724,  2725,  2726,  2742,  2743,  2744,
    2745,  2746,  2747,  2748,  2749,  2750,  2751,  2752,  2753,     0,
       0,  3250,     0,     0,     0,  3252,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3254
};

static const yytype_int16 yycheck[] =
{
     475,   476,   871,   107,   433,   109,   110,   111,   923,   113,
    2193,  2194,  2195,  2196,  1197,  1315,  1316,  1397,  1398,  1974,
    1400,  1204,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,
    2417,   516,    23,     5,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    68,   188,   189,   924,    67,   200,   200,   252,
     164,   186,   188,   189,    20,    59,   322,    68,    62,    75,
      64,     0,   176,    84,    13,    14,    36,    37,    13,    14,
     193,    15,    16,    17,    18,    19,    78,    79,    80,    81,
      82,    85,    13,    14,   383,    68,   194,   290,    80,   157,
    1441,   471,    80,    72,    20,    21,    22,    23,    24,    68,
      26,    27,    28,    20,    21,    22,    23,    24,    68,    26,
      27,    28,    13,    14,   423,   472,   186,   188,   189,   471,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    20,   472,   339,   181,   182,   183,
     184,   185,   186,   187,   104,   454,   190,   471,   192,     3,
     752,   220,   266,   473,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   271,   463,   464,   167,     3,   371,     3,
      99,    61,    62,    63,  1099,     3,   184,   193,   186,   445,
     446,     3,    68,     3,   166,   186,   168,   179,   158,   171,
     201,   179,   180,   175,     3,   161,  1586,   205,   693,     3,
     345,     3,   316,   317,   186,   206,   207,   342,   191,  1402,
    1403,  1404,  1405,  1406,   193,  1408,     3,   287,   288,   188,
     189,     5,     6,  1416,  1417,  1418,  1419,  1420,  1421,     3,
    1423,  1424,  1425,  1426,    13,    14,   350,     3,  1431,  1432,
    1433,  1434,  1435,  1436,  1437,  1438,     3,   316,   383,   198,
     199,   247,   248,   249,   377,   115,   474,   402,   279,   391,
     247,   248,   249,    36,    37,   468,   469,   198,   199,  1579,
     296,   407,  1582,    57,   345,    59,  1627,  1628,    11,    12,
      64,   141,    66,     3,   193,   438,   438,    40,  2481,   442,
     442,   186,     3,     9,   203,   204,   278,   198,   199,   474,
     160,    85,   474,    87,   474,   165,   250,   474,   194,   474,
     312,    95,   474,   173,   916,     3,   918,   177,     3,   921,
     384,   247,   248,     3,   459,   460,   474,   462,   251,   464,
     247,   248,   640,   641,   642,   643,   644,   645,   646,   647,
     648,   270,   271,     3,    97,    98,    99,    65,   277,   463,
     464,     4,   466,   208,   209,   821,   822,   823,   824,   825,
     826,   474,   406,   474,   859,   474,   362,    83,   412,   213,
     214,   367,   325,   298,   299,   362,   474,   300,   301,   302,
     367,    13,    14,   427,   324,   325,   281,   282,   283,   284,
     285,    96,   345,   474,   317,   100,   101,   102,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   367,     7,     8,   465,    10,   390,   448,   795,   796,
     367,   455,   456,   457,   458,   400,   401,    36,    37,    38,
     178,   210,   211,   212,    29,    30,    31,    32,    33,    34,
      35,   467,   395,    43,   474,   370,    46,   459,   460,   474,
     467,   474,   200,   474,  1409,  1410,  1411,  1412,   474,    59,
     208,   209,   413,   414,   415,   416,   449,   450,   408,   409,
     410,   217,   997,   998,   999,  1000,  1001,  1002,  1003,  1004,
    1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,  1013,   985,
     986,   987,   382,  2488,  2489,     4,    39,    40,    41,    42,
     246,  1686,  1687,   393,    65,   395,    60,    61,    62,    63,
     400,   467,   402,    60,    61,    86,    63,  1937,    65,    58,
     467,   267,   268,     4,   429,   210,   211,   212,  2955,  2956,
    2957,  2958,  2815,  2816,   280,   425,   350,   167,   428,   444,
     286,   474,   447,    22,  2849,  2850,   451,   474,   453,   158,
     474,   297,   194,   195,   196,   197,   186,   303,   304,   305,
     474,   165,   166,   167,   168,   474,   380,   171,   314,   315,
      22,   175,   176,   320,   321,   322,   206,   207,   392,   474,
      33,   725,   726,   329,  2942,  2943,   730,   731,   732,   471,
     734,   474,   338,   474,   340,  1935,   474,   186,   742,   167,
     744,   745,   746,   747,   193,  2946,  2947,   161,     4,    61,
       4,   200,   474,   474,   161,    68,   159,   160,   186,   474,
     434,    73,    74,    75,    76,    77,   474,   373,   474,   967,
     968,   969,   970,   379,   474,   381,   474,   474,   206,   207,
     470,   474,   388,   474,   788,  1600,   790,     4,    33,   793,
     794,   435,   470,   253,   254,   255,   256,   257,   258,   405,
     260,   261,   262,   263,   259,    43,   471,   420,    46,   374,
     375,   376,   418,   471,   278,   470,   422,   470,   424,   425,
     426,    59,   428,    68,   292,   293,   294,   295,   474,   474,
     436,    68,    69,    70,    71,    72,   291,   474,   474,   307,
     308,   309,   310,   237,   238,   239,   452,   430,   431,   432,
     162,   163,   164,   474,   474,   461,   169,   170,   313,   172,
     173,   174,   474,  1946,  1947,  1948,  1949,   470,     3,   318,
     319,  2777,  2778,  2779,   323,   474,   474,   326,   327,   328,
     474,   220,   213,   214,   215,   216,  1701,   474,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   474,     3,
     355,   240,   241,   242,   243,   244,   245,   474,   356,   357,
     358,   359,   360,   361,   378,   474,   474,   372,   474,   474,
     368,   369,   474,   387,   169,   170,   470,   172,   173,   174,
       3,   386,  1656,  1657,  1658,  1659,  1660,  1661,  1662,  1663,
    1664,  1665,  1666,  1667,  1668,  1669,  1670,     4,   403,  2809,
    2810,  2811,   264,   265,   266,     3,     3,   269,     4,     3,
     272,   273,   274,   275,   276,   474,   421,     3,     3,   417,
     106,   107,   108,   109,   110,   111,   112,   113,   433,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   443,     4,
       4,  1444,  1445,  1446,   470,   459,   460,  1450,  1451,  1452,
    1453,  1454,  1455,  1456,  1457,  1458,  1459,  1460,  1461,  1462,
    1463,  1464,  2851,  2852,  2853,   253,   254,   255,   256,   257,
     258,   471,   260,   261,   262,   263,   797,   798,   799,   800,
     801,   802,   803,   804,   805,   806,   807,   306,   470,   351,
     352,   353,   354,   470,   383,  2818,  2819,  2820,  2821,  2822,
    2823,   320,  2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,
    2788,  2789,  2790,  2791,  2792,  2793,  2794,  2795,  2796,  2797,
    2798,  2799,   470,   470,   343,   831,   832,   833,   834,   835,
     836,   837,   838,   839,   470,   354,  2857,  2858,  2859,  2860,
    2861,  2862,  2863,  2864,  2865,  2805,  2806,  2807,  2808,   411,
      88,    89,    90,    91,    92,    93,    94,   419,  2800,  2801,
    2802,  2803,  2804,  1488,  1489,  1490,  1491,  1492,  1493,  1494,
    1495,  2845,  2846,  2847,  2848,   437,  2963,  2964,  2965,  2966,
    2967,  2968,  2969,  2970,  2971,   470,   470,  1466,  1467,  1468,
    1469,  2824,  2825,  2826,  2827,  2828,  2829,  2830,  2831,  2832,
    2833,  2834,  2835,  2836,  2837,  2838,  1485,  1486,  1487,   470,
     429,   470,   431,   470,   470,  3248,   435,   436,   437,   438,
     439,   440,   441,  2973,  2974,  2975,  2976,  2977,  2978,  2979,
    2980,  2981,  1635,  2867,  2868,  2869,  2870,  2871,  2872,  2873,
    2874,  2875,  2876,  2877,  2878,  2879,  2880,  2881,   467,  2987,
    2988,  2989,  2990,  2991,  2992,  2993,  2994,  2995,   470,   478,
      88,    89,    90,    91,    92,    93,    94,  2854,  2855,  2856,
     489,   490,   491,   492,   493,   494,  2901,  2902,  2903,  2904,
    2905,  2906,  2907,  2908,  2909,  2910,  2911,  2912,  2913,  2914,
    2915,  2916,  2917,  2918,  2919,  2920,  2921,  2922,  2923,  2924,
    2925,  2926,  2927,  2928,  2929,  2930,  2758,  2759,  2760,  2761,
    2762,  2763,  2764,  2765,  2766,  2767,  2768,  2769,  2770,  2771,
    2772,  2773,  2774,  2775,  2882,  2883,  2884,  2885,  2886,  2887,
    2888,  2889,  2890,  2891,  2892,  2893,  2894,  2895,  2896,  2449,
    2450,  2451,  2452,  2453,  2454,  2455,  2456,  2457,  2458,  2459,
    2460,  2461,  2462,  2463,   331,   332,   333,   334,   335,   336,
     337,   579,   580,   581,   582,   583,   584,   585,   593,   594,
     595,   596,   597,   598,   599,   586,   587,   588,   589,   590,
     591,   592,  2931,  2932,  2933,  2934,  2935,  2936,  2937,  2948,
    2949,  2950,  2951,  2952,  2953,  2954,  2839,  2840,  2841,  2842,
    2843,  2844,  2982,  2983,  2984,  2985,  2897,  2898,  2899,  2900,
    2938,  2939,  2940,  2941,  2959,  2960,  2961,  2962,  2812,  2813,
    2814,  2205,  2206,  2207,   470,   470,   473,     4,     3,   473,
       4,   471,     4,   474,   473,   473,   473,   473,   473,   473,
     473,     4,   474,   474,   474,   474,   474,   474,   474,   474,
     474,     3,   474,     3,     3,   473,     4,   474,   474,   474,
     474,   474,   474,   474,   474,   474,     4,   473,   473,   473,
     473,   473,   473,   396,     4,   474,   471,     4,   471,   471,
     471,   471,   471,   471,   471,     3,     3,   471,   471,   471,
     471,   471,   471,   471,     4,   471,   471,   471,   161,     3,
     473,   473,   473,   473,   473,   473,   473,   473,     4,   105,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   470,   470,   474,     3,     3,   473,   473,
     473,   473,   473,   473,   473,   473,   473,     4,   474,   474,
     474,   471,   471,   471,   471,   470,   470,   470,   470,   470,
     470,   470,     3,   471,     4,     3,    67,     4,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   473,   475,   470,   475,   475,   475,   473,   466,   471,
     473,     3,   473,   473,   473,     3,   473,   473,   473,   473,
     473,   473,   473,   471,   473,     3,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     471,   471,   471,   471,   471,   471,   471,   471,   471,   471,
     471,   471,   471,   471,   471,   471,   471,     4,     4,     3,
     474,   474,   474,   474,   474,   474,     4,   474,   474,   474,
     474,   474,   474,   474,   474,   474,   474,   474,   474,   474,
     474,   474,   474,   474,   474,   474,   474,   474,   474,   474,
     474,   473,     3,   474,     3,   474,     4,   474,     3,   474,
     474,     4,   475,   474,   474,   474,   474,     3,   474,   474,
       4,     4,   473,   473,   473,   473,     4,   474,     4,     4,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   471,   470,   474,
     471,   471,   470,   470,     4,   471,   470,   470,   470,   474,
     471,   471,   471,   471,   470,   470,   473,   471,   470,   470,
     473,   471,   471,   471,     3,     3,   471,   473,   475,   473,
     473,     3,   473,   475,   473,   473,   473,   473,     3,   471,
       3,   475,     4,   473,   473,   473,   473,   473,     3,   473,
       4,   473,   473,   473,    75,     4,   475,   475,   475,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   471,   473,   475,   473,
       3,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   470,   474,   474,   474,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
     471,     4,     3,     3,   471,     4,     4,     4,   474,     3,
     471,   471,   471,   471,     4,     4,     4,   474,   474,   474,
       4,     4,   473,     4,   471,    20,     4,   473,   473,   473,
     473,   473,   473,   473,   473,     4,   473,   473,   473,   473,
     473,   473,   470,     4,   473,   471,   471,     4,     4,   473,
     473,   473,   471,   473,   475,   177,     4,   473,   473,   473,
     473,   470,   470,   475,   178,     4,   473,     4,     4,     4,
       4,     4,     4,     4,     4,   193,     4,     4,   193,   202,
       4,     4,     4,     4,   193,   193,   193,   193,     4,     4,
       4,     4,     4,   404,   306,     4,   330,     4,   382,     4,
       4,     4,   383,     4,     4,     4,     4,   103,   473,     4,
     103,     4,     4,   474,     4,   473,     4,   473,   473,   473,
     471,   471,   474,     4,     4,   474,  1980,  1981,   474,   474,
    1984,  1985,  1986,  1987,  1988,  1989,  1990,     4,   474,   474,
     474,   474,   474,  1997,  1998,  1999,  2000,  2001,  2002,   474,
     474,  2005,   474,   474,  2008,   474,   474,   474,   474,   474,
     474,   474,  2016,  2017,   474,   474,  2020,  2021,   474,   474,
     474,  2025,   474,   474,  2028,  2029,     4,  2031,  2032,   474,
     474,  2035,  2036,  2037,  2038,  2039,     4,  2041,  2042,  2043,
    2044,   474,  2046,     4,   474,   474,   474,   474,  2052,  2053,
    2054,   474,     4,   474,     4,  2059,  2060,  2061,  2062,   474,
       4,   474,   474,   474,     4,   474,  2070,   474,   474,   474,
     474,   474,  2076,  2077,  2078,   474,  2080,  2081,  2082,  2083,
     474,   474,     4,  2087,  2088,  2089,  2090,   474,   474,  2093,
       4,   474,   474,  2097,  2098,  2099,  2100,   474,   474,     4,
     474,  2105,   474,     4,   474,  2109,  2110,   474,     4,  2113,
       4,     4,     4,   474,  2118,   474,  2120,   474,     4,     4,
     474,  2125,   474,     4,   474,   474,   474,   474,   474,   474,
     474,   474,   474,   474,  2138,  2139,   474,  2141,   474,   474,
     474,   474,   474,   474,  2148,  2149,  2150,   474,   474,   474,
    2154,   474,   474,  2157,  2158,  2159,  2160,   474,   474,   474,
     474,   474,   474,   474,   474,     4,     4,   474,   474,   474,
     474,   474,     4,   474,   474,   474,  2180,  2181,   474,  2183,
    2184,     4,     4,  2998,   474,   474,   474,   474,   474,     4,
       4,   474,   474,   474,   474,     4,   474,   474,   474,   474,
     474,     4,     4,   474,   474,   474,   473,   473,     4,     4,
     473,   473,   473,   473,     4,     4,     4,     4,   473,   473,
     473,     4,   474,   474,   474,   474,   474,   474,   474,   474,
     474,     4,   474,   474,   474,   474,   474,   474,   474,   474,
     473,   473,   473,   473,   473,   473,   473,  1958,  1499,   602,
       3,   103,     4,     4,     4,   874,  1314,     4,   917,  1625,
    2204,  2199,  2192,   925,   868,  2776,  2817,  2866,  2972,  2944,
    2986,  2945,   945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,    62,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   473,   473,    -1,    -1,    -1,   473,   473,   473,    -1,
      -1,   473,    -1,   473,    -1,   474,    -1,   474,   474,   474,
     474,   474,   474,   474,   474,   470,   474,   473,   470,   473,
     470,   474,   471,   471,    -1,   470,   470,   470,   470,   470,
     470,   470,    -1,   470,   470,   470,   470,   470,   470,   470,
     470,    -1,   470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   470,    -1,    -1,   470,   470,    -1,    -1,    -1,    -1,
     470,   470,   470,   470,    -1,    -1,    -1,    -1,    -1,   470,
      -1,   471,    -1,   471,   470,    -1,    -1,    -1,   470,    -1,
      -1,    -1,    -1,   470,   470,    -1,   470,    -1,    -1,   470,
      -1,    -1,    -1,    -1,   473,    -1,   473,   473,   473,   473,
     473,   473,    -1,    -1,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,    -1,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,  3246,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,  3257,   473,
     473,   473,   473,   473,   473,    -1,   473,   473,   473,   473,
     473,   473,   473,   473,   473,    -1,   473,   473,   473,   473,
     473,   473,    -1,   473,   473,   473,   473,   473,   473,   473,
     473,    -1,   473,    -1,   473,   473,   473,   473,   473,    -1,
     473,   473,   473,    -1,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,    -1,   473,   473,   473,   473,   473,   473,   473,    -1,
     473,   473,   473,   473,   473,   473,   473,   473,    -1,   473,
     473,   473,    -1,   473,   473,   473,   473,    -1,   473,    -1,
      -1,    -1,   473,   473,   473,   473,   473,    -1,    -1,   473,
     473,   473,    -1,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,  2996,  2997,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,    -1,    -1,   473,   473,   473,   473,
     473,    -1,   473,   473,   473,   473,   473,   473,   473,   473,
      -1,    -1,   473,   473,   473,   473,   473,   473,    -1,    -1,
     473,   473,   473,   473,    -1,   473,   473,   473,   473,   473,
      -1,    -1,   473,   473,   473,   473,   473,    -1,    -1,   473,
     473,   473,   473,    -1,    -1,    -1,    -1,   473,   473,   473,
      -1,   473,   473,   473,   473,   473,   473,   473,   473,   473,
      -1,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,    -1,
      -1,   470,    -1,    -1,    -1,   473,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3253
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   477,   478,     0,   157,   471,   472,   471,   472,   471,
     473,   479,     5,     6,    57,    59,    64,    66,    85,    87,
      95,   350,   380,   392,   434,   480,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     7,
       8,    10,    29,    30,    31,    32,    33,    34,    35,   259,
     291,   313,   355,   372,   386,   403,   421,   433,   443,   499,
     481,    13,    14,   400,   401,   619,   489,   483,   485,   487,
      88,    89,    90,    91,    92,    93,    94,   743,    96,   100,
     101,   102,   769,    88,    89,    90,    91,    92,    93,    94,
     751,   491,   391,   497,   493,   474,     3,     3,   474,   474,
     474,   474,   474,   474,     3,     3,     3,   474,     3,   474,
     474,   474,   474,   474,   474,     4,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
     251,   300,   301,   302,   317,   395,   585,   474,   474,   474,
     474,     4,    58,   732,    65,   629,    67,    84,   279,   465,
     659,    86,   723,   474,   474,   474,   474,   474,   474,   474,
       4,   474,   474,   474,   474,     4,   474,   474,   474,   474,
     474,   474,   474,     4,   470,   495,   474,     4,   435,  1210,
     470,   509,    13,    14,   533,   471,   471,   471,    36,    37,
     470,    11,    12,   777,    39,    40,    41,    42,   159,   160,
     560,   510,   292,   293,   294,   295,   307,   308,   309,   310,
     572,   777,   356,   357,   358,   359,   360,   361,   368,   369,
     417,   759,   777,   777,   777,   420,   777,   470,   480,   474,
     474,   474,   474,   474,   474,   474,   474,   474,   474,   474,
     474,   474,   474,   474,   474,   474,   474,     3,     3,   482,
     470,   470,   188,   189,   345,   188,   189,   345,   402,   480,
       3,     4,     3,     4,     3,     3,   474,     3,     4,     3,
       4,   470,   470,   470,   470,   470,   470,   470,   480,    40,
      97,    98,    99,   471,   470,   777,   480,   470,   470,   470,
     470,   470,   470,   470,   480,   473,     4,   777,   480,     3,
       4,   473,   471,   531,   534,   535,     4,   473,   473,   473,
     473,   473,   473,   473,   474,   474,   474,   474,   474,   474,
       4,    43,    46,    59,   253,   254,   255,   256,   257,   258,
     260,   261,   262,   263,   517,   474,   474,   474,   474,   474,
       3,     3,     3,     4,   473,   474,   474,   474,   474,   474,
     474,   474,   474,   474,     4,   473,   473,   473,   473,   473,
     473,   471,   471,   471,   471,   471,   471,   471,   471,   471,
     471,   471,   471,   471,   471,   471,   471,   471,   471,   604,
     396,   613,     4,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   733,   490,   630,   484,   660,   662,   777,   664,
     486,   724,   488,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   496,   492,   473,  1211,   494,   500,
     474,     4,     3,     3,   499,   501,   502,   503,   504,   505,
     506,   508,    36,    37,    38,   158,    36,    37,   158,   777,
     777,   470,   470,   499,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   474,   474,   474,   474,     4,   471,   471,
     471,    68,   296,   471,   579,   581,   583,   499,   511,   470,
     470,   470,   470,   470,   777,   470,   470,   471,   499,   512,
     514,   515,   513,   507,   516,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   473,   475,
     475,   475,   475,   161,   606,     3,     4,   480,   620,   621,
     623,   622,   624,   626,   625,   628,   627,    60,    61,    62,
      63,   161,   735,   480,    60,    61,    63,    65,   161,   632,
     480,    22,    61,    73,    74,    75,    76,    77,   162,   163,
     164,   264,   265,   266,   269,   272,   273,   274,   275,   276,
     351,   352,   353,   354,   411,   419,   437,   677,   470,   667,
     473,   466,   669,   480,    61,    62,    63,   726,   480,   744,
     745,   746,   747,   748,   749,   750,   771,   770,   772,   773,
     774,   775,   776,   752,   753,   754,   755,   756,   757,   758,
     495,   480,   498,    65,   178,   200,   208,   209,  1213,   480,
     499,   471,   499,    15,    16,    17,    18,    19,   250,   390,
     536,   536,   499,   499,   499,   499,   499,   499,   499,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   777,
     777,   471,   777,   499,   473,   473,   473,   473,   473,   473,
     105,   650,   650,   650,   499,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   499,   499,   499,   499,   499,   499,
     471,   471,   471,   471,   471,   471,   471,   471,   471,   471,
     471,   471,   471,   600,   471,   471,   471,   471,     3,     4,
     614,   585,   619,   619,   619,   619,   619,   619,   619,   619,
     619,   474,   474,     3,     3,   474,     4,   474,   474,     3,
     474,   474,     4,   474,   474,   474,   474,   474,     3,     3,
     474,   474,   474,   474,   474,     3,   474,   474,   474,   474,
     474,   474,   474,   474,   474,   474,   474,   474,   474,     4,
     473,     4,   666,     3,     4,   474,     3,     3,     4,   743,
     743,   743,   743,   743,   743,   743,   769,   769,   769,   769,
     769,   769,   769,   751,   751,   751,   751,   751,   751,   751,
     497,   474,   474,     3,   474,   474,     4,   475,   474,   474,
     474,   474,     3,   474,   474,     4,     4,   561,   562,   563,
     564,   567,   568,   569,   566,   571,   565,   570,   517,   517,
     517,   517,   517,   517,   517,   517,   517,   473,   473,   473,
     473,   573,   574,   575,   576,   577,   578,   474,     4,     4,
       4,   760,   761,   764,   765,   766,   767,   762,   763,   768,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   585,   473,   473,   473,   473,   607,   605,
      20,   161,   616,   471,   470,   739,   741,   471,   734,   471,
     470,   637,   470,   471,   631,    68,    69,    70,    71,    72,
     707,   470,   777,   777,   470,   682,    78,    79,    80,    81,
      82,   312,   708,   777,   777,   777,   470,   777,    67,   674,
      99,   270,   271,   277,   471,   471,   471,   471,   470,   777,
     470,   777,   777,   777,   777,   471,   661,   668,   663,   659,
     670,   665,   470,   728,   730,   725,   470,    80,   179,  1232,
      20,    21,    22,    23,    24,    26,    27,    28,   247,   248,
     367,   467,   210,   211,   212,  1212,   471,   777,   471,   777,
     471,   541,   777,   777,   533,   533,   560,   560,   560,   560,
     560,   560,   560,   560,   560,   560,   560,   527,   528,   529,
     530,   572,   572,   572,   572,   572,   572,   106,   107,   108,
     109,   110,   111,   112,   113,   580,   582,   584,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   586,   587,   588,
     593,   594,   590,   589,   592,   591,   596,   595,   598,   597,
     599,   601,   602,   603,    20,    68,   194,   609,   585,   474,
     474,     4,   473,   473,     9,    83,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   217,
     246,   267,   268,   280,   286,   297,   303,   304,   305,   314,
     315,   329,   338,   340,   373,   379,   381,   388,   405,   418,
     422,   424,   425,   426,   428,   436,   452,   461,   721,   778,
     779,   800,   802,   804,   806,   808,   812,   814,   816,   822,
     845,   847,   849,   851,   853,   855,   857,   859,   861,   863,
     871,   878,   880,   886,   892,   894,   899,   903,   912,   914,
     916,   918,   920,   938,   947,   954,   959,   965,   971,   983,
     990,   994,  1012,  1030,  1032,  1039,  1072,  1074,  1076,  1078,
    1088,  1095,  1099,  1104,  1106,  1110,  1114,  1116,  1121,  1131,
    1147,  1165,  1167,  1174,  1186,  1198,  1200,  1202,  1204,  1208,
    1238,  1240,  1242,    68,   104,   639,   475,   732,   473,   473,
     639,   473,   475,   629,   473,   473,   473,   473,   473,   471,
     705,     3,     3,     3,     3,   471,     3,     4,   473,   473,
     473,   473,   473,     3,     4,   473,   473,   473,   473,   475,
     475,   475,   475,   473,   473,   473,   473,   473,   473,   473,
     473,   659,   667,   659,    75,   672,   659,   473,   721,   639,
     723,   473,   473,   473,    75,   193,  1234,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,  1210,   475,   473,   473,   473,   473,    20,    21,
      22,    23,    24,    25,    26,    27,    28,   247,   248,   249,
     362,   367,   467,   544,   473,   473,   517,   517,   517,   517,
     473,   473,   473,   473,   473,   473,   473,   473,   572,   572,
     572,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   585,   585,   585,   585,   585,   585,   474,   474,
     474,     4,   470,   471,   615,   736,   737,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,   721,     3,     3,     4,   471,   633,   634,     4,
     636,   471,   678,   679,   681,   683,   680,   474,     4,   709,
     711,   713,   715,     3,   719,   677,   684,   685,   686,   687,
     688,   675,   677,   696,   694,   695,   697,   471,   471,   471,
     471,   693,   699,   698,   700,   701,   702,   703,   704,   474,
       4,   727,     4,     4,  1214,  1230,  1231,   474,   474,     4,
    1215,  1216,  1220,  1224,  1221,  1218,  1217,  1219,  1222,  1223,
    1228,  1229,  1225,  1226,  1227,   471,   537,   538,   539,   540,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,     4,   542,   543,   651,   652,
     653,   654,   655,   656,   657,   658,   470,   471,   471,   608,
     473,   473,   613,   735,   735,   780,   722,   801,   803,   805,
     807,   809,   813,   815,   817,   823,   846,   848,   850,   852,
     854,   856,   858,   860,   862,   864,   872,   879,   881,   887,
     893,   895,   900,   904,   913,   915,   917,   919,   921,   939,
     948,   955,   960,   966,   972,   991,   995,  1013,  1031,  1033,
    1040,  1073,  1075,  1077,  1079,  1089,  1100,  1105,  1107,  1111,
    1115,  1117,  1122,  1132,  1166,  1168,  1175,  1096,  1187,   984,
    1148,  1199,  1201,  1203,  1205,  1209,  1239,  1241,  1243,   740,
     640,   644,   742,   473,   632,   632,   638,   632,   473,   677,
     677,   677,   677,   677,   471,   677,   721,   721,   721,   721,
     717,    20,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   473,   473,   473,   473,   677,   677,   677,   677,
     677,   677,   677,   677,   470,   671,   726,   729,   731,  1213,
    1213,  1213,   470,   213,   214,  1233,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,   473,   536,   536,   536,   536,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   536,   536,   536,   650,   650,   650,   650,   650,   650,
     650,   650,   473,   475,   475,   606,   618,   617,   165,   166,
     167,   168,   171,   175,   176,   278,   378,   387,   459,   460,
     781,     4,     4,     4,     4,     4,   177,   810,     4,     4,
     178,   818,   181,   182,   183,   184,   185,   186,   187,   190,
     192,   406,   412,   427,   824,     4,     4,     4,     4,     4,
       4,     4,     4,     4,    72,   193,   865,   193,   873,     4,
     200,   438,   442,   882,   200,   438,   442,   888,     4,   193,
     896,   202,   901,   193,   203,   204,   905,     4,     4,     4,
       4,     5,   166,   168,   171,   175,   186,   278,   459,   460,
     922,   252,   290,   339,   371,   468,   469,   940,   193,   949,
     193,   956,   184,   186,   205,   961,   193,   967,    23,   167,
     186,   206,   207,   448,   973,   193,   992,   208,   209,   996,
     186,   193,   200,   318,   319,   323,   326,   327,   328,  1014,
       4,   167,   186,   206,   207,  1034,    22,   220,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   240,   241,
     242,   243,   244,   245,   383,  1041,     4,     4,     4,   186,
     281,   282,   283,   284,   285,   370,  1080,   186,   287,   288,
    1090,   298,   299,  1101,     4,   404,  1108,   306,  1112,     4,
     220,   316,  1118,   330,  1123,    43,    46,    59,   253,   254,
     255,   256,   257,   258,   260,   261,   262,   263,  1133,     4,
     193,   377,  1169,   429,   444,   447,   451,   453,  1176,   382,
    1097,   423,   454,  1188,   167,   186,   206,   207,   985,    20,
      21,    22,    23,    24,    25,    26,    27,    28,   247,   248,
     249,   362,   367,   467,  1149,     4,     4,     4,   383,  1206,
       4,     4,     4,   186,   342,   383,   459,   460,   462,   464,
    1244,   735,   103,   103,   735,   738,   632,   635,   473,     4,
       4,     4,     4,   721,   474,     4,   689,   690,   691,   692,
     473,   669,   726,   726,   473,   473,   473,  1213,   532,   544,
     544,   544,   544,   544,   544,   544,   544,   544,   544,   544,
     544,   544,   544,   544,   612,   471,   471,   616,   616,   474,
     474,   474,   474,   474,   474,   474,   474,   474,   474,   474,
     474,     4,   721,   474,     4,   474,     4,   474,   474,   474,
     474,   474,   474,   474,   474,   474,   474,   474,   474,     4,
     474,   474,     4,   474,     4,   474,   474,   474,     4,   474,
     474,   474,     4,   474,     4,   474,     4,   474,   474,   474,
       4,   474,   474,   474,   474,   474,   474,   474,   474,   474,
       4,   474,   474,   474,   474,   474,   474,     4,   474,     4,
     474,     4,   474,   474,   474,     4,   474,     4,   474,   474,
     474,   474,   474,   474,     4,   474,     4,   474,   474,     4,
     474,   474,   474,   474,   474,   474,   474,   474,   474,     4,
     474,   474,   474,   474,     4,   474,   474,   474,   474,   474,
     474,   474,   474,   474,   474,   474,   474,   474,   474,   474,
     474,   474,   474,   474,     4,   474,   474,   474,   474,   474,
     474,   474,     4,   474,   474,   474,     4,   474,   474,     4,
     474,     4,   474,     4,   474,   474,     4,   474,     4,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   474,   474,
     474,   474,     4,   474,   474,     4,   474,   474,   474,   474,
     474,     4,   474,     4,   474,   474,     4,   474,   474,   474,
     474,     4,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,     4,   474,     4,
     474,   474,   474,   474,   474,   474,   474,     4,   474,   474,
     735,   632,   706,   710,   712,   714,   716,     4,   470,   676,
     677,   677,   677,   677,   673,  1235,  1236,  1237,   531,   609,
     473,   473,   470,   777,   777,    33,    68,   169,   170,   172,
     173,   174,   470,   777,   777,   777,   777,   777,   777,   777,
     471,    80,   179,   180,   777,   777,   777,   777,   777,   777,
      68,   188,   189,    68,   191,   777,   188,   189,   407,   413,
     414,   415,   416,   777,   470,   194,   195,   196,   197,    13,
      14,   198,   199,   470,   777,   777,   470,   777,   777,    68,
     201,   777,    13,    14,   198,   199,   777,   777,   777,   777,
      33,    68,   169,   170,   172,   173,   174,   470,   777,   777,
     777,   777,   777,   777,   777,   777,   777,   470,   777,    13,
      14,   198,   199,    13,    14,   777,   777,   777,   408,   409,
     410,   470,   777,   777,   777,   777,   325,   345,   449,   450,
     470,    20,    21,    22,    23,    24,    26,    27,    28,   247,
     248,   367,   467,   210,   211,   212,   777,   213,   214,   215,
     216,   470,   470,   320,   321,   322,   324,   325,   777,   777,
     777,   777,   777,   777,   777,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   384,   470,   777,   777,   777,   777,
     471,   470,   777,   470,   470,   237,   238,   239,   777,   777,
     777,   777,   470,   470,   470,   777,   470,   470,   470,   777,
     777,   470,   777,   470,   194,   271,   470,   777,   777,   470,
     470,   777,   331,   332,   333,   334,   335,   336,   337,  1134,
    1135,  1136,  1137,  1138,  1139,  1140,  1141,  1142,   777,   777,
     471,   777,   374,   375,   376,   471,   430,   431,   432,   322,
     445,   446,   777,   777,   777,   470,   777,    59,    62,    64,
      85,   455,   456,   457,   458,   777,   777,   777,   777,  1150,
    1151,  1152,  1153,  1154,  1155,  1156,  1157,  1158,  1159,  1160,
    1161,  1162,  1163,  1164,   470,   777,   777,   470,   777,   777,
     383,   463,   464,   470,   470,   470,   705,   708,   708,   708,
     708,   718,   473,   674,   672,  1234,  1234,  1234,   610,   611,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,  1133,  1133,  1133,
    1133,  1133,  1133,  1133,  1133,  1133,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   473,   473,   473,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,   473,   473,   473,   473,   473,   473,   473,   473,
     473,   473,   473,   473,   708,    62,   609,   609,   782,   783,
     784,   785,   791,   786,   787,   788,   789,   790,   792,   793,
     794,   795,   796,   797,   798,   799,   811,   819,   820,   821,
     825,   826,   827,   828,   829,   830,   833,   831,   832,   834,
     835,   836,   839,   837,   838,   841,   842,   843,   840,   844,
     866,   867,   868,   869,   870,   874,   875,   876,   877,   883,
     884,   885,   889,   890,   891,   897,   898,   902,   906,   907,
     908,   909,   910,   911,   931,   937,   923,   929,   924,   925,
     926,   927,   928,   930,   933,   932,   934,   935,   936,   941,
     942,   943,   944,   945,   946,   950,   951,   952,   953,   957,
     958,   962,   964,   963,   968,   969,   970,   982,   976,   977,
     974,   975,   979,   978,   980,   981,   993,   997,   998,  1002,
    1006,  1003,  1000,   999,  1001,  1004,  1005,  1010,  1011,  1007,
    1008,  1009,  1015,  1016,  1017,  1018,  1019,  1020,  1021,  1022,
    1023,  1024,  1026,  1025,  1027,  1028,  1029,  1037,  1038,  1035,
    1036,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,  1050,
    1051,  1058,  1052,  1054,  1055,  1056,  1057,  1059,  1053,  1060,
    1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,  1070,
    1071,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1091,  1092,
    1093,  1094,  1102,  1103,  1109,  1113,  1120,  1119,  1124,  1125,
    1126,  1127,  1128,  1129,  1130,  1143,  1144,  1145,  1146,  1170,
    1171,  1172,  1173,  1177,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1098,  1189,  1191,  1196,  1193,  1192,  1190,  1194,
    1195,  1197,   988,   989,   986,   987,  1207,  1253,  1245,  1249,
    1251,  1252,  1247,  1246,  1248,  1250,   641,   645,     3,   781,
     781,   781,   781,   781,   781,   781,   781,   781,   781,   781,
     781,   781,   781,   781,   781,   781,   781,   810,   818,   818,
     818,   824,   824,   824,   824,   824,   824,   824,   824,   824,
     824,   824,   824,   824,   824,   824,   824,   824,   824,   824,
     824,   865,   865,   865,   865,   865,   873,   873,   873,   873,
     882,   882,   882,   888,   888,   888,   896,   896,   901,   905,
     905,   905,   905,   905,   905,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     940,   940,   940,   940,   940,   940,   949,   949,   949,   949,
     956,   956,   961,   961,   961,   967,   967,   967,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   992,   996,   996,
     996,   996,   996,   996,   996,   996,   996,   996,   996,   996,
     996,   996,   996,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1034,  1034,
    1034,  1034,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1090,
    1090,  1090,  1090,  1101,  1101,  1108,  1112,  1118,  1118,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1133,  1133,  1133,  1133,
    1169,  1169,  1169,  1169,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1097,  1188,  1188,  1188,  1188,  1188,  1188,
    1188,  1188,  1188,   985,   985,   985,   985,  1206,  1244,  1244,
    1244,  1244,  1244,  1244,  1244,  1244,  1244,   650,   650,   721,
     642,   646,     4,     4,   103,     4,   643,   474,   720,   639,
     470,   708,   473,   647,   650,   648,     4,   649,   639
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   476,   478,   479,   477,   480,   481,   482,   480,   480,
     483,   484,   480,   485,   486,   480,   487,   488,   480,   489,
     490,   480,   480,   480,   480,   480,   491,   492,   480,   493,
     494,   480,   480,   496,   495,   495,   498,   497,   497,   500,
     499,   501,   499,   502,   499,   503,   499,   499,   504,   499,
     505,   499,   506,   499,   507,   499,   508,   499,   499,   509,
     499,   510,   499,   499,   511,   499,   512,   499,   513,   499,
     514,   499,   515,   499,   499,   516,   499,   499,   518,   517,
     519,   517,   520,   517,   521,   517,   522,   517,   523,   517,
     524,   517,   525,   517,   526,   517,   527,   517,   528,   517,
     529,   517,   530,   517,   517,   532,   531,   531,   534,   533,
     535,   533,   533,   537,   536,   538,   536,   539,   536,   540,
     536,   541,   536,   542,   536,   543,   536,   536,   545,   544,
     546,   544,   547,   544,   548,   544,   549,   544,   550,   544,
     551,   544,   552,   544,   553,   544,   554,   544,   555,   544,
     556,   544,   557,   544,   558,   544,   559,   544,   544,   561,
     560,   562,   560,   563,   560,   564,   560,   565,   560,   566,
     560,   567,   560,   568,   560,   569,   560,   570,   560,   571,
     560,   560,   573,   572,   574,   572,   575,   572,   576,   572,
     577,   572,   578,   572,   579,   580,   572,   581,   582,   572,
     583,   584,   572,   572,   586,   585,   587,   585,   588,   585,
     589,   585,   590,   585,   591,   585,   592,   585,   593,   585,
     594,   585,   595,   585,   596,   585,   597,   585,   598,   585,
     599,   585,   600,   585,   601,   585,   602,   585,   603,   585,
     604,   605,   585,   585,   585,   607,   608,   606,   606,   610,
     609,   611,   609,   612,   609,   609,   614,   615,   613,   613,
     617,   616,   618,   616,   616,   620,   619,   621,   619,   622,
     619,   623,   619,   624,   619,   625,   619,   626,   619,   627,
     619,   628,   619,   619,   630,   631,   629,   629,   633,   632,
     634,   632,   635,   632,   636,   632,   637,   638,   632,   632,
     640,   641,   642,   643,   639,   644,   645,   646,   647,   648,
     649,   639,   639,   651,   650,   652,   650,   653,   650,   654,
     650,   655,   650,   656,   650,   657,   650,   658,   650,   650,
     660,   661,   659,   662,   663,   659,   664,   665,   659,   666,
     659,   659,   668,   667,   667,   670,   671,   669,   669,   673,
     672,   672,   675,   676,   674,   674,   678,   677,   679,   677,
     680,   677,   681,   677,   682,   677,   683,   677,   684,   677,
     685,   677,   686,   677,   677,   687,   677,   688,   677,   677,
     689,   677,   690,   677,   691,   677,   692,   677,   693,   677,
     694,   677,   695,   677,   696,   677,   697,   677,   698,   677,
     699,   677,   700,   677,   701,   677,   702,   677,   703,   677,
     704,   677,   677,   706,   705,   705,   707,   707,   707,   707,
     707,   709,   710,   708,   711,   712,   708,   713,   714,   708,
     715,   716,   708,   717,   718,   708,   719,   720,   708,   708,
     721,   721,   721,   722,   724,   725,   723,   723,   727,   726,
     728,   729,   726,   730,   731,   726,   726,   733,   734,   732,
     732,   736,   735,   737,   735,   738,   735,   739,   740,   735,
     741,   742,   735,   735,   744,   743,   745,   743,   746,   743,
     747,   743,   748,   743,   749,   743,   750,   743,   743,   752,
     751,   753,   751,   754,   751,   755,   751,   756,   751,   757,
     751,   758,   751,   751,   760,   759,   761,   759,   762,   759,
     763,   759,   764,   759,   765,   759,   766,   759,   767,   759,
     768,   759,   759,   770,   769,   771,   769,   772,   769,   773,
     769,   774,   769,   775,   769,   776,   769,   769,   777,   777,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   780,   779,   782,   781,   783,   781,   784,
     781,   785,   781,   786,   781,   787,   781,   788,   781,   789,
     781,   790,   781,   791,   781,   792,   781,   793,   781,   794,
     781,   795,   781,   796,   781,   797,   781,   798,   781,   799,
     781,   781,   801,   800,   803,   802,   805,   804,   807,   806,
     809,   808,   811,   810,   810,   813,   812,   815,   814,   817,
     816,   819,   818,   820,   818,   821,   818,   818,   823,   822,
     825,   824,   826,   824,   827,   824,   828,   824,   829,   824,
     830,   824,   831,   824,   832,   824,   833,   824,   834,   824,
     835,   824,   836,   824,   837,   824,   838,   824,   839,   824,
     840,   824,   841,   824,   842,   824,   843,   824,   844,   824,
     824,   846,   845,   848,   847,   850,   849,   852,   851,   854,
     853,   856,   855,   858,   857,   860,   859,   862,   861,   864,
     863,   866,   865,   867,   865,   868,   865,   869,   865,   870,
     865,   865,   872,   871,   874,   873,   875,   873,   876,   873,
     877,   873,   873,   879,   878,   881,   880,   883,   882,   884,
     882,   885,   882,   882,   887,   886,   889,   888,   890,   888,
     891,   888,   888,   893,   892,   895,   894,   897,   896,   898,
     896,   896,   900,   899,   902,   901,   901,   904,   903,   906,
     905,   907,   905,   908,   905,   909,   905,   910,   905,   911,
     905,   905,   913,   912,   915,   914,   917,   916,   919,   918,
     921,   920,   923,   922,   924,   922,   925,   922,   926,   922,
     927,   922,   928,   922,   929,   922,   930,   922,   931,   922,
     932,   922,   933,   922,   934,   922,   935,   922,   936,   922,
     937,   922,   922,   939,   938,   941,   940,   942,   940,   943,
     940,   944,   940,   945,   940,   946,   940,   940,   948,   947,
     950,   949,   951,   949,   952,   949,   953,   949,   949,   955,
     954,   957,   956,   958,   956,   956,   960,   959,   962,   961,
     963,   961,   964,   961,   961,   966,   965,   968,   967,   969,
     967,   970,   967,   967,   972,   971,   974,   973,   975,   973,
     976,   973,   977,   973,   978,   973,   979,   973,   980,   973,
     981,   973,   982,   973,   973,   984,   983,   986,   985,   987,
     985,   988,   985,   989,   985,   985,   991,   990,   993,   992,
     992,   995,   994,   997,   996,   998,   996,   999,   996,  1000,
     996,  1001,   996,  1002,   996,  1003,   996,  1004,   996,  1005,
     996,  1006,   996,  1007,   996,  1008,   996,  1009,   996,  1010,
     996,  1011,   996,   996,  1013,  1012,  1015,  1014,  1016,  1014,
    1017,  1014,  1018,  1014,  1019,  1014,  1020,  1014,  1021,  1014,
    1022,  1014,  1023,  1014,  1024,  1014,  1025,  1014,  1026,  1014,
    1027,  1014,  1028,  1014,  1029,  1014,  1014,  1031,  1030,  1033,
    1032,  1035,  1034,  1036,  1034,  1037,  1034,  1038,  1034,  1034,
    1040,  1039,  1042,  1041,  1043,  1041,  1044,  1041,  1045,  1041,
    1046,  1041,  1047,  1041,  1048,  1041,  1049,  1041,  1050,  1041,
    1051,  1041,  1052,  1041,  1053,  1041,  1054,  1041,  1055,  1041,
    1056,  1041,  1057,  1041,  1058,  1041,  1059,  1041,  1060,  1041,
    1061,  1041,  1062,  1041,  1063,  1041,  1064,  1041,  1065,  1041,
    1066,  1041,  1067,  1041,  1068,  1041,  1069,  1041,  1070,  1041,
    1071,  1041,  1041,  1073,  1072,  1075,  1074,  1077,  1076,  1079,
    1078,  1081,  1080,  1082,  1080,  1083,  1080,  1084,  1080,  1085,
    1080,  1086,  1080,  1087,  1080,  1080,  1089,  1088,  1091,  1090,
    1092,  1090,  1093,  1090,  1094,  1090,  1090,  1096,  1095,  1098,
    1097,  1097,  1100,  1099,  1102,  1101,  1103,  1101,  1101,  1105,
    1104,  1107,  1106,  1109,  1108,  1108,  1111,  1110,  1113,  1112,
    1112,  1115,  1114,  1117,  1116,  1119,  1118,  1120,  1118,  1118,
    1122,  1121,  1124,  1123,  1125,  1123,  1126,  1123,  1127,  1123,
    1128,  1123,  1129,  1123,  1130,  1123,  1123,  1132,  1131,  1134,
    1133,  1135,  1133,  1136,  1133,  1137,  1133,  1138,  1133,  1139,
    1133,  1140,  1133,  1141,  1133,  1142,  1133,  1143,  1133,  1144,
    1133,  1145,  1133,  1146,  1133,  1133,  1148,  1147,  1150,  1149,
    1151,  1149,  1152,  1149,  1153,  1149,  1154,  1149,  1155,  1149,
    1156,  1149,  1157,  1149,  1158,  1149,  1159,  1149,  1160,  1149,
    1161,  1149,  1162,  1149,  1163,  1149,  1164,  1149,  1149,  1166,
    1165,  1168,  1167,  1170,  1169,  1171,  1169,  1172,  1169,  1173,
    1169,  1169,  1175,  1174,  1177,  1176,  1178,  1176,  1179,  1176,
    1180,  1176,  1181,  1176,  1182,  1176,  1183,  1176,  1184,  1176,
    1185,  1176,  1176,  1187,  1186,  1189,  1188,  1190,  1188,  1191,
    1188,  1192,  1188,  1193,  1188,  1194,  1188,  1195,  1188,  1196,
    1188,  1197,  1188,  1188,  1199,  1198,  1201,  1200,  1203,  1202,
    1205,  1204,  1207,  1206,  1206,  1209,  1208,  1211,  1212,  1210,
    1210,  1214,  1213,  1215,  1213,  1216,  1213,  1217,  1213,  1218,
    1213,  1219,  1213,  1220,  1213,  1221,  1213,  1222,  1213,  1223,
    1213,  1224,  1213,  1225,  1213,  1226,  1213,  1227,  1213,  1228,
    1213,  1229,  1213,  1230,  1213,  1231,  1213,  1232,  1233,  1213,
    1213,  1235,  1234,  1236,  1234,  1237,  1234,  1234,  1239,  1238,
    1241,  1240,  1243,  1242,  1245,  1244,  1246,  1244,  1247,  1244,
    1248,  1244,  1249,  1244,  1250,  1244,  1251,  1244,  1252,  1244,
    1253,  1244,  1244
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     0,    10,     5,     0,     0,     7,     5,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       0,     7,     5,     5,     5,     5,     0,     0,     7,     0,
       0,     7,     0,     0,     4,     0,     0,     6,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     5,     0,
       6,     0,     6,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     5,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,    10,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     7,     0,     0,     7,
       0,     0,     7,     0,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     6,     0,     8,     0,     8,     0,     8,
       0,     0,     7,     5,     0,     0,     0,     7,     0,     0,
       8,     0,     8,     0,     6,     0,     0,     0,     7,     0,
       0,     6,     0,     6,     0,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     0,     7,     0,     0,     6,
       0,     6,     0,     8,     0,     6,     0,     0,     7,     0,
       0,     0,     0,     0,    13,     0,     0,     0,     0,     0,
       0,    20,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       6,     0,     0,     4,     0,     0,     0,     7,     0,     0,
       6,     0,     0,     0,     7,     0,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     5,     0,     6,     0,     6,     5,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     6,     0,     1,     1,     1,     1,
       1,     0,     0,     7,     0,     0,     7,     0,     0,     7,
       0,     0,     7,     0,     0,     8,     0,     0,    14,     0,
       2,     5,     0,     0,     0,     0,     7,     0,     0,     6,
       0,     0,     7,     0,     0,     7,     0,     0,     0,     7,
       0,     0,     6,     0,     6,     0,     8,     0,     0,     7,
       0,     0,     7,     0,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     5,     0,     6,     0,     0,     4,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     4,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     0,     4,     0,     5,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     4,     0,     4,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     0,
       4,     0,     5,     0,     6,     0,     0,     5,     0,     6,
       0,     0,     4,     0,     5,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     0,
       4,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     4,     0,     4,     0,     4,
       0,     5,     0,     6,     0,     0,     4,     0,     0,     7,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     7,
       0,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     4,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* $@1: %empty  */
#line 331 "configparser.yy"
  { lconfig_parseinit();}
#line 5880 "configparser.cc"
    break;

  case 3: /* $@2: %empty  */
#line 331 "configparser.yy"
                                                                        { lconfig->setLoadedVersion( (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5886 "configparser.cc"
    break;

  case 6: /* $@3: %empty  */
#line 335 "configparser.yy"
                               { lconfig_faces_list.clear(); }
#line 5892 "configparser.cc"
    break;

  case 7: /* $@4: %empty  */
#line 336 "configparser.yy"
      {
        lconfig->applyNewFacesFromList( lconfig_faces_list );
      }
#line 5900 "configparser.cc"
    break;

  case 10: /* $@5: %empty  */
#line 340 "configparser.yy"
                              { lconfig_listp = new List(); }
#line 5906 "configparser.cc"
    break;

  case 11: /* $@6: %empty  */
#line 341 "configparser.yy"
                           { lconfig->setPaths( lconfig_listp );
                             lconfig_id = lconfig_listp->initEnum();
                             lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
                             while ( lconfig_p1 != NULL ) {
                               delete lconfig_p1;
                               lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
                             }
                             lconfig_listp->closeEnum( lconfig_id );
                             delete lconfig_listp;
                             lconfig_listp = NULL;
                           }
#line 5922 "configparser.cc"
    break;

  case 13: /* $@7: %empty  */
#line 352 "configparser.yy"
                                  { lconfig_listft = new List(); }
#line 5928 "configparser.cc"
    break;

  case 14: /* $@8: %empty  */
#line 353 "configparser.yy"
                               { lconfig->setFiletypes( lconfig_listft );
                                 lconfig_id = lconfig_listft->initEnum();
                                 lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
                                 while ( lconfig_ft1 != NULL ) {
                                   delete lconfig_ft1;
                                   lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
                                 }
                                 lconfig_listft->closeEnum( lconfig_id );
                                 delete lconfig_listft;
                                 lconfig_listft = NULL;
                               }
#line 5944 "configparser.cc"
    break;

  case 16: /* $@9: %empty  */
#line 364 "configparser.yy"
                                { lconfig_listh = new List(); }
#line 5950 "configparser.cc"
    break;

  case 17: /* $@10: %empty  */
#line 365 "configparser.yy"
                             { lconfig->setHotkeys( lconfig_listh );
                               lconfig_id = lconfig_listh->initEnum();
                               lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
                               while ( lconfig_hk1 != NULL ) {
                                 delete lconfig_hk1;
                                 lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
                               }
                               lconfig_listh->closeEnum( lconfig_id );
                               delete lconfig_listh;
                               lconfig_listh = NULL;
                             }
#line 5966 "configparser.cc"
    break;

  case 19: /* $@11: %empty  */
#line 376 "configparser.yy"
                                { lconfig_listb = new List(); }
#line 5972 "configparser.cc"
    break;

  case 20: /* $@12: %empty  */
#line 377 "configparser.yy"
                             { lconfig->setButtons( lconfig_listb );
                               lconfig_id = lconfig_listb->initEnum();
                               lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
                               while ( lconfig_bt1 != NULL ) {
                                 delete lconfig_bt1;
                                 lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
                               }
                               lconfig_listb->closeEnum( lconfig_id );
                               delete lconfig_listb;
                               lconfig_listb = NULL;
                             }
#line 5988 "configparser.cc"
    break;

  case 26: /* $@13: %empty  */
#line 392 "configparser.yy"
                                          { lconfig_pathjump_allow.clear(); }
#line 5994 "configparser.cc"
    break;

  case 27: /* $@14: %empty  */
#line 393 "configparser.yy"
                                 { lconfig->setPathJumpAllowDirs( lconfig_pathjump_allow );
                                   lconfig_pathjump_allow.clear();
                                 }
#line 6002 "configparser.cc"
    break;

  case 29: /* $@15: %empty  */
#line 396 "configparser.yy"
                                         { dir_presets.clear(); }
#line 6008 "configparser.cc"
    break;

  case 30: /* $@16: %empty  */
#line 397 "configparser.yy"
                                      { lconfig->setDirectoryPresets( dir_presets );
                                 }
#line 6015 "configparser.cc"
    break;

  case 33: /* $@17: %empty  */
#line 401 "configparser.yy"
                          { lconfig_pathjump_allow.push_back( (yyvsp[-1].strptr) ); }
#line 6021 "configparser.cc"
    break;

  case 36: /* $@18: %empty  */
#line 404 "configparser.yy"
                                             { lconfig->setPathJumpStoreFilesAlways( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6027 "configparser.cc"
    break;

  case 39: /* $@19: %empty  */
#line 407 "configparser.yy"
                             { lconfig->setLang( (yyvsp[-1].strptr) ); }
#line 6033 "configparser.cc"
    break;

  case 41: /* $@20: %empty  */
#line 408 "configparser.yy"
                         { lconfig->setRows( (yyvsp[-1].num) ); }
#line 6039 "configparser.cc"
    break;

  case 43: /* $@21: %empty  */
#line 409 "configparser.yy"
                            { lconfig->setColumns( (yyvsp[-1].num) ); }
#line 6045 "configparser.cc"
    break;

  case 45: /* $@22: %empty  */
#line 410 "configparser.yy"
                              { lconfig->setCacheSize( (yyvsp[-1].num) ); }
#line 6051 "configparser.cc"
    break;

  case 48: /* $@23: %empty  */
#line 412 "configparser.yy"
                                   { lconfig->setOwnerstringtype( 0 ); }
#line 6057 "configparser.cc"
    break;

  case 50: /* $@24: %empty  */
#line 413 "configparser.yy"
                                  { lconfig->setOwnerstringtype( 1 ); }
#line 6063 "configparser.cc"
    break;

  case 52: /* $@25: %empty  */
#line 414 "configparser.yy"
                                { lconfig->setTerminalBin( (yyvsp[-1].strptr) ); }
#line 6069 "configparser.cc"
    break;

  case 54: /* $@26: %empty  */
#line 415 "configparser.yy"
                                         { lconfig->setTerminalReturnsEarly( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6075 "configparser.cc"
    break;

  case 56: /* $@27: %empty  */
#line 416 "configparser.yy"
                                     { lconfig->setShowStringForDirSize( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6081 "configparser.cc"
    break;

  case 59: /* $@28: %empty  */
#line 419 "configparser.yy"
                               { lconfig->resetColors(); }
#line 6087 "configparser.cc"
    break;

  case 61: /* $@29: %empty  */
#line 420 "configparser.yy"
                              { lconfig->clearLayoutOrders(); }
#line 6093 "configparser.cc"
    break;

  case 64: /* $@30: %empty  */
#line 422 "configparser.yy"
                                            { lconfig->setSaveWorkerStateOnExit( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6099 "configparser.cc"
    break;

  case 66: /* $@31: %empty  */
#line 423 "configparser.yy"
                                             { lconfig->setUseStringCompareMode( ( ( (yyvsp[-1].num) ) == 1 ) ? StringComparator::STRING_COMPARE_VERSION : StringComparator::STRING_COMPARE_REGULAR ); }
#line 6105 "configparser.cc"
    break;

  case 68: /* $@32: %empty  */
#line 424 "configparser.yy"
                                                    { lconfig->setUseStringCompareMode( StringComparator::STRING_COMPARE_NOCASE ); }
#line 6111 "configparser.cc"
    break;

  case 70: /* $@33: %empty  */
#line 425 "configparser.yy"
                                           { lconfig->setApplyWindowDialogType( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6117 "configparser.cc"
    break;

  case 72: /* $@34: %empty  */
#line 426 "configparser.yy"
                                     { lconfig->setUseExtendedRegEx( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6123 "configparser.cc"
    break;

  case 75: /* $@35: %empty  */
#line 428 "configparser.yy"
                                             { lconfig->setDisableBGCheckPrefix( (yyvsp[-1].strptr) ); }
#line 6129 "configparser.cc"
    break;

  case 78: /* $@36: %empty  */
#line 431 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_STATEBAR ); }
#line 6135 "configparser.cc"
    break;

  case 80: /* $@37: %empty  */
#line 432 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_CLOCKBAR ); }
#line 6141 "configparser.cc"
    break;

  case 82: /* $@38: %empty  */
#line 433 "configparser.yy"
                      { lconfig->layoutAddEntry( LayoutSettings::LO_BUTTONS ); }
#line 6147 "configparser.cc"
    break;

  case 84: /* $@39: %empty  */
#line 434 "configparser.yy"
                        { lconfig->layoutAddEntry( LayoutSettings::LO_LISTVIEWS ); }
#line 6153 "configparser.cc"
    break;

  case 86: /* $@40: %empty  */
#line 435 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_BLL ); }
#line 6159 "configparser.cc"
    break;

  case 88: /* $@41: %empty  */
#line 436 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LBL ); }
#line 6165 "configparser.cc"
    break;

  case 90: /* $@42: %empty  */
#line 437 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LLB ); }
#line 6171 "configparser.cc"
    break;

  case 92: /* $@43: %empty  */
#line 438 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_BL ); }
#line 6177 "configparser.cc"
    break;

  case 94: /* $@44: %empty  */
#line 439 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_LB ); }
#line 6183 "configparser.cc"
    break;

  case 96: /* $@45: %empty  */
#line 440 "configparser.yy"
                                { lconfig->setLayoutButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6189 "configparser.cc"
    break;

  case 98: /* $@46: %empty  */
#line 441 "configparser.yy"
                                  { lconfig->setLayoutListviewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6195 "configparser.cc"
    break;

  case 100: /* $@47: %empty  */
#line 442 "configparser.yy"
                                      { lconfig->setLayoutListViewWeight( (yyvsp[-1].num) ); }
#line 6201 "configparser.cc"
    break;

  case 102: /* $@48: %empty  */
#line 443 "configparser.yy"
                                   { lconfig->setLayoutWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6207 "configparser.cc"
    break;

  case 105: /* $@49: %empty  */
#line 446 "configparser.yy"
                                            { lconfig->setColor( (yyvsp[-7].num), (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 6213 "configparser.cc"
    break;

  case 108: /* $@50: %empty  */
#line 449 "configparser.yy"
                   { lconfig_side = 0; }
#line 6219 "configparser.cc"
    break;

  case 110: /* $@51: %empty  */
#line 450 "configparser.yy"
                    { lconfig_side = 1; }
#line 6225 "configparser.cc"
    break;

  case 113: /* $@52: %empty  */
#line 453 "configparser.yy"
                                 { lconfig->setHBarTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6231 "configparser.cc"
    break;

  case 115: /* $@53: %empty  */
#line 454 "configparser.yy"
                                       { lconfig->setHBarHeight( lconfig_side, (yyvsp[-1].num) ); }
#line 6237 "configparser.cc"
    break;

  case 117: /* $@54: %empty  */
#line 455 "configparser.yy"
                                  { lconfig->setVBarLeft( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6243 "configparser.cc"
    break;

  case 119: /* $@55: %empty  */
#line 456 "configparser.yy"
                                      { lconfig->setVBarWidth( lconfig_side, (yyvsp[-1].num) ); }
#line 6249 "configparser.cc"
    break;

  case 121: /* $@56: %empty  */
#line 457 "configparser.yy"
                                          { lconfig->clearVisCols( lconfig_side ); }
#line 6255 "configparser.cc"
    break;

  case 123: /* $@57: %empty  */
#line 458 "configparser.yy"
                                    { lconfig->setShowHeader( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6261 "configparser.cc"
    break;

  case 125: /* $@58: %empty  */
#line 459 "configparser.yy"
                                        { lconfig->setPathEntryOnTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6267 "configparser.cc"
    break;

  case 128: /* $@59: %empty  */
#line 462 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NAME ); }
#line 6273 "configparser.cc"
    break;

  case 130: /* $@60: %empty  */
#line 463 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZE ); }
#line 6279 "configparser.cc"
    break;

  case 132: /* $@61: %empty  */
#line 464 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_TYPE ); }
#line 6285 "configparser.cc"
    break;

  case 134: /* $@62: %empty  */
#line 465 "configparser.yy"
                             { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_PERM ); }
#line 6291 "configparser.cc"
    break;

  case 136: /* $@63: %empty  */
#line 466 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_OWNER ); }
#line 6297 "configparser.cc"
    break;

  case 138: /* $@64: %empty  */
#line 467 "configparser.yy"
                              { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_DEST ); }
#line 6303 "configparser.cc"
    break;

  case 140: /* $@65: %empty  */
#line 468 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_MOD ); }
#line 6309 "configparser.cc"
    break;

  case 142: /* $@66: %empty  */
#line 469 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_ACC ); }
#line 6315 "configparser.cc"
    break;

  case 144: /* $@67: %empty  */
#line 470 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_CHANGE ); }
#line 6321 "configparser.cc"
    break;

  case 146: /* $@68: %empty  */
#line 471 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_INODE ); }
#line 6327 "configparser.cc"
    break;

  case 148: /* $@69: %empty  */
#line 472 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NLINK ); }
#line 6333 "configparser.cc"
    break;

  case 150: /* $@70: %empty  */
#line 473 "configparser.yy"
                         { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_BLOCKS ); }
#line 6339 "configparser.cc"
    break;

  case 152: /* $@71: %empty  */
#line 474 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZEH ); }
#line 6345 "configparser.cc"
    break;

  case 154: /* $@72: %empty  */
#line 475 "configparser.yy"
                            { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_EXTENSION ); }
#line 6351 "configparser.cc"
    break;

  case 156: /* $@73: %empty  */
#line 476 "configparser.yy"
                                  { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_CUSTOM_ATTR ); }
#line 6357 "configparser.cc"
    break;

  case 159: /* $@74: %empty  */
#line 479 "configparser.yy"
                                  { lconfig->setDateFormat( 0 ); }
#line 6363 "configparser.cc"
    break;

  case 161: /* $@75: %empty  */
#line 480 "configparser.yy"
                                  { lconfig->setDateFormat( 1 ); }
#line 6369 "configparser.cc"
    break;

  case 163: /* $@76: %empty  */
#line 481 "configparser.yy"
                                  { lconfig->setDateFormat( 2 ); }
#line 6375 "configparser.cc"
    break;

  case 165: /* $@77: %empty  */
#line 482 "configparser.yy"
                                     { lconfig->setDateFormat( -1 ); }
#line 6381 "configparser.cc"
    break;

  case 167: /* $@78: %empty  */
#line 483 "configparser.yy"
                                        { lconfig->setDateFormatString( (yyvsp[-1].strptr) ); }
#line 6387 "configparser.cc"
    break;

  case 169: /* $@79: %empty  */
#line 484 "configparser.yy"
                                        { lconfig->setDateSubst( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6393 "configparser.cc"
    break;

  case 171: /* $@80: %empty  */
#line 485 "configparser.yy"
                                  { lconfig->setTimeFormat( 0 ); }
#line 6399 "configparser.cc"
    break;

  case 173: /* $@81: %empty  */
#line 486 "configparser.yy"
                                  { lconfig->setTimeFormat( 1 ); }
#line 6405 "configparser.cc"
    break;

  case 175: /* $@82: %empty  */
#line 487 "configparser.yy"
                                     { lconfig->setTimeFormat( -1 ); }
#line 6411 "configparser.cc"
    break;

  case 177: /* $@83: %empty  */
#line 488 "configparser.yy"
                                        { lconfig->setTimeFormatString( (yyvsp[-1].strptr) ); }
#line 6417 "configparser.cc"
    break;

  case 179: /* $@84: %empty  */
#line 489 "configparser.yy"
                                      { lconfig->setDateBeforeTime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6423 "configparser.cc"
    break;

  case 182: /* $@85: %empty  */
#line 492 "configparser.yy"
                                        { lconfig->setMouseSelectButton( (yyvsp[-1].num) ); }
#line 6429 "configparser.cc"
    break;

  case 184: /* $@86: %empty  */
#line 493 "configparser.yy"
                                          { lconfig->setMouseActivateButton( (yyvsp[-1].num) ); }
#line 6435 "configparser.cc"
    break;

  case 186: /* $@87: %empty  */
#line 494 "configparser.yy"
                                        { lconfig->setMouseScrollButton( (yyvsp[-1].num) ); }
#line 6441 "configparser.cc"
    break;

  case 188: /* $@88: %empty  */
#line 495 "configparser.yy"
                                           { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_NORMAL_MODE ); }
#line 6447 "configparser.cc"
    break;

  case 190: /* $@89: %empty  */
#line 496 "configparser.yy"
                                                { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_ALT_MODE ); }
#line 6453 "configparser.cc"
    break;

  case 192: /* $@90: %empty  */
#line 497 "configparser.yy"
                                         { lconfig->setMouseContextButton( (yyvsp[-1].num) ); }
#line 6459 "configparser.cc"
    break;

  case 194: /* $@91: %empty  */
#line 498 "configparser.yy"
                                        { lconfig_keymod = 0; }
#line 6465 "configparser.cc"
    break;

  case 195: /* $@92: %empty  */
#line 499 "configparser.yy"
                              { lconfig->setMouseActivateMod( lconfig_keymod ); }
#line 6471 "configparser.cc"
    break;

  case 197: /* $@93: %empty  */
#line 500 "configparser.yy"
                                      { lconfig_keymod = 0; }
#line 6477 "configparser.cc"
    break;

  case 198: /* $@94: %empty  */
#line 501 "configparser.yy"
                              { lconfig->setMouseScrollMod( lconfig_keymod ); }
#line 6483 "configparser.cc"
    break;

  case 200: /* $@95: %empty  */
#line 502 "configparser.yy"
                                       { lconfig_keymod = 0; }
#line 6489 "configparser.cc"
    break;

  case 201: /* $@96: %empty  */
#line 503 "configparser.yy"
                              { lconfig->setMouseContextMod( lconfig_keymod ); }
#line 6495 "configparser.cc"
    break;

  case 204: /* $@97: %empty  */
#line 506 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "statusbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "statusbar-bg", (yyvsp[-1].num) ) );
        }
#line 6504 "configparser.cc"
    break;

  case 206: /* $@98: %empty  */
#line 510 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-bg", (yyvsp[-1].num) ) );
        }
#line 6513 "configparser.cc"
    break;

  case 208: /* $@99: %empty  */
#line 514 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-bg", (yyvsp[-1].num) ) );
        }
#line 6522 "configparser.cc"
    break;

  case 210: /* $@100: %empty  */
#line 518 "configparser.yy"
                                       {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-bg", (yyvsp[-1].num) ) );
        }
#line 6531 "configparser.cc"
    break;

  case 212: /* $@101: %empty  */
#line 522 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6540 "configparser.cc"
    break;

  case 214: /* $@102: %empty  */
#line 526 "configparser.yy"
                                        {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-bg", (yyvsp[-1].num) ) );
        }
#line 6549 "configparser.cc"
    break;

  case 216: /* $@103: %empty  */
#line 530 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6558 "configparser.cc"
    break;

  case 218: /* $@104: %empty  */
#line 534 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "clockbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "clockbar-bg", (yyvsp[-1].num) ) );
        }
#line 6567 "configparser.cc"
    break;

  case 220: /* $@105: %empty  */
#line 538 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "request-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "request-bg", (yyvsp[-1].num) ) );
        }
#line 6576 "configparser.cc"
    break;

  case 222: /* $@106: %empty  */
#line 542 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6585 "configparser.cc"
    break;

  case 224: /* $@107: %empty  */
#line 546 "configparser.yy"
                                            {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-bg", (yyvsp[-1].num) ) );
        }
#line 6594 "configparser.cc"
    break;

  case 226: /* $@108: %empty  */
#line 550 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6603 "configparser.cc"
    break;

  case 228: /* $@109: %empty  */
#line 554 "configparser.yy"
                                             {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-bg", (yyvsp[-1].num) ) );
        }
#line 6612 "configparser.cc"
    break;

  case 230: /* $@110: %empty  */
#line 558 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-bg", (yyvsp[-1].num) ) );
        }
#line 6621 "configparser.cc"
    break;

  case 232: /* $@111: %empty  */
#line 562 "configparser.yy"
                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-bg", (yyvsp[-1].num) ) );
        }
#line 6629 "configparser.cc"
    break;

  case 234: /* $@112: %empty  */
#line 565 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "textview-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-bg", (yyvsp[-1].num) ) );
        }
#line 6638 "configparser.cc"
    break;

  case 236: /* $@113: %empty  */
#line 569 "configparser.yy"
                                                    {
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-bg", (yyvsp[-1].num) ) );
        }
#line 6647 "configparser.cc"
    break;

  case 238: /* $@114: %empty  */
#line 573 "configparser.yy"
                                                  {
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-bg", (yyvsp[-1].num) ) );
        }
#line 6656 "configparser.cc"
    break;

  case 240: /* $@115: %empty  */
#line 577 "configparser.yy"
                                   { lconfig_labelcolors.clear(); }
#line 6662 "configparser.cc"
    break;

  case 241: /* $@116: %empty  */
#line 578 "configparser.yy"
                                   {
          WConfig::ColorDef c = lconfig->getColorDefs();
          c.setLabelColors( lconfig_labelcolors );
          lconfig->setColorDefs( c );
        }
#line 6672 "configparser.cc"
    break;

  case 245: /* $@117: %empty  */
#line 587 "configparser.yy"
                                    {
              lconfig_labelcolor.normal_fg = -1;
              lconfig_labelcolor.normal_bg = -1;
              lconfig_labelcolor.active_fg = -1;
              lconfig_labelcolor.active_bg = -1;
              lconfig_labelcolor_name = "";
            }
#line 6684 "configparser.cc"
    break;

  case 246: /* $@118: %empty  */
#line 594 "configparser.yy"
                                      {
              lconfig_labelcolors[lconfig_labelcolor_name] = lconfig_labelcolor;
            }
#line 6692 "configparser.cc"
    break;

  case 249: /* $@119: %empty  */
#line 599 "configparser.yy"
                                             {
             lconfig_labelcolor.normal_fg = (yyvsp[-3].num);
             lconfig_labelcolor.normal_bg = (yyvsp[-1].num);
            }
#line 6701 "configparser.cc"
    break;

  case 251: /* $@120: %empty  */
#line 603 "configparser.yy"
                                             {
             lconfig_labelcolor.active_fg = (yyvsp[-3].num);
             lconfig_labelcolor.active_bg = (yyvsp[-1].num);
            }
#line 6710 "configparser.cc"
    break;

  case 253: /* $@121: %empty  */
#line 607 "configparser.yy"
                                      { lconfig_labelcolor_name = (yyvsp[-1].strptr); }
#line 6716 "configparser.cc"
    break;

  case 256: /* $@122: %empty  */
#line 610 "configparser.yy"
                             {
              lconfig_face_name.clear();
              lconfig_face_color = -1;
            }
#line 6725 "configparser.cc"
    break;

  case 257: /* $@123: %empty  */
#line 614 "configparser.yy"
                                {
              lconfig_faces_list.push_back( std::make_pair( lconfig_face_name, lconfig_face_color ) );
            }
#line 6733 "configparser.cc"
    break;

  case 260: /* $@124: %empty  */
#line 619 "configparser.yy"
                            {
             lconfig_face_color = (yyvsp[-1].num);
            }
#line 6741 "configparser.cc"
    break;

  case 262: /* $@125: %empty  */
#line 622 "configparser.yy"
                                      { lconfig_face_name = (yyvsp[-1].strptr); }
#line 6747 "configparser.cc"
    break;

  case 265: /* $@126: %empty  */
#line 625 "configparser.yy"
                                 { lconfig->setStartDir( 0, (yyvsp[-1].strptr) ); }
#line 6753 "configparser.cc"
    break;

  case 267: /* $@127: %empty  */
#line 626 "configparser.yy"
                                  { lconfig->setStartDir( 1, (yyvsp[-1].strptr) ); }
#line 6759 "configparser.cc"
    break;

  case 269: /* $@128: %empty  */
#line 627 "configparser.yy"
                                             { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_NEVER ); }
#line 6765 "configparser.cc"
    break;

  case 271: /* $@129: %empty  */
#line 628 "configparser.yy"
                                              { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ALWAYS ); }
#line 6771 "configparser.cc"
    break;

  case 273: /* $@130: %empty  */
#line 629 "configparser.yy"
                                           { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ASK ); }
#line 6777 "configparser.cc"
    break;

  case 275: /* $@131: %empty  */
#line 630 "configparser.yy"
                                           { lconfig->setStoreTabsMode( WConfig::STORE_TABS_NEVER ); }
#line 6783 "configparser.cc"
    break;

  case 277: /* $@132: %empty  */
#line 631 "configparser.yy"
                                            { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ALWAYS ); }
#line 6789 "configparser.cc"
    break;

  case 279: /* $@133: %empty  */
#line 632 "configparser.yy"
                                                   { lconfig->setStoreTabsMode( WConfig::STORE_TABS_AS_EXIT_STATE ); }
#line 6795 "configparser.cc"
    break;

  case 281: /* $@134: %empty  */
#line 633 "configparser.yy"
                                         { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ASK ); }
#line 6801 "configparser.cc"
    break;

  case 284: /* $@135: %empty  */
#line 636 "configparser.yy"
                             { lconfig_p1 = new WCPath(); }
#line 6807 "configparser.cc"
    break;

  case 285: /* $@136: %empty  */
#line 637 "configparser.yy"
                          { lconfig_p1->setCheck( true );
                        while ( lconfig_listp->size() < ( lconfig_pos + 1 ) ) lconfig_listp->addElement( new WCPath() );
                        lconfig_p1 = (WCPath*)lconfig_listp->exchangeElement( lconfig_pos, lconfig_p1 );
                        delete lconfig_p1;
                        lconfig_p1 = NULL;
                      }
#line 6818 "configparser.cc"
    break;

  case 288: /* $@137: %empty  */
#line 645 "configparser.yy"
                               { lconfig_pos = (yyvsp[-1].num);
                         if ( lconfig_pos < 0 ) lconfig_pos = 0;
                         if ( lconfig_pos > 10240 ) lconfig_pos = 10240;
                       }
#line 6827 "configparser.cc"
    break;

  case 290: /* $@138: %empty  */
#line 649 "configparser.yy"
                               { lconfig_p1->setName( (yyvsp[-1].strptr) ); }
#line 6833 "configparser.cc"
    break;

  case 292: /* $@139: %empty  */
#line 650 "configparser.yy"
                                      { lconfig_p1->setFG( (yyvsp[-3].num) );
                            lconfig_p1->setBG( (yyvsp[-1].num) );
                          }
#line 6841 "configparser.cc"
    break;

  case 294: /* $@140: %empty  */
#line 653 "configparser.yy"
                              { lconfig_p1->setPath( (yyvsp[-1].strptr) ); }
#line 6847 "configparser.cc"
    break;

  case 296: /* $@141: %empty  */
#line 654 "configparser.yy"
                                 { lconfig_listsk = new List(); }
#line 6853 "configparser.cc"
    break;

  case 297: /* $@142: %empty  */
#line 655 "configparser.yy"
                            { lconfig_p1->setDoubleKeys( lconfig_listsk );
                              lconfig_id = lconfig_listsk->initEnum();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              while ( lconfig_dk != NULL ) {
                                delete lconfig_dk;
                                lconfig_listsk->removeFirstElement();
                                lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              }
                              lconfig_listsk->closeEnum( lconfig_id );
                              delete lconfig_listsk;
                              lconfig_listsk = NULL;
                            }
#line 6870 "configparser.cc"
    break;

  case 300: /* $@143: %empty  */
#line 669 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_NORMAL );
                                 }
#line 6878 "configparser.cc"
    break;

  case 301: /* $@144: %empty  */
#line 672 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6888 "configparser.cc"
    break;

  case 302: /* $@145: %empty  */
#line 677 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); }
#line 6894 "configparser.cc"
    break;

  case 303: /* $@146: %empty  */
#line 678 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6900 "configparser.cc"
    break;

  case 305: /* $@147: %empty  */
#line 680 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_DOUBLE );
                                  }
#line 6908 "configparser.cc"
    break;

  case 306: /* $@148: %empty  */
#line 683 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6918 "configparser.cc"
    break;

  case 307: /* $@149: %empty  */
#line 688 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); /*TODO:finzt das so mit dem lconfig_keymod?*/}
#line 6924 "configparser.cc"
    break;

  case 308: /* $@150: %empty  */
#line 689 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 1 );
                          else lconfig_dk->setKeySym( 0, 1 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6934 "configparser.cc"
    break;

  case 309: /* $@151: %empty  */
#line 694 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 1 ); }
#line 6940 "configparser.cc"
    break;

  case 310: /* $@152: %empty  */
#line 695 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6946 "configparser.cc"
    break;

  case 313: /* $@153: %empty  */
#line 699 "configparser.yy"
                              { lconfig_keymod |= ControlMask; }
#line 6952 "configparser.cc"
    break;

  case 315: /* $@154: %empty  */
#line 700 "configparser.yy"
                            { lconfig_keymod |= ShiftMask; }
#line 6958 "configparser.cc"
    break;

  case 317: /* $@155: %empty  */
#line 701 "configparser.yy"
                           { lconfig_keymod |= LockMask; }
#line 6964 "configparser.cc"
    break;

  case 319: /* $@156: %empty  */
#line 702 "configparser.yy"
                           { lconfig_keymod |= Mod1Mask; }
#line 6970 "configparser.cc"
    break;

  case 321: /* $@157: %empty  */
#line 703 "configparser.yy"
                           { lconfig_keymod |= Mod2Mask; }
#line 6976 "configparser.cc"
    break;

  case 323: /* $@158: %empty  */
#line 704 "configparser.yy"
                           { lconfig_keymod |= Mod3Mask; }
#line 6982 "configparser.cc"
    break;

  case 325: /* $@159: %empty  */
#line 705 "configparser.yy"
                           { lconfig_keymod |= Mod4Mask; }
#line 6988 "configparser.cc"
    break;

  case 327: /* $@160: %empty  */
#line 706 "configparser.yy"
                           { lconfig_keymod |= Mod5Mask; }
#line 6994 "configparser.cc"
    break;

  case 330: /* $@161: %empty  */
#line 709 "configparser.yy"
                                     { lconfig_ft1 = new WCFiletype();
                                       lconfig_ignorelist.clear();
                                     }
#line 7002 "configparser.cc"
    break;

  case 331: /* $@162: %empty  */
#line 712 "configparser.yy"
                                  { lconfig_listft->addElement( lconfig_ft1 );
                                lconfig_ft1 = NULL;
                              }
#line 7010 "configparser.cc"
    break;

  case 333: /* $@163: %empty  */
#line 715 "configparser.yy"
                                       { lconfig_ignorelist.remove_if( []( const auto &d ){ return ! d.is_pattern; } ); }
#line 7016 "configparser.cc"
    break;

  case 334: /* $@164: %empty  */
#line 716 "configparser.yy"
                                    { lconfig->setDontCheckDirs( lconfig_ignorelist );
                                    }
#line 7023 "configparser.cc"
    break;

  case 336: /* $@165: %empty  */
#line 718 "configparser.yy"
                                        { lconfig_ignorelist.remove_if( []( const auto &d ){ return d.is_pattern; } ); }
#line 7029 "configparser.cc"
    break;

  case 337: /* $@166: %empty  */
#line 719 "configparser.yy"
                                     { lconfig->setDontCheckDirs( lconfig_ignorelist );
                                     }
#line 7036 "configparser.cc"
    break;

  case 339: /* $@167: %empty  */
#line 721 "configparser.yy"
                                             { lconfig->setDontCheckVirtual( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7042 "configparser.cc"
    break;

  case 342: /* $@168: %empty  */
#line 724 "configparser.yy"
                         { lconfig_ignorelist.push_back( { .is_pattern = false, .dir = (yyvsp[-1].strptr) } ); }
#line 7048 "configparser.cc"
    break;

  case 345: /* $@169: %empty  */
#line 727 "configparser.yy"
                                        { lconfig_ignore_dir = {}; }
#line 7054 "configparser.cc"
    break;

  case 346: /* $@170: %empty  */
#line 728 "configparser.yy"
                                     { lconfig_ignorelist.push_back( lconfig_ignore_dir ); }
#line 7060 "configparser.cc"
    break;

  case 349: /* $@171: %empty  */
#line 731 "configparser.yy"
                                      { lconfig_ignore_dir = { .is_pattern = true, .dir = (yyvsp[-1].strptr) }; }
#line 7066 "configparser.cc"
    break;

  case 352: /* $@172: %empty  */
#line 734 "configparser.yy"
                                        { filetypehier.push_back( lconfig_ft1 );
                                          lconfig_ft1 = new WCFiletype();
                                        }
#line 7074 "configparser.cc"
    break;

  case 353: /* $@173: %empty  */
#line 737 "configparser.yy"
                                     { old_lconfig_ft1 = filetypehier.back();
	                               filetypehier.pop_back();
				       if ( old_lconfig_ft1 != NULL ) {
					 old_lconfig_ft1->addSubType( lconfig_ft1 );
				       } else {
					 delete lconfig_ft1;
				       }
				       lconfig_ft1 = old_lconfig_ft1;
	                             }
#line 7088 "configparser.cc"
    break;

  case 356: /* $@174: %empty  */
#line 748 "configparser.yy"
                               { lconfig_ft1->setinternID( (yyvsp[-1].num) ); }
#line 7094 "configparser.cc"
    break;

  case 358: /* $@175: %empty  */
#line 749 "configparser.yy"
                                   { lconfig_ft1->setName( (yyvsp[-1].strptr) ); }
#line 7100 "configparser.cc"
    break;

  case 360: /* $@176: %empty  */
#line 750 "configparser.yy"
                                     { lconfig_ft1->setPattern( (yyvsp[-1].strptr) ); }
#line 7106 "configparser.cc"
    break;

  case 362: /* $@177: %empty  */
#line 751 "configparser.yy"
                                  { lconfig_ft1->setUsePattern( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7112 "configparser.cc"
    break;

  case 364: /* $@178: %empty  */
#line 752 "configparser.yy"
                                   { lconfig_ft1->clearFiledesc(); }
#line 7118 "configparser.cc"
    break;

  case 366: /* $@179: %empty  */
#line 754 "configparser.yy"
                                  { lconfig_ft1->setUseFiledesc( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7124 "configparser.cc"
    break;

  case 368: /* $@180: %empty  */
#line 755 "configparser.yy"
                                         { lconfig_ft1->setPatternIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7130 "configparser.cc"
    break;

  case 370: /* $@181: %empty  */
#line 756 "configparser.yy"
                                        { lconfig_ft1->setPatternUseRegExp( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7136 "configparser.cc"
    break;

  case 372: /* $@182: %empty  */
#line 757 "configparser.yy"
                                          { lconfig_ft1->setPatternUseFullname( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7142 "configparser.cc"
    break;

  case 375: /* $@183: %empty  */
#line 759 "configparser.yy"
                                     { lconfig_ft1->setExtCond( (yyvsp[-1].strptr) ); }
#line 7148 "configparser.cc"
    break;

  case 377: /* $@184: %empty  */
#line 760 "configparser.yy"
                                  { lconfig_ft1->setUseExtCond( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7154 "configparser.cc"
    break;

  case 380: /* $@185: %empty  */
#line 762 "configparser.yy"
                                                  { lconfig_ft1->setCustomColor( 0, 0, (yyvsp[-3].num) );
	                                            lconfig_ft1->setCustomColor( 1, 0, (yyvsp[-1].num) );
                                                  }
#line 7162 "configparser.cc"
    break;

  case 382: /* $@186: %empty  */
#line 765 "configparser.yy"
                                                { lconfig_ft1->setCustomColor( 0, 1, (yyvsp[-3].num) );
	                                          lconfig_ft1->setCustomColor( 1, 1, (yyvsp[-1].num) );
                                                }
#line 7170 "configparser.cc"
    break;

  case 384: /* $@187: %empty  */
#line 768 "configparser.yy"
                                                        { lconfig_ft1->setCustomColor( 0, 2, (yyvsp[-3].num) );
	                                                  lconfig_ft1->setCustomColor( 1, 2, (yyvsp[-1].num) );
                                                        }
#line 7178 "configparser.cc"
    break;

  case 386: /* $@188: %empty  */
#line 771 "configparser.yy"
                                                      { lconfig_ft1->setCustomColor( 0, 3, (yyvsp[-3].num) );
	                                                lconfig_ft1->setCustomColor( 1, 3, (yyvsp[-1].num) );
                                                      }
#line 7186 "configparser.cc"
    break;

  case 388: /* $@189: %empty  */
#line 774 "configparser.yy"
                                             { lconfig_ft1->setColorExt( (yyvsp[-1].strptr) ); }
#line 7192 "configparser.cc"
    break;

  case 390: /* $@190: %empty  */
#line 775 "configparser.yy"
                                        { lconfig_ft1->setColorMode( WCFiletype::DEFAULTCOL ); }
#line 7198 "configparser.cc"
    break;

  case 392: /* $@191: %empty  */
#line 776 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::CUSTOMCOL ); }
#line 7204 "configparser.cc"
    break;

  case 394: /* $@192: %empty  */
#line 777 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::EXTERNALCOL ); }
#line 7210 "configparser.cc"
    break;

  case 396: /* $@193: %empty  */
#line 778 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::PARENTCOL ); }
#line 7216 "configparser.cc"
    break;

  case 398: /* $@194: %empty  */
#line 779 "configparser.yy"
                                          { lconfig_ft1->setMagicPattern( (yyvsp[-1].strptr) ); }
#line 7222 "configparser.cc"
    break;

  case 400: /* $@195: %empty  */
#line 780 "configparser.yy"
                                { lconfig_ft1->setUseMagic( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7228 "configparser.cc"
    break;

  case 402: /* $@196: %empty  */
#line 781 "configparser.yy"
                                       { lconfig_ft1->setMagicCompressed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7234 "configparser.cc"
    break;

  case 404: /* $@197: %empty  */
#line 782 "configparser.yy"
                                 { lconfig_ft1->setMagicMime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7240 "configparser.cc"
    break;

  case 406: /* $@198: %empty  */
#line 783 "configparser.yy"
                                       { lconfig_ft1->setMagicIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7246 "configparser.cc"
    break;

  case 408: /* $@199: %empty  */
#line 784 "configparser.yy"
                                               { lconfig_ft1->setPatternIsCommaSeparated( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7252 "configparser.cc"
    break;

  case 410: /* $@200: %empty  */
#line 785 "configparser.yy"
                                   { lconfig_ft1->setPriority( (yyvsp[-1].num) ); }
#line 7258 "configparser.cc"
    break;

  case 413: /* $@201: %empty  */
#line 788 "configparser.yy"
                                 { lconfig_ft1->setFiledesc( (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 7264 "configparser.cc"
    break;

  case 416: /* ft_type: NORMAL_WCP  */
#line 791 "configparser.yy"
                   { (yyval.num) = NORMALTYPE; }
#line 7270 "configparser.cc"
    break;

  case 417: /* ft_type: NOTYETCHECKED_WCP  */
#line 792 "configparser.yy"
                          { (yyval.num) = NOTYETTYPE; }
#line 7276 "configparser.cc"
    break;

  case 418: /* ft_type: UNKNOWN_WCP  */
#line 793 "configparser.yy"
                    { (yyval.num) = UNKNOWNTYPE; }
#line 7282 "configparser.cc"
    break;

  case 419: /* ft_type: NOSELECT_WCP  */
#line 794 "configparser.yy"
                     { (yyval.num) = VOIDTYPE; }
#line 7288 "configparser.cc"
    break;

  case 420: /* ft_type: DIR_WCP  */
#line 795 "configparser.yy"
                { (yyval.num) = DIRTYPE; }
#line 7294 "configparser.cc"
    break;

  case 421: /* $@202: %empty  */
#line 798 "configparser.yy"
                                 { lconfig_listcom.clear(); }
#line 7300 "configparser.cc"
    break;

  case 422: /* $@203: %empty  */
#line 799 "configparser.yy"
                                   { lconfig_ft1->setDNDActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7308 "configparser.cc"
    break;

  case 424: /* $@204: %empty  */
#line 802 "configparser.yy"
                                { lconfig_listcom.clear(); }
#line 7314 "configparser.cc"
    break;

  case 425: /* $@205: %empty  */
#line 803 "configparser.yy"
                                   { lconfig_ft1->setDoubleClickActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7322 "configparser.cc"
    break;

  case 427: /* $@206: %empty  */
#line 806 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7328 "configparser.cc"
    break;

  case 428: /* $@207: %empty  */
#line 807 "configparser.yy"
                                   { lconfig_ft1->setShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7336 "configparser.cc"
    break;

  case 430: /* $@208: %empty  */
#line 810 "configparser.yy"
                                     { lconfig_listcom.clear(); }
#line 7342 "configparser.cc"
    break;

  case 431: /* $@209: %empty  */
#line 811 "configparser.yy"
                                   { lconfig_ft1->setRawShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7350 "configparser.cc"
    break;

  case 433: /* $@210: %empty  */
#line 814 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7356 "configparser.cc"
    break;

  case 434: /* $@211: %empty  */
#line 815 "configparser.yy"
                                   { lconfig_ft1->setUserActions( (yyvsp[-4].num), lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7364 "configparser.cc"
    break;

  case 436: /* $@212: %empty  */
#line 818 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7370 "configparser.cc"
    break;

  case 437: /* $@213: %empty  */
#line 821 "configparser.yy"
                                                  { lconfig_ft1->setCustomActions( (yyvsp[-6].strptr), lconfig_listcom );
                                                    lconfig_listcom.clear();
                               }
#line 7378 "configparser.cc"
    break;

  case 444: /* $@214: %empty  */
#line 832 "configparser.yy"
                                 { lconfig_hk1 = new WCHotkey(); }
#line 7384 "configparser.cc"
    break;

  case 445: /* $@215: %empty  */
#line 833 "configparser.yy"
                              { lconfig_listh->addElement( lconfig_hk1 );
                            lconfig_hk1 = NULL;
                          }
#line 7392 "configparser.cc"
    break;

  case 448: /* $@216: %empty  */
#line 838 "configparser.yy"
                                 { lconfig_hk1->setName( (yyvsp[-1].strptr) ); }
#line 7398 "configparser.cc"
    break;

  case 450: /* $@217: %empty  */
#line 839 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7404 "configparser.cc"
    break;

  case 451: /* $@218: %empty  */
#line 840 "configparser.yy"
                               { lconfig_hk1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7412 "configparser.cc"
    break;

  case 453: /* $@219: %empty  */
#line 843 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7418 "configparser.cc"
    break;

  case 454: /* $@220: %empty  */
#line 844 "configparser.yy"
                              { lconfig_hk1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7435 "configparser.cc"
    break;

  case 457: /* $@221: %empty  */
#line 858 "configparser.yy"
                                 { lconfig_bt1 = new WCButton(); }
#line 7441 "configparser.cc"
    break;

  case 458: /* $@222: %empty  */
#line 859 "configparser.yy"
                              { lconfig_bt1->setCheck( true );
                            while ( lconfig_listb->size() < ( lconfig_pos + 1 ) ) lconfig_listb->addElement( new WCButton() );
                            lconfig_bt1 = (WCButton*)lconfig_listb->exchangeElement( lconfig_pos, lconfig_bt1 );
                            delete lconfig_bt1;
                            lconfig_bt1 = NULL;
                          }
#line 7452 "configparser.cc"
    break;

  case 461: /* $@223: %empty  */
#line 867 "configparser.yy"
                                 { lconfig_pos = (yyvsp[-1].num);
                           if ( lconfig_pos < 0 ) lconfig_pos = 0;
                           if ( lconfig_pos > 100000 ) lconfig_pos = 100000;
                         }
#line 7461 "configparser.cc"
    break;

  case 463: /* $@224: %empty  */
#line 871 "configparser.yy"
                                { lconfig_bt1->setText( (yyvsp[-1].strptr) ); }
#line 7467 "configparser.cc"
    break;

  case 465: /* $@225: %empty  */
#line 872 "configparser.yy"
                                        { lconfig_bt1->setFG( (yyvsp[-3].num) );
                              lconfig_bt1->setBG( (yyvsp[-1].num) );
                            }
#line 7475 "configparser.cc"
    break;

  case 467: /* $@226: %empty  */
#line 875 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7481 "configparser.cc"
    break;

  case 468: /* $@227: %empty  */
#line 876 "configparser.yy"
                               { lconfig_bt1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7489 "configparser.cc"
    break;

  case 470: /* $@228: %empty  */
#line 879 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7495 "configparser.cc"
    break;

  case 471: /* $@229: %empty  */
#line 880 "configparser.yy"
                              { lconfig_bt1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                             lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7512 "configparser.cc"
    break;

  case 474: /* $@230: %empty  */
#line 895 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_GLOBAL, (yyvsp[-1].strptr) );
      }
#line 7523 "configparser.cc"
    break;

  case 476: /* $@231: %empty  */
#line 902 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_BUTTONS, (yyvsp[-1].strptr) );
      }
#line 7534 "configparser.cc"
    break;

  case 478: /* $@232: %empty  */
#line 909 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_LEFT, (yyvsp[-1].strptr) );
      }
#line 7545 "configparser.cc"
    break;

  case 480: /* $@233: %empty  */
#line 916 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_RIGHT, (yyvsp[-1].strptr) );
      }
#line 7556 "configparser.cc"
    break;

  case 482: /* $@234: %empty  */
#line 923 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_TEXTVIEW, (yyvsp[-1].strptr) );
      }
#line 7567 "configparser.cc"
    break;

  case 484: /* $@235: %empty  */
#line 930 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_STATEBAR, (yyvsp[-1].strptr) );
      }
#line 7578 "configparser.cc"
    break;

  case 486: /* $@236: %empty  */
#line 937 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 6, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_TEXTVIEW_ALT, (yyvsp[-1].strptr) );
      }
#line 7589 "configparser.cc"
    break;

  case 489: /* $@237: %empty  */
#line 946 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_GLOBAL, (yyvsp[-1].strptr) );
         }
#line 7600 "configparser.cc"
    break;

  case 491: /* $@238: %empty  */
#line 953 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_BUTTONS, (yyvsp[-1].strptr) );
         }
#line 7611 "configparser.cc"
    break;

  case 493: /* $@239: %empty  */
#line 960 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_LEFT, (yyvsp[-1].strptr) );
         }
#line 7622 "configparser.cc"
    break;

  case 495: /* $@240: %empty  */
#line 967 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_RIGHT, (yyvsp[-1].strptr) );
         }
#line 7633 "configparser.cc"
    break;

  case 497: /* $@241: %empty  */
#line 974 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_TEXTVIEW, (yyvsp[-1].strptr) );
         }
#line 7644 "configparser.cc"
    break;

  case 499: /* $@242: %empty  */
#line 981 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_STATEBAR, (yyvsp[-1].strptr) );
         }
#line 7655 "configparser.cc"
    break;

  case 501: /* $@243: %empty  */
#line 988 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 6, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_TEXTVIEW_ALT, (yyvsp[-1].strptr) );
         }
#line 7666 "configparser.cc"
    break;

  case 504: /* $@244: %empty  */
#line 997 "configparser.yy"
              {
                  lconfig->setVMMountCommand( (yyvsp[-1].strptr) );
              }
#line 7674 "configparser.cc"
    break;

  case 506: /* $@245: %empty  */
#line 1001 "configparser.yy"
              {
                  lconfig->setVMUnmountCommand( (yyvsp[-1].strptr) );
              }
#line 7682 "configparser.cc"
    break;

  case 508: /* $@246: %empty  */
#line 1005 "configparser.yy"
              {
                  lconfig->setVMEjectCommand( (yyvsp[-1].strptr) );
              }
#line 7690 "configparser.cc"
    break;

  case 510: /* $@247: %empty  */
#line 1009 "configparser.yy"
              {
                  lconfig->setVMCloseTrayCommand( (yyvsp[-1].strptr) );
              }
#line 7698 "configparser.cc"
    break;

  case 512: /* $@248: %empty  */
#line 1013 "configparser.yy"
              {
                  lconfig->setVMFStabFile( (yyvsp[-1].strptr) );
              }
#line 7706 "configparser.cc"
    break;

  case 514: /* $@249: %empty  */
#line 1017 "configparser.yy"
              {
                  lconfig->setVMMtabFile( (yyvsp[-1].strptr) );
              }
#line 7714 "configparser.cc"
    break;

  case 516: /* $@250: %empty  */
#line 1021 "configparser.yy"
              {
                  lconfig->setVMPartitionFile( (yyvsp[-1].strptr) );
              }
#line 7722 "configparser.cc"
    break;

  case 518: /* $@251: %empty  */
#line 1025 "configparser.yy"
              {
                  lconfig->setVMRequestAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false );
              }
#line 7730 "configparser.cc"
    break;

  case 520: /* $@252: %empty  */
#line 1029 "configparser.yy"
              {
                  lconfig->setVMPreferredUdisksVersion( (yyvsp[-1].num) );
              }
#line 7738 "configparser.cc"
    break;

  case 523: /* $@253: %empty  */
#line 1034 "configparser.yy"
                                          { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIMERAM ); }
#line 7744 "configparser.cc"
    break;

  case 525: /* $@254: %empty  */
#line 1035 "configparser.yy"
                                     { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIME ); }
#line 7750 "configparser.cc"
    break;

  case 527: /* $@255: %empty  */
#line 1036 "configparser.yy"
                                        { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_VERSION ); }
#line 7756 "configparser.cc"
    break;

  case 529: /* $@256: %empty  */
#line 1037 "configparser.yy"
                                       { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_EXTERN ); }
#line 7762 "configparser.cc"
    break;

  case 531: /* $@257: %empty  */
#line 1038 "configparser.yy"
                                         { lconfig->setClockbarUpdatetime( (yyvsp[-1].num) ); }
#line 7768 "configparser.cc"
    break;

  case 533: /* $@258: %empty  */
#line 1039 "configparser.yy"
                                         { lconfig->setClockbarCommand( (yyvsp[-1].strptr) ); }
#line 7774 "configparser.cc"
    break;

  case 535: /* $@259: %empty  */
#line 1040 "configparser.yy"
                                     { lconfig->setClockbarHints( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7780 "configparser.cc"
    break;

  case 538: /* bool: YES_WCP  */
#line 1043 "configparser.yy"
             { (yyval.num) = 1; }
#line 7786 "configparser.cc"
    break;

  case 539: /* bool: NO_WCP  */
#line 1044 "configparser.yy"
            { (yyval.num) = 0; }
#line 7792 "configparser.cc"
    break;

  case 613: /* $@260: %empty  */
#line 1120 "configparser.yy"
                              { lconfig_fp1 = std::make_shared< OwnOp >(); }
#line 7798 "configparser.cc"
    break;

  case 614: /* ownop: OWNOP_WCP LEFTBRACE_WCP $@260 ownopbody RIGHTBRACE_WCP  */
#line 1121 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7804 "configparser.cc"
    break;

  case 615: /* $@261: %empty  */
#line 1123 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setComStr( (yyvsp[-1].strptr) ); }
#line 7810 "configparser.cc"
    break;

  case 617: /* $@262: %empty  */
#line 1124 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setSeparateEachEntry( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7816 "configparser.cc"
    break;

  case 619: /* $@263: %empty  */
#line 1125 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7822 "configparser.cc"
    break;

  case 621: /* $@264: %empty  */
#line 1126 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL ); }
#line 7828 "configparser.cc"
    break;

  case 623: /* $@265: %empty  */
#line 1127 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 7834 "configparser.cc"
    break;

  case 625: /* $@266: %empty  */
#line 1128 "configparser.yy"
                                        { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT ); }
#line 7840 "configparser.cc"
    break;

  case 627: /* $@267: %empty  */
#line 1129 "configparser.yy"
                                           { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT_INT ); }
#line 7846 "configparser.cc"
    break;

  case 629: /* $@268: %empty  */
#line 1130 "configparser.yy"
                                                 { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT_OTHER_SIDE ); }
#line 7852 "configparser.cc"
    break;

  case 631: /* $@269: %empty  */
#line 1131 "configparser.yy"
                                                       { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT_CUSTOM_ATTRIBUTE ); }
#line 7858 "configparser.cc"
    break;

  case 633: /* $@270: %empty  */
#line 1132 "configparser.yy"
                                    { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_NORMAL ); }
#line 7864 "configparser.cc"
    break;

  case 635: /* $@271: %empty  */
#line 1133 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 7870 "configparser.cc"
    break;

  case 637: /* $@272: %empty  */
#line 1134 "configparser.yy"
                                     { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7876 "configparser.cc"
    break;

  case 639: /* $@273: %empty  */
#line 1135 "configparser.yy"
                                 { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7882 "configparser.cc"
    break;

  case 641: /* $@274: %empty  */
#line 1136 "configparser.yy"
                               { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7888 "configparser.cc"
    break;

  case 643: /* $@275: %empty  */
#line 1137 "configparser.yy"
                                                { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setUseVirtualTempCopies( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7894 "configparser.cc"
    break;

  case 645: /* $@276: %empty  */
#line 1138 "configparser.yy"
                                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setFlagsAreRelativeToBaseDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7900 "configparser.cc"
    break;

  case 647: /* $@277: %empty  */
#line 1139 "configparser.yy"
                                     { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setFollowActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7906 "configparser.cc"
    break;

  case 649: /* $@278: %empty  */
#line 1140 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setWatchFile( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7912 "configparser.cc"
    break;

  case 652: /* $@279: %empty  */
#line 1143 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DNDAction>(); }
#line 7918 "configparser.cc"
    break;

  case 653: /* dndaction: DNDACTION_WCP LEFTBRACE_WCP $@279 RIGHTBRACE_WCP  */
#line 1144 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7924 "configparser.cc"
    break;

  case 654: /* $@280: %empty  */
#line 1146 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DoubleClickAction>(); }
#line 7930 "configparser.cc"
    break;

  case 655: /* dcaction: DCACTION_WCP LEFTBRACE_WCP $@280 RIGHTBRACE_WCP  */
#line 1147 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7936 "configparser.cc"
    break;

  case 656: /* $@281: %empty  */
#line 1149 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<ShowAction>(); }
#line 7942 "configparser.cc"
    break;

  case 657: /* showaction: SHOWACTION_WCP LEFTBRACE_WCP $@281 RIGHTBRACE_WCP  */
#line 1150 "configparser.yy"
                          { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7948 "configparser.cc"
    break;

  case 658: /* $@282: %empty  */
#line 1152 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<RawShowAction>(); }
#line 7954 "configparser.cc"
    break;

  case 659: /* rshowaction: RSHOWACTION_WCP LEFTBRACE_WCP $@282 RIGHTBRACE_WCP  */
#line 1153 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7960 "configparser.cc"
    break;

  case 660: /* $@283: %empty  */
#line 1155 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<UserAction>(); }
#line 7966 "configparser.cc"
    break;

  case 661: /* useraction: USERACTION_WCP LEFTBRACE_WCP $@283 useractionbody RIGHTBRACE_WCP  */
#line 1156 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7972 "configparser.cc"
    break;

  case 662: /* $@284: %empty  */
#line 1158 "configparser.yy"
                                             { std::dynamic_pointer_cast<UserAction>(lconfig_fp1)->setNr( (yyvsp[-1].num) ); }
#line 7978 "configparser.cc"
    break;

  case 665: /* $@285: %empty  */
#line 1161 "configparser.yy"
                              { auto tfp = std::make_shared< ScriptOp >();
                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                tfp->setCommandStr( "up" );
                                lconfig_fp1 = tfp;
                              }
#line 7988 "configparser.cc"
    break;

  case 666: /* rowup: ROWUP_WCP LEFTBRACE_WCP $@285 RIGHTBRACE_WCP  */
#line 1166 "configparser.yy"
                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7994 "configparser.cc"
    break;

  case 667: /* $@286: %empty  */
#line 1168 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "down" );
                                    lconfig_fp1 = tfp;
                                  }
#line 8004 "configparser.cc"
    break;

  case 668: /* rowdown: ROWDOWN_WCP LEFTBRACE_WCP $@286 RIGHTBRACE_WCP  */
#line 1173 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8010 "configparser.cc"
    break;

  case 669: /* $@287: %empty  */
#line 1175 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<ChangeHiddenFlag>(); }
#line 8016 "configparser.cc"
    break;

  case 670: /* changehiddenflag: CHANGEHIDDENFLAG_WCP LEFTBRACE_WCP $@287 changehiddenflagbody RIGHTBRACE_WCP  */
#line 1176 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8022 "configparser.cc"
    break;

  case 671: /* $@288: %empty  */
#line 1178 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 2 ); }
#line 8028 "configparser.cc"
    break;

  case 673: /* $@289: %empty  */
#line 1179 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 1 ); }
#line 8034 "configparser.cc"
    break;

  case 675: /* $@290: %empty  */
#line 1180 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 0 ); }
#line 8040 "configparser.cc"
    break;

  case 678: /* $@291: %empty  */
#line 1183 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<CopyOp>(); }
#line 8046 "configparser.cc"
    break;

  case 679: /* copyop: COPYOP_WCP LEFTBRACE_WCP $@291 copyopbody RIGHTBRACE_WCP  */
#line 1184 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8052 "configparser.cc"
    break;

  case 680: /* $@292: %empty  */
#line 1186 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setFollowSymlinks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8058 "configparser.cc"
    break;

  case 682: /* $@293: %empty  */
#line 1187 "configparser.yy"
                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setMove( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8064 "configparser.cc"
    break;

  case 684: /* $@294: %empty  */
#line 1188 "configparser.yy"
                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRename( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8070 "configparser.cc"
    break;

  case 686: /* $@295: %empty  */
#line 1189 "configparser.yy"
                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8076 "configparser.cc"
    break;

  case 688: /* $@296: %empty  */
#line 1190 "configparser.yy"
                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestDest( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8082 "configparser.cc"
    break;

  case 690: /* $@297: %empty  */
#line 1191 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8088 "configparser.cc"
    break;

  case 692: /* $@298: %empty  */
#line 1192 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_ALWAYS ); }
#line 8094 "configparser.cc"
    break;

  case 694: /* $@299: %empty  */
#line 1193 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NEVER ); }
#line 8100 "configparser.cc"
    break;

  case 696: /* $@300: %empty  */
#line 1194 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NORMAL ); }
#line 8106 "configparser.cc"
    break;

  case 698: /* $@301: %empty  */
#line 1195 "configparser.yy"
                                        {}
#line 8112 "configparser.cc"
    break;

  case 700: /* $@302: %empty  */
#line 1196 "configparser.yy"
                                      {}
#line 8118 "configparser.cc"
    break;

  case 702: /* $@303: %empty  */
#line 1197 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setPreserveAttr( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8124 "configparser.cc"
    break;

  case 704: /* $@304: %empty  */
#line 1198 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_NEVER ); }
#line 8130 "configparser.cc"
    break;

  case 706: /* $@305: %empty  */
#line 1199 "configparser.yy"
                                                       { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_OUTSIDE ); }
#line 8136 "configparser.cc"
    break;

  case 708: /* $@306: %empty  */
#line 1200 "configparser.yy"
                                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_ALWAYS ); }
#line 8142 "configparser.cc"
    break;

  case 710: /* $@307: %empty  */
#line 1201 "configparser.yy"
                                                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( LEAVE_PERMISSIONS_UNMODIFIED ); }
#line 8148 "configparser.cc"
    break;

  case 712: /* $@308: %empty  */
#line 1202 "configparser.yy"
                                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_PERMISSION ); }
#line 8154 "configparser.cc"
    break;

  case 714: /* $@309: %empty  */
#line 1203 "configparser.yy"
                                                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_GROUP_R_PERMISSION ); }
#line 8160 "configparser.cc"
    break;

  case 716: /* $@310: %empty  */
#line 1204 "configparser.yy"
                                                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_ALL_R_PERMISSION ); }
#line 8166 "configparser.cc"
    break;

  case 718: /* $@311: %empty  */
#line 1205 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setVdirPreserveDirStructure( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8172 "configparser.cc"
    break;

  case 721: /* $@312: %empty  */
#line 1208 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "first" );
                                      lconfig_fp1 = tfp;
                                    }
#line 8182 "configparser.cc"
    break;

  case 722: /* firstrow: FIRSTROW_WCP LEFTBRACE_WCP $@312 RIGHTBRACE_WCP  */
#line 1213 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8188 "configparser.cc"
    break;

  case 723: /* $@313: %empty  */
#line 1215 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "last" );
                                    lconfig_fp1 = tfp;
                                  }
#line 8198 "configparser.cc"
    break;

  case 724: /* lastrow: LASTROW_WCP LEFTBRACE_WCP $@313 RIGHTBRACE_WCP  */
#line 1220 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8204 "configparser.cc"
    break;

  case 725: /* $@314: %empty  */
#line 1222 "configparser.yy"
                                { auto tfp = std::make_shared< ScriptOp >();
                                  tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                  tfp->setCommandStr( "pageup" );
                                  lconfig_fp1 = tfp;
                                }
#line 8214 "configparser.cc"
    break;

  case 726: /* pageup: PAGEUP_WCP LEFTBRACE_WCP $@314 RIGHTBRACE_WCP  */
#line 1227 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8220 "configparser.cc"
    break;

  case 727: /* $@315: %empty  */
#line 1229 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "pagedown" );
                                      lconfig_fp1 = tfp;
                                    }
#line 8230 "configparser.cc"
    break;

  case 728: /* pagedown: PAGEDOWN_WCP LEFTBRACE_WCP $@315 RIGHTBRACE_WCP  */
#line 1234 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8236 "configparser.cc"
    break;

  case 729: /* $@316: %empty  */
#line 1236 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "selectentry" );
                                      lconfig_fp1 = tfp;
                                    }
#line 8246 "configparser.cc"
    break;

  case 730: /* selectop: SELECTOP_WCP LEFTBRACE_WCP $@316 RIGHTBRACE_WCP  */
#line 1241 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8252 "configparser.cc"
    break;

  case 731: /* $@317: %empty  */
#line 1243 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "selectall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 8262 "configparser.cc"
    break;

  case 732: /* selectallop: SELECTALLOP_WCP LEFTBRACE_WCP $@317 RIGHTBRACE_WCP  */
#line 1248 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8268 "configparser.cc"
    break;

  case 733: /* $@318: %empty  */
#line 1250 "configparser.yy"
                                            { auto tfp = std::make_shared< ScriptOp >();
                                              tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                              tfp->setCommandStr( "selectnone" );
                                              lconfig_fp1 = tfp;
                                            }
#line 8278 "configparser.cc"
    break;

  case 734: /* selectnoneop: SELECTNONEOP_WCP LEFTBRACE_WCP $@318 RIGHTBRACE_WCP  */
#line 1255 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8284 "configparser.cc"
    break;

  case 735: /* $@319: %empty  */
#line 1257 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "invertall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 8294 "configparser.cc"
    break;

  case 736: /* invertallop: INVERTALLOP_WCP LEFTBRACE_WCP $@319 RIGHTBRACE_WCP  */
#line 1262 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8300 "configparser.cc"
    break;

  case 737: /* $@320: %empty  */
#line 1264 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "parentdir" );
                                            lconfig_fp1 = tfp;
                                          }
#line 8310 "configparser.cc"
    break;

  case 738: /* parentdirop: PARENTDIROP_WCP LEFTBRACE_WCP $@320 RIGHTBRACE_WCP  */
#line 1269 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8316 "configparser.cc"
    break;

  case 739: /* $@321: %empty  */
#line 1271 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<EnterDirOp>(); }
#line 8322 "configparser.cc"
    break;

  case 740: /* enterdirop: ENTERDIROP_WCP LEFTBRACE_WCP $@321 enterdiropbody RIGHTBRACE_WCP  */
#line 1272 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8328 "configparser.cc"
    break;

  case 741: /* $@322: %empty  */
#line 1274 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setDir( (yyvsp[-1].strptr) ); }
#line 8334 "configparser.cc"
    break;

  case 743: /* $@323: %empty  */
#line 1275 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE ); }
#line 8340 "configparser.cc"
    break;

  case 745: /* $@324: %empty  */
#line 1276 "configparser.yy"
                                              { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE2OTHER ); }
#line 8346 "configparser.cc"
    break;

  case 747: /* $@325: %empty  */
#line 1277 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_SPECIAL ); }
#line 8352 "configparser.cc"
    break;

  case 749: /* $@326: %empty  */
#line 1278 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_REQUEST ); }
#line 8358 "configparser.cc"
    break;

  case 752: /* $@327: %empty  */
#line 1281 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ChangeListerSetOp>(); }
#line 8364 "configparser.cc"
    break;

  case 753: /* changelistersetop: CHANGELISTERSETOP_WCP LEFTBRACE_WCP $@327 changelistersetopbody RIGHTBRACE_WCP  */
#line 1282 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8370 "configparser.cc"
    break;

  case 754: /* $@328: %empty  */
#line 1284 "configparser.yy"
                                             { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_LEFT_LISTER ); }
#line 8376 "configparser.cc"
    break;

  case 756: /* $@329: %empty  */
#line 1285 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_RIGHT_LISTER ); }
#line 8382 "configparser.cc"
    break;

  case 758: /* $@330: %empty  */
#line 1286 "configparser.yy"
                                                { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_CURRENT_LISTER ); }
#line 8388 "configparser.cc"
    break;

  case 760: /* $@331: %empty  */
#line 1287 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_OTHER_LISTER ); }
#line 8394 "configparser.cc"
    break;

  case 763: /* $@332: %empty  */
#line 1290 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<SwitchListerOp>(); }
#line 8400 "configparser.cc"
    break;

  case 764: /* switchlisterop: SWITCHLISTEROP_WCP LEFTBRACE_WCP $@332 RIGHTBRACE_WCP  */
#line 1291 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8406 "configparser.cc"
    break;

  case 765: /* $@333: %empty  */
#line 1293 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<FilterSelectOp>(); }
#line 8412 "configparser.cc"
    break;

  case 766: /* filterselectop: FILTERSELECTOP_WCP LEFTBRACE_WCP $@333 filterselectopbody RIGHTBRACE_WCP  */
#line 1294 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8418 "configparser.cc"
    break;

  case 767: /* $@334: %empty  */
#line 1296 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8424 "configparser.cc"
    break;

  case 769: /* $@335: %empty  */
#line 1297 "configparser.yy"
                                            { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8430 "configparser.cc"
    break;

  case 771: /* $@336: %empty  */
#line 1298 "configparser.yy"
                                                        { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8436 "configparser.cc"
    break;

  case 774: /* $@337: %empty  */
#line 1301 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<FilterUnSelectOp>(); }
#line 8442 "configparser.cc"
    break;

  case 775: /* filterunselectop: FILTERUNSELECTOP_WCP LEFTBRACE_WCP $@337 filterunselectopbody RIGHTBRACE_WCP  */
#line 1302 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8448 "configparser.cc"
    break;

  case 776: /* $@338: %empty  */
#line 1304 "configparser.yy"
                                                { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8454 "configparser.cc"
    break;

  case 778: /* $@339: %empty  */
#line 1305 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8460 "configparser.cc"
    break;

  case 780: /* $@340: %empty  */
#line 1306 "configparser.yy"
                                                          { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8466 "configparser.cc"
    break;

  case 783: /* $@341: %empty  */
#line 1309 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<Path2OSideOp>(); }
#line 8472 "configparser.cc"
    break;

  case 784: /* pathtoothersideop: PATHTOOTHERSIDEOP_WCP LEFTBRACE_WCP $@341 RIGHTBRACE_WCP  */
#line 1310 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8478 "configparser.cc"
    break;

  case 785: /* $@342: %empty  */
#line 1312 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<QuitOp>(); }
#line 8484 "configparser.cc"
    break;

  case 786: /* quitop: QUITOP_WCP LEFTBRACE_WCP $@342 quitopbody RIGHTBRACE_WCP  */
#line 1313 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8490 "configparser.cc"
    break;

  case 787: /* $@343: %empty  */
#line 1315 "configparser.yy"
                                    { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_NORMAL_QUIT ); }
#line 8496 "configparser.cc"
    break;

  case 789: /* $@344: %empty  */
#line 1316 "configparser.yy"
                                   { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_QUICK_QUIT ); }
#line 8502 "configparser.cc"
    break;

  case 792: /* $@345: %empty  */
#line 1319 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DeleteOp>(); }
#line 8508 "configparser.cc"
    break;

  case 793: /* deleteop: DELETEOP_WCP LEFTBRACE_WCP $@345 deleteopbody RIGHTBRACE_WCP  */
#line 1320 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8514 "configparser.cc"
    break;

  case 794: /* $@346: %empty  */
#line 1322 "configparser.yy"
                                      { std::dynamic_pointer_cast<DeleteOp>(lconfig_fp1)->setAlsoActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8520 "configparser.cc"
    break;

  case 797: /* $@347: %empty  */
#line 1325 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ReloadOp>(); }
#line 8526 "configparser.cc"
    break;

  case 798: /* reloadop: RELOADOP_WCP LEFTBRACE_WCP $@347 reloadopbody RIGHTBRACE_WCP  */
#line 1326 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8532 "configparser.cc"
    break;

  case 799: /* $@348: %empty  */
#line 1328 "configparser.yy"
                                    { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_LEFTSIDE ); }
#line 8538 "configparser.cc"
    break;

  case 801: /* $@349: %empty  */
#line 1329 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_RIGHTSIDE ); }
#line 8544 "configparser.cc"
    break;

  case 803: /* $@350: %empty  */
#line 1330 "configparser.yy"
                                       { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_THISSIDE ); }
#line 8550 "configparser.cc"
    break;

  case 805: /* $@351: %empty  */
#line 1331 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_OTHERSIDE ); }
#line 8556 "configparser.cc"
    break;

  case 807: /* $@352: %empty  */
#line 1332 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setResetDirSizes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8562 "configparser.cc"
    break;

  case 809: /* $@353: %empty  */
#line 1333 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setKeepFiletypes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8568 "configparser.cc"
    break;

  case 812: /* $@354: %empty  */
#line 1336 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<MakeDirOp>(); }
#line 8574 "configparser.cc"
    break;

  case 813: /* makedirop: MAKEDIROP_WCP LEFTBRACE_WCP $@354 RIGHTBRACE_WCP  */
#line 1337 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8580 "configparser.cc"
    break;

  case 814: /* $@355: %empty  */
#line 1339 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<RenameOp>(); }
#line 8586 "configparser.cc"
    break;

  case 815: /* renameop: RENAMEOP_WCP LEFTBRACE_WCP $@355 RIGHTBRACE_WCP  */
#line 1340 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8592 "configparser.cc"
    break;

  case 816: /* $@356: %empty  */
#line 1342 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DirSizeOp>(); }
#line 8598 "configparser.cc"
    break;

  case 817: /* dirsizeop: DIRSIZEOP_WCP LEFTBRACE_WCP $@356 RIGHTBRACE_WCP  */
#line 1343 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8604 "configparser.cc"
    break;

  case 818: /* $@357: %empty  */
#line 1345 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "simulate_doubleclick" );
                                    lconfig_fp1 = tfp;
                                  }
#line 8614 "configparser.cc"
    break;

  case 819: /* simddop: SIMDDOP_WCP LEFTBRACE_WCP $@357 RIGHTBRACE_WCP  */
#line 1350 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8620 "configparser.cc"
    break;

  case 820: /* $@358: %empty  */
#line 1352 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<StartProgOp>(); }
#line 8626 "configparser.cc"
    break;

  case 821: /* startprogop: STARTPROGOP_WCP LEFTBRACE_WCP $@358 startprogopbody RIGHTBRACE_WCP  */
#line 1353 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8632 "configparser.cc"
    break;

  case 822: /* $@359: %empty  */
#line 1355 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL ); }
#line 8638 "configparser.cc"
    break;

  case 824: /* $@360: %empty  */
#line 1356 "configparser.yy"
                                                { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 8644 "configparser.cc"
    break;

  case 826: /* $@361: %empty  */
#line 1357 "configparser.yy"
                                              { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT ); }
#line 8650 "configparser.cc"
    break;

  case 828: /* $@362: %empty  */
#line 1358 "configparser.yy"
                                                 { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT_INT ); }
#line 8656 "configparser.cc"
    break;

  case 830: /* $@363: %empty  */
#line 1359 "configparser.yy"
                                                       { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT_OTHER_SIDE ); }
#line 8662 "configparser.cc"
    break;

  case 832: /* $@364: %empty  */
#line 1360 "configparser.yy"
                                                             { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT_CUSTOM_ATTRIBUTE ); }
#line 8668 "configparser.cc"
    break;

  case 834: /* $@365: %empty  */
#line 1361 "configparser.yy"
                                          { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_NORMAL ); }
#line 8674 "configparser.cc"
    break;

  case 836: /* $@366: %empty  */
#line 1362 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 8680 "configparser.cc"
    break;

  case 838: /* $@367: %empty  */
#line 1363 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setGlobal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8686 "configparser.cc"
    break;

  case 840: /* $@368: %empty  */
#line 1364 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8692 "configparser.cc"
    break;

  case 842: /* $@369: %empty  */
#line 1365 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8698 "configparser.cc"
    break;

  case 844: /* $@370: %empty  */
#line 1366 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8704 "configparser.cc"
    break;

  case 846: /* $@371: %empty  */
#line 1367 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setFollowActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8710 "configparser.cc"
    break;

  case 848: /* $@372: %empty  */
#line 1368 "configparser.yy"
                                        { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setWatchFile( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8716 "configparser.cc"
    break;

  case 850: /* $@373: %empty  */
#line 1369 "configparser.yy"
                                                { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setSeparateEachEntry( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8722 "configparser.cc"
    break;

  case 853: /* $@374: %empty  */
#line 1372 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SearchEntryOp>(); }
#line 8728 "configparser.cc"
    break;

  case 854: /* searchentryop: SEARCHENTRYOP_WCP LEFTBRACE_WCP $@374 searchentryopbody RIGHTBRACE_WCP  */
#line 1373 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8734 "configparser.cc"
    break;

  case 855: /* $@375: %empty  */
#line 1375 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8740 "configparser.cc"
    break;

  case 857: /* $@376: %empty  */
#line 1376 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setReverseSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8746 "configparser.cc"
    break;

  case 859: /* $@377: %empty  */
#line 1377 "configparser.yy"
                                            { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setInfixSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8752 "configparser.cc"
    break;

  case 861: /* $@378: %empty  */
#line 1378 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setFlexibleMatch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8758 "configparser.cc"
    break;

  case 863: /* $@379: %empty  */
#line 1379 "configparser.yy"
                                                        { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setStartSearchString( (yyvsp[-1].strptr) ); }
#line 8764 "configparser.cc"
    break;

  case 865: /* $@380: %empty  */
#line 1380 "configparser.yy"
                                          { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setApplyOnly( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8770 "configparser.cc"
    break;

  case 868: /* $@381: %empty  */
#line 1383 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<EnterPathOp>(); }
#line 8776 "configparser.cc"
    break;

  case 869: /* enterpathop: ENTERPATHOP_WCP LEFTBRACE_WCP $@381 enterpathopbody RIGHTBRACE_WCP  */
#line 1384 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8782 "configparser.cc"
    break;

  case 870: /* $@382: %empty  */
#line 1386 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_LEFTSIDE ); }
#line 8788 "configparser.cc"
    break;

  case 872: /* $@383: %empty  */
#line 1387 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_RIGHTSIDE ); }
#line 8794 "configparser.cc"
    break;

  case 874: /* $@384: %empty  */
#line 1388 "configparser.yy"
                                          { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_THISSIDE ); }
#line 8800 "configparser.cc"
    break;

  case 876: /* $@385: %empty  */
#line 1389 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_OTHERSIDE ); }
#line 8806 "configparser.cc"
    break;

  case 879: /* $@386: %empty  */
#line 1392 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ScrollListerOp>(); }
#line 8812 "configparser.cc"
    break;

  case 880: /* scrolllisterop: SCROLLLISTEROP_WCP LEFTBRACE_WCP $@386 scrolllisteropbody RIGHTBRACE_WCP  */
#line 1393 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8818 "configparser.cc"
    break;

  case 881: /* $@387: %empty  */
#line 1395 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_LEFT ); }
#line 8824 "configparser.cc"
    break;

  case 883: /* $@388: %empty  */
#line 1396 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_RIGHT ); }
#line 8830 "configparser.cc"
    break;

  case 886: /* $@389: %empty  */
#line 1399 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<CreateSymlinkOp>(); }
#line 8836 "configparser.cc"
    break;

  case 887: /* createsymlinkop: CREATESYMLINKOP_WCP LEFTBRACE_WCP $@389 createsymlinkopbody RIGHTBRACE_WCP  */
#line 1400 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8842 "configparser.cc"
    break;

  case 888: /* $@390: %empty  */
#line 1402 "configparser.yy"
                                          { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8848 "configparser.cc"
    break;

  case 890: /* $@391: %empty  */
#line 1403 "configparser.yy"
                                           { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setLocal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8854 "configparser.cc"
    break;

  case 892: /* $@392: %empty  */
#line 1404 "configparser.yy"
                                               { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8860 "configparser.cc"
    break;

  case 895: /* $@393: %empty  */
#line 1407 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<ChangeSymlinkOp>(); }
#line 8866 "configparser.cc"
    break;

  case 896: /* changesymlinkop: CHANGESYMLINKOP_WCP LEFTBRACE_WCP $@393 changesymlinkopbody RIGHTBRACE_WCP  */
#line 1408 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8872 "configparser.cc"
    break;

  case 897: /* $@394: %empty  */
#line 1410 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_EDIT ); }
#line 8878 "configparser.cc"
    break;

  case 899: /* $@395: %empty  */
#line 1411 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_ABSOLUTE ); }
#line 8884 "configparser.cc"
    break;

  case 901: /* $@396: %empty  */
#line 1412 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_RELATIVE ); }
#line 8890 "configparser.cc"
    break;

  case 904: /* $@397: %empty  */
#line 1415 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChModOp>(); }
#line 8896 "configparser.cc"
    break;

  case 905: /* chmodop: CHMODOP_WCP LEFTBRACE_WCP $@397 chmodopbody RIGHTBRACE_WCP  */
#line 1416 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8902 "configparser.cc"
    break;

  case 906: /* $@398: %empty  */
#line 1418 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8908 "configparser.cc"
    break;

  case 908: /* $@399: %empty  */
#line 1419 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8914 "configparser.cc"
    break;

  case 910: /* $@400: %empty  */
#line 1420 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8920 "configparser.cc"
    break;

  case 912: /* $@401: %empty  */
#line 1421 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8926 "configparser.cc"
    break;

  case 914: /* $@402: %empty  */
#line 1422 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ASK_PERMISSIONS ); }
#line 8932 "configparser.cc"
    break;

  case 916: /* $@403: %empty  */
#line 1423 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_SET_PERMISSIONS ); }
#line 8938 "configparser.cc"
    break;

  case 918: /* $@404: %empty  */
#line 1424 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ADD_PERMISSIONS ); }
#line 8944 "configparser.cc"
    break;

  case 920: /* $@405: %empty  */
#line 1425 "configparser.yy"
                                          { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_REMOVE_PERMISSIONS ); }
#line 8950 "configparser.cc"
    break;

  case 922: /* $@406: %empty  */
#line 1426 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setPermissions( (yyvsp[-1].strptr) ); }
#line 8956 "configparser.cc"
    break;

  case 925: /* $@407: %empty  */
#line 1429 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ChTimeOp>(); }
#line 8962 "configparser.cc"
    break;

  case 926: /* chtimeop: CHTIMEOP_WCP LEFTBRACE_WCP $@407 chtimeopbody RIGHTBRACE_WCP  */
#line 1430 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8968 "configparser.cc"
    break;

  case 927: /* $@408: %empty  */
#line 1432 "configparser.yy"
                                   { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8974 "configparser.cc"
    break;

  case 929: /* $@409: %empty  */
#line 1433 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8980 "configparser.cc"
    break;

  case 931: /* $@410: %empty  */
#line 1434 "configparser.yy"
                                     { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8986 "configparser.cc"
    break;

  case 933: /* $@411: %empty  */
#line 1435 "configparser.yy"
                                        { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8992 "configparser.cc"
    break;

  case 936: /* $@412: %empty  */
#line 1438 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ToggleListermodeOp>(); }
#line 8998 "configparser.cc"
    break;

  case 937: /* togglelistermodeop: TOGGLELISTERMODEOP_WCP LEFTBRACE_WCP $@412 togglelistermodeopbody RIGHTBRACE_WCP  */
#line 1439 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9004 "configparser.cc"
    break;

  case 938: /* $@413: %empty  */
#line 1441 "configparser.yy"
                                                { std::dynamic_pointer_cast<ToggleListermodeOp>(lconfig_fp1)->setMode( Worker::getID4Name( (yyvsp[-1].strptr) ) ); }
#line 9010 "configparser.cc"
    break;

  case 941: /* $@414: %empty  */
#line 1444 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SetSortmodeOp>();
                                        std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setMode( 0 );
                                      }
#line 9018 "configparser.cc"
    break;

  case 942: /* setsortmodeop: SETSORTMODEOP_WCP LEFTBRACE_WCP $@414 setsortmodeopbody RIGHTBRACE_WCP  */
#line 1447 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9024 "configparser.cc"
    break;

  case 943: /* $@415: %empty  */
#line 1449 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NAME ); }
#line 9030 "configparser.cc"
    break;

  case 945: /* $@416: %empty  */
#line 1450 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_SIZE ); }
#line 9036 "configparser.cc"
    break;

  case 947: /* $@417: %empty  */
#line 1451 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_ACCTIME ); }
#line 9042 "configparser.cc"
    break;

  case 949: /* $@418: %empty  */
#line 1452 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_MODTIME ); }
#line 9048 "configparser.cc"
    break;

  case 951: /* $@419: %empty  */
#line 1453 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_CHGTIME ); }
#line 9054 "configparser.cc"
    break;

  case 953: /* $@420: %empty  */
#line 1454 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_TYPE ); }
#line 9060 "configparser.cc"
    break;

  case 955: /* $@421: %empty  */
#line 1455 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_OWNER ); }
#line 9066 "configparser.cc"
    break;

  case 957: /* $@422: %empty  */
#line 1456 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_INODE ); }
#line 9072 "configparser.cc"
    break;

  case 959: /* $@423: %empty  */
#line 1457 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NLINK ); }
#line 9078 "configparser.cc"
    break;

  case 961: /* $@424: %empty  */
#line 1458 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_PERMISSION ); }
#line 9084 "configparser.cc"
    break;

  case 963: /* $@425: %empty  */
#line 1459 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_REVERSE ); }
#line 9090 "configparser.cc"
    break;

  case 965: /* $@426: %empty  */
#line 1460 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRLAST ); }
#line 9096 "configparser.cc"
    break;

  case 967: /* $@427: %empty  */
#line 1461 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRMIXED ); }
#line 9102 "configparser.cc"
    break;

  case 969: /* $@428: %empty  */
#line 1462 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_EXTENSION ); }
#line 9108 "configparser.cc"
    break;

  case 971: /* $@429: %empty  */
#line 1463 "configparser.yy"
                                                      { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_CUSTOM_ATTRIBUTE ); }
#line 9114 "configparser.cc"
    break;

  case 974: /* $@430: %empty  */
#line 1466 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<SetFilterOp>(); }
#line 9120 "configparser.cc"
    break;

  case 975: /* setfilterop: SETFILTEROP_WCP LEFTBRACE_WCP $@430 setfilteropbody RIGHTBRACE_WCP  */
#line 1467 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9126 "configparser.cc"
    break;

  case 976: /* $@431: %empty  */
#line 1469 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9132 "configparser.cc"
    break;

  case 978: /* $@432: %empty  */
#line 1470 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::EXCLUDE_FILTER ); }
#line 9138 "configparser.cc"
    break;

  case 980: /* $@433: %empty  */
#line 1471 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::INCLUDE_FILTER ); }
#line 9144 "configparser.cc"
    break;

  case 982: /* $@434: %empty  */
#line 1472 "configparser.yy"
                                        { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_FILTER ); }
#line 9150 "configparser.cc"
    break;

  case 984: /* $@435: %empty  */
#line 1473 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_ALL ); }
#line 9156 "configparser.cc"
    break;

  case 986: /* $@436: %empty  */
#line 1474 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 9162 "configparser.cc"
    break;

  case 988: /* $@437: %empty  */
#line 1475 "configparser.yy"
                                                  { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkLabel( (yyvsp[-1].strptr) ); }
#line 9168 "configparser.cc"
    break;

  case 990: /* $@438: %empty  */
#line 1476 "configparser.yy"
                                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_BOOKMARKS ); }
#line 9174 "configparser.cc"
    break;

  case 992: /* $@439: %empty  */
#line 1477 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_LABEL ); }
#line 9180 "configparser.cc"
    break;

  case 994: /* $@440: %empty  */
#line 1478 "configparser.yy"
                                                    { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ALL ); }
#line 9186 "configparser.cc"
    break;

  case 996: /* $@441: %empty  */
#line 1479 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::SET_OPTION ); }
#line 9192 "configparser.cc"
    break;

  case 998: /* $@442: %empty  */
#line 1480 "configparser.yy"
                                               { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::INVERT_OPTION ); }
#line 9198 "configparser.cc"
    break;

  case 1000: /* $@443: %empty  */
#line 1481 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeFilters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9204 "configparser.cc"
    break;

  case 1002: /* $@444: %empty  */
#line 1482 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeBookmarks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9210 "configparser.cc"
    break;

  case 1004: /* $@445: %empty  */
#line 1483 "configparser.yy"
                                         { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setQueryLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9216 "configparser.cc"
    break;

  case 1007: /* $@446: %empty  */
#line 1486 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ShortkeyFromListOp>(); }
#line 9222 "configparser.cc"
    break;

  case 1008: /* shortkeyfromlistop: SHORTKEYFROMLISTOP_WCP LEFTBRACE_WCP $@446 RIGHTBRACE_WCP  */
#line 1487 "configparser.yy"
                                  { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9228 "configparser.cc"
    break;

  case 1009: /* $@447: %empty  */
#line 1489 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChOwnOp>(); }
#line 9234 "configparser.cc"
    break;

  case 1010: /* chownop: CHOWNOP_WCP LEFTBRACE_WCP $@447 chownopbody RIGHTBRACE_WCP  */
#line 1490 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9240 "configparser.cc"
    break;

  case 1011: /* $@448: %empty  */
#line 1492 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9246 "configparser.cc"
    break;

  case 1013: /* $@449: %empty  */
#line 1493 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9252 "configparser.cc"
    break;

  case 1015: /* $@450: %empty  */
#line 1494 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9258 "configparser.cc"
    break;

  case 1017: /* $@451: %empty  */
#line 1495 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9264 "configparser.cc"
    break;

  case 1020: /* $@452: %empty  */
#line 1498 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ScriptOp>(); }
#line 9270 "configparser.cc"
    break;

  case 1021: /* scriptop: SCRIPTOP_WCP LEFTBRACE_WCP $@452 scriptopbody RIGHTBRACE_WCP  */
#line 1499 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9276 "configparser.cc"
    break;

  case 1022: /* $@453: %empty  */
#line 1501 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_NOP ); }
#line 9282 "configparser.cc"
    break;

  case 1024: /* $@454: %empty  */
#line 1502 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_PUSH ); }
#line 9288 "configparser.cc"
    break;

  case 1026: /* $@455: %empty  */
#line 1503 "configparser.yy"
                                     { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_LABEL ); }
#line 9294 "configparser.cc"
    break;

  case 1028: /* $@456: %empty  */
#line 1504 "configparser.yy"
                                  { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_IF ); }
#line 9300 "configparser.cc"
    break;

  case 1030: /* $@457: %empty  */
#line 1505 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_END ); }
#line 9306 "configparser.cc"
    break;

  case 1032: /* $@458: %empty  */
#line 1506 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_POP ); }
#line 9312 "configparser.cc"
    break;

  case 1034: /* $@459: %empty  */
#line 1507 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_SETTINGS ); }
#line 9318 "configparser.cc"
    break;

  case 1036: /* $@460: %empty  */
#line 1508 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_WINDOW ); }
#line 9324 "configparser.cc"
    break;

  case 1038: /* $@461: %empty  */
#line 1509 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_GOTO ); }
#line 9330 "configparser.cc"
    break;

  case 1040: /* $@462: %empty  */
#line 1510 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_EVALCOMMAND ); }
#line 9336 "configparser.cc"
    break;

  case 1042: /* $@463: %empty  */
#line 1511 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9342 "configparser.cc"
    break;

  case 1044: /* $@464: %empty  */
#line 1512 "configparser.yy"
                                                { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushOutputReturnCode( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9348 "configparser.cc"
    break;

  case 1046: /* $@465: %empty  */
#line 1513 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setDoDebug( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9354 "configparser.cc"
    break;

  case 1048: /* $@466: %empty  */
#line 1514 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPURecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9360 "configparser.cc"
    break;

  case 1050: /* $@467: %empty  */
#line 1515 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPUTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9366 "configparser.cc"
    break;

  case 1052: /* $@468: %empty  */
#line 1516 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setStackNr( (yyvsp[-1].num) ); }
#line 9372 "configparser.cc"
    break;

  case 1054: /* $@469: %empty  */
#line 1517 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9378 "configparser.cc"
    break;

  case 1056: /* $@470: %empty  */
#line 1518 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushString( (yyvsp[-1].strptr) ); }
#line 9384 "configparser.cc"
    break;

  case 1058: /* $@471: %empty  */
#line 1519 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfTest( (yyvsp[-1].strptr) ); }
#line 9390 "configparser.cc"
    break;

  case 1060: /* $@472: %empty  */
#line 1520 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfLabel( (yyvsp[-1].strptr) ); }
#line 9396 "configparser.cc"
    break;

  case 1062: /* $@473: %empty  */
#line 1521 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_OPEN ); }
#line 9402 "configparser.cc"
    break;

  case 1064: /* $@474: %empty  */
#line 1522 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_CLOSE ); }
#line 9408 "configparser.cc"
    break;

  case 1066: /* $@475: %empty  */
#line 1523 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_LEAVE ); }
#line 9414 "configparser.cc"
    break;

  case 1068: /* $@476: %empty  */
#line 1524 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeProgress( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9420 "configparser.cc"
    break;

  case 1070: /* $@477: %empty  */
#line 1525 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeText( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9426 "configparser.cc"
    break;

  case 1072: /* $@478: %empty  */
#line 1526 "configparser.yy"
                                             { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgressUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9432 "configparser.cc"
    break;

  case 1074: /* $@479: %empty  */
#line 1527 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinTextUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9438 "configparser.cc"
    break;

  case 1076: /* $@480: %empty  */
#line 1528 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgress( (yyvsp[-1].strptr) ); }
#line 9444 "configparser.cc"
    break;

  case 1078: /* $@481: %empty  */
#line 1529 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinText( (yyvsp[-1].strptr) ); }
#line 9450 "configparser.cc"
    break;

  case 1080: /* $@482: %empty  */
#line 1530 "configparser.yy"
                                               { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setCommandStr( (yyvsp[-1].strptr) ); }
#line 9456 "configparser.cc"
    break;

  case 1083: /* $@483: %empty  */
#line 1533 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ShowDirCacheOp>(); }
#line 9462 "configparser.cc"
    break;

  case 1084: /* showdircacheop: SHOWDIRCACHEOP_WCP LEFTBRACE_WCP $@483 RIGHTBRACE_WCP  */
#line 1534 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9468 "configparser.cc"
    break;

  case 1085: /* $@484: %empty  */
#line 1536 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ParentActionOp>(); }
#line 9474 "configparser.cc"
    break;

  case 1086: /* parentactionop: PARENTACTIONOP_WCP LEFTBRACE_WCP $@484 RIGHTBRACE_WCP  */
#line 1537 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9480 "configparser.cc"
    break;

  case 1087: /* $@485: %empty  */
#line 1539 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<NoOperationOp>(); }
#line 9486 "configparser.cc"
    break;

  case 1088: /* nooperationop: NOOPERATIONOP_WCP LEFTBRACE_WCP $@485 RIGHTBRACE_WCP  */
#line 1540 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9492 "configparser.cc"
    break;

  case 1089: /* $@486: %empty  */
#line 1542 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<GoFTPOp>(); }
#line 9498 "configparser.cc"
    break;

  case 1090: /* goftpop: GOFTPOP_WCP LEFTBRACE_WCP $@486 goftpopbody RIGHTBRACE_WCP  */
#line 1543 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9504 "configparser.cc"
    break;

  case 1091: /* $@487: %empty  */
#line 1545 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9510 "configparser.cc"
    break;

  case 1093: /* $@488: %empty  */
#line 1546 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setHost( (yyvsp[-1].strptr) ); }
#line 9516 "configparser.cc"
    break;

  case 1095: /* $@489: %empty  */
#line 1547 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setUser( (yyvsp[-1].strptr) ); }
#line 9522 "configparser.cc"
    break;

  case 1097: /* $@490: %empty  */
#line 1548 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setPass( (yyvsp[-1].strptr) ); }
#line 9528 "configparser.cc"
    break;

  case 1099: /* $@491: %empty  */
#line 1549 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setDontEnterFTP( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9534 "configparser.cc"
    break;

  case 1101: /* $@492: %empty  */
#line 1550 "configparser.yy"
                                        { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAlwaysStorePW( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9540 "configparser.cc"
    break;

  case 1103: /* $@493: %empty  */
#line 1551 "configparser.yy"
                                           { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAVFSModule( (yyvsp[-1].strptr) ); }
#line 9546 "configparser.cc"
    break;

  case 1106: /* $@494: %empty  */
#line 1554 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<InternalViewOp>(); }
#line 9552 "configparser.cc"
    break;

  case 1107: /* internalviewop: INTERNALVIEWOP_WCP LEFTBRACE_WCP $@494 internalviewopbody RIGHTBRACE_WCP  */
#line 1555 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9558 "configparser.cc"
    break;

  case 1108: /* $@495: %empty  */
#line 1557 "configparser.yy"
                                              { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9564 "configparser.cc"
    break;

  case 1110: /* $@496: %empty  */
#line 1558 "configparser.yy"
                                            { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setCustomFiles( (yyvsp[-1].strptr) ); }
#line 9570 "configparser.cc"
    break;

  case 1112: /* $@497: %empty  */
#line 1559 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_ACTIVE_FILE ); }
#line 9576 "configparser.cc"
    break;

  case 1114: /* $@498: %empty  */
#line 1560 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_CUSTOM_FILES ); }
#line 9582 "configparser.cc"
    break;

  case 1117: /* $@499: %empty  */
#line 1564 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<ClipboardOp>(); }
#line 9588 "configparser.cc"
    break;

  case 1118: /* clipboardop: CLIPBOARDOP_WCP LEFTBRACE_WCP $@499 clipboardopbody RIGHTBRACE_WCP  */
#line 1565 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9594 "configparser.cc"
    break;

  case 1119: /* $@500: %empty  */
#line 1567 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ClipboardOp>(lconfig_fp1)->setClipboardString( (yyvsp[-1].strptr) ); }
#line 9600 "configparser.cc"
    break;

  case 1122: /* $@501: %empty  */
#line 1570 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<SearchOp>(); }
#line 9606 "configparser.cc"
    break;

  case 1123: /* searchop: SEARCHOP_WCP LEFTBRACE_WCP $@501 searchopbody RIGHTBRACE_WCP  */
#line 1571 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9612 "configparser.cc"
    break;

  case 1124: /* $@502: %empty  */
#line 1573 "configparser.yy"
                                             { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setEditCommand( (yyvsp[-1].strptr) ); }
#line 9618 "configparser.cc"
    break;

  case 1126: /* $@503: %empty  */
#line 1574 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setShowPrevResults( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9624 "configparser.cc"
    break;

  case 1129: /* $@504: %empty  */
#line 1577 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<DirBookmarkOp>(); }
#line 9630 "configparser.cc"
    break;

  case 1130: /* dirbookmarkop: DIRBOOKMARKOP_WCP LEFTBRACE_WCP $@504 RIGHTBRACE_WCP  */
#line 1578 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9636 "configparser.cc"
    break;

  case 1131: /* $@505: %empty  */
#line 1580 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<OpenContextMenuOp>(); }
#line 9642 "configparser.cc"
    break;

  case 1132: /* opencontextmenuop: OPENCONTEXTMENUOP_WCP LEFTBRACE_WCP $@505 opencontextmenuopbody RIGHTBRACE_WCP  */
#line 1581 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9648 "configparser.cc"
    break;

  case 1133: /* $@506: %empty  */
#line 1583 "configparser.yy"
                                                          { std::dynamic_pointer_cast<OpenContextMenuOp>(lconfig_fp1)->setHighlightUserAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9654 "configparser.cc"
    break;

  case 1136: /* $@507: %empty  */
#line 1586 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<RunCustomAction>(); }
#line 9660 "configparser.cc"
    break;

  case 1137: /* runcustomaction: RUNCUSTOMACTION_WCP LEFTBRACE_WCP $@507 runcustomactionbody RIGHTBRACE_WCP  */
#line 1587 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9666 "configparser.cc"
    break;

  case 1138: /* $@508: %empty  */
#line 1589 "configparser.yy"
                                                   { std::dynamic_pointer_cast<RunCustomAction>(lconfig_fp1)->setCustomName( (yyvsp[-1].strptr) ); }
#line 9672 "configparser.cc"
    break;

  case 1141: /* $@509: %empty  */
#line 1592 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<OpenWorkerMenuOp>(); }
#line 9678 "configparser.cc"
    break;

  case 1142: /* openworkermenuop: OPENWORKERMENUOP_WCP LEFTBRACE_WCP $@509 RIGHTBRACE_WCP  */
#line 1593 "configparser.yy"
                                { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9684 "configparser.cc"
    break;

  case 1143: /* $@510: %empty  */
#line 1595 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<ChangeLabelOp>(); }
#line 9690 "configparser.cc"
    break;

  case 1144: /* changelabelop: CHANGELABELOP_WCP LEFTBRACE_WCP $@510 changelabelopbody RIGHTBRACE_WCP  */
#line 1596 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9696 "configparser.cc"
    break;

  case 1145: /* $@511: %empty  */
#line 1598 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setAskForLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9702 "configparser.cc"
    break;

  case 1147: /* $@512: %empty  */
#line 1599 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9708 "configparser.cc"
    break;

  case 1150: /* $@513: %empty  */
#line 1602 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<ModifyTabsOp>(); }
#line 9714 "configparser.cc"
    break;

  case 1151: /* modifytabsop: MODIFYTABSOP_WCP LEFTBRACE_WCP $@513 modifytabsopbody RIGHTBRACE_WCP  */
#line 1603 "configparser.yy"
                                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9720 "configparser.cc"
    break;

  case 1152: /* $@514: %empty  */
#line 1605 "configparser.yy"
                                               { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEW_TAB ); }
#line 9726 "configparser.cc"
    break;

  case 1154: /* $@515: %empty  */
#line 1606 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::CLOSE_CURRENT_TAB ); }
#line 9732 "configparser.cc"
    break;

  case 1156: /* $@516: %empty  */
#line 1607 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEXT_TAB ); }
#line 9738 "configparser.cc"
    break;

  case 1158: /* $@517: %empty  */
#line 1608 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::PREV_TAB ); }
#line 9744 "configparser.cc"
    break;

  case 1160: /* $@518: %empty  */
#line 1609 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::TOGGLE_LOCK_STATE ); }
#line 9750 "configparser.cc"
    break;

  case 1162: /* $@519: %empty  */
#line 1610 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_LEFT ); }
#line 9756 "configparser.cc"
    break;

  case 1164: /* $@520: %empty  */
#line 1611 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_RIGHT ); }
#line 9762 "configparser.cc"
    break;

  case 1167: /* $@521: %empty  */
#line 1614 "configparser.yy"
                                                {
                 lconfig_fp1 = std::make_shared<ChangeLayoutOp>();
                 layout_sets = LayoutSettings();
             }
#line 9771 "configparser.cc"
    break;

  case 1168: /* changelayoutop: CHANGELAYOUTOP_WCP LEFTBRACE_WCP $@521 changelayoutopbody RIGHTBRACE_WCP  */
#line 1617 "configparser.yy"
                                                 {
                 std::dynamic_pointer_cast<ChangeLayoutOp>(lconfig_fp1)->setLayout( layout_sets );
                 lconfig_listcom.push_back( lconfig_fp1 );
             }
#line 9780 "configparser.cc"
    break;

  case 1169: /* $@522: %empty  */
#line 1622 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_STATEBAR ); }
#line 9786 "configparser.cc"
    break;

  case 1171: /* $@523: %empty  */
#line 1623 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_CLOCKBAR ); }
#line 9792 "configparser.cc"
    break;

  case 1173: /* $@524: %empty  */
#line 1624 "configparser.yy"
                                  { layout_sets.pushBackOrder( LayoutSettings::LO_BUTTONS ); }
#line 9798 "configparser.cc"
    break;

  case 1175: /* $@525: %empty  */
#line 1625 "configparser.yy"
                                    { layout_sets.pushBackOrder( LayoutSettings::LO_LISTVIEWS ); }
#line 9804 "configparser.cc"
    break;

  case 1177: /* $@526: %empty  */
#line 1626 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_BLL ); }
#line 9810 "configparser.cc"
    break;

  case 1179: /* $@527: %empty  */
#line 1627 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LBL ); }
#line 9816 "configparser.cc"
    break;

  case 1181: /* $@528: %empty  */
#line 1628 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LLB ); }
#line 9822 "configparser.cc"
    break;

  case 1183: /* $@529: %empty  */
#line 1629 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_BL ); }
#line 9828 "configparser.cc"
    break;

  case 1185: /* $@530: %empty  */
#line 1630 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_LB ); }
#line 9834 "configparser.cc"
    break;

  case 1187: /* $@531: %empty  */
#line 1631 "configparser.yy"
                                            { layout_sets.setButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9840 "configparser.cc"
    break;

  case 1189: /* $@532: %empty  */
#line 1632 "configparser.yy"
                                              { layout_sets.setListViewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9846 "configparser.cc"
    break;

  case 1191: /* $@533: %empty  */
#line 1633 "configparser.yy"
                                                  { layout_sets.setListViewWeight( (yyvsp[-1].num) ); }
#line 9852 "configparser.cc"
    break;

  case 1193: /* $@534: %empty  */
#line 1634 "configparser.yy"
                                               { layout_sets.setWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9858 "configparser.cc"
    break;

  case 1196: /* $@535: %empty  */
#line 1637 "configparser.yy"
                                                  {
                  lconfig_fp1 = std::make_shared<ChangeColumnsOp>();
                  columns.clear();
                }
#line 9867 "configparser.cc"
    break;

  case 1197: /* changecolumnsop: CHANGECOLUMNSOP_WCP LEFTBRACE_WCP $@535 changecolumnsopbody RIGHTBRACE_WCP  */
#line 1640 "configparser.yy"
                                                     {
                  std::dynamic_pointer_cast<ChangeColumnsOp>(lconfig_fp1)->setColumns( columns );
                  lconfig_listcom.push_back( lconfig_fp1 );
                }
#line 9876 "configparser.cc"
    break;

  case 1198: /* $@536: %empty  */
#line 1645 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_NAME ); }
#line 9882 "configparser.cc"
    break;

  case 1200: /* $@537: %empty  */
#line 1646 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_SIZE ); }
#line 9888 "configparser.cc"
    break;

  case 1202: /* $@538: %empty  */
#line 1647 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_TYPE ); }
#line 9894 "configparser.cc"
    break;

  case 1204: /* $@539: %empty  */
#line 1648 "configparser.yy"
                                     { columns.push_back( WorkerTypes::LISTCOL_PERM ); }
#line 9900 "configparser.cc"
    break;

  case 1206: /* $@540: %empty  */
#line 1649 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_OWNER ); }
#line 9906 "configparser.cc"
    break;

  case 1208: /* $@541: %empty  */
#line 1650 "configparser.yy"
                                      { columns.push_back( WorkerTypes::LISTCOL_DEST ); }
#line 9912 "configparser.cc"
    break;

  case 1210: /* $@542: %empty  */
#line 1651 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_MOD ); }
#line 9918 "configparser.cc"
    break;

  case 1212: /* $@543: %empty  */
#line 1652 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_ACC ); }
#line 9924 "configparser.cc"
    break;

  case 1214: /* $@544: %empty  */
#line 1653 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_CHANGE ); }
#line 9930 "configparser.cc"
    break;

  case 1216: /* $@545: %empty  */
#line 1654 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_INODE ); }
#line 9936 "configparser.cc"
    break;

  case 1218: /* $@546: %empty  */
#line 1655 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_NLINK ); }
#line 9942 "configparser.cc"
    break;

  case 1220: /* $@547: %empty  */
#line 1656 "configparser.yy"
                                 { columns.push_back( WorkerTypes::LISTCOL_BLOCKS ); }
#line 9948 "configparser.cc"
    break;

  case 1222: /* $@548: %empty  */
#line 1657 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_SIZEH ); }
#line 9954 "configparser.cc"
    break;

  case 1224: /* $@549: %empty  */
#line 1658 "configparser.yy"
                                    { columns.push_back( WorkerTypes::LISTCOL_EXTENSION ); }
#line 9960 "configparser.cc"
    break;

  case 1226: /* $@550: %empty  */
#line 1659 "configparser.yy"
                                          { columns.push_back( WorkerTypes::LISTCOL_CUSTOM_ATTR ); }
#line 9966 "configparser.cc"
    break;

  case 1229: /* $@551: %empty  */
#line 1662 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<VolumeManagerOp>(); }
#line 9972 "configparser.cc"
    break;

  case 1230: /* volumemanagerop: VOLUMEMANAGEROP_WCP LEFTBRACE_WCP $@551 RIGHTBRACE_WCP  */
#line 1663 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9978 "configparser.cc"
    break;

  case 1231: /* $@552: %empty  */
#line 1665 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<SwitchButtonBankOp>(); }
#line 9984 "configparser.cc"
    break;

  case 1232: /* switchbuttonbankop: SWITCHBUTTONBANKOP_WCP LEFTBRACE_WCP $@552 switchbuttonbankopbody RIGHTBRACE_WCP  */
#line 1666 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9990 "configparser.cc"
    break;

  case 1233: /* $@553: %empty  */
#line 1668 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_NEXT_BANK ); }
#line 9996 "configparser.cc"
    break;

  case 1235: /* $@554: %empty  */
#line 1669 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_PREV_BANK ); }
#line 10002 "configparser.cc"
    break;

  case 1237: /* $@555: %empty  */
#line 1670 "configparser.yy"
                                                        { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_BANK_NR ); }
#line 10008 "configparser.cc"
    break;

  case 1239: /* $@556: %empty  */
#line 1671 "configparser.yy"
                                              { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setBankNr( (yyvsp[-1].num) ); }
#line 10014 "configparser.cc"
    break;

  case 1242: /* $@557: %empty  */
#line 1674 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<PathJumpOp>(); }
#line 10020 "configparser.cc"
    break;

  case 1243: /* pathjumpop: PATHJUMPOP_WCP LEFTBRACE_WCP $@557 pathjumpopbody RIGHTBRACE_WCP  */
#line 1675 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10026 "configparser.cc"
    break;

  case 1244: /* $@558: %empty  */
#line 1677 "configparser.yy"
                                                  { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_TIME ); }
#line 10032 "configparser.cc"
    break;

  case 1246: /* $@559: %empty  */
#line 1678 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_FILTER ); }
#line 10038 "configparser.cc"
    break;

  case 1248: /* $@560: %empty  */
#line 1679 "configparser.yy"
                                                     { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_PROGRAM ); }
#line 10044 "configparser.cc"
    break;

  case 1250: /* $@561: %empty  */
#line 1680 "configparser.yy"
                                                { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_ALL ); }
#line 10050 "configparser.cc"
    break;

  case 1252: /* $@562: %empty  */
#line 1681 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_SUBDIRS ); }
#line 10056 "configparser.cc"
    break;

  case 1254: /* $@563: %empty  */
#line 1682 "configparser.yy"
                                                          { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_DIRECT_SUBDIRS ); }
#line 10062 "configparser.cc"
    break;

  case 1256: /* $@564: %empty  */
#line 1683 "configparser.yy"
                                        { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setIncludeAllData( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 10068 "configparser.cc"
    break;

  case 1258: /* $@565: %empty  */
#line 1684 "configparser.yy"
                                             { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setHideNonExisting( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 10074 "configparser.cc"
    break;

  case 1260: /* $@566: %empty  */
#line 1685 "configparser.yy"
                                              { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setLockOnCurrentDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 10080 "configparser.cc"
    break;

  case 1263: /* $@567: %empty  */
#line 1688 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<CommandMenuOp>(); }
#line 10086 "configparser.cc"
    break;

  case 1264: /* commandmenuop: COMMANDMENUOP_WCP LEFTBRACE_WCP $@567 commandmenuopbody RIGHTBRACE_WCP  */
#line 1689 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10092 "configparser.cc"
    break;

  case 1265: /* $@568: %empty  */
#line 1691 "configparser.yy"
                                           { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setShowRecentlyUsed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 10098 "configparser.cc"
    break;

  case 1267: /* $@569: %empty  */
#line 1692 "configparser.yy"
                                               { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setStartNode( WorkerTypes::MENUS ); }
#line 10104 "configparser.cc"
    break;

  case 1269: /* $@570: %empty  */
#line 1693 "configparser.yy"
                                                 { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setStartNode( WorkerTypes::BUTTONS ); }
#line 10110 "configparser.cc"
    break;

  case 1271: /* $@571: %empty  */
#line 1694 "configparser.yy"
                                                 { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setStartNode( WorkerTypes::HOTKEYS ); }
#line 10116 "configparser.cc"
    break;

  case 1273: /* $@572: %empty  */
#line 1695 "configparser.yy"
                                               { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setStartNode( WorkerTypes::PATHS ); }
#line 10122 "configparser.cc"
    break;

  case 1275: /* $@573: %empty  */
#line 1696 "configparser.yy"
                                                 { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setStartNode( WorkerTypes::LV_MODES ); }
#line 10128 "configparser.cc"
    break;

  case 1277: /* $@574: %empty  */
#line 1697 "configparser.yy"
                                                    { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setStartNode( WorkerTypes::LV_COMMANDS ); }
#line 10134 "configparser.cc"
    break;

  case 1279: /* $@575: %empty  */
#line 1698 "configparser.yy"
                                                  { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setStartNode( WorkerTypes::COMMANDS ); }
#line 10140 "configparser.cc"
    break;

  case 1281: /* $@576: %empty  */
#line 1699 "configparser.yy"
                                                  { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setStartNode( WorkerTypes::TOP_LEVEL ); }
#line 10146 "configparser.cc"
    break;

  case 1284: /* $@577: %empty  */
#line 1702 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ViewNewestFilesOp>(); }
#line 10152 "configparser.cc"
    break;

  case 1285: /* viewnewestfilesop: VIEWNEWESTFILESOP_WCP LEFTBRACE_WCP $@577 RIGHTBRACE_WCP  */
#line 1703 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10158 "configparser.cc"
    break;

  case 1286: /* $@578: %empty  */
#line 1705 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<DirCompareOp>(); }
#line 10164 "configparser.cc"
    break;

  case 1287: /* dircompareop: DIRCOMPAREOP_WCP LEFTBRACE_WCP $@578 RIGHTBRACE_WCP  */
#line 1706 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10170 "configparser.cc"
    break;

  case 1288: /* $@579: %empty  */
#line 1708 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<TabProfilesOp>(); }
#line 10176 "configparser.cc"
    break;

  case 1289: /* tabprofilesop: TABPROFILESOP_WCP LEFTBRACE_WCP $@579 RIGHTBRACE_WCP  */
#line 1709 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10182 "configparser.cc"
    break;

  case 1290: /* $@580: %empty  */
#line 1711 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ExternalVDirOp>(); }
#line 10188 "configparser.cc"
    break;

  case 1291: /* externalvdirop: EXTERNALVDIROP_WCP LEFTBRACE_WCP $@580 externalvdiropbody RIGHTBRACE_WCP  */
#line 1712 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10194 "configparser.cc"
    break;

  case 1292: /* $@581: %empty  */
#line 1714 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ExternalVDirOp>(lconfig_fp1)->setCommandString( (yyvsp[-1].strptr) ); }
#line 10200 "configparser.cc"
    break;

  case 1295: /* $@582: %empty  */
#line 1717 "configparser.yy"
                                              { auto tfp = std::make_shared< ScriptOp >();
                                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                                tfp->setCommandStr( "open_current_tab_menu" );
                                                lconfig_fp1 = tfp;
                                              }
#line 10210 "configparser.cc"
    break;

  case 1296: /* opentabmenuop: OPENTABMENUOP_WCP LEFTBRACE_WCP $@582 RIGHTBRACE_WCP  */
#line 1722 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10216 "configparser.cc"
    break;

  case 1297: /* $@583: %empty  */
#line 1724 "configparser.yy"
                                                    { dir_preset = directory_presets(); }
#line 10222 "configparser.cc"
    break;

  case 1298: /* $@584: %empty  */
#line 1725 "configparser.yy"
                                                 { dir_presets[path] = dir_preset;
                                                 }
#line 10229 "configparser.cc"
    break;

  case 1301: /* $@585: %empty  */
#line 1729 "configparser.yy"
                                          { path  = (yyvsp[-1].strptr); }
#line 10235 "configparser.cc"
    break;

  case 1303: /* $@586: %empty  */
#line 1730 "configparser.yy"
                                          { dir_preset.sortmode = SORT_NAME; }
#line 10241 "configparser.cc"
    break;

  case 1305: /* $@587: %empty  */
#line 1731 "configparser.yy"
                                          { dir_preset.sortmode = SORT_SIZE; }
#line 10247 "configparser.cc"
    break;

  case 1307: /* $@588: %empty  */
#line 1732 "configparser.yy"
                                             { dir_preset.sortmode = SORT_ACCTIME; }
#line 10253 "configparser.cc"
    break;

  case 1309: /* $@589: %empty  */
#line 1733 "configparser.yy"
                                             { dir_preset.sortmode = SORT_MODTIME; }
#line 10259 "configparser.cc"
    break;

  case 1311: /* $@590: %empty  */
#line 1734 "configparser.yy"
                                             { dir_preset.sortmode = SORT_CHGTIME; }
#line 10265 "configparser.cc"
    break;

  case 1313: /* $@591: %empty  */
#line 1735 "configparser.yy"
                                          { dir_preset.sortmode = SORT_TYPE; }
#line 10271 "configparser.cc"
    break;

  case 1315: /* $@592: %empty  */
#line 1736 "configparser.yy"
                                           { dir_preset.sortmode = SORT_OWNER; }
#line 10277 "configparser.cc"
    break;

  case 1317: /* $@593: %empty  */
#line 1737 "configparser.yy"
                                           { dir_preset.sortmode = SORT_INODE; }
#line 10283 "configparser.cc"
    break;

  case 1319: /* $@594: %empty  */
#line 1738 "configparser.yy"
                                           { dir_preset.sortmode = SORT_NLINK; }
#line 10289 "configparser.cc"
    break;

  case 1321: /* $@595: %empty  */
#line 1739 "configparser.yy"
                                                { dir_preset.sortmode = SORT_PERMISSION; }
#line 10295 "configparser.cc"
    break;

  case 1323: /* $@596: %empty  */
#line 1740 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_REVERSE; }
#line 10301 "configparser.cc"
    break;

  case 1325: /* $@597: %empty  */
#line 1741 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_DIRLAST; }
#line 10307 "configparser.cc"
    break;

  case 1327: /* $@598: %empty  */
#line 1742 "configparser.yy"
                                                { dir_preset.sortmode |= SORT_DIRMIXED; }
#line 10313 "configparser.cc"
    break;

  case 1329: /* $@599: %empty  */
#line 1743 "configparser.yy"
                                               { dir_preset.sortmode = SORT_EXTENSION; }
#line 10319 "configparser.cc"
    break;

  case 1331: /* $@600: %empty  */
#line 1744 "configparser.yy"
                                                     { dir_preset.sortmode = SORT_CUSTOM_ATTRIBUTE; }
#line 10325 "configparser.cc"
    break;

  case 1333: /* $@601: %empty  */
#line 1745 "configparser.yy"
                                               { dir_preset.show_hidden = true; }
#line 10331 "configparser.cc"
    break;

  case 1335: /* $@602: %empty  */
#line 1746 "configparser.yy"
                                               { dir_preset.show_hidden = false; }
#line 10337 "configparser.cc"
    break;

  case 1337: /* $@603: %empty  */
#line 1747 "configparser.yy"
                                          { dir_preset_filter = NM_Filter(); }
#line 10343 "configparser.cc"
    break;

  case 1338: /* $@604: %empty  */
#line 1748 "configparser.yy"
                                                       { dir_preset.filters.push_back( dir_preset_filter ); }
#line 10349 "configparser.cc"
    break;

  case 1341: /* $@605: %empty  */
#line 1751 "configparser.yy"
                                                    { dir_preset_filter.setPattern( (yyvsp[-1].strptr) ); }
#line 10355 "configparser.cc"
    break;

  case 1343: /* $@606: %empty  */
#line 1752 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::EXCLUDE ); }
#line 10361 "configparser.cc"
    break;

  case 1345: /* $@607: %empty  */
#line 1753 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::INCLUDE ); }
#line 10367 "configparser.cc"
    break;

  case 1348: /* $@608: %empty  */
#line 1756 "configparser.yy"
                                { auto tfp = std::make_shared< HelpOp >();
                                  lconfig_fp1 = tfp;
                                }
#line 10375 "configparser.cc"
    break;

  case 1349: /* helpop: HELPOP_WCP LEFTBRACE_WCP $@608 RIGHTBRACE_WCP  */
#line 1759 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10381 "configparser.cc"
    break;

  case 1350: /* $@609: %empty  */
#line 1761 "configparser.yy"
                                                    { auto tfp = std::make_shared< ViewCommandLogOp >();
                                                      lconfig_fp1 = tfp;
                                                    }
#line 10389 "configparser.cc"
    break;

  case 1351: /* viewcommandlogop: VIEWCOMMANDLOGOP_WCP LEFTBRACE_WCP $@609 RIGHTBRACE_WCP  */
#line 1764 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10395 "configparser.cc"
    break;

  case 1352: /* $@610: %empty  */
#line 1766 "configparser.yy"
                                                                { lconfig_fp1 = std::make_shared<ActivateTextViewModeOp>(); }
#line 10401 "configparser.cc"
    break;

  case 1353: /* activatetextviewmodeop: ACTIVATETEXTVIEWMODEOP_WCP LEFTBRACE_WCP $@610 activatetextviewmodeopbody RIGHTBRACE_WCP  */
#line 1767 "configparser.yy"
                                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 10407 "configparser.cc"
    break;

  case 1354: /* $@611: %empty  */
#line 1769 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ActivateTextViewModeOp>(lconfig_fp1)->setActiveSide( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 10413 "configparser.cc"
    break;

  case 1356: /* $@612: %empty  */
#line 1770 "configparser.yy"
                                                              { std::dynamic_pointer_cast<ActivateTextViewModeOp>(lconfig_fp1)->setSourceMode( TextViewMode::ACTIVE_FILE_OTHER_SIDE ); }
#line 10419 "configparser.cc"
    break;

  case 1358: /* $@613: %empty  */
#line 1771 "configparser.yy"
                                                                 { std::dynamic_pointer_cast<ActivateTextViewModeOp>(lconfig_fp1)->setSourceMode( TextViewMode::COMMAND_STR ); }
#line 10425 "configparser.cc"
    break;

  case 1360: /* $@614: %empty  */
#line 1772 "configparser.yy"
                                                                  { std::dynamic_pointer_cast<ActivateTextViewModeOp>(lconfig_fp1)->setSourceMode( TextViewMode::FILE_TYPE_ACTION ); }
#line 10431 "configparser.cc"
    break;

  case 1362: /* $@615: %empty  */
#line 1773 "configparser.yy"
                                                             { std::dynamic_pointer_cast<ActivateTextViewModeOp>(lconfig_fp1)->setCommandStr( (yyvsp[-1].strptr) ); }
#line 10437 "configparser.cc"
    break;

  case 1364: /* $@616: %empty  */
#line 1774 "configparser.yy"
                                                              { std::dynamic_pointer_cast<ActivateTextViewModeOp>(lconfig_fp1)->setFileTypeAction( (yyvsp[-1].strptr) ); }
#line 10443 "configparser.cc"
    break;

  case 1366: /* $@617: %empty  */
#line 1775 "configparser.yy"
                                                      { std::dynamic_pointer_cast<ActivateTextViewModeOp>(lconfig_fp1)->addOption( ( ( (yyvsp[-1].num) ) == 1 ) ? TextViewMode::FOLLOW_ACTIVE : 0 ); }
#line 10449 "configparser.cc"
    break;

  case 1368: /* $@618: %empty  */
#line 1776 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ActivateTextViewModeOp>(lconfig_fp1)->addOption( ( ( (yyvsp[-1].num) ) == 1 ) ? TextViewMode::WATCH_FILE : 0 ); }
#line 10455 "configparser.cc"
    break;

  case 1370: /* $@619: %empty  */
#line 1777 "configparser.yy"
                                                      { std::dynamic_pointer_cast<ActivateTextViewModeOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 10461 "configparser.cc"
    break;


#line 10465 "configparser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1780 "configparser.yy"

/**/
int yymyparse(void)
{
  int erg;

  lconfig_error[0] = '\0';
  lconfig_linenr = 0;
  erg = yyparse();
  /* free all strings found by the lexer
     we don't need them anymore */
  lexer_cleanup();
  return erg;
}

int yyerror( const char *s )
{
  lconfig_cleanup();
  /* the following isn't really needed because yyerror is called inside the parser
     which itselve was started with yymyparse which will call it again
     but it doesn't hurt...*/
  lexer_cleanup();
  snprintf( lconfig_error, sizeof( lconfig_error ), "%s", s );
  return 0;
}
